<?php

namespace App\Http\Controllers\Api;

// include(Razorpay.php);

use Razorpay\Api\Api;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Course;
use App\Models\UserStudentProfilePlan;
use Carbon\Carbon;
use App\Models\User;
use App\Models\CourseSubject;
use App\Models\AdditionalCourse;
use App\Models\BannerTemplate;
use App\Models\CoursePlan;
use App\Models\Referrer;
use App\Models\Referee;
use App\Models\PlanType;
use App\Models\CourseSubjectChapter;
use App\Models\ChapterSeperator;
use App\Models\Pdf;
use App\Models\AdditionalCourseSubject;
use App\Models\AdditionalCourseSubjectChapter;
use App\Models\AdditionalCourseSubjectChapterPdf;
use App\Models\AdditionalBanner;
use App\Models\AdditionalSeperator;
use App\Models\HelpUrl;
use App\Models\AppUrls;
use App\Models\UserReferral;
use App\Models\CourseReferralLink;
use App\Models\UserPaymentDetail;


class ApiController extends Controller
{


    public function onboarding(Request $request)
    {

        if (!$request->hasHeader('Authorization')) {
            return response()->json(['message' => 'Missing Authorization header'], 401);
        }

        // Get the token from the 'Authorization' header
        $authorizationHeader = $request->header('Authorization');
        $tokenexist = \App\Helpers::userToken($authorizationHeader);

        if ($tokenexist == 1) {

            $courses = Course::with(['board', 'class', 'streamlist', 'mediumlist'])->where(['status'=>'1'])->get();
            //dd($courses);
            if($courses){
                foreach ($courses as $key => $coursevalue) {
                    //dd($coursevalue);
                    $coursedata['courses'][$key]['board']['board_id'] = (isset($coursevalue->board) && !empty($coursevalue->board->Board_Id))?$coursevalue->board->Board_Id:'NA';
                    $coursedata['courses'][$key]['board']['board_order'] = (isset($coursevalue->board) && !empty($coursevalue->board->board_order))?$coursevalue->board->board_order:'NA';
                    $coursedata['courses'][$key]['board']['board_name'] = (isset($coursevalue->board) && !empty($coursevalue->board->board_name))?$coursevalue->board->board_name:'NA';
    
                    $coursedata['courses'][$key]['grade']['board_id'] = (isset($coursevalue->class) && !empty($coursevalue->class->board_id))?$coursevalue->class->board_id:'NA';
                    $coursedata['courses'][$key]['grade']['class_id'] = (isset($coursevalue->class) && !empty($coursevalue->class->class_id))?$coursevalue->class->class_id:'NA';
                    $coursedata['courses'][$key]['grade']['class_order'] = (isset($coursevalue->class) && !empty($coursevalue->class->class_order))?$coursevalue->class->class_order:'NA';
                    $coursedata['courses'][$key]['grade']['class_name'] = (isset($coursevalue->class) && !empty($coursevalue->class->class_name))?$coursevalue->class->class_name:'NA';
    
                    $coursedata['courses'][$key]['stream'] = (isset($coursevalue->streamlist) && !empty($coursevalue->streamlist->name))?$coursevalue->streamlist->name:'NA';

                    $coursedata['courses'][$key]['medium'] = (isset($coursevalue->mediumlist) && !empty($coursevalue->mediumlist->name))?$coursevalue->mediumlist->name:'NA';
                    
                    $coursedata['courses'][$key]['course_id'] = $coursevalue->C_ID;
                }
                $coursedata['teacher_subjects'] = array();
                // dd($coursedata);
                return response()->json([
                    'message' => 'Success',
                    'data' => $coursedata,
                ]);
            }else{
                return response()->json([
                    'message' => 'Course not available!',
                    'status' => 'error',
                ]);
            }            
            
        } else {
            return response()->json([
                'message' => 'Invalid Token',
                'status' => 'error',
            ], 401);
        }
    }


    public function insert_course_id(Request $request)
    {
        try {
            //dd($request);
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }
        
            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);
            if($request->user_type!='STUDENT'){
                return response()->json(['message' => 'Unknown user type'], 403);
            }
        
            if ($tokenexist == 1) {
                $tokenv = str_replace('Bearer ', '', $authorizationHeader);       
                $userdata = User::where('token', $tokenv)->first();
                //dd($userdata);
                $check_course_exist = Course::where(['C_ID' => $request->course_id])->count();
        
                if ($check_course_exist > 0) {
                    $user_student_profile_plan = UserStudentProfilePlan::where([
                        'user_email' => $userdata->email,
                        'profile_number' => $request->profile_num
                    ])->orderBy('id', 'DESC')->first();

                    if (!$user_student_profile_plan) {
                        $student = new UserStudentProfilePlan;
                        $student->user_email = $userdata->email;
                        $student->profile_number = $request->profile_num;
                        $student->course_id = $request->course_id;
        
                        if ($student->save()) {
                            if ($request->profile_num == 'PROFILE_ONE') {
                                $userdata->profile_one_type = 'STUDENT';
                                $userdata->profile_one = 'true';
                            } elseif ($request->profile_num == 'PROFILE_TWO') {
                                $userdata->profile_two_type = 'STUDENT';
                                $userdata->profile_two = 'true';
                                $userdata->both_profile_created='true';
                            }
            
                            $userdata->is_onboarded = 'true';
                            $userdata->save();
        
                            $data['message'] = 'success';
                            $data['course_id'] = $student->course_id;
                            $data['user_blocked'] = ($userdata->user_blocked == 'true') ? true : false;
                            $data['device_id'] = $userdata->device_id;
        
                            return response()->json(['data' => $data]);
                        }
                    }
                    else if ($user_student_profile_plan->course_id != $request->course_id) {
                        $user_student_profile_plan->course_id = $request->course_id;
                        $user_student_profile_plan->plan_id = '0';
                        $user_student_profile_plan->amount_paid = 0;
                        $user_student_profile_plan->plan_name = NULL;
                        $user_student_profile_plan->plan_type = 'free';
                        $user_student_profile_plan->plan_cost = 0;
                        $user_student_profile_plan->list_of_optional_subject = NULL;
                        $user_student_profile_plan->list_of_additional_course = NULL;
                        $user_student_profile_plan->save();
        
                        $data['message'] = 'success';
                        $data['course_id'] = $user_student_profile_plan->course_id;
                        $data['user_blocked'] = ($userdata->user_blocked == 'true') ? true : false;
                        $data['device_id'] = $userdata->device_id;
        
                        return response()->json(['data' => $data]);
        
                    } else {
                        $data['message'] = 'success';
                        $data['course_id'] = $request->course_id;
                        $data['user_blocked'] = ($userdata->user_blocked == 'true') ? true : false;
                        $data['device_id'] = $userdata->device_id;
        
                        return response()->json(['data' => $data]);
                    }
                } else {
                    return response()->json([
                        'message' => 'Course id does not exist!',
                        'status' => 201,
                    ]);
                }
            } else {
                return response()->json([
                    'message' => 'Invalid Token!',
                    'status' => 201,
                ]);
            }
        } catch (\Exception $e) {
            return response()->json([
                'message' => 'Something went wrong!',
                'status' => 500,  // Changed status to 500 for internal server error
                'error' => $e->getMessage(),  // Use getMessage() to provide a safe error message
            ], 500);  // Setting the HTTP status code to 500
        }
        

    }



    public function redeem_refer_code(Request $request)
    {
        try {
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }
    
            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);
            
            if ($tokenexist == 1) {
                $tokenv = str_replace('Bearer ', '', $authorizationHeader);       
                $userdata = User::where('token', $tokenv)->first();
               // dd($userdata);
                if (isset($userdata) && $userdata->referral_code_valid == 'false') {
                    // Referrer user is whose referral code is being redeemed.
                    $referrer_user = User::where('referral_id', $request->referral_code)->first();
                    if ($referrer_user) {
                        $userdata->referral_applide_date = Carbon::now();
                        $userdata->referral_code_valid = true;
                        if ($userdata->save()) {
        
                            $referrer_user->number_of_referrals = $referrer_user->number_of_referrals + 1;
                            $referrer_user->save();

                            // email of the user whose referral code is being redeemed.
                            $user_email = $referrer_user->email;
                            $user_referral_table_data = UserReferral::where('user_email', $user_email)->first();
                            if(isset($user_referral_table_data)){                              
                            // Add email id of the new referrer in the table
                            $redeem_user_email = $userdata->email;
                            $redeem_ids = $user_referral_table_data->referrer_ids;
                            $new_redeem_ids = $redeem_ids.', '.$redeem_user_email;
                            $user_referral_table_data->referrer_ids = $new_redeem_ids;
                            $user_referral_table_data->num_referrals = $referrer_user->number_of_referrals;
                            $user_referral_table_data->save();
                            } else {
                            $new_redeem_user = new UserReferral();   
                            $redeem_user_email = $userdata->email;
                            $new_redeem_user->user_email = $referrer_user->email;
                            $new_redeem_user->num_referrals = 1;
                            $new_redeem_user->referrer_ids = $redeem_user_email;
                            $new_redeem_user->save();
                            }
                           
                            $data['message'] = 'success';
                            $data['status'] = 'updated';
                            $data['referCode_applied_date'] = date('d-m-Y', strtotime($userdata->referral_applide_date));
    
                            return response()->json([
                                'data' => $data
                            ]);
                        } else {
                            $message = 'error';
                            $status = '201';
                        }
                    } else {
                        $message = 'error';
                        $status = '201';
                    }
                } else {
                    $message = 'error';
                    $status = '201';
                }
                return response()->json([
                    'message' => $message,
                    'status' => $status
                ]);
            }else{
                return response()->json([
                    'message' => 'Invalid Token!',
                    'status' => 201,
                ]);
            }

        } catch (\Exception $e) {
            return response()->json([
                'message' => 'data save not successfully',
                'status' => 201,
                'error' => $e,
            ]);
        }
    }


    public function student_dashboard_data(Request $request)
    {

        try {
            //dd($request);
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }

            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);
            
            if ($tokenexist == 1) {
                // Get the token from the 'Authorization' header
                $token = str_replace('Bearer ', '', $authorizationHeader);

                $studentdata = User::where('token', $token)->first();
                //dd($studentdata);
                if ($studentdata) {
                    $student_profile_plan = UserStudentProfilePlan::select('course_id','list_of_additional_course','list_of_optional_subject','plan_id','plan_name','plan_type','validity_of_plan','plan_cost','amount_paid')->where(['profile_number'=>$request->profile_num, 'user_email' => $studentdata->email, 'course_id' => $request->course_id])->first();
                    // dd($student_profile_plan);
                    if (isset($student_profile_plan) && $student_profile_plan->course_id == $request->course_id) {
                        $course_data['course_data']['course_id'] = $student_profile_plan->course_id;
                        
                        $course_data['course_data']['referral_id'] = $studentdata->referral_id;
                        
                        $cousebcsm = Course::with('board','class','streamlist','mediumlist')->where(['C_ID'=>$student_profile_plan->course_id])->first();
                        $course_data['course_data']['board'] = $cousebcsm->board->board_name;
                        $course_data['course_data']['class'] = $cousebcsm->class->class_name;
                        $course_data['course_data']['stream'] = (isset($cousebcsm->streamlist) && !empty($cousebcsm->streamlist->name))?$cousebcsm->streamlist->name:'NA';
                        $course_data['course_data']['medium'] = (isset($cousebcsm->mediumlist) && !empty($cousebcsm->mediumlist->name))?$cousebcsm->mediumlist->name:'NA';
                                
                        $course_subjecs = CourseSubject::with('subjectcategory')->where(['course_id'=>$student_profile_plan->course_id,'status'=>'1','subject_type'=>'DEFAULT'])->get();
                        //dd($course_subjecs);
                        $course_subjects_count = count($course_subjecs);

                        $course_data['course_data']['subjects'] = array();
                        if ($course_subjecs) {
                            foreach ($course_subjecs as $key => $subjectvalue) {
                                $course_data['course_data']['subjects'][$key]['subject_id'] = $subjectvalue->subject_id;
                                $course_data['course_data']['subjects'][$key]['subject_name'] = $subjectvalue->subject_display_name;
                                $course_data['course_data']['subjects'][$key]['optional'] = false;
                                $course_data['course_data']['subjects'][$key]['subject_category'] = $subjectvalue->subjectcategory->name;
                                $course_data['course_data']['subjects'][$key]['order_num'] = $subjectvalue->subject_order;
                            }
                        }

                        $optional_subjects_id = explode(',',$student_profile_plan['list_of_optional_subject']);
                            // dd($optional_subjects_id);
                        $optional_subjects = CourseSubject::with('subjectcategory')->whereIn('subject_id',$optional_subjects_id)->where(['course_id'=>$student_profile_plan['course_id'],'subject_type'=>'OPTIONAL'])->get();
                            // dd($optional_subjects);
                        if($optional_subjects){
                            $optional_subjects_count = count($optional_subjects);
                            foreach($optional_subjects as $key=>$value){
                                $index = $key + $course_subjects_count;
                                $course_data['course_data']['subjects'][$index]['subject_id'] = $value->subject_id;
                                $course_data['course_data']['subjects'][$index]['subject_name'] = $value->subject_display_name;
                                $course_data['course_data']['subjects'][$index]['optional'] = ($value->subject_type=='OPTIONAL')?true:false;
                                $course_data['course_data']['subjects'][$index]['subject_category'] = $value->subjectcategory->name;
                                $course_data['course_data']['subjects'][$index]['order_num'] = $value->subject_order;
                            }
                        }

                        if($student_profile_plan->list_of_additional_course != null){
                            $acids = explode(',',$student_profile_plan->list_of_additional_course); 
                        }else{
                            $acids = array();
                        }
                        $additional_course = AdditionalCourse::with('additonalcoursesubject', 'additonalcoursesubject.subjectcategory')->whereIn('AC_ID',$acids)->where(['status'=>'1'])->get();
                        //dd($additional_course);
                        $course_data['course_data']['additional_course'] = array();
                        if ($additional_course) {
                            foreach ($additional_course as $coursekey => $additionalcoursevalue) {
                                $course_data['course_data']['additional_course'][$coursekey]['add_course_id'] = $additionalcoursevalue->AC_ID;
                                $course_data['course_data']['additional_course'][$coursekey]['course_name'] = $additionalcoursevalue->course_name;

                                if ($additionalcoursevalue['additonalcoursesubject']) {
                                    $course_data['course_data']['additional_course'][$coursekey]['subjects'] = array();
                                    foreach ($additionalcoursevalue['additonalcoursesubject'] as $subjectkey => $additonalcoursesubjectvalue) {

                                        $course_data['course_data']['additional_course'][$coursekey]['subjects'][$subjectkey]['subject_id'] = $additonalcoursesubjectvalue->subject_id;
                                        $course_data['course_data']['additional_course'][$coursekey]['subjects'][$subjectkey]['subject_name'] = $additonalcoursesubjectvalue->subject_display_name;
                                        $course_data['course_data']['additional_course'][$coursekey]['subjects'][$subjectkey]['optional'] = false;
                                        $course_data['course_data']['additional_course'][$coursekey]['subjects'][$subjectkey]['subject_category'] = $additonalcoursesubjectvalue->subjectcategory->name;
                                        $course_data['course_data']['additional_course'][$coursekey]['subjects'][$subjectkey]['order_num'] = $additonalcoursesubjectvalue->subject_order;
                                    }
                                }
                            }
                        }

                        $topbanner = BannerTemplate::where(['course_id'=>$student_profile_plan->course_id,'banner_type'=>'top','status'=>'1'])->get();
                        $course_data['course_data']['top_banner'] = array();                        
                        if ($topbanner) {
                            foreach ($topbanner as $key => $bannervalue) {
                                $banner_display = unserialize($bannervalue->banner_display);
                                $bannerd = array();
                                foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                    $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                    if(isset($bannerplan)){
                                        $bannerd[] = $bannerplan->name;
                                    }else{
                                       //$bannerd[] = 'NA';
                                    }
                                }
                                //dd($bannerd);
                                $course_data['course_data']['top_banner'][$key]['banner_id'] = $bannervalue->id;
                                $course_data['course_data']['top_banner'][$key]['order_num'] = $bannervalue->banner_order;
                                $course_data['course_data']['top_banner'][$key]['banner_function'] = $bannervalue->banner_function;
                                $course_data['course_data']['top_banner'][$key]['link'] = $bannervalue->banner_link;
                                $course_data['course_data']['top_banner'][$key]['banner_image'] = $bannervalue->banner_image;
                                $course_data['course_data']['top_banner'][$key]['banner_name'] = $bannervalue->banner_name;                                
                                $course_data['course_data']['top_banner'][$key]['banner_display'] = $bannerd;
                            }
                        }

                        $bottombanner = BannerTemplate::where(['course_id' => $student_profile_plan->course_id,'banner_type'=>'bottom','status'=>'1'])->get();
                        $course_data['course_data']['bottom_banner'] = array();
                        if ($bottombanner) {
                            foreach ($bottombanner as $key => $bannervalue) {
                                $banner_display = unserialize($bannervalue->banner_display);
                                $bannerd = array();
                                foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                    $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                    $bannerd[] = $bannerplan->name;
                                }
                                //dd($bannerd);
                                $course_data['course_data']['bottom_banner'][$key]['banner_id'] = $bannervalue->id;
                                $course_data['course_data']['bottom_banner'][$key]['order_num'] = $bannervalue->banner_order;
                                $course_data['course_data']['bottom_banner'][$key]['banner_function'] = $bannervalue->banner_function;
                                $course_data['course_data']['bottom_banner'][$key]['link'] = $bannervalue->banner_link;
                                $course_data['course_data']['bottom_banner'][$key]['banner_image'] = $bannervalue->banner_image;
                                $course_data['course_data']['bottom_banner'][$key]['banner_name'] = $bannervalue->banner_name;
                                $course_data['course_data']['bottom_banner'][$key]['banner_display'] = $bannerd;
                            }
                        }

                        $course_data['course_data']['student_plan'] = array();
                        $course_data['course_data']['student_plan']['plan_id'] = $student_profile_plan->plan_id;
                        $course_data['course_data']['student_plan']['plan_name'] = $student_profile_plan->plan_name;
                        $course_data['course_data']['student_plan']['plan_type'] = $student_profile_plan->plan_type;
                        $course_data['course_data']['student_plan']['validity'] = $student_profile_plan->validity_of_plan;
                        $course_data['course_data']['student_plan']['price_paid'] = $student_profile_plan->plan_cost;
                        $course_data['course_data']['student_plan']['amount_paid'] = $student_profile_plan->amount_paid;

                        $refer = Referrer::where('course_id', $student_profile_plan->course_id)->first();
                        $referee = Referee::where('course_id', $student_profile_plan->course_id)->first();
                        $courseReferralLink = CourseReferralLink::where('course_id', $student_profile_plan->course_id)->first();
                 //       $course_data['course_data']['refer'] = array();
                           if ($refer) {
                            $course_data['course_data']['refer']['referrer_delay'] = $refer->delay_day;
                            $course_data['course_data']['refer']['referrer_plan_Type'] = $refer->plan_type;
                            $course_data['course_data']['refer']['referrer_validity_days'] = $refer->validity_day;
                            $course_data['course_data']['refer']['num_of_refers_required'] = $refer->number;                         
                        } else {
                            $course_data['course_data']['refer']['referrer_delay'] = 0;
                            $course_data['course_data']['refer']['referrer_plan_Type'] = 0;
                            $course_data['course_data']['refer']['referrer_validity_days'] = 0;
                            $course_data['course_data']['refer']['num_of_refers_required'] = 0;    
                        }

                        if($referee){
                            $course_data['course_data']['refer']['referent_delay'] = $referee->delay_day;
                            $course_data['course_data']['refer']['referent_plan_type'] = $referee->plan_type;
                            $course_data['course_data']['refer']['referent_validity_days'] = $referee->validity_day;
                        } else {
                            $course_data['course_data']['refer']['referent_delay'] = 0;
                            $course_data['course_data']['refer']['referent_plan_type'] = 0;
                            $course_data['course_data']['refer']['referent_validity_days'] = 0;
                        }

                        if($courseReferralLink){
                            $course_data['course_data']['refer']['referral_link'] = $courseReferralLink->referral_link;
                        } else {
                            $course_data['course_data']['refer']['referral_link'] = 'www.google.com';
                        }

                        $course_data['course_data']['is_referral_applied'] = ($studentdata->referral_code_valid == 'true')?true:false;
                        $course_data['course_data']['referral_applied_date'] = $studentdata->referral_applide_date;
                        $course_data['course_data']['num_of_ref'] = $studentdata->number_of_referrals;
                        //dd($course_data);

                        $course_data['user_blocked'] =  ($studentdata->user_blocked == 'true')?true:false;
                        $course_data['device_id'] = $studentdata->device_id;
                        $course_data['message'] = 'success';
                        return response()->json($course_data);
                    } else {
                        return response()->json(['message' => 'Course does not exist for your profile'], 200);
                    }

                } else {
                    return response()->json(['message' => 'Invalid token'], 401);
                }
            }else{
                return response()->json(['message' => 'Invalid token'], 401);
            }

            
        } catch (\Exception $e) {
            return response()->json(['message' => $e->getMessage()], 401);
        }
    }

    public function student_subject_data(Request $request){
        try {
            //dd($request);
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }

            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);
            
            if ($tokenexist == 1) {
                $token = str_replace('Bearer ', '', $authorizationHeader);
                $studentdata = User::where('token', $token)->first();
                //dd($studentdata);
                if ($studentdata) {
                    $deviceexist = \App\Helpers::userDevice($request->device_id);
                    if($deviceexist == 1){
                        $student_profile_plan = UserStudentProfilePlan::where(['user_email' => $studentdata->email, 'course_id' => $request->course_id,'profile_number'=>$request->profile_num])->first();
                        //dd($student_profile_plan);
                        if($student_profile_plan){
                            $course_subjecs = CourseSubject::with('coursesubjectchapter','coursesubjectseperator')->where('subject_id', $request->subject_id)->first();
                            //dd($course_subjecs);
                            $data['message'] = 'success';
                            if($course_subjecs){
                                $data['subject_page_data']['course_id'] = $course_subjecs->course_id;
                                $data['subject_page_data']['subject_id'] = $course_subjecs->subject_id;
                                $data['subject_page_data']['subject_name'] = $course_subjecs->subject_display_name;
                                $data['subject_page_data']['top_text'] = $course_subjecs->top_text;
                                $data['subject_page_data']['top_text_link'] = $course_subjecs->link;
                                $data['subject_page_data']['var_a'] = $course_subjecs->var_a;
                                $data['subject_page_data']['var_b'] = $course_subjecs->var_b;
                                $data['subject_page_data']['var_c'] = $course_subjecs->var_c;
                                if($course_subjecs->coursesubjectchapter){
                                    $data['subject_page_data']['chapters'] = array();                    
                                    foreach($course_subjecs->coursesubjectchapter as $csckey=>$csckeyvalue){
                                        $data['subject_page_data']['chapters'][$csckey]['chapter_id'] = $csckeyvalue->chapter_id;
                                        $data['subject_page_data']['chapters'][$csckey]['subject_id'] = $course_subjecs->subject_id;
                                        $data['subject_page_data']['chapters'][$csckey]['chapter_name'] = $csckeyvalue->chapter_name;
                                        $data['subject_page_data']['chapters'][$csckey]['order_num'] = $csckeyvalue->chapter_order;
                                    }
                                }else{
                                    $data['subject_page_data']['chapters'] = array();
                                }

                                if($course_subjecs->coursesubjectseperator){
                                    $data['subject_page_data']['separator'] = array();                    
                                    foreach($course_subjecs->coursesubjectseperator as $csskey=>$csskeyvalue){
                                        $data['subject_page_data']['separator'][$csskey]['separator_id'] = $csskeyvalue->id;
                                        $data['subject_page_data']['separator'][$csskey]['separator_name'] = $csskeyvalue->seperator_display_text;
                                        $data['subject_page_data']['separator'][$csskey]['order_num'] = $csskeyvalue->seperator_order;
                                    }
                                }else{
                                    $data['subject_page_data']['separator'] = array();
                                }

                                $middle_banner = BannerTemplate::where(['banner_type'=>'middle','subject_id'=>$course_subjecs->subject_id,'status'=>'1'])->get();
                                
                                if($middle_banner){
                                    $data['subject_page_data']['middle_banner'] = array();                    
                                    foreach($middle_banner as $bmkey=>$bmvalue){

                                        $banner_display = unserialize($bmvalue->banner_display);
                                        //dd($banner_display);
                                        $bannerd = array();
                                        foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                            $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                            if(isset($bannerplan)){
                                                $bannerd[] = $bannerplan->name;
                                            }else{
                                               //$bannerd[] = 'NA';
                                            }
                                        }
                                        $data['subject_page_data']['middle_banner'][$bmkey]['banner_id'] = $bmvalue->id;
                                        $data['subject_page_data']['middle_banner'][$bmkey]['order_num'] = $bmvalue->banner_order;
                                        $data['subject_page_data']['middle_banner'][$bmkey]['banner_function'] = $bmvalue->banner_function;
                                        $data['subject_page_data']['middle_banner'][$bmkey]['link'] = $bmvalue->banner_link;
                                        $data['subject_page_data']['middle_banner'][$bmkey]['banner_image'] = $bmvalue->banner_image;
                                        $data['subject_page_data']['middle_banner'][$bmkey]['banner_name'] = $bmvalue->banner_name;
                                        $data['subject_page_data']['middle_banner'][$bmkey]['banner_display'] = $bannerd;
                                    }
                                }else{
                                    $data['subject_page_data']['middle_banner'] = array();
                                }
                                

                                $bottom_banner = BannerTemplate::where(['banner_type'=>'bottom','subject_id'=>$course_subjecs->subject_id,'status'=>'1'])->get();
                                if($bottom_banner){
                                    $data['subject_page_data']['bottom_banner'] = array();                    
                                    foreach($bottom_banner as $bmkey=>$bmvalue){
                                        $banner_display = unserialize($bmvalue->banner_display);
                                        $bannerd = array();
                                        foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                            $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                            if(isset($bannerplan)){
                                                $bannerd[] = $bannerplan->name;
                                            }else{
                                               //$bannerd[] = 'NA';
                                            }
                                        }
                                        $data['subject_page_data']['bottom_banner'][$bmkey]['banner_id'] = $bmvalue->id;
                                        $data['subject_page_data']['bottom_banner'][$bmkey]['order_num'] = $bmvalue->banner_order;
                                        $data['subject_page_data']['bottom_banner'][$bmkey]['banner_function'] = $bmvalue->banner_function;
                                        $data['subject_page_data']['bottom_banner'][$bmkey]['link'] = $bmvalue->banner_link;
                                        $data['subject_page_data']['bottom_banner'][$bmkey]['banner_image'] = $bmvalue->banner_image;
                                        $data['subject_page_data']['bottom_banner'][$bmkey]['banner_name'] = $bmvalue->banner_name;
                                        $data['subject_page_data']['bottom_banner'][$bmkey]['banner_display'] = $bannerd;
                                    }
                                }else{
                                    $data['subject_page_data']['bottom_banner'] = array();
                                }
                            }else{
                                $data['subject_page_data'] = array();
                            }
                            return response()->json($data);
                        }else{
                            return response()->json(['message' => 'Student plan not found!'], 201);
                        }
                    }else{
                        return response()->json(['message' => 'Invalid Device ID'], 201);
                    }
                }else {
                    return response()->json(['message' => 'Invalid token'], 401);
                }
            }else {
                    return response()->json(['message' => 'Invalid token'], 401);
            }
        }catch (\Exception $e) {
            return response()->json(['message' => $e->getMessage()], 401);
        }
    }
    
    
      public function student_additional_subject_data(Request $request){
        try {
            //dd($request);
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }

            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);
            
            if ($tokenexist == 1) {
                $token = str_replace('Bearer ', '', $authorizationHeader);
                $studentdata = User::where('token', $token)->first();
                // dd($studentdata);
                if ($studentdata) {
                    $deviceexist = \App\Helpers::userDevice($request->device_id);
                    if($deviceexist == 1){
                        $student_profile_plan = UserStudentProfilePlan::where(['user_email' => $studentdata->email, 'course_id' => $request->course_id,'profile_number'=>$request->profile_num])->first();
                        //dd($student_profile_plan);
                            if( $student_profile_plan) {
                            $course_subjecs = AdditionalCourseSubject::with('additionaltemplatesubjectchapter','additionaltemplatesubjectseperator')->where('subject_id', $request->subject_id)->first();
                            //dd($course_subjecs);
                            $data['message'] = 'success';
                            if($course_subjecs){
                                $data['subject_page_data']['course_id'] = $course_subjecs->additional_course_id;
                                $data['subject_page_data']['subject_id'] = $course_subjecs->subject_id;
                                $data['subject_page_data']['subject_name'] = $course_subjecs->subject_display_name;
                                $data['subject_page_data']['top_text'] = $course_subjecs->top_text;
                                $data['subject_page_data']['top_text_link'] = $course_subjecs->link;
                                $data['subject_page_data']['var_a'] = $course_subjecs->var_a;
                                $data['subject_page_data']['var_b'] = $course_subjecs->var_b;
                                $data['subject_page_data']['var_c'] = $course_subjecs->var_c;
                                if($course_subjecs->additionaltemplatesubjectchapter){
                                    $data['subject_page_data']['chapters'] = array();                    
                                    foreach($course_subjecs->additionaltemplatesubjectchapter as $csckey=>$csckeyvalue){
                                        $data['subject_page_data']['chapters'][$csckey]['chapter_id'] = $csckeyvalue->chapter_id;
                                        $data['subject_page_data']['chapters'][$csckey]['subject_id'] = $course_subjecs->subject_id;
                                        $data['subject_page_data']['chapters'][$csckey]['chapter_name'] = $csckeyvalue->chapter_name;
                                        $data['subject_page_data']['chapters'][$csckey]['order_num'] = $csckeyvalue->chapter_order;
                                    }
                                }else{
                                    $data['subject_page_data']['chapters'] = array();
                                }

                                if($course_subjecs->additionaltemplatesubjectseperator){
                                    $data['subject_page_data']['separator'] = array();                    
                                    foreach($course_subjecs->additionaltemplatesubjectseperator as $csskey=>$csskeyvalue){
                                        $data['subject_page_data']['separator'][$csskey]['separator_id'] = $csskeyvalue->id;
                                        $data['subject_page_data']['separator'][$csskey]['separator_name'] = $csskeyvalue->seperator_display_text;
                                        $data['subject_page_data']['separator'][$csskey]['order_num'] = $csskeyvalue->seperator_order;
                                    }
                                }else{
                                    $data['subject_page_data']['separator'] = array();
                                }

                                $middle_banner = AdditionalBanner::where(['banner_type'=>'middle','subject_id'=>$course_subjecs->subject_id,'status'=>'1'])->get();
                                
                                if($middle_banner){
                                    $data['subject_page_data']['middle_banner'] = array();                    
                                    foreach($middle_banner as $bmkey=>$bmvalue){

                                        $banner_display = unserialize($bmvalue->banner_display);
                                        //dd($banner_display);
                                        $bannerd = array();
                                        foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                            $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                            if(isset($bannerplan)){
                                                $bannerd[] = $bannerplan->name;
                                            }else{
                                               //$bannerd[] = 'NA';
                                            }
                                        }
                                        $data['subject_page_data']['middle_banner'][$bmkey]['banner_id'] = $bmvalue->id;
                                        $data['subject_page_data']['middle_banner'][$bmkey]['order_num'] = $bmvalue->banner_order;
                                        $data['subject_page_data']['middle_banner'][$bmkey]['banner_function'] = $bmvalue->banner_function;
                                        $data['subject_page_data']['middle_banner'][$bmkey]['link'] = $bmvalue->banner_link;
                                        $data['subject_page_data']['middle_banner'][$bmkey]['banner_image'] = $bmvalue->banner_image;
                                        $data['subject_page_data']['middle_banner'][$bmkey]['banner_name'] = $bmvalue->banner_name;
                                        $data['subject_page_data']['middle_banner'][$bmkey]['banner_display'] = $bannerd;
                                    }
                                }else{
                                    $data['subject_page_data']['middle_banner'] = array();
                                }
                                

                                $bottom_banner = AdditionalBanner::where(['banner_type'=>'bottom','subject_id'=>$course_subjecs->subject_id,'status'=>'1'])->get();
                                if($bottom_banner){
                                    $data['subject_page_data']['bottom_banner'] = array();                    
                                    foreach($bottom_banner as $bmkey=>$bmvalue){
                                        $banner_display = unserialize($bmvalue->banner_display);
                                        $bannerd = array();
                                        foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                            $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                            if(isset($bannerplan)){
                                                $bannerd[] = $bannerplan->name;
                                            }else{
                                               //$bannerd[] = 'NA';
                                            }
                                        }
                                        $data['subject_page_data']['bottom_banner'][$bmkey]['banner_id'] = $bmvalue->id;
                                        $data['subject_page_data']['bottom_banner'][$bmkey]['order_num'] = $bmvalue->banner_order;
                                        $data['subject_page_data']['bottom_banner'][$bmkey]['banner_function'] = $bmvalue->banner_function;
                                        $data['subject_page_data']['bottom_banner'][$bmkey]['link'] = $bmvalue->banner_link;
                                        $data['subject_page_data']['bottom_banner'][$bmkey]['banner_image'] = $bmvalue->banner_image;
                                        $data['subject_page_data']['bottom_banner'][$bmkey]['banner_name'] = $bmvalue->banner_name;
                                        $data['subject_page_data']['bottom_banner'][$bmkey]['banner_display'] = $bannerd;
                                    }
                                }else{
                                    $data['subject_page_data']['bottom_banner'] = array();
                                }
                            }else{
                                $data['subject_page_data'] = array();
                            }
                            return response()->json($data);
                        }else{
                            return response()->json(['message' => 'Student plan not found!'], 201);
                        }
                    }else{
                        return response()->json(['message' => 'Invalid Device ID'], 201);
                    }
                }else {
                    return response()->json(['message' => 'Invalid token'], 401);
                }
            }else {
                    return response()->json(['message' => 'Invalid token'], 401);
            }
        }catch (\Exception $e) {
            return response()->json(['message' => $e->getMessage()], 401);
        }
    }

    public function getCourseId(Request $request){
        try{
            //dd($request);
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }

            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);
            
            if ($tokenexist == 1) {
                $token = str_replace('Bearer ', '', $authorizationHeader);
                $studentdata = User::where('token', $token)->first();
                //dd($studentdata);
                if ($studentdata) {
                    $deviceexist = \App\Helpers::userDevice($request->device_id);
                    if($deviceexist == 1){
                        $student_profile_plan = UserStudentProfilePlan::with('user')->where(['user_email' => $studentdata->email, 'profile_number'=>$request->profile_num])->orderBy('id','DESC')->first();
                        //dd($student_profile_plan);
                        if($student_profile_plan){
                            $data['message'] = 'success';
                            $data['user_email'] = $student_profile_plan->user_email;
                            $data['profile_type'] = ($student_profile_plan->profile_number == 'PROFILE_ONE')?$student_profile_plan['user'][0]['profile_one_type']:$student_profile_plan['user'][0]['profile_two_type'];
                            $data['profile_num'] = $student_profile_plan->profile_number;                            
                            if($data['profile_type'] == "STUDENT"){
                                $data['course_id'] = $student_profile_plan->course_id;
                                //dd($student_profile_plan);
                                $cousedata = Course::with('board','class','streamlist','mediumlist')->where(['C_ID'=>$student_profile_plan->course_id])->first();
                                //dd($cousedata);
                                $data['board'] = $cousedata->board->board_name;
                                $data['class'] = $cousedata->class->class_name;
                                $data['stream'] = (isset($cousedata->streamlist) && !empty($cousedata->streamlist->name))?$cousedata->streamlist->name:'NA';
                                $data['medium'] = (isset($cousedata->mediumlist) && !empty($cousedata->mediumlist->name))?$cousedata->mediumlist->name:'NA';

                            }else{
                                $data['course_id'] = '';
                                $data['board'] = '';
                                $data['class'] = '';
                                $data['stream'] = '';
                                $data['medium'] = '';
                            }
                            return response()->json($data);
                        }else{
                            return response()->json(['message' => 'Student plan not found!'], 201);
                        }  
                    }else{
                        return response()->json(['message' => 'Invalid Device ID'], 201);
                    }
                }else {
                    return response()->json(['message' => 'Invalid token'], 401);
                }
            }else {
                return response()->json(['message' => 'Invalid token'], 401);
            }
        }catch (\Exception $e) {
            return response()->json(['message' => $e->getMessage()], 401);
        }
    }

    public function get_chapter_data(Request $request){
        try{
            //dd($request);
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }

            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);
            
            if ($tokenexist == 1) {
                $token = str_replace('Bearer ', '', $authorizationHeader);
                $studentdata = User::where('token', $token)->first();
                //dd($studentdata);
                if ($studentdata) {
                    $deviceexist = \App\Helpers::userDevice($request->device_id);
                    if($deviceexist == 1){
                        $course = Course::select('C_ID')->where(['C_ID' => $request->course_id])->first();
                        if($course){
                            $subject = CourseSubject::select('subject_id')->where(['subject_id' => $request->subject_id])->first();
                            if($subject){
                                $chapter = CourseSubjectChapter::where(['chapter_id' => $request->chapter_id])->first();
                                if($chapter){
                                    //dd($chapter);
                                    $data['message'] = 'success';
                                    $data['chapter_page_data']['course_id'] = $course->C_ID;
                                    $data['chapter_page_data']['subject_id'] = $subject->subject_id;
                                    $data['chapter_page_data']['chapter_id'] = $chapter->chapter_id;
                                    $data['chapter_page_data']['chapter_name'] = $chapter->chapter_name;
                                    $data['chapter_page_data']['top_text'] = $chapter->top_text;
                                    $data['chapter_page_data']['top_text_link'] = $chapter->link;

                                    $learn_middle_banner = BannerTemplate::where(['banner_type'=>'middle','pdf_item_type'=>'LEARN ITEM','chapter_id'=>$chapter->chapter_id,'status'=>'1'])->get();
                                    //dd($learn_middle_banner);
                                    if($learn_middle_banner){
                                        $data['chapter_page_data']['learn_middle_banner'] = array();
                                        foreach($learn_middle_banner as $key=>$value){
                                            $banner_display = unserialize($value->banner_display);
                                            $bannerd = array();
                                            foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                                $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                                if(isset($bannerplan)){
                                                    $bannerd[] = $bannerplan->name;
                                                }else{
                                                   //$bannerd[] = 'NA';
                                                }
                                            }
                                            $data['chapter_page_data']['learn_middle_banner'][$key]['banner_id'] = $value->id;
                                            $data['chapter_page_data']['learn_middle_banner'][$key]['order_num'] = $value->banner_order;
                                            $data['chapter_page_data']['learn_middle_banner'][$key]['banner_function'] = $value->banner_function;
                                            $data['chapter_page_data']['learn_middle_banner'][$key]['link'] = $value->banner_link;
                                            $data['chapter_page_data']['learn_middle_banner'][$key]['banner_image'] = $value->banner_image;
                                            $data['chapter_page_data']['learn_middle_banner'][$key]['banner_name'] = $value->banner_name;
                                            $data['chapter_page_data']['learn_middle_banner'][$key]['banner_display'] = $bannerd;
                                        }
                                    }else{
                                        $data['chapter_page_data']['learn_middle_banner'] = array();
                                    }

                                    $learn_bottom_banner = BannerTemplate::where(['banner_type'=>'bottom','pdf_item_type'=>'LEARN ITEM','chapter_id'=>$chapter->chapter_id,'status'=>'1'])->get();
                                    //dd($learn_bottom_banner);
                                    if($learn_bottom_banner){
                                        $data['chapter_page_data']['learn_bottom_banner'] = array();
                                        foreach($learn_bottom_banner as $key=>$value){
                                            $banner_display = unserialize($value->banner_display);
                                            $bannerd = array();
                                            foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                                $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                                if(isset($bannerplan)){
                                                    $bannerd[] = $bannerplan->name;
                                                }else{
                                                   //$bannerd[] = 'NA';
                                                }
                                            }
                                            $data['chapter_page_data']['learn_bottom_banner'][$key]['banner_id'] = $value->id;
                                            $data['chapter_page_data']['learn_bottom_banner'][$key]['order_num'] = $value->banner_order;
                                            $data['chapter_page_data']['learn_bottom_banner'][$key]['banner_function'] = $value->banner_function;
                                            $data['chapter_page_data']['learn_bottom_banner'][$key]['link'] = $value->banner_link;
                                            $data['chapter_page_data']['learn_bottom_banner'][$key]['banner_image'] = $value->banner_image;
                                            $data['chapter_page_data']['learn_bottom_banner'][$key]['banner_name'] = $value->banner_name;
                                            $data['chapter_page_data']['learn_bottom_banner'][$key]['banner_display'] = $bannerd;
                                        }                                        
                                    }else{
                                        $data['chapter_page_data']['learn_bottom_banner'] = array();
                                    }

                                    $learn_separator = ChapterSeperator::where(['chapter_id'=>$chapter->chapter_id,'pdf_item_type'=>'LEARN ITEM','status'=>'1'])->get();
                                    //dd($learn_separator);
                                    if($learn_separator){
                                        $data['chapter_page_data']['learn_separator'] = array();
                                        foreach($learn_separator as $key=>$value){
                                            $data['chapter_page_data']['learn_separator'][$key]['separator_id'] = $value->id;
                                            $data['chapter_page_data']['learn_separator'][$key]['separator_name'] = $value->seperator_display_text;
                                            $data['chapter_page_data']['learn_separator'][$key]['order_num'] = $value->seperator_order;
                                        }
                                    }else{
                                        $data['chapter_page_data']['learn_separator'] = array();
                                    }

                                    //practice items
                                    $practice_middle_banner = BannerTemplate::where(['banner_type'=>'middle','pdf_item_type'=>'PRACTICE ITEM','chapter_id'=>$chapter->chapter_id,'status'=>'1'])->get();
                                    //dd($practice_middle_banner);
                                    if($practice_middle_banner){
                                        $data['chapter_page_data']['practice_middle_banner'] = array();
                                        foreach($practice_middle_banner as $key=>$value){
                                            $banner_display = unserialize($value->banner_display);
                                            $bannerd = array();
                                            foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                                $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                                if(isset($bannerplan)){
                                                    $bannerd[] = $bannerplan->name;
                                                }else{
                                                   //$bannerd[] = 'NA';
                                                }
                                            }
                                            $data['chapter_page_data']['practice_middle_banner'][$key]['banner_id'] = $value->id;
                                            $data['chapter_page_data']['practice_middle_banner'][$key]['order_num'] = $value->banner_order;
                                            $data['chapter_page_data']['practice_middle_banner'][$key]['banner_function'] = $value->banner_function;
                                            $data['chapter_page_data']['practice_middle_banner'][$key]['link'] = $value->banner_link;
                                            $data['chapter_page_data']['practice_middle_banner'][$key]['banner_image'] = $value->banner_image;
                                            $data['chapter_page_data']['practice_middle_banner'][$key]['banner_name'] = $value->banner_name;
                                            $data['chapter_page_data']['practice_middle_banner'][$key]['banner_display'] = $bannerd;
                                        }                                        
                                    }else{
                                        $data['chapter_page_data']['practice_middle_banner'] = array();
                                    }

                                    $practice_bottom_banner = BannerTemplate::where(['banner_type'=>'bottom','pdf_item_type'=>'PRACTICE ITEM','chapter_id'=>$chapter->chapter_id,'status'=>'1'])->get();
                                    //dd($practice_bottom_banner);
                                    if($practice_bottom_banner){
                                        $data['chapter_page_data']['practice_bottom_banner'] = array();
                                        foreach($practice_bottom_banner as $key=>$value){
                                            $banner_display = unserialize($value->banner_display);
                                            $bannerd = array();
                                            foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                                $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                                if(isset($bannerplan)){
                                                    $bannerd[] = $bannerplan->name;
                                                }else{
                                                   //$bannerd[] = 'NA';
                                                }
                                            }
                                            $data['chapter_page_data']['practice_bottom_banner'][$key]['banner_id'] = $value->id;
                                            $data['chapter_page_data']['practice_bottom_banner'][$key]['order_num'] = $value->banner_order;
                                            $data['chapter_page_data']['practice_bottom_banner'][$key]['banner_function'] = $value->banner_function;
                                            $data['chapter_page_data']['practice_bottom_banner'][$key]['link'] = $value->banner_link;
                                            $data['chapter_page_data']['practice_bottom_banner'][$key]['banner_image'] = $value->banner_image;
                                            $data['chapter_page_data']['practice_bottom_banner'][$key]['banner_name'] = $value->banner_name;
                                            $data['chapter_page_data']['practice_bottom_banner'][$key]['banner_display'] = $bannerd;
                                        }                                        
                                    }else{
                                        $data['chapter_page_data']['practice_bottom_banner'] = array();
                                    }

                                    $practice_separator = ChapterSeperator::where(['chapter_id'=>$chapter->chapter_id,'pdf_item_type'=>'PRACTICE ITEM','status'=>'1'])->get();
                                    //dd($practice_separator);
                                    if($practice_separator){
                                        $data['chapter_page_data']['practice_separator'] = array();
                                        foreach($practice_separator as $key=>$value){
                                            $data['chapter_page_data']['practice_separator'][$key]['separator_id'] = $value->id;
                                            $data['chapter_page_data']['practice_separator'][$key]['separator_name'] = $value->seperator_display_text;
                                            $data['chapter_page_data']['practice_separator'][$key]['order_num'] = $value->seperator_order;
                                        }
                                    }else{
                                        $data['chapter_page_data']['practice_separator'] = array();
                                    }

                                    // print items
                                    $print_middle_banner = BannerTemplate::where(['banner_type'=>'middle','pdf_item_type'=>'PRINT ITEM','chapter_id'=>$chapter->chapter_id,'status'=>'1'])->get();
                                    //dd($print_middle_banner);
                                    if($print_middle_banner){
                                        $data['chapter_page_data']['print_middle_banner'] = array();
                                        foreach($print_middle_banner as $key=>$value){
                                            $banner_display = unserialize($value->banner_display);
                                            $bannerd = array();
                                            foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                                $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                                if(isset($bannerplan)){
                                                    $bannerd[] = $bannerplan->name;
                                                }else{
                                                   //$bannerd[] = 'NA';
                                                }
                                            }
                                            $data['chapter_page_data']['print_middle_banner'][$key]['banner_id'] = $value->id;
                                            $data['chapter_page_data']['print_middle_banner'][$key]['order_num'] = $value->banner_order;
                                            $data['chapter_page_data']['print_middle_banner'][$key]['banner_function'] = $value->banner_function;
                                            $data['chapter_page_data']['print_middle_banner'][$key]['link'] = $value->banner_link;
                                            $data['chapter_page_data']['print_middle_banner'][$key]['banner_image'] = $value->banner_image;
                                            $data['chapter_page_data']['print_middle_banner'][$key]['banner_name'] = $value->banner_name;
                                            $data['chapter_page_data']['print_middle_banner'][$key]['banner_display'] = $bannerd;
                                        }                                        
                                    }else{
                                        $data['chapter_page_data']['print_middle_banner'] = array();
                                    }

                                    $print_bottom_banner = BannerTemplate::where(['banner_type'=>'bottom','pdf_item_type'=>'PRINT ITEM','chapter_id'=>$chapter->chapter_id,'status'=>'1'])->get();
                                    //dd($print_bottom_banner);
                                    if($print_bottom_banner){
                                        $data['chapter_page_data']['print_bottom_banner'] = array();
                                        foreach($print_bottom_banner as $key=>$value){
                                            $banner_display = unserialize($value->banner_display);
                                            $bannerd = array();
                                            foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                                $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                                if(isset($bannerplan)){
                                                    $bannerd[] = $bannerplan->name;
                                                }else{
                                                   //$bannerd[] = 'NA';
                                                }
                                            }
                                            $data['chapter_page_data']['print_bottom_banner'][$key]['banner_id'] = $value->id;
                                            $data['chapter_page_data']['print_bottom_banner'][$key]['order_num'] = $value->banner_order;
                                            $data['chapter_page_data']['print_bottom_banner'][$key]['banner_function'] = $value->banner_function;
                                            $data['chapter_page_data']['print_bottom_banner'][$key]['link'] = $value->banner_link;
                                            $data['chapter_page_data']['print_bottom_banner'][$key]['banner_image'] = $value->banner_image;
                                            $data['chapter_page_data']['print_bottom_banner'][$key]['banner_name'] = $value->banner_name;
                                            $data['chapter_page_data']['print_bottom_banner'][$key]['banner_display'] = $bannerd;
                                        }                                        
                                    }else{
                                        $data['chapter_page_data']['print_bottom_banner'] = array();
                                    }

                                    $print_separator = ChapterSeperator::where(['chapter_id'=>$chapter->chapter_id,'pdf_item_type'=>'PRINT ITEM','status'=>'1'])->get();
                                    //dd($print_separator);
                                    if($print_separator){
                                        $data['chapter_page_data']['print_separator'] = array();
                                        foreach($print_separator as $key=>$value){
                                            $data['chapter_page_data']['print_separator'][$key]['separator_id'] = $value->id;
                                            $data['chapter_page_data']['print_separator'][$key]['separator_name'] = $value->seperator_display_text;
                                            $data['chapter_page_data']['print_separator'][$key]['order_num'] = $value->seperator_order;
                                        }
                                    }else{
                                        $data['chapter_page_data']['print_separator'] = array();
                                    }

                                    //Plan Type
                                    $plantype = PlanType::where('status','1')->get();
                                    //learn pdf
                                    $learn = Pdf::where(['chapter_id'=>$chapter->chapter_id,'pdf_item_type'=>'LEARN ITEM','status'=>'1'])->get();
                                    if($learn){
                                        
                                        $data['chapter_page_data']['learn'] = array();
                                        foreach($learn as $key=>$value){
                                            $chapter_subject_id = CourseSubjectChapter::where(['chapter_id'=>$value->chapter_id])->first();
                                            $course_subject_data = CourseSubject::select('id','var_a')->where(['subject_id'=>$chapter_subject_id->course_subject_id])->first();
                                            $data['chapter_page_data']['learn'][$key]['learn_id'] = $value->id;
                                            $data['chapter_page_data']['learn'][$key]['order_num'] = $value->order;
                                            $data['chapter_page_data']['learn'][$key]['learn_name'] = $value->pdf_name;
                                            if($value->pdf_type=='pdf'){
                                                $data['chapter_page_data']['learn'][$key]['learn_link'] = $course_subject_data->var_a.$value->pdf_link_suflix;
                                            }else{
                                                $data['chapter_page_data']['learn'][$key]['learn_link'] = $value->pdf_link;
                                            }
                                            
                                            $access = unserialize( $value->access );
                                            $accessdata = array();
                                            //dd($access);
                                            foreach($plantype as $plankey=>$planvalue){
                                                //dd($planvalue);
                                                $accessdata[$planvalue->name]['none'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['none']) && $access[$planvalue->id]['none']=='on')?true:false;
                                                $accessdata[$planvalue->name]['view'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['view']) && $access[$planvalue->id]['view']=='on')?true:false;
                                                $accessdata[$planvalue->name]['download'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['download']) && $access[$planvalue->id]['download']=='on')?true:false;
                                            }
                                            //dd($accessdata);
                                            $data['chapter_page_data']['learn'][$key]['access'] = $accessdata;
                                        }
                                    }else{
                                        $data['chapter_page_data']['learn'] = array();
                                    }

                                    //practice pdf
                                    $practice = Pdf::where(['chapter_id'=>$chapter->chapter_id,'pdf_item_type'=>'PRACTICE ITEM','status'=>'1'])->get();
                                    if($practice){
                                        $data['chapter_page_data']['practice'] = array();
                                        foreach($practice as $key=>$value){

                                            $chapter_subject_id = CourseSubjectChapter::where(['chapter_id'=>$value->chapter_id])->first();
                                            $course_subject_data = CourseSubject::select('id','var_a')->where(['subject_id'=>$chapter_subject_id->course_subject_id])->first();

                                            $data['chapter_page_data']['practice'][$key]['practice_id'] = $value->id;
                                            $data['chapter_page_data']['practice'][$key]['order_num'] = $value->order;
                                            $data['chapter_page_data']['practice'][$key]['practice_name'] = $value->pdf_name;
                                            // $data['chapter_page_data']['practice'][$key]['practice_link'] = $value->pdf_link;
                                            
                                            if($value->pdf_type=='pdf'){
                                                $data['chapter_page_data']['practice'][$key]['practice_link'] = $course_subject_data->var_a.$value->pdf_link_suflix;
                                            }else{
                                                $data['chapter_page_data']['practice'][$key]['practice_link'] = $value->pdf_link;
                                            }

                                            $access = unserialize( $value->access );
                                            $accessdata = array();
                                            foreach($plantype as $plankey=>$planvalue){
                                                //dd($planvalue);
                                                $accessdata[$planvalue->name]['none'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['none']) && $access[$planvalue->id]['none']=='on')?true:false;
                                                $accessdata[$planvalue->name]['view'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['view']) && $access[$planvalue->id]['view']=='on')?true:false;
                                                $accessdata[$planvalue->name]['download'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['download']) && $access[$planvalue->id]['download']=='on')?true:false;
                                            }
                                            //dd($accessdata);
                                            $data['chapter_page_data']['practice'][$key]['access'] = $accessdata;
                                        }
                                    }else{
                                        $data['chapter_page_data']['practice'] = array();
                                    }

                                    //print pdf
                                    $print = Pdf::where(['chapter_id'=>$chapter->chapter_id,'pdf_item_type'=>'PRINT ITEM','status'=>'1'])->get();
                                    if($print){
                                        $data['chapter_page_data']['print'] = array();
                                        foreach($print as $key=>$value){

                                            $chapter_subject_id = CourseSubjectChapter::where(['chapter_id'=>$value->chapter_id])->first();
                                            $course_subject_data = CourseSubject::select('id','var_a')->where(['subject_id'=>$chapter_subject_id->course_subject_id])->first();

                                            $data['chapter_page_data']['print'][$key]['print_id'] = $value->id;
                                            $data['chapter_page_data']['print'][$key]['order_num'] = $value->order;
                                            $data['chapter_page_data']['print'][$key]['print_name'] = $value->pdf_name;
                                            // $data['chapter_page_data']['print'][$key]['print_link'] = $value->pdf_link;

                                            if($value->pdf_type=='pdf'){
                                                $data['chapter_page_data']['print'][$key]['print_link'] = $course_subject_data->var_a.$value->pdf_link_suflix;
                                            }else{
                                                $data['chapter_page_data']['print'][$key]['print_link'] = $value->pdf_link;
                                            }

                                            $access = unserialize( $value->access );
                                            $accessdata = array();
                                            foreach($plantype as $plankey=>$planvalue){
                                                //dd($planvalue);
                                                $accessdata[$planvalue->name]['none'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['none']) && $access[$planvalue->id]['none']=='on')?true:false;
                                                $accessdata[$planvalue->name]['view'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['view']) && $access[$planvalue->id]['view']=='on')?true:false;
                                                $accessdata[$planvalue->name]['download'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['download']) && $access[$planvalue->id]['download']=='on')?true:false;
                                            }
                                            //dd($accessdata);
                                            $data['chapter_page_data']['print'][$key]['access'] = $accessdata;
                                        }
                                    }else{
                                        $data['chapter_page_data']['print'] = array();
                                    }

                                    //$data['chapter_page_data']['learn_middle_banner'] = $chapter->link;
                                    return response()->json($data);
                                }else{
                                    return response()->json(['message' => 'Chapter id not found!'], 201);
                                }
                            }else{
                                return response()->json(['message' => 'Subject id not found!'], 201);
                            }
                        }else{
                            return response()->json(['message' => 'Course id not found!'], 201);
                        }
                    }else{
                        return response()->json(['message' => 'Invalid Device ID'], 201);
                    }
                }else{
                    return response()->json(['message' => 'Invalid token'], 401);
                }
            }else{
                return response()->json(['message' => 'Invalid token'], 401);
            }
        }catch (\Exception $e) {
            return response()->json(['message' => $e->getMessage()], 401);
        }
    }
    
    
    public function get_additional_chapter_data(Request $request){
        try{
            //dd($request);
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }

            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);
            
            if ($tokenexist == 1) {
                $token = str_replace('Bearer ', '', $authorizationHeader);
                $studentdata = User::where('token', $token)->first();
                //dd($studentdata);
                if ($studentdata) {
                    $deviceexist = \App\Helpers::userDevice($request->device_id);
                    if($deviceexist == 1){
                        $course = Course::select('C_ID')->where(['C_ID' => $request->course_id])->first();
                        if($course){
                            $subject = AdditionalCourseSubject::select('subject_id')->where(['subject_id' => $request->subject_id])->first();
                            if($subject){
                                $chapter = AdditionalCourseSubjectChapter::where(['chapter_id' => $request->chapter_id])->first();
                                if($chapter){
                                    //dd($chapter);
                                    $data['message'] = 'success';
                                    $data['chapter_page_data']['course_id'] = $course->C_ID;
                                    $data['chapter_page_data']['subject_id'] = $subject->subject_id;
                                    $data['chapter_page_data']['chapter_id'] = $chapter->chapter_id;
                                    $data['chapter_page_data']['chapter_name'] = $chapter->chapter_name;
                                    $data['chapter_page_data']['top_text'] = $chapter->top_text;
                                    $data['chapter_page_data']['top_text_link'] = $chapter->link;

                                    $learn_middle_banner = AdditionalBanner::where(['banner_type'=>'middle','pdf_item_type'=>'LEARN ITEM','chapter_id'=>$chapter->chapter_id,'status'=>'1'])->get();
                                    //dd($learn_middle_banner);
                                    if($learn_middle_banner){
                                        $data['chapter_page_data']['learn_middle_banner'] = array();
                                        foreach($learn_middle_banner as $key=>$value){
                                            $banner_display = unserialize($value->banner_display);
                                            $bannerd = array();
                                            foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                                $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                                if(isset($bannerplan)){
                                                    $bannerd[] = $bannerplan->name;
                                                }else{
                                                   //$bannerd[] = 'NA';
                                                }
                                            }
                                            $data['chapter_page_data']['learn_middle_banner'][$key]['banner_id'] = $value->id;
                                            $data['chapter_page_data']['learn_middle_banner'][$key]['order_num'] = $value->banner_order;
                                            $data['chapter_page_data']['learn_middle_banner'][$key]['banner_function'] = $value->banner_function;
                                            $data['chapter_page_data']['learn_middle_banner'][$key]['link'] = $value->banner_link;
                                            $data['chapter_page_data']['learn_middle_banner'][$key]['banner_image'] = $value->banner_image;
                                            $data['chapter_page_data']['learn_middle_banner'][$key]['banner_name'] = $value->banner_name;
                                            $data['chapter_page_data']['learn_middle_banner'][$key]['banner_display'] = $bannerd;
                                        }
                                    }else{
                                        $data['chapter_page_data']['learn_middle_banner'] = array();
                                    }

                                    $learn_bottom_banner = AdditionalBanner::where(['banner_type'=>'bottom','pdf_item_type'=>'LEARN ITEM','chapter_id'=>$chapter->chapter_id,'status'=>'1'])->get();
                                    //dd($learn_bottom_banner);
                                    if($learn_bottom_banner){
                                        $data['chapter_page_data']['learn_bottom_banner'] = array();
                                        foreach($learn_bottom_banner as $key=>$value){
                                            $banner_display = unserialize($value->banner_display);
                                            $bannerd = array();
                                            foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                                $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                                if(isset($bannerplan)){
                                                    $bannerd[] = $bannerplan->name;
                                                }else{
                                                   //$bannerd[] = 'NA';
                                                }
                                            }
                                            $data['chapter_page_data']['learn_bottom_banner'][$key]['banner_id'] = $value->id;
                                            $data['chapter_page_data']['learn_bottom_banner'][$key]['order_num'] = $value->banner_order;
                                            $data['chapter_page_data']['learn_bottom_banner'][$key]['banner_function'] = $value->banner_function;
                                            $data['chapter_page_data']['learn_bottom_banner'][$key]['link'] = $value->banner_link;
                                            $data['chapter_page_data']['learn_bottom_banner'][$key]['banner_image'] = $value->banner_image;
                                            $data['chapter_page_data']['learn_bottom_banner'][$key]['banner_name'] = $value->banner_name;
                                            $data['chapter_page_data']['learn_bottom_banner'][$key]['banner_display'] = $bannerd;
                                        }                                        
                                    }else{
                                        $data['chapter_page_data']['learn_bottom_banner'] = array();
                                    }

                                    $learn_separator = AdditionalSeperator::where(['chapter_id'=>$chapter->chapter_id,'pdf_item_type'=>'LEARN ITEM','status'=>'1'])->get();
                                    //dd($learn_separator);
                                    if($learn_separator){
                                        $data['chapter_page_data']['learn_separator'] = array();
                                        foreach($learn_separator as $key=>$value){
                                            $data['chapter_page_data']['learn_separator'][$key]['separator_id'] = $value->id;
                                            $data['chapter_page_data']['learn_separator'][$key]['separator_name'] = $value->seperator_display_text;
                                            $data['chapter_page_data']['learn_separator'][$key]['order_num'] = $value->seperator_order;
                                        }
                                    }else{
                                        $data['chapter_page_data']['learn_separator'] = array();
                                    }

                                    //practice items
                                    $practice_middle_banner = AdditionalBanner::where(['banner_type'=>'middle','pdf_item_type'=>'PRACTICE ITEM','chapter_id'=>$chapter->chapter_id,'status'=>'1'])->get();
                                    //dd($practice_middle_banner);
                                    if($practice_middle_banner){
                                        $data['chapter_page_data']['practice_middle_banner'] = array();
                                        foreach($practice_middle_banner as $key=>$value){
                                            $banner_display = unserialize($value->banner_display);
                                            $bannerd = array();
                                            foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                                $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                                if(isset($bannerplan)){
                                                    $bannerd[] = $bannerplan->name;
                                                }else{
                                                   //$bannerd[] = 'NA';
                                                }
                                            }
                                            $data['chapter_page_data']['practice_middle_banner'][$key]['banner_id'] = $value->id;
                                            $data['chapter_page_data']['practice_middle_banner'][$key]['order_num'] = $value->banner_order;
                                            $data['chapter_page_data']['practice_middle_banner'][$key]['banner_function'] = $value->banner_function;
                                            $data['chapter_page_data']['practice_middle_banner'][$key]['link'] = $value->banner_link;
                                            $data['chapter_page_data']['practice_middle_banner'][$key]['banner_image'] = $value->banner_image;
                                            $data['chapter_page_data']['practice_middle_banner'][$key]['banner_name'] = $value->banner_name;
                                            $data['chapter_page_data']['practice_middle_banner'][$key]['banner_display'] = $bannerd;
                                        }                                        
                                    }else{
                                        $data['chapter_page_data']['practice_middle_banner'] = array();
                                    }

                                    $practice_bottom_banner = AdditionalBanner::where(['banner_type'=>'bottom','pdf_item_type'=>'PRACTICE ITEM','chapter_id'=>$chapter->chapter_id,'status'=>'1'])->get();
                                    //dd($practice_bottom_banner);
                                    if($practice_bottom_banner){
                                        $data['chapter_page_data']['practice_bottom_banner'] = array();
                                        foreach($practice_bottom_banner as $key=>$value){
                                            $banner_display = unserialize($value->banner_display);
                                            $bannerd = array();
                                            foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                                $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                                if(isset($bannerplan)){
                                                    $bannerd[] = $bannerplan->name;
                                                }else{
                                                   //$bannerd[] = 'NA';
                                                }
                                            }
                                            $data['chapter_page_data']['practice_bottom_banner'][$key]['banner_id'] = $value->id;
                                            $data['chapter_page_data']['practice_bottom_banner'][$key]['order_num'] = $value->banner_order;
                                            $data['chapter_page_data']['practice_bottom_banner'][$key]['banner_function'] = $value->banner_function;
                                            $data['chapter_page_data']['practice_bottom_banner'][$key]['link'] = $value->banner_link;
                                            $data['chapter_page_data']['practice_bottom_banner'][$key]['banner_image'] = $value->banner_image;
                                            $data['chapter_page_data']['practice_bottom_banner'][$key]['banner_name'] = $value->banner_name;
                                            $data['chapter_page_data']['practice_bottom_banner'][$key]['banner_display'] = $bannerd;
                                        }                                        
                                    }else{
                                        $data['chapter_page_data']['practice_bottom_banner'] = array();
                                    }

                                    $practice_separator = AdditionalSeperator::where(['chapter_id'=>$chapter->chapter_id,'pdf_item_type'=>'PRACTICE ITEM','status'=>'1'])->get();
                                    //dd($practice_separator);
                                    if($practice_separator){
                                        $data['chapter_page_data']['practice_separator'] = array();
                                        foreach($learn_separator as $key=>$value){
                                            $data['chapter_page_data']['practice_separator'][$key]['separator_id'] = $value->id;
                                            $data['chapter_page_data']['practice_separator'][$key]['separator_name'] = $value->seperator_display_text;
                                            $data['chapter_page_data']['practice_separator'][$key]['order_num'] = $value->seperator_order;
                                        }
                                    }else{
                                        $data['chapter_page_data']['practice_separator'] = array();
                                    }

                                    // print items
                                    $print_middle_banner = AdditionalBanner::where(['banner_type'=>'middle','pdf_item_type'=>'PRINT ITEM','chapter_id'=>$chapter->chapter_id,'status'=>'1'])->get();
                                    //dd($print_middle_banner);
                                    if($print_middle_banner){
                                        $data['chapter_page_data']['print_middle_banner'] = array();
                                        foreach($print_middle_banner as $key=>$value){
                                            $banner_display = unserialize($value->banner_display);
                                            $bannerd = array();
                                            foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                                $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                                if(isset($bannerplan)){
                                                    $bannerd[] = $bannerplan->name;
                                                }else{
                                                   //$bannerd[] = 'NA';
                                                }
                                            }
                                            $data['chapter_page_data']['print_middle_banner'][$key]['banner_id'] = $value->id;
                                            $data['chapter_page_data']['print_middle_banner'][$key]['order_num'] = $value->banner_order;
                                            $data['chapter_page_data']['print_middle_banner'][$key]['banner_function'] = $value->banner_function;
                                            $data['chapter_page_data']['print_middle_banner'][$key]['link'] = $value->banner_link;
                                            $data['chapter_page_data']['print_middle_banner'][$key]['banner_image'] = $value->banner_image;
                                            $data['chapter_page_data']['print_middle_banner'][$key]['banner_name'] = $value->banner_name;
                                            $data['chapter_page_data']['print_middle_banner'][$key]['banner_display'] = $bannerd;
                                        }                                        
                                    }else{
                                        $data['chapter_page_data']['print_middle_banner'] = array();
                                    }

                                    $print_bottom_banner = AdditionalBanner::where(['banner_type'=>'bottom','pdf_item_type'=>'PRINT ITEM','chapter_id'=>$chapter->chapter_id,'status'=>'1'])->get();
                                    //dd($print_bottom_banner);
                                    if($print_bottom_banner){
                                        $data['chapter_page_data']['print_bottom_banner'] = array();
                                        foreach($print_bottom_banner as $key=>$value){
                                            $banner_display = unserialize($value->banner_display);
                                            $bannerd = array();
                                            foreach($banner_display as $bannerdisplaykey=>$bannerdisplayvalue){
                                                $bannerplan = PlanType::select('name')->where('id', $bannerdisplayvalue)->first();
                                                if(isset($bannerplan)){
                                                    $bannerd[] = $bannerplan->name;
                                                }else{
                                                   //$bannerd[] = 'NA';
                                                }
                                            }
                                            $data['chapter_page_data']['print_bottom_banner'][$key]['banner_id'] = $value->id;
                                            $data['chapter_page_data']['print_bottom_banner'][$key]['order_num'] = $value->banner_order;
                                            $data['chapter_page_data']['print_bottom_banner'][$key]['banner_function'] = $value->banner_function;
                                            $data['chapter_page_data']['print_bottom_banner'][$key]['link'] = $value->banner_link;
                                            $data['chapter_page_data']['print_bottom_banner'][$key]['banner_image'] = $value->banner_image;
                                            $data['chapter_page_data']['print_bottom_banner'][$key]['banner_name'] = $value->banner_name;
                                            $data['chapter_page_data']['print_bottom_banner'][$key]['banner_display'] = $bannerd;
                                        }                                        
                                    }else{
                                        $data['chapter_page_data']['print_bottom_banner'] = array();
                                    }

                                    $print_separator = AdditionalSeperator::where(['chapter_id'=>$chapter->chapter_id,'pdf_item_type'=>'PRINT ITEM','status'=>'1'])->get();
                                    //dd($print_separator);
                                    if($print_separator){
                                        $data['chapter_page_data']['print_separator'] = array();
                                        foreach($print_separator as $key=>$value){
                                            $data['chapter_page_data']['print_separator'][$key]['separator_id'] = $value->id;
                                            $data['chapter_page_data']['print_separator'][$key]['separator_name'] = $value->seperator_display_text;
                                            $data['chapter_page_data']['print_separator'][$key]['order_num'] = $value->seperator_order;
                                        }
                                    }else{
                                        $data['chapter_page_data']['print_separator'] = array();
                                    }

                                    //Plan Type
                                    $plantype = PlanType::where('status','1')->get();
                                    //learn pdf
                                    $learn = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapter->chapter_id,'pdf_item_type'=>'LEARN ITEM','status'=>'1'])->get();
                                    if($learn){
                                        
                                        $data['chapter_page_data']['learn'] = array();
                                        foreach($learn as $key=>$value){
                                            $chapter_subject_id = AdditionalCourseSubjectChapter::where(['chapter_id'=>$value->chapter_id])->first();
                                            $course_subject_data = AdditionalCourseSubject::select('id','var_a')->where(['subject_id'=>$chapter_subject_id->additional_course_subject_id])->first();
                                            $data['chapter_page_data']['learn'][$key]['learn_id'] = $value->id;
                                            $data['chapter_page_data']['learn'][$key]['order_num'] = $value->order;
                                            $data['chapter_page_data']['learn'][$key]['learn_name'] = $value->pdf_name;
                                            if($value->pdf_type=='pdf'){
                                                $data['chapter_page_data']['learn'][$key]['learn_link'] = $course_subject_data->var_a.$value->pdf_link_suflix;
                                            }else{
                                                $data['chapter_page_data']['learn'][$key]['learn_link'] = $value->pdf_link;
                                            }
                                            
                                            $access = unserialize( $value->access );
                                            $accessdata = array();
                                            //dd($access);
                                            foreach($plantype as $plankey=>$planvalue){
                                                //dd($planvalue);
                                                $accessdata[$planvalue->name]['none'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['none']) && $access[$planvalue->id]['none']=='on')?true:false;
                                                $accessdata[$planvalue->name]['view'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['view']) && $access[$planvalue->id]['view']=='on')?true:false;
                                                $accessdata[$planvalue->name]['download'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['download']) && $access[$planvalue->id]['download']=='on')?true:false;
                                            }
                                            //dd($accessdata);
                                            $data['chapter_page_data']['learn'][$key]['access'] = $accessdata;
                                        }
                                    }else{
                                        $data['chapter_page_data']['learn'] = array();
                                    }

                                    //practice pdf
                                    $practice = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapter->chapter_id,'pdf_item_type'=>'PRACTICE ITEM','status'=>'1'])->get();
                                    if($practice){
                                        $data['chapter_page_data']['practice'] = array();
                                        foreach($practice as $key=>$value){

                                            $chapter_subject_id = AdditionalCourseSubjectChapter::where(['chapter_id'=>$value->chapter_id])->first();
                                            $course_subject_data = AdditionalCourseSubject::select('id','var_a')->where(['subject_id'=>$chapter_subject_id->additional_course_subject_id])->first();

                                            $data['chapter_page_data']['practice'][$key]['practice_id'] = $value->id;
                                            $data['chapter_page_data']['practice'][$key]['order_num'] = $value->order;
                                            $data['chapter_page_data']['practice'][$key]['practice_name'] = $value->pdf_name;
                                            // $data['chapter_page_data']['practice'][$key]['practice_link'] = $value->pdf_link;
                                            
                                            if($value->pdf_type=='pdf'){
                                                $data['chapter_page_data']['practice'][$key]['practice_link'] = $course_subject_data->var_a.$value->pdf_link_suflix;
                                            }else{
                                                $data['chapter_page_data']['practice'][$key]['practice_link'] = $value->pdf_link;
                                            }

                                            $access = unserialize( $value->access );
                                            $accessdata = array();
                                            foreach($plantype as $plankey=>$planvalue){
                                                //dd($planvalue);
                                                $accessdata[$planvalue->name]['none'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['none']) && $access[$planvalue->id]['none']=='on')?true:false;
                                                $accessdata[$planvalue->name]['view'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['view']) && $access[$planvalue->id]['view']=='on')?true:false;
                                                $accessdata[$planvalue->name]['download'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['download']) && $access[$planvalue->id]['download']=='on')?true:false;
                                            }
                                            //dd($accessdata);
                                            $data['chapter_page_data']['practice'][$key]['access'] = $accessdata;
                                        }
                                    }else{
                                        $data['chapter_page_data']['practice'] = array();
                                    }

                                    //print pdf
                                    $print = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapter->chapter_id,'pdf_item_type'=>'PRINT ITEM','status'=>'1'])->get();
                                    if($print){
                                        $data['chapter_page_data']['print'] = array();
                                        foreach($print as $key=>$value){

                                            $chapter_subject_id = AdditionalCourseSubjectChapter::where(['chapter_id'=>$value->chapter_id])->first();
                                            $course_subject_data = AdditionalCourseSubject::select('id','var_a')->where(['subject_id'=>$chapter_subject_id->additional_course_subject_id])->first();

                                            $data['chapter_page_data']['print'][$key]['print_id'] = $value->id;
                                            $data['chapter_page_data']['print'][$key]['order_num'] = $value->order;
                                            $data['chapter_page_data']['print'][$key]['print_name'] = $value->pdf_name;
                                            // $data['chapter_page_data']['print'][$key]['print_link'] = $value->pdf_link;

                                            if($value->pdf_type=='pdf'){
                                                $data['chapter_page_data']['print'][$key]['print_link'] = $course_subject_data->var_a.$value->pdf_link_suflix;
                                            }else{
                                                $data['chapter_page_data']['print'][$key]['print_link'] = $value->pdf_link;
                                            }

                                            $access = unserialize( $value->access );
                                            $accessdata = array();
                                            foreach($plantype as $plankey=>$planvalue){
                                                //dd($planvalue);
                                                $accessdata[$planvalue->name]['none'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['none']) && $access[$planvalue->id]['none']=='on')?true:false;
                                                $accessdata[$planvalue->name]['view'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['view']) && $access[$planvalue->id]['view']=='on')?true:false;
                                                $accessdata[$planvalue->name]['download'] = (isset($access[$planvalue->id]) && isset($access[$planvalue->id]['download']) && $access[$planvalue->id]['download']=='on')?true:false;
                                            }
                                            //dd($accessdata);
                                            $data['chapter_page_data']['print'][$key]['access'] = $accessdata;
                                        }
                                    }else{
                                        $data['chapter_page_data']['print'] = array();
                                    }

                                    //$data['chapter_page_data']['learn_middle_banner'] = $chapter->link;
                                    return response()->json($data);
                                }else{
                                    return response()->json(['message' => 'Chapter id not found!'], 201);
                                }
                            }else{
                                return response()->json(['message' => 'Subject id not found!'], 201);
                            }
                        }else{
                            return response()->json(['message' => 'Course id not found!'], 201);
                        }
                    }else{
                        return response()->json(['message' => 'Invalid Device ID'], 201);
                    }
                }else{
                    return response()->json(['message' => 'Invalid token'], 401);
                }
            }else{
                return response()->json(['message' => 'Invalid token'], 401);
            }
        }catch (\Exception $e) {
            return response()->json(['message' => $e->getMessage()], 401);
        }
    }


    public function update_optional_subjects_additional_courses(Request $request){
        try{
            //dd($request);
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }

            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);
            
            if ($tokenexist == 1) {
                $token = str_replace('Bearer ', '', $authorizationHeader);
                $studentdata = User::where('token', $token)->first();
                if ($studentdata) {
                    $deviceexist = \App\Helpers::userDevice($request->device_id);
                    if($deviceexist == 1){
                        $student_profile_plan = UserStudentProfilePlan::where(['user_email' => $studentdata->email, 'profile_number'=>$request->profile_num,'course_id'=>$request->course_id])->first();
                        if($student_profile_plan){
                            $student_profile_plan->list_of_optional_subject = $request->optional_subjects;
                            $student_profile_plan->list_of_additional_course = $request->additional_course;
                            if($student_profile_plan->save()){
                                $data['message'] = "success";                                
                            }else{
                                $data['message'] = "error";         
                            }
                            return response()->json($data);
                        }else{
                            return response()->json(['message' => 'Student plan not found!'], 201);
                        }
                    }else{
                        return response()->json(['message' => 'Invalid Device ID'], 201);
                    }
                }else{
                    return response()->json(['message' => 'Invalid token'], 401);
                }
            }else{
                return response()->json(['message' => 'Invalid token'], 401);
            }
        }catch (\Exception $e) {
            return response()->json(['message' => $e->getMessage()], 401);
        }
    }

    public function get_optional_subjects_additional_courses(Request $request){
        try{
            //dd($request);
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }

            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);
            
            if ($tokenexist == 1) {
                $token = str_replace('Bearer ', '', $authorizationHeader);
                $studentdata = User::where('token', $token)->first();
                //dd($studentdata);
                if ($studentdata) {
                    $deviceexist = \App\Helpers::userDevice($request->device_id);
                    if($deviceexist == 1){
                        $student_profile_plan = UserStudentProfilePlan::with('user')->where(['user_email' => $studentdata->email, 'profile_number'=>$request->profile_num,'course_id'=>$request->course_id])->first();
                        //dd($student_profile_plan);
                        if($student_profile_plan){
                            $data['message'] = "success";
                            $data['device_id'] = $studentdata['device_id'];
                            $data['user_blocked'] = ($student_profile_plan['user'][0]['user_blocked']=='false')?false:true;
                            $data['course_id'] = $student_profile_plan['course_id'];
                            $optional_subjects_id = explode(',',$student_profile_plan['list_of_optional_subject']);
                            
                            $optional_subjects = CourseSubject::with('subjectcategory')->whereIn('subject_id',$optional_subjects_id)->where(['course_id'=>$student_profile_plan['course_id'],'subject_type'=>'OPTIONAL', 'status'=>1])->get();
                            //dd($optional_subjects);
                            if($optional_subjects){
                                $data['user_selected_subjects'] = array();
                                foreach($optional_subjects as $key=>$value){
                                    $data['user_selected_subjects'][$key]['subject_id'] = $value->subject_id;
                                    $data['user_selected_subjects'][$key]['subject_name'] = $value->subject_display_name;
                                    $data['user_selected_subjects'][$key]['optional'] = ($value->subject_type=='OPTIONAL')?true:false;
                                    $data['user_selected_subjects'][$key]['subject_category'] = $value->subjectcategory->name;
                                    $data['user_selected_subjects'][$key]['subject_order'] = $value->subject_order;
                                }
                            }else{
                                $data['user_selected_subjects'] = array();
                            }

                            $not_selected_optional_subjects = CourseSubject::with('subjectcategory')->whereNotIn('subject_id',$optional_subjects_id)->where(['course_id'=>$student_profile_plan['course_id'],'subject_type'=>'OPTIONAL', 'status'=>1])->get();
                            //dd($not_selected_optional_subjects);
                            if($not_selected_optional_subjects){
                                $data['user_not_selected_subjects'] = array();
                                foreach($not_selected_optional_subjects as $key=>$value){
                                    $data['user_not_selected_subjects'][$key]['subject_id'] = $value->subject_id;
                                    $data['user_not_selected_subjects'][$key]['subject_name'] = $value->subject_display_name;
                                    $data['user_not_selected_subjects'][$key]['optional'] = ($value->subject_type=='OPTIONAL')?true:false;
                                    $data['user_not_selected_subjects'][$key]['subject_category'] = $value->subjectcategory->name;
                                    $data['user_not_selected_subjects'][$key]['subject_order'] = $value->subject_order;
                                }
                            }else{
                                $data['user_not_selected_subjects'] = array();
                            }

                            //additiona course data
                            $additinal_course_id = explode(',',$student_profile_plan['list_of_additional_course']);
                            //dd($additinal_course_id);
                            $additinal_course = AdditionalCourse::whereIn('AC_ID',$additinal_course_id)->where(['course_id'=>$student_profile_plan['course_id']])->get();
                            //dd($additinal_course);
                            if($additinal_course){
                                $data['additional_courses_selected'] = array();
                                foreach($additinal_course as $key=>$value){
                                    $data['additional_courses_selected'][$key]['add_course_id'] = $value->AC_ID;
                                    $data['additional_courses_selected'][$key]['course_name'] = $value->course_name;
                                    $data['additional_courses_selected'][$key]['order_num'] = $value->AC_ORDER;
                                }
                            }else{
                                $data['additional_courses_selected'] = array();
                            }


                            $additional_courses_not_selected = AdditionalCourse::whereNotIn('AC_ID',$additinal_course_id)->where(['course_id'=>$student_profile_plan['course_id']])->get();
                            //dd($additional_courses_not_selected);
                            if($additional_courses_not_selected){
                                $data['additional_courses_not_selected'] = array();
                                foreach($additional_courses_not_selected as $key=>$value){
                                    $data['additional_courses_not_selected'][$key]['add_course_id'] = $value->AC_ID;
                                    $data['additional_courses_not_selected'][$key]['course_name'] = $value->course_name;
                                    $data['additional_courses_not_selected'][$key]['order_num'] = $value->AC_ORDER;
                                }
                            }else{
                                $data['additional_courses_not_selected'] = array();
                            }

                            return response()->json($data);
                        }else{
                            return response()->json(['message' => 'Student plan not found!'], 201);
                        }
                    }else{
                        return response()->json(['message' => 'Invalid Device ID'], 201);
                    }
                }else{
                    return response()->json(['message' => 'Invalid token'], 401);
                }
            }else{
                return response()->json(['message' => 'Invalid token'], 401);
            }
        }catch (\Exception $e) {
            return response()->json(['message' => $e->getMessage()], 401);
        }
    }


    public function get_profile_data(Request $request){
        try{
            //dd($request);
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }

            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);
            
            if ($tokenexist == 1) {
                $token = str_replace('Bearer ', '', $authorizationHeader);
                $studentdata = User::where('token', $token)->first();
                //dd($studentdata);
                if ($studentdata) {
                    $deviceexist = \App\Helpers::userDevice($request->device_id);
                    if($deviceexist == 1){
                        $student_profile_plan = UserStudentProfilePlan::with('user')->where(['user_email' => $studentdata->email, 'profile_number'=>$request->profile_num,'course_id'=>$request->course_id])->first();
                        //dd($student_profile_plan);
                        if($student_profile_plan){
                            $data['message'] = 'success';
                            $data['device_id'] = $request->device_id;
                            $data['user_blocked'] = $studentdata->user_blocked;
                            
                            $data['profile_data']['user_name'] = $studentdata->name;
                            $data['profile_data']['user_email'] = $studentdata->email;
                            $data['profile_data']['profile_type'] = ($student_profile_plan->profile_number == 'PROFILE_ONE')?$student_profile_plan['user'][0]['profile_one_type']:$student_profile_plan['user'][0]['profile_two_type'];
                            $data['profile_data']['profile_num'] = $student_profile_plan->profile_number;  
                            
                            $cousedata = Course::with('board','class','streamlist','mediumlist')->where(['C_ID'=>$student_profile_plan->course_id])->first(); 
                            if($cousedata){
                                $data['profile_data']['board'] = $cousedata->board->board_name;
                                $data['profile_data']['class'] = $cousedata->class->class_name;
                                $data['profile_data']['stream'] = (isset($cousedata->streamlist) && !empty($cousedata->streamlist->name))?$cousedata->streamlist->name:'NA';
                                $data['profile_data']['medium'] = (isset($cousedata->mediumlist) && !empty($cousedata->mediumlist->name))?$cousedata->mediumlist->name:'NA';
                            }else{
                                $data['profile_data']['board'] = '';
                                $data['profile_data']['class'] = '';
                                $data['profile_data']['stream'] = '';
                                $data['profile_data']['medium'] = '';
                            }

                            if($student_profile_plan->plan_id == '' || $student_profile_plan->plan_id == '0'){
                                $data['current_plan_details']['plan_name'] = '';
                                $data['current_plan_details']['plan_type'] = 'free';
                                $data['current_plan_details']['amount_paid'] = 0;
                                $data['current_plan_details']['validity'] = '31-12-2050';  
                            }else{
                                $current_plan_details = CoursePlan::with('plantypelist')->where(['id'=>$student_profile_plan->plan_id])->first(); 
                                //dd($current_plan_details);
                                if($current_plan_details){
                                    $data['current_plan_details']['plan_name'] = $current_plan_details->plan_name;
                                    $data['current_plan_details']['plan_type'] = $current_plan_details->plantypelist->name;
                                    $data['current_plan_details']['amount_paid'] = $current_plan_details->androide_price;
                                    $data['current_plan_details']['validity'] = $current_plan_details->plan_validity;
                                }else{
                                    $data['current_plan_details']['plan_name'] = '';
                                    $data['current_plan_details']['plan_type'] = 'free';
                                    $data['current_plan_details']['amount_paid'] = 0;
                                    $data['current_plan_details']['validity'] = '31-12-2050';  
                                   // $data['current_plan_details'] = array();                          
                                }
                            }

                            $other_student_profile_plan_data = UserStudentProfilePlan::with('course')->where(['user_email' => $studentdata->email, 'profile_number'=>$request->profile_num])->where('course_id','!=',$request->course_id)->get();
                            //dd($other_student_profile_plan_data);
                            if(count($other_student_profile_plan_data) > 0){
                                //dd($other_student_profile_plan_data);
                                foreach($other_student_profile_plan_data as $key=>$value){
                                    if($value->plan_type != 'free'){
                                        $other_plan_details = CoursePlan::with('plantypelist')->where(['id'=>$value->plan_id])->first();
                                        if($other_plan_details){
                                            $data['other_purchased_plans'][$key]['plan_name'] = $other_plan_details->plan_name;
                                            $data['other_purchased_plans'][$key]['plan_type'] = $other_plan_details->plantypelist->name;
                                            $data['other_purchased_plans'][$key]['amount_paid'] = $other_plan_details->androide_price;
                                            $data['other_purchased_plans'][$key]['validity'] = $other_plan_details->plan_validity;
                                            $data['other_purchased_plans'][$key]['course_id'] = $value->course->C_ID;
                                            $data['other_purchased_plans'][$key]['course_name'] = $value->course->C_ID;
                                        }
                                    }else{
                                        $data['other_purchased_plans'][$key]['plan_name'] = '';
                                        $data['other_purchased_plans'][$key]['plan_type'] = 'free';
                                        $data['other_purchased_plans'][$key]['amount_paid'] = 0;
                                        $data['other_purchased_plans'][$key]['validity'] = '31-12-2050';
                                        $data['other_purchased_plans'][$key]['course_id'] = $value->course->C_ID;
                                        $data['other_purchased_plans'][$key]['course_name'] = $value->course->C_ID;
                                    }
                                    
                                }
                            }else{
                                $data['other_purchased_plans'] = array(); 
                            }
                            //dd($data);
                        }else{
                            $data = array();
                        }
                        return response()->json([
                            'data' => $data,
                        ], 200);
                    }else{
                        return response()->json(['message' => 'Invalid Device ID'], 201);
                    }
                }else{
                    return response()->json(['message' => 'Invalid token'], 401);
                }
            }else{
                return response()->json(['message' => 'Invalid token'], 401);
            }
        }catch (\Exception $e) {
            return response()->json(['message' => $e->getMessage()], 401);
        }
    }

    public function get_plan_details(Request $request){
        // dd($request);
        try{
            //dd($request);
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }

            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);
            
            if ($tokenexist == 1) {
                $token = str_replace('Bearer ', '', $authorizationHeader);
                $studentdata = User::where('token', $token)->first();
                //dd($studentdata);
                if ($studentdata) {
                    $deviceexist = \App\Helpers::userDevice($request->device_id);
                    if($deviceexist == 1){
                        $student_profile_plan = UserStudentProfilePlan::select('plan_id', 'amount_paid', 'validity_of_plan')->where(['user_email' => $studentdata->email, 'profile_number'=>$request->profile_num,'course_id'=>$request->course_id])->first();
                        //dd($student_profile_plan);
                            //dd($data);
                        if($student_profile_plan){
                            $data['message'] = 'success';
                            $data['device_id'] = $request->device_id;
                            $data['user_blocked'] = $studentdata->user_blocked;
                            
                            if($student_profile_plan->plan_id == '' || $student_profile_plan->plan_id == '0'){
                                $data['current_plan_details']['plan_name'] = 'free';
                                $data['current_plan_details']['plan_type'] = 'free';
                                $data['current_plan_details']['discount'] = 0;
                                $data['current_plan_details']['discount_validity'] = 0;
                                $data['current_plan_details']['gst'] = 0;
                                $data['current_plan_details']['plan_image'] = '';
                                $data['current_plan_details']['confirmation_page'] = '';
                                $data['current_plan_details']['mail_content'] = '';                        
                                $data['current_plan_details']['amount_paid'] = 0;
                                $data['current_plan_details']['validity'] = "31-12-2050";  
                                $data['current_plan_details']['price'] = 0;
                            }else{
                                $current_plan_details = CoursePlan::with('plantypelist')->where(['id'=>$student_profile_plan->plan_id])->first();
                                if($current_plan_details){
                                $currentPlanValidity = Carbon::parse($student_profile_plan->validity_of_plan);       // Carbon::parse($current_plan_details->plan_validity);
                                if($currentPlanValidity->gt(Carbon::today())){
                                    $data['current_plan_details']['plan_name'] = $current_plan_details->plan_name;
                                    $data['current_plan_details']['plan_type'] = $current_plan_details->plantypelist->name;
                                    $data['current_plan_details']['discount'] = $current_plan_details->discount;
                                    $data['current_plan_details']['discount_validity'] = $current_plan_details->discount_validity;
                                    $data['current_plan_details']['gst'] = $current_plan_details->gst;
                                    $data['current_plan_details']['plan_image'] = $current_plan_details->plan_image;
                                    $data['current_plan_details']['confirmation_page'] = $current_plan_details->confirmation_page;
                                    $data['current_plan_details']['mail_content'] = $current_plan_details->mail;
                                    $data['current_plan_details']['amount_paid'] = $student_profile_plan->amount_paid;
                                    $data['current_plan_details']['validity'] = $student_profile_plan->validity_of_plan;
                                    if($request->device_type == 'android'){
                                        $data['current_plan_details']['price'] = $current_plan_details->androide_price;
                                    } else {
                                        $data['current_plan_details']['price'] = $current_plan_details->ios_price;
                                     }
                                    } else {
                                    
                                    $data['current_plan_details']['plan_name'] = 'free';
                                    $data['current_plan_details']['plan_type'] = 'free';
                                    $data['current_plan_details']['discount'] = 0;
                                    $data['current_plan_details']['discount_validity'] = 0;
                                    $data['current_plan_details']['gst'] = 0;
                                    $data['current_plan_details']['plan_image'] = '';
                                    $data['current_plan_details']['confirmation_page'] = '';
                                    $data['current_plan_details']['mail_content'] = '';                        
                                    $data['current_plan_details']['amount_paid'] = 0;
                                    $data['current_plan_details']['validity'] = "31-12-2050";  
                                    $data['current_plan_details']['price'] = 0;
                                    }
                                }
                                else{
                                      $data['current_plan_details']['plan_name'] = 'free';
                                $data['current_plan_details']['plan_type'] = 'free';
                                $data['current_plan_details']['discount'] = 0;
                                $data['current_plan_details']['discount_validity'] = 0;
                                $data['current_plan_details']['gst'] = 0;
                                $data['current_plan_details']['plan_image'] = '';
                                $data['current_plan_details']['confirmation_page'] = '';
                                $data['current_plan_details']['mail_content'] = '';                        
                                $data['current_plan_details']['amount_paid'] = 0;
                                $data['current_plan_details']['validity'] = "31-12-2050";  
                                $data['current_plan_details']['price'] = 0;                        
                                }
                            }
                            $other_plan_details = CoursePlan::with('plantypelist')->where('id','!=',$student_profile_plan->plan_id)->where(['course_id'=>$request->course_id])->get();
                            if(count($other_plan_details) > 0){
                                foreach($other_plan_details as $key=>$value){
                                     $planValidityDate =  Carbon::parse($value->plan_validity);
                                 if($planValidityDate->gt(Carbon::today())) {
                                      $data['other_plans'][$key]['plan_id'] = $value->id;
                                    $data['other_plans'][$key]['plan_name'] = $value->plan_name;
                                    $data['other_plans'][$key]['plan_type'] = $value->plantypelist->name;                               
                                    $data['other_plans'][$key]['discount'] = $value->discount;
                                    $data['other_plans'][$key]['discount_validity'] = $value->discount_validity;
                                    $data['other_plans'][$key]['gst'] = $value->gst;
                                    $data['other_plans'][$key]['plan_image'] = $value->plan_image;
                                    $data['other_plans'][$key]['confirmation_page'] = $value->confirmation_page;
                                    $data['other_plans'][$key]['mail_content'] = $value->mail;
                                    $data['other_plans'][$key]['amount_paid'] = 0;
                                    $data['other_plans'][$key]['validity'] = $value->plan_validity;
                                    if($request->device_type == 'android'){
                                        $data['other_plans'][$key]['price'] = $value->androide_price;
                                    } else {
                                        $data['other_plans'][$key]['price'] = $value->ios_price;
                                    }
                                 }
                                }
                            }else{
                                $data['other_plans'] = array(); 
                            }
                        }else{
                            $data = array();
                        }
                        return response()->json([
                            'data' => $data,
                        ], 200);
                    }else{
                        return response()->json(['message' => 'Invalid Device ID'], 201);
                    }
                }else{
                    return response()->json(['message' => 'Invalid token'], 401);
                }
            }else{
                return response()->json(['message' => 'Invalid token'], 401);
            }
        }catch (\Exception $e) {
            return response()->json(['message' => $e->getMessage()], 401);
        }

    }


    public function get_help_url(Request $request){
        // dd($request);
        try{
            //dd($request);
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }

            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);
            
            if ($tokenexist == 1) {
                $token = str_replace('Bearer ', '', $authorizationHeader);
                $studentdata = User::where('token', $token)->first();
                //dd($studentdata);
                if ($studentdata) {
                    $deviceexist = \App\Helpers::userDevice($request->device_id);
                    if($deviceexist == 1){
                        $help_url = HelpUrl::select('help_url_free', 'help_url_paid')->where('course_id', $request->course_id)->first();
                        if($help_url){
                            $data['message'] = 'success';
                            $data['device_id'] = $request->device_id;
                            $data['user_blocked'] = $studentdata->user_blocked;
                            $data['help_url_free'] = $help_url->help_url_free;
                            $data['help_url_paid'] = $help_url->help_url_paid;                   
                        }else{
                            $data = array();
                        }
                        return response()->json([
                            'data' => $data,
                        ], 200);
                    }else{
                        return response()->json(['message' => 'Invalid Device ID'], 201);
                    }
                }else{
                    return response()->json(['message' => 'Invalid token'], 401);
                }
            }else{
                return response()->json(['message' => 'Invalid token'], 401);
            }
        }catch (\Exception $e) {
            return response()->json(['message' => $e->getMessage()], 401);
        }

    }

    public function get_referral_ids(Request $request){
        try {
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }
            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);          
            if ($tokenexist == 1) {
                $token = str_replace('Bearer ', '', $authorizationHeader);
                $studentdata = User::where('token', $token)->first();
                if ($studentdata) {
                    $deviceexist = \App\Helpers::userDevice($request->device_id);
                    if($deviceexist == 1){
                            $data['message'] = 'success';
                            $data['user_blocked'] = $studentdata->user_blocked;
                        $user_referral_data = UserReferral::select('num_referrals', 'referrer_ids')->where('user_email', $studentdata->email)->first();
                        if($user_referral_data){
                          $referral_ids_array = explode(', ', $user_referral_data->referrer_ids);
                            if(count($referral_ids_array) > 0){
                                $referrer_users = User::select('name', 'email', 'last_active')->whereIn('email', $referral_ids_array)->get();
                            foreach($referrer_users as $key=>$referrer_user){                              
                                    $data['referrers'][$key]['name'] = $referrer_user->name;
                                    $data['referrers'][$key]['email'] = $referrer_user->email;
                                    $data['referrers'][$key]['last_active'] = $referrer_user->last_active;
                                }                           
                            } else {
                                $data['referrers'] = array();
                            }
                        } else {
                            $data['referrers'] = array();
                        }
                        return response()->json([
                            'data' => $data,
                        ], 200);
                    } else{
                        return response()->json(['message' => 'Invalid Device ID'], 201);
                    }
                } else{
                    return response()->json(['message' => 'Invalid token'], 401);
                }
            } else{
                return response()->json(['message' => 'Invalid token'], 401);
            }
        } catch (\Exception $e) {
            return response()->json(['message' => $e->getMessage()], 401);
        }

        // $data['message'] = 'success';
        //  $data['referrers'] = array();
        //  return response()->json([
        //                     'data' => $data,
        //                 ], 200);
    }

    public function update_last_active(Request $request){
        try {
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }
            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);          
            if ($tokenexist == 1) {
                $token = str_replace('Bearer ', '', $authorizationHeader);
                $studentdata = User::where('token', $token)->first();
                if ($studentdata) {
                    $deviceexist = \App\Helpers::userDevice($request->device_id);
                    if($deviceexist == 1){
                            $data['message'] = 'success';
                            $studentdata->last_active = Carbon::now();
                            $studentdata->save();                
                        return response()->json([
                            'data' => $data,
                        ], 200);
                    } else{
                        return response()->json(['message' => 'Invalid Device ID'], 201);
                    }
                } else{
                    return response()->json(['message' => 'Invalid token'], 401);
                }
            } else{
                return response()->json(['message' => 'Invalid token'], 401);
            }
        } catch (\Exception $e) {
            return response()->json(['message' => $e->getMessage()], 401);
        }
        
         // $data['message'] = 'success';
         // return response()->json([
         //                    'data' => $data,
         //                ], 200);
    }
    
        public function generate_order_id(Request $request){
        
        try {
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }
            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);          
            if ($tokenexist == 1) {
                $token = str_replace('Bearer ', '', $authorizationHeader);
                $studentdata = User::where('token', $token)->first();
                if ($studentdata) {
                   // $deviceexist = \App\Helpers::userDevice($request->device_id);
                   $deviceexist = 1;
                    if($deviceexist == 1){
                        $key_id = 'rzp_live_T1xAg93Qo4RzKY';
                        $secret = 'DnzYgtvaMCHn84yCRlWwGvsK'; 
                        $api = new Api($key_id, $secret);
                        $orderData = [
                           'receipt' => $request->receipt,
                            'amount'  => $request->amount, 
                            'currency' => 'INR'
                        ];
                        
                        $razorpayOrder = $api->order->create($orderData);
                        if(isset($razorpayOrder)){
                        $data['message'] = 'success';
                        $data['order_details'] = $razorpayOrder['id'];
                        $data['razorpay_key'] = $key_id;
                        $userPaymentDetail = new UserPaymentDetail();
                        $userPaymentDetail->user_email = $studentdata->email;
                        $userPaymentDetail->order_id =  $razorpayOrder['id'];
                        $userPaymentDetail->course_id = $request->course_id;
                        $userPaymentDetail->plan_name_id = $request->receipt;
                        $userPaymentDetail->amount = $request->amount;
                        $userPaymentDetail->order_status = 'CREATED';
                        $userPaymentDetail->profile_num = $request->profile_num;
                        $userPaymentDetail->save();     
                        } else {
                            $data['message'] = 'some error';
                        }               
                        return response()->json([
                            'data' => $data,
                        ], 200);
                    } else{
                        return response()->json(['message' => 'Invalid Device ID'], 201);
                    }
                } else{
                    return response()->json(['message' => 'Invalid token'], 401);
                }
            } else{
                return response()->json(['message' => 'Invalid token'], 401);
            }
        } catch (\Exception $e) {
            return response()->json(['message' => $e->getMessage()], 401);
        }
    }
    
    
     public function razorpay_payment_success(Request $request){
        try {
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }
            // Get the token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $tokenexist = \App\Helpers::userToken($authorizationHeader);          
            if ($tokenexist == 1) {
                $token = str_replace('Bearer ', '', $authorizationHeader);
                $studentdata = User::where('token', $token)->first();
                if ($studentdata) {
                   // $deviceexist = \App\Helpers::userDevice($request->device_id);
                   $deviceexist = 1;
                    if($deviceexist == 1){
                        $paymentVerified = false;
                        $userPaymentData = UserPaymentDetail::where('user_email', $studentdata->email)->orderBy('id','DESC')->first();
                        $key_id = 'rzp_test_8L0xDwNdEGvC9q';
                        $secret = '2hAo1fEgw6BZ3bsOXqcdQpdv'; 
                        $generated_signature = hash_hmac('SHA256', $userPaymentData->order_id.'|'.$request->payment_id, $secret);
                        if ($generated_signature == $request->payment_signature) {
                            $paymentVerified = true;
                          }
                             
                        $userPaymentData->payment_id = $request->payment_id;
                        $userPaymentData->payment_signature = $request->payment_signature;
                        $userPaymentData->order_status = $paymentVerified ?  'VERIFIED' : 'DONE';
                        $userPaymentData->save(); 

                        
                        $student_profile_plan = UserStudentProfilePlan::where(['user_email' => $studentdata->email, 
                        'profile_number'=>$request->profile_num,'course_id'=>$request->course_id])->first();
                        if($student_profile_plan){
                            $student_profile_plan->plan_id = $request->plan_id;
                            $student_profile_plan->plan_name = $request->plan_name;
                            $student_profile_plan->plan_type = $request->plan_type;
                            $student_profile_plan->validity_of_plan = $request->validity_of_plan;
                            $student_profile_plan->plan_cost = $request->discounted_value_of_plan;
                            $student_profile_plan->amount_paid = ($request->amount_paid)/100;
                            $student_profile_plan->save();
                        }
                        if($paymentVerified){
                           
                            $data['is_verified'] = true;                           
                        } else {
                            $data['is_verified'] = false;
                        }           
                        $data['message'] = 'success';    
                        return response()->json([
                            'data' => $data,
                        ], 200);
                    } else{
                        return response()->json(['message' => 'Invalid Device ID'], 201);
                    }
                } else{
                    return response()->json(['message' => 'Invalid token'], 401);
                }
            } else{
                return response()->json(['message' => 'Invalid token'], 401);
            }
        } catch (\Exception $e) {
            return response()->json(['message' => $e->getMessage()], 401);
        }
    }
    
     public function delete_user(Request $request){
      //  DB::beginTransaction();
        try {
            // Check for Authorization header
            if (!$request->hasHeader('Authorization')) {
                return response()->json(['message' => 'Missing Authorization header'], 401);
            }
    
            // Extract token from the 'Authorization' header
            $authorizationHeader = $request->header('Authorization');
            $token = str_replace('Bearer ', '', $authorizationHeader);
    
            // Validate the token and retrieve the user
            $user = User::where('token', $token)->first();
            if (!$user) {
                return response()->json(['message' => 'User not found'], 404);
            }
    
            $email = $user->email;
    
            // Delete user data from related tables
            UserReferral::where('user_email', $email)->delete();
            UserStudentProfilePlan::where('user_email', $email)->delete();
        //    UserTeacherProfilePlan::where('user_email', $email)->delete();
    
            // Finally, delete the user from the 'users' table
            $user->delete();
    
         //   DB::commit();
            return response()->json(['message' => 'User deleted successfully'], 200);
    
        } catch (\Exception $e) {
         //   DB::rollBack();
            return response()->json(['message' => $e->getMessage()], 500);
        }
    }


   
}

