<?php
 
namespace App\Http\Controllers\API;

use Illuminate\Routing\Controller;
 
use Illuminate\Http\Request;

use App\Models\User;
use App\Models\Order;
use DB;
use Laravel\Passport\RefreshToken;
use Laravel\Passport\Token;
use Illuminate\Support\Facades\Validator;
use Spatie\Permission\Models\Role;
use Illuminate\Support\Facades\Auth;

class PassportAuthController extends Controller
{
    
    private $mplanApikey;
    public function __construct()
    {
        //$this->middleware('auth');
    }
    
    /**
     * Registration Req
     */
  
    
    public function register(Request $request){
        //dd(\auth::user());
        $validator = Validator::make($request->all(), [
            'name' => 'required',
            'mobile' => 'required',
            'a_number' => 'required',
            'bo_number' => 'required',
        ]);

        if ($validator->fails()) {
            return response()->json(['error' => $validator->errors()->first()], 401);
        }
        $otp = rand(111111,999999);
        $checkuser = User::where('mobile',$request['mobile'])->first();
        if($checkuser){
            
            $userUpdate = User::where('mobile',$request['mobile'])->select('id','name','mobile')->first();
            $userUpdate->a_number = $request->a_number;
            $userUpdate->bo_number = $request->bo_number;
            $userUpdate->password = bcrypt($otp);
            $userUpdate->save();
            $userUpdate->role = 1;
            $user = User::where('mobile',$request['mobile'])->select('id','name','mobile')->first();
            $roles = Role::all();
        }else{

            $userSave = User::create([
                'name' => $request->name,
                'mobile' => $request->mobile,
                'a_number' => $request->a_number,
                'bo_number' => $request->bo_number,
                'password' => bcrypt($otp),
                'role' => 1,
            ]);
            $userSave->assignRole($request['role']);
            $user = User::where('mobile',$userSave['mobile'])->select('id','name','mobile')->first();
            $roles = Role::all();
            //dd($roles);
        }
        
        if($user){
            $jsonData = json_decode(file_get_contents('https://www.fast2sms.com/dev/bulkV2?authorization=YzwWibBm3yLudgfAGl2nqKXekrtS57Hph8cVaM46oRT9QDvJUIS23HipxvhzIYM7sEVGCb51LDWfKO68&route=dlt&sender_id=WPISMS&message=148262&variables_values='.$otp.'%7C&flash=0&numbers='.$request->mobile));
        }
        //dd($jsonData);
        //$token = Auth::login($user);
        return response()->json([
            'status' => 'success',
            'message' => 'User created successfully',
            'user' => $user,
        ]);
    }
  
    /**
     * Login Req
     */
    public function login(Request $request)
    {
        
        
        $data = [
            'mobile' => $request->mobile,
            'password' => $request->password
        ];
        //dd(auth()->attempt($data));
        if (auth()->attempt($data)) { 
            $user = auth()->user();
           
            $token = auth()->user()->createToken('Laravel8PassportAuth')->accessToken;
           
            //return response()->json(['success' => true,'token' => $token,'data'=>$user], 200);
            return response()->json([
                'status' => 'success',
                'user' => $user,
                'authorisation' => [
                    'token' => $token,
                    'type' => 'bearer',
                ]
            ]);
        } else {
             return response()->json([
                'status' => 'error',
                'message' => 'Unauthorized',
            ], 401);
        }
    }
 
    public function userInfo() 
    {
    
     $user = auth()->user();
     if($user){
         return response()->json(['data' => $user], 200);
     }else{
        return response()->json(['error' => 'Unauthorised'], 401);
     }
      
 
    }
    
    public function logout()
    {
        if(!auth()->check()) {
            return response()->json([
                'status' => 'error',
                'message' => 'Unauthorized',
            ], 401);
        }
        $user = auth()->user();
         if($user){
            //dd(auth()->user());
            $user = auth()->user()->token();
            $user->revoke();
            return response()->json([
                'status' => 'success',
                'message' => 'Successfully logged out',
            ]);
         }else{
            return response()->json(['error' => 'Unauthorised'], 401);         
         }
    }
    
}