<?php

namespace App\Http\Controllers\API;

use Illuminate\Routing\Controller;
use Illuminate\Http\Request;
use App\Models\Tracking;
use App\Models\Trackhistory;
use App\Models\Gallery;
use Illuminate\Support\Facades\Auth;

class TrackingController extends Controller
{
    public function __construct()
    {
        //$this->middleware('auth:api');
    }

    public function index()
    {
        
        $user_id = Auth::user()->id;
        //dd($user_id);
        $todos = Tracking::where('user_id',$user_id)->get();
        return response()->json([
            'status' => 'success',
            'data' => $todos,
        ]);
        
    }


    public function store(Request $request)
    {
        
        $request->validate([
            'user_id' => 'required|string|max:255',
            'let' => 'required|string|max:255',
            'long' => 'required|string|max:255',
        ]);

        if($request->status=='start'){
            
            $todo = Tracking::create([
                'user_id' => $request->user_id,
                'location' => $request->location,
                'status' => $request->status,
                'let' => $request->let,
                'long' => $request->long,
            ]);
            $trackhistory = Trackhistory::create([
                'tracking_id' => $todo->id,
                'user_id' => $request->user_id,
                'location' => $request->location,
                'status' => $request->status,
                'let' => $request->let,
                'long' => $request->long,
            ]);
        }elseif($request->status=='stop'){
            $todo = Tracking::where(['user_id'=>$request->user_id,'status'=>'start'])->orderby('id','desc')->first();
            $todo->user_id = $request->user_id;
            $todo->location = $request->location;
            $todo->status = $request->status;
            $todo->let = $request->let;
            $todo->long = $request->long;
            $todo->save();
            $trackhistory = Trackhistory::create([
                'tracking_id' => $todo->id,
                'user_id' => $request->user_id,
                'location' => $request->location,
                'status' => $request->status,
                'let' => $request->let,
                'long' => $request->long,
            ]);
        }else{
            $todo = Tracking::where(['user_id'=>$request->user_id,'status'=>'start'])->orderby('id','desc')->first();
            $trackhistory = Trackhistory::create([
                'tracking_id' => $todo->id,
                'user_id' => $request->user_id,
                'location' => $request->location,
                'status' => $request->status,
                'let' => $request->let,
                'long' => $request->long,
            ]);
        }
        

        return response()->json([
            'status' => 'success',
            'message' => 'Tracking created successfully',
            'data' => $todo,
        ]);
    }

    //add selfie
    public function captureselfie(Request $request)
    {
        //dd($request->all());
        if(!auth()->check()) {
            return response()->json([
                'status' => 'error',
                'message' => 'Unauthorized',
            ], 401);
        }
        $todo = null;
        if(isset($request['selfie'])){

            $imageName = time().'.'.$request['selfie']->extension();
            if ($request['selfie']->move(public_path('images'), $imageName))
            {
                $data['selfie']=$imageName;
            }
            $data['user_id'] = $request['user_id'];
            $data['tracking_id'] = $request['tracking_id'];
            $todo = Gallery::create($data);
        }

        return response()->json([
            'status' => 'success',
            'message' => 'Tracking selfie save successfully',
            'data' => $todo,
        ]);
    }



    public function selfielist(Request $request)
    {
        $image_path = asset('images');
        $user_id = Auth::user()->id;
        $todo = Gallery::where('user_id',$user_id)->get();
        return response()->json([
            'status' => 'success',
            'image_path' => $image_path.'/',
            'data' => $todo,
        ]);
    }
    
    
    
    public function show($id)
    {
        $todo = Tracking::find($id);
        return response()->json([
            'status' => 'success',
            'todo' => $todo,
        ]);
    }

    public function update(Request $request, $id)
    {
        $request->validate([
            'user_id' => 'required|string|max:255',
            'let' => 'required|string|max:255',
            'long' => 'required|string|max:255',
        ]);

        $todo = Tracking::find($id);
        $todo->user_id = $request->user_id;
        $todo->location = $request->location;
        $todo->status = $request->status;
        $todo->let = $request->let;
        $todo->long = $request->long;
        $todo->save();

        return response()->json([
            'status' => 'success',
            'message' => 'Tracking updated successfully',
            'todo' => $todo,
        ]);
    }

    public function destroy($id)
    {
        $todo = Tracking::find($id);
        $todo->delete();

        return response()->json([
            'status' => 'success',
            'message' => 'Tracking deleted successfully',
            'todo' => $todo,
        ]);
    }
}

