<?php

namespace App\Http\Controllers;

use App\Models\Category;
use Illuminate\Http\Request;
use Illuminate\Foundation\Auth\RegistersUsers;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;
use App\Models\User;
use App\Models\Document;
use App\Models\Pages;
use App\Models\DocumentRequest;
use App\Models\WhitelistDomain;
use App\Models\Setting;
use Illuminate\Support\Arr;
use PDF;
use Mail;
use Response;
use Session;
use App\Models\Country;
use App\Models\State;
use App\Models\City;
use \Storage;


class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //$this->middleware('auth');
    }

    public function index(Request $request)
    {
        //dd($request);
        
        return view('home');
    }


    // public function generate_pdf()
    // {
    //     $data = [
    //         'foo' => 'hello 1',
    //         'bar' => 'hello 2'
    //     ];
    //     $pdf = PDF::loadView('pdf.document', $data);
    //     return $pdf->stream('document.pdf');
    // }


    public function documentdetail(Request $request, $document_type, $product_name)
    {
        //dd($product_name);
        if(isset($document_type) && isset($product_name)){
            
            $qrcode_key = $request['qrcode_key'];
            if(isset($qrcode_key) && !empty($qrcode_key)){
                $documentDetail = Document::where(['product_name_slug'=>$product_name,'qrcode_key'=>$qrcode_key,'is_qrcode_on'=>1,'status'=>1])->first();
                $qrcode_key = $qrcode_key;
            }else{
                $documentDetail = Document::where(['product_name_slug'=>$product_name,'status'=>1])->first();
                $qrcode_key = '';
            }

            //$documentDetail = Document::where(['product_name_slug'=>$product_name])->first();
            if($documentDetail){
                return view('documentdetail',compact('documentDetail','qrcode_key'));
            }else{
                return redirect()->route('welcome')->with('error', 'No record found!');
            }
            
        }else{
            return redirect()->route('welcome')->with('error', 'No record found!');
        }
    }
    public function welcome(Request $request)
    {
        Session::forget('category_url');
        if(isset($request->q) || !empty($request->q)){
            //echo $request->query; die;
            $country = $request->q;
            $documentLists = Document::Where('country_id', 'like', '%' . $country . '%')->where('status',1)->orderby('id','DESC')->get();
            //dd($documentLists);
            return view('welcome',compact('documentLists'));
        }
       
        $checkVerification = session('checkVerification');
        if($checkVerification && $checkVerification==3){
            //\Session::flush();
            session()->put('checkVerification', 0);
            session()->put('reqData', '');
            session()->put('downloadData','');
        }
        
        if($request['docid'] && $request['rqid']){

            $document_id = $request['docid'];
            $rqid = $request['rqid'];
            $checkDocReq = DocumentRequest::where(['id'=>$rqid,'is_download'=>0])->whereNotIn('status',[0,3])->first();
            if(empty($checkDocReq)){
                return redirect()->route('welcome')->with('error', 'Document download limit over!');
            }else{

                $documentLists = Document::where('id',$document_id)->where('status',1)->get();
                return view('welcome',compact('documentLists','rqid'));
            }
        }else{
            $document_id = $request['detail_id'];
            $documentLists = Document::orderby('id','DESC')->where('status',1)->get();
            //dd($documentLists);
            return view('welcome',compact('documentLists'));
        }
    }
    
    public function categoryurl($category){
        //dd($category);
        Session::put('category_url',$category);
        $documentLists = Document::Where('document_type', 'like', '%' . $category . '%')->where('status',1)->orderby('id','DESC')->get();
            //dd($documentLists);
        return view('welcome',compact('documentLists'));
    }
    
    // function ipShow(Request $request)
    // {
    //     return $request->ip();
    // }


    

    public function docdownload(Request $request)
    {
        $document_id = $request['detail_id'];
        $rqid = $request['rqid'];
        $dcoumentData = Document::where('id',$document_id)->where('status',1)->first();
        
        $reqData = session('reqData');
        if($reqData && $reqData['doc_type']){

            $alreadyDocReq = DocumentRequest::find($rqid);
            $alreadyDocReq->is_download = 1;
            if($reqData['doc_type']==3){
                $alreadyDocReq->status = 1;
                $alreadyDocReq->verification_remarks = 'User have whitelisted domain';
            }
            $alreadyDocReq->save();

        }elseif(isset($rqid) && !empty($rqid)){
            $alreadyDocReq = DocumentRequest::find($rqid);
            $alreadyDocReq->is_download = 1;
            $alreadyDocReq->save();
        }
        else{
            $documentData['document_id'] = $document_id;
            $documentData['status'] = 4;
            $saveDoc = DocumentRequest::create($documentData);
        }
        session()->put('checkVerification', 3);
        return view('docdownload',compact('dcoumentData'));
    }
    
    public function directdownload(){
       
        $filename= $_GET['file'];
        //$dFileName = str_replace('https://downloads-secure.s3.ap-south-1.amazonaws.com/','',$filename);
        //$asset = Asset::find($id);
        
        $assetPath = Storage::disk('s3')->url('files/'.$filename);
       
        header("Cache-Control: public");
        header("Content-Description: File Transfer");
        header("Content-Disposition: attachment; filename=" . basename($assetPath));
        return readfile($assetPath);
    }
    
    public function userregister(Request $request)
    {
        $document_id = $request['detail_id'];
        $countrylists = Country::orderby('name','asc')->get();
        return view('userregister', compact('document_id','countrylists'));
    }

    public function userverify(Request $request)
    {
        //dd($request['detail_id']);
        $id = $request['detail_id'];
        $email = $request['email'];
        return view('userverify', compact('id','email'));
    }

    public function userrequestdocument(Request $request)
    {
        $document_id = $request['detail_id'];
        $countrylists = Country::orderby('name','asc')->get();
        return view('userrequestdocument', compact('document_id','countrylists'));
    }

    public function coderesend(Request $request)
    {
        //dd($request);
        $rand_password = rand(234354,564644);
        $userData = User::updateOrCreate(
            ['email' => $request['email']],
            [
                'confirm_password' => $rand_password,
                'password' => Hash::make($rand_password)
            ]
        );
        if($userData){
            $this->sendUserVerifiyMail($userData);
            return true;
        }else{
            return false;
        }
    }

    public function clearrecordifusernotverifiy(Request $request)
    {
        $reqId = $request['detail_id'];
        $reqDelete = DocumentRequest::find($reqId);
        //dd($reqDelete);
        if($reqDelete){
            $reqDelete->delete();
            session()->put('checkVerification', 0);
            session()->put('reqData', '');
            session()->put('downloadData','');
            return true;
        }else{
            session()->put('checkVerification', 0);
            session()->put('reqData', '');
            session()->put('downloadData','');
            return false;
        }
    }

    
    public function requestdocumentsubmit(Request $request)
    {
        //dd($request);
        $rand_password = rand(234354,564644);
        //$rand_password = 123456;
        $userData = User::updateOrCreate(
            ['email' => $request['email']],
            [
                'name' => $request['name'],
                'email' => $request['email'],
                'mobile' => $request['mobile'],
                'country' => $request['country'],
                'check_privacy_policy' => $request['check_privacy_policy'],
                'confirm_password' => $rand_password,
                'password' => Hash::make($rand_password)
            ]
        );

        if($userData){
            $this->sendUserVerifiyMail($userData);
            $documentData = $request->all();
            $documentData = $request->except('_token');
            $documentData['user_id'] = $userData['id'];
            $documentData['status'] = ($request['doc_type']==2)?4:0;
            $saveDoc = DocumentRequest::create($documentData);
            //dd($saveDoc);
            if($saveDoc->status == 0){
                $pendingrequest = DocumentRequest::where('id',$saveDoc->id)->with('findDocument','findUser')->get();
                $datas["email"] = ['neeraj.brijvasi@securemeters.com','pritam.arora@securemeters.com','lokesh.devpura@securemeters.com','amit.aurana@secureservices.co.in'];
                $datas["name"] = 'Securemeters';
                $datas["body"] = 'Pending Restricted User';
                $datas["pendingrequest"] = $pendingrequest;
                $datas['cc'] = "rahul.dungawat@gmail.com";
                //$datas["cc"] = $cc;
                $datas["title"] = "Pending Restricted User";
    
                Mail::send('pendingrestrictedusermail', $datas, function ($message) use ($datas) {
                    $message->to($datas["email"], $datas["name"])->cc($datas["cc"])
                        ->subject($datas["title"]);
                });
                
            }

            $reqData = array(
                'user_id'=>$userData['id'], 
                'email'=>$userData['email'], 
                'rqid'=> $saveDoc['id'],
                'doc_type'=>$request['doc_type']
            );
            session()->put('checkVerification', 1);
            session()->put('reqData', $reqData);
            return redirect()->back()->with('success', 'Check your mail for verificaton code.');
        }
        //session()->put('checkVerification', '1');
    }
    

    public function checkverification(Request $request)
    {
        $code = $request['code'];
        $email = $request['email'];
        $id = $request['id'];

        $rand_password = rand(234354,564644);
        $userData = User::where(['email'=>$email,'confirm_password'=>$code])->first();          
        //dd($userData);
        if($userData){
            $userDomainMail =  $email;
            $filterDomain = explode('@',$userDomainMail);
            $WhitelistDomains = WhitelistDomain::where('domain_name',$filterDomain[1])->select('id','domain_name')->first();
            //dd($WhitelistDomains);

            $reqData = session('reqData');
            if(isset($WhitelistDomains) && !empty($WhitelistDomains)){
                $documentData = DocumentRequest::find($id);
                if (isset($documentData) && !empty($documentData)) {
                    if ($documentData->findDocument) {
                        $reqData = array('docid'=> $documentData->findDocument['id']);
                        session()->put('checkVerification', 2);
                        session()->put('downloadData', $reqData);
                        //$this->sendUserVerifiedMail($documentData);
                        return redirect()->back()->with('success', 'Code verified, download in progress');
                    }
                }else{
                    return redirect()->back()->with('error', 'Wrong verification code');
                }
            }
            if($reqData && $reqData['doc_type']==3){
                session()->put('checkVerification', 3);
                return redirect()->back()->with('success', 'Your request successfully submitted, we will respond you soon');
            }else{
                $documentData = DocumentRequest::find($id);
                if(isset($documentData) && !empty($documentData)){
                    if($documentData->findDocument){
                        $reqData = array('docid'=> $documentData->findDocument['id']);
                        session()->put('checkVerification', 2);
                        session()->put('downloadData', $reqData);
                        //$this->sendUserVerifiedMail($documentData);
                        return redirect()->back()->with('success', 'Code verified, download in progress');
                    } 
                }else{
                    return redirect()->back()->with('error', 'Wrong verification code');
                }
            }
        }else{
            return redirect()->back()->with('error', 'Wrong verification code');
        }
        //dd($documentData->findDocument);

    }

    
    public function getUserIpAddr()
    {
        $ipaddress = '';
        if (isset($_SERVER['HTTP_CLIENT_IP']))
            $ipaddress = $_SERVER['HTTP_CLIENT_IP'];
        else if (isset($_SERVER['HTTP_X_FORWARDED_FOR']))
            $ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
        else if (isset($_SERVER['HTTP_X_FORWARDED']))
            $ipaddress = $_SERVER['HTTP_X_FORWARDED'];
        else if (isset($_SERVER['HTTP_FORWARDED_FOR']))
            $ipaddress = $_SERVER['HTTP_FORWARDED_FOR'];
        else if (isset($_SERVER['HTTP_FORWARDED']))
            $ipaddress = $_SERVER['HTTP_FORWARDED'];
        else if (isset($_SERVER['REMOTE_ADDR']))
            $ipaddress = $_SERVER['REMOTE_ADDR'];
        else
            $ipaddress = 'UNKNOWN';
        return $ipaddress;
    }

    public function Pages($id)
    {
        $pages = Pages::where('slug', $id)->where('status', 1)->first();

        if (isset($pages) && !empty($pages)) {
            return view('pages', compact('pages'));
        } else {
            return redirect()->back()->with('error', 'page not found!!');
        }
    }

    public function sendUserVerifiyMail($userSave)
    {

        try {
            //dd($userSave);
            $datas["email"] = $userSave['email'];
            $datas["useremail"] = $userSave['email'];
            $datas["name"] = $userSave['name'];
            $datas["confirm_password"] = $userSave['confirm_password'];
            //$cc = "adiworld.as@gmail.com";
            //$datas["cc"] = $cc;
            $datas["title"] = "Code for email verification from Secure Meters Ltd";

            Mail::send('myTestMail', $datas, function ($message) use ($datas) {
                $message->to($datas["email"], $datas["name"]) //->cc($datas["cc"])
                    ->subject($datas["title"]);
            });
            return $mailsend = "1";
        } catch (\Throwable $th) {
            dd($th); die;
            return $mailsend = "0";
        }
    }

    public function sendUserVerifiedMail($docRequest)
    {

        try {
            $userSave = $docRequest->findUser;
            $datas["email"] = $userSave['email'];
            $datas["useremail"] = $userSave['email'];
            $datas["name"] = $userSave['name'];
            $datas["body"] = $docRequest;
            //$cc = "adiworld.as@gmail.com";
            //$datas["cc"] = $cc;
            $datas["title"] = "Link to download document from Secure Meters Ltd";

            Mail::send('userverifiedmail', $datas, function ($message) use ($datas) {
                $message->to($datas["email"], $datas["name"]) //->cc($datas["cc"])
                    ->subject($datas["title"]);
            });
            return $mailsend = "1";
        } catch (\Throwable $th) {
            //dd($th); die;
            return $mailsend = "0";
        }
    }
    

    public function getstates(Request $request)
    {
        $stateslists = State::where('country_id',$request['country_id'])->orderby('name', 'ASC')->select('id','name')->get();
        return Response::json( $stateslists );
    }

    public function getcities(Request $request)
    {
        $getcities = City::where('state_id',$request['state_id'])->orderby('name', 'ASC')->select('id','name')->get();
        return Response::json( $getcities );
    }
    
    public function cronjob(){
        $pendingrequest = DocumentRequest::where('status',0)->with('findDocument','findUser')->get();
         //dd($pendingrequest);
        // die;
        if(count($pendingrequest) > 0){
            try {
                $datas["email"] = 'rahul.dungawat@gmail.com';
                $datas["name"] = 'Adi';
                $datas["body"] = 'Pending Restricted Users';
                $datas["pendingrequest"] = $pendingrequest;
                //$cc = "adiworld.as@gmail.com";
                //$datas["cc"] = $cc;
                $datas["title"] = "Pending Restricted Users";
    
                Mail::send('pendingrestrictedusermail', $datas, function ($message) use ($datas) {
                    $message->to($datas["email"], $datas["name"]) //->cc($datas["cc"])
                        ->subject($datas["title"]);
                });
                return $mailsend = "1";
            } catch (\Throwable $th) {
                //dd($th); die;
                return $mailsend = "0";
            }
        }else{
            return $message = 'No Pending Request Find';
        }
    }
}
