<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\AdditionalCourseSubjectChapterPdf;
use App\Models\AdditionalCourseSubjectChapter;
use App\Models\AdditionalSeperator;
use App\Models\PlanType;
use App\Models\AdditionalBanner;
use App\Models\BannerTemplate;
use App\Models\AdditionalCourseSubject;
use App\Models\AdditionalCourse;

use Illuminate\Support\Facades\Validator;

class AdditionalCourseSubjectChapterPdfController extends Controller
{
    

    public function index() 
    {
        $pdfedit = AdditionalCourseSubjectChapterPdf::orderby('id', 'desc')->get();
        return view('backend.pdf.index', compact('pdfedit'));
    }

    

    public function create($id)
    {

      $chapter = AdditionalCourseSubjectChapter::select('chapter_id','additional_course_subject_id')->where('chapter_id',$id)->first();
      //dd($chapter);
      $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
      $course_id = $course->addtional_course_template_id;

      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
        return view('backend.addtional.subject.chapter.pdf.create', compact('id','plantype','chapter','course_id'));
    }



    public function store(Request $request) 
    {
      // dd($request);
         $validator = Validator::make($request->all(), [
        'pdf_name' => 'required',
        'access' => 'required',

          ]);
          if ($validator->fails()) {
            return redirect()->route('backend.addtional.subject.subject_chapter.pdfs',$request->chapter_id)
            ->with('error', $validator->errors()->first());
        }
           

        $pdfedit = new AdditionalCourseSubjectChapterPdf;
        $pdfedit->order=$request->order;

        $pdfedit->pdf_name=$request->pdf_name;
        $pdfedit->pdf_type=$request->pdf_type;
        $pdfedit->pdf_link=$request->pdf_link;
        $pdfedit->pdf_link_prefix=$request->pdf_link_prefix;
        $pdfedit->pdf_link_suflix=$request->pdf_link_suflix;
        $pdfedit->access = serialize($request->access);
        $pdfedit->top_text=$request->top_text;
        $pdfedit->link=$request->link;
        $pdfedit->item_type=$request->item_type;
        $pdfedit->chapter_id=$request->chapter_id;


        $pdfedit->save();
        return redirect()->route('backend.addtional.subject.subject_chapter.pdfs',$request->chapter_id)
        ->with('success', 'Banner successfully created');
       
      

      }



  

      public function edit($id)
      {
        $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
         $pdfedit = AdditionalCourseSubjectChapterPdf::find($id);
  

         $chapter = AdditionalCourseSubjectChapter::select('chapter_id','additional_course_subject_id')->where('chapter_id',$pdfedit->chapter_id)->first();
         //dd($chapter);
         $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
         $course_id = $course->addtional_course_template_id;


          return view('backend.addtional.subject.chapter.pdf.edit',compact('pdfedit','plantype','chapter','course_id'));
          
      }
  
  

      public function update(Request $request,$id) 
      {
        // dd($request);
           $validator = Validator::make($request->all(), [
            'pdf_name' => 'required',
            'access' => 'required',   
            ]);
            if ($validator->fails()) {
                return redirect()->route('backend.addtional.subject.subject_chapter.pdfs',$request->chapter_id)
                ->with('error', $validator->errors()->first());
            }
  
          $pdfedit = AdditionalCourseSubjectChapterPdf::find($id);
          $pdfedit->order=$request->order;

          $pdfedit->pdf_name=$request->pdf_name;
          $pdfedit->pdf_type=$request->pdf_type;
          $pdfedit->pdf_link=$request->pdf_link;
          $pdfedit->pdf_link_prefix=$request->pdf_link_prefix;
          $pdfedit->pdf_link_suflix=$request->pdf_link_suflix;
          $pdfedit->access = serialize($request->access);
          $pdfedit->top_text=$request->top_text;
          $pdfedit->link=$request->link;
          $pdfedit->item_type=$request->item_type;
          $pdfedit->chapter_id=$request->chapter_id;
          $pdfedit->save();

          return redirect()->route('backend.addtional.subject.subject_chapter.pdfs',$request->chapter_id)
          ->with('success', 'Banner successfully created');
         
         
        }



        public function status(AdditionalCourseSubjectChapterPdf $id, $status)
        {
     
              if ($id) {
              $id->status = $status;
              $id->save();
             return redirect()->back()
           ->with('success', 'pdf status successfully updated');
          }
              
           }
  


  
          public function delete(AdditionalCourseSubjectChapterPdf $id)
          {
              //dd($id);
              if ($id) {            
               $id->delete();
              return redirect()->back()
              ->with('success', 'pdf deleted');
              }
          }





          public function learn_pdf_order($chapterid,$id)
          {
        
            $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Learn Item','banner_type'=>'middle'])->count();
              $seperatorcount = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Learn Item'])->count();
              $pdfcount = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Learn Item'])->count();
        
              $count = $bannercount+$seperatorcount+$pdfcount;
              return $count;
           }




          
    public function subject_chapter_pdf($id){


        //dd($id);
        $chapter = AdditionalCourseSubjectChapter::select('chapter_id','top_text','link','additional_course_subject_id')->where('chapter_id',$id)->first();
        //dd($chapter);

        $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
        $course_id = $course->addtional_course_template_id;
        //dd($course);
        //echo $course_id; die;
        $pdf = AdditionalCourseSubjectChapterPdf::where('chapter_id',$id)->where('item_type', 'LIKE', '%LEARN ITEM%')->orderby('id', 'desc')->get();

        $pdfseperater = AdditionalSeperator::where('chapter_id',$id)->where('pdf_item_type', 'LIKE', '%LEARN ITEM%')->orderby('id', 'desc')->get();

        $pdfbanner = AdditionalBanner::where('chapter_id',$id)->where('pdf_item_type', 'LIKE', '%LEARN ITEM%')->where('banner_type','bottom')->orderby('id', 'desc')->get();

        $learn_item_pdf_data = AdditionalCourseSubjectChapterPdf::select('order')->where('chapter_id', $id)->where('item_type', 'LIKE', '%LEARN ITEM%')->get()->toArray();
        $learn_item_seperator_data = AdditionalSeperator::select('seperator_order')->where('chapter_id', $id)->where('pdf_item_type', 'LIKE', '%LEARN ITEM%')->get()->toArray();
        $learn_item_banner_data = AdditionalBanner::select('banner_order')->where('chapter_id', $id)->where('pdf_item_type', 'LIKE', '%LEARN ITEM%')->where('banner_type','middle')->get()->toArray();
        $lipsb_data = array_merge($learn_item_pdf_data,$learn_item_seperator_data,$learn_item_banner_data);

        $practiceitem = AdditionalCourseSubjectChapterPdf::where('chapter_id',$id)->where('item_type', 'LIKE', '%Practice Item%')->orderby('id', 'desc')->get();

        $practiceitem_seperator = AdditionalSeperator::where('chapter_id',$id)->where('pdf_item_type', 'LIKE', '%Practice Item%')->orderby('id', 'desc')->get();

        $practiceitem_banner = AdditionalBanner::where('chapter_id',$id)->where('pdf_item_type', 'LIKE', '%Practice Item%')->where('banner_type','bottom')->orderby('id', 'desc')->get();

        $practice_item_pdf_data = AdditionalCourseSubjectChapterPdf::select('order')->where('chapter_id', $id)->where('item_type', 'LIKE', '%Practice Item%')->get()->toArray();
        $practice_item_seperator_data = AdditionalSeperator::select('seperator_order')->where('chapter_id', $id)->where('pdf_item_type', 'LIKE', '%Practice Item%')->get()->toArray();
        $practice_item_banner_data = AdditionalBanner::select('banner_order')->where('chapter_id', $id)->where('pdf_item_type', 'LIKE', '%Practice Item%')->where('banner_type','middle')->get()->toArray();
        $pipsb_data = array_merge($practice_item_pdf_data,$practice_item_seperator_data,$practice_item_banner_data);

        $price_pdf = AdditionalCourseSubjectChapterPdf::where('chapter_id',$id)->where('item_type', 'LIKE', '%Print Item%')->orderby('id', 'desc')->get();

        $price_seperator = AdditionalSeperator::where('chapter_id',$id)->where('pdf_item_type', 'LIKE', '%Print Item%')->orderby('id', 'desc')->get();


        $price_banner = AdditionalBanner::where('chapter_id',$id)->where('pdf_item_type', 'LIKE', '%Print Item%')->where('banner_type','bottom')->orderby('id', 'desc')->get();

        $print_item_pdf_data = AdditionalCourseSubjectChapterPdf::select('order')->where('chapter_id', $id)->where('item_type', 'LIKE', '%Print Item%')->get()->toArray();
        $print_item_seperator_data = AdditionalSeperator::select('seperator_order')->where('chapter_id', $id)->where('pdf_item_type', 'LIKE', '%Print Item%')->get()->toArray();
        $print_item_banner_data = AdditionalBanner::select('banner_order')->where('chapter_id', $id)->where('pdf_item_type', 'LIKE', '%Print Item%')->where('banner_type','middle')->get()->toArray();
        $printipsb_data = array_merge($print_item_pdf_data,$print_item_seperator_data,$print_item_banner_data);

        return view('backend.addtional.subject.chapter.pdf.index', compact('chapter','pdf','pdfseperater','pdfbanner','practiceitem','practiceitem_seperator','practiceitem_banner','price_pdf','price_seperator','price_banner','course_id','lipsb_data','pipsb_data','printipsb_data'));
    }




    public function seperator_create($id) 
    {
      $chapter = AdditionalCourseSubjectChapter::select('chapter_id','top_text','link','additional_course_subject_id')->where('chapter_id',$id)->first();
      //dd($chapter);
      $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
      $course_id = $course->addtional_course_template_id;

     return view('backend.addtional.subject.chapter.pdf.seperator.create', compact('id','chapter','course_id'));
     }
    
    
     public function seperator_store(Request $request){
        // dd($request);
      
        $validator = Validator::make($request->all(), [
           'seperator_order' => 'required',
           'seperator_display_text' => 'required',
      
       ]);
       if ($validator->fails()) {
           return redirect()->route('backend.addtional.subject.subject_chapter.pdfs',$request->subject_id)
           ->with('error', $validator->errors()->first());
       }
      
       $seperator = new AdditionalSeperator;
       $seperator->seperator_order=$request->seperator_order;
       $seperator->seperator_display_text=$request->seperator_display_text;
       $seperator->pdf_item_type=$request->pdf_item_type;

       $seperator->chapter_id=$request->chapter_id;
      
       $seperator->save();
       return redirect()->route('backend.addtional.subject.subject_chapter.pdfs',$request->chapter_id)
       ->with('success', 'seperator successfully created');
      
      }
    
    
      public function seperator_edit($id)
      {
       $seperator = AdditionalSeperator::find($id);


       $chapter = AdditionalCourseSubjectChapter::select('chapter_id','top_text','link','additional_course_subject_id')->where('chapter_id',$seperator->chapter_id)->first();
       //dd($chapter);
       $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
       $course_id = $course->addtional_course_template_id;

       return view('backend.addtional.subject.chapter.pdf.seperator.edit',compact('seperator','chapter','course_id'));
       
      }
    
    
    
      public function seperator_update(Request $request,$id){
        // dd($request);
       
        $validator = Validator::make($request->all(), [
            'seperator_order' => 'required',
            'seperator_display_text' => 'required',
       
       
        ]);
        if ($validator->fails()) {
            return redirect()->route('backend.addtional.subject.subject_chapter.pdfs',$request->chapter_id)
            ->with('error', $validator->errors()->first());
        }
       
        $seperator = AdditionalSeperator::find($id);
        $seperator->seperator_order=$request->seperator_order;
        $seperator->seperator_display_text=$request->seperator_display_text;
        $seperator->pdf_item_type=$request->pdf_item_type;

        $seperator->chapter_id=$request->chapter_id;
       
        $seperator->save();
        // return redirect()->back();
        return redirect()->route('backend.addtional.subject.subject_chapter.pdfs',$request->chapter_id)
        ->with('success', 'seperator successfully updated');
         }
    
    
         public function seperator_status(AdditionalSeperator $id, $status)
         {
             //dd($id);
             if ($id) {
                 $id->status = $status;
                 $id->save();
                 return redirect()->back()
                     ->with('success', 'seperator staus successfully updated');
             }
         }
    
    
         public function seperator_delete(AdditionalSeperator $id)
         {
             //dd($id);
             if ($id) {            
              $id->delete();
             return redirect()->back()
             ->with('success', 'seperator deleted');
             }
         }
    
    


         public function learn_seperator_order($chapterid,$id)
         {
       
           $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Learn Item','banner_type'=>'middle'])->count();
             $seperatorcount = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Learn Item'])->count();
             $pdfcount = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Learn Item'])->count();
       
             $count = $bannercount+$seperatorcount+$pdfcount;
             return $count;
          }



    
        //  public function seperator_order($id)
        //  {
        //      $count = AdditionalSeperator::where('seperator_order',$id)->count();
        //      return $count;
        //   }
    



          // gtgsdverfsdvwddf
          
    public function banner_create($id,$banner_type) 
    {
      $banner_template = BannerTemplate::select('id','banner_name')->where(['course_id'=> null,'subject_id'=> null,'chapter_id'=>null,'subject_template_id'=>null,'chapter_template_id'=>null,'banner_type'=>$banner_type])->orderby('id', 'desc')->get();

        $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
    
        $chapter = AdditionalCourseSubjectChapter::select('chapter_id','additional_course_subject_id')->where('chapter_id',$id)->first();
        //dd($chapter);
        $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
        $course_id = $course->addtional_course_template_id;

        return view('backend.addtional.subject.chapter.pdf.banner.create', compact('plantype','id','banner_template','chapter','course_id','banner_type'));
    }

    public function banner_store(Request $request){
        // dd($request);

        if(isset($request->banner_template_id) && !empty($request->banner_template_id)){
          $banner_template = BannerTemplate::where('id', $request->banner_template_id)->first();
          // dd($banner_template);
          if($banner_template){
            if($request->banner_type == 'middle'){
                $banner_order_last = AdditionalBanner::select('banner_order')->where(['chapter_id'=>$request->chapter_id,'banner_type'=>'middle','pdf_item_type'=>$request->pdf_item_type])->orderby('banner_order','DESC')->first();
                if($banner_order_last){
                    $number1 = $banner_order_last->banner_order;
                }else{
                    $number1 = 0;
                }

                $seperator_order_last = AdditionalSeperator::select('seperator_order')->where(['chapter_id'=>$request->chapter_id,'pdf_item_type'=>$request->pdf_item_type])->orderby('seperator_order','DESC')->first();
                if($seperator_order_last){
                    $number2 = $seperator_order_last->seperator_order;
                }else{
                    $number2 = 0;
                }

                $pdf_order_last = AdditionalCourseSubjectChapterPdf::select('order')->where(['chapter_id'=>$request->chapter_id,'item_type'=>$request->pdf_item_type])->orderby('order','DESC')->first();
                if($pdf_order_last){
                    $number3 = $pdf_order_last->order;
                }else{
                    $number3 = 0;
                }

                if ($number1 >= $number2 && $number1 >= $number3) {
                    $banner_order = $number1 + 1;
                } elseif ($number2 >= $number1 && $number2 >= $number3) {
                    $banner_order = $number2 + 1;
                } else {
                    $banner_order = $number3 + 1;
                }
              }else{
                  $banner_last = AdditionalBanner::select('banner_order')->where(['banner_type'=>'bottom','chapter_id'=>$request->chapter_id,'pdf_item_type'=>$request->pdf_item_type])->orderby('id', 'desc')->first();
                  if($banner_last){
                      $banner_order = $banner_last->banner_order+1;                                
                  }else{
                      $banner_order = 1;
                  }
              }
              $banner = new AdditionalBanner;
              $banner->banner_order = $banner_order;
              $banner->banner_name = $banner_template->banner_name;
              $banner->banner_image = $banner_template->banner_image;
              $banner->banner_type = $banner_template->banner_type;
              $banner->banner_function = $banner_template->banner_function;
              $banner->banner_link = $banner_template->banner_link;
              $banner->banner_display = $banner_template->banner_display;
              $banner->pdf_item_type=$request->pdf_item_type;
              $banner->chapter_id = $request->chapter_id;
              if($banner->save()){
                  return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)->with('success', 'Record Import successfully!');
              }
          }
      }else{

        $validator = Validator::make($request->all(), [
            'banner_order' => 'required',
            'banner_name' => 'required',
            'banner_image' => 'required',
            'banner_type' => 'required',
            'banner_display' => 'required',
    
        ]);
        if ($validator->fails()) {
            return redirect()->back()
            ->with('error', $validator->errors()->first());
        }
    
        $banner = new AdditionalBanner;
        $banner->banner_order=$request->banner_order;
        $banner->banner_name=$request->banner_name;
        $banner->banner_image=$request->banner_image;
        $banner->banner_type=$request->banner_type;
        $banner->banner_function=$request->banner_function;
        $banner->banner_link=$request->banner_link;
        $banner->banner_display=serialize($request->banner_display);
        $banner->pdf_item_type=$request->pdf_item_type;

        $banner->chapter_id=$request->chapter_id;
        $banner->save();
        return redirect()->route('backend.addtional.subject.subject_chapter.pdfs',$request->chapter_id)
        ->with('success', 'Banner successfully created');
    
    }
    
  }

    
public function banner_edit($id)
{
   
     $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
    $banner = AdditionalBanner::find($id);

    $chapter = AdditionalCourseSubjectChapter::select('chapter_id','additional_course_subject_id')->where('chapter_id',$banner->chapter_id)->first();
    //dd($chapter);
    $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
    $course_id = $course->addtional_course_template_id;

    return view('backend.addtional.subject.chapter.pdf.banner.edit',compact('banner','plantype','chapter','course_id'));
    
}


public function banner_update(Request $request, AdditionalBanner $id){
    $validator = Validator::make($request->all(), [
        'banner_order' => 'required',
        'banner_name' => 'required',
        'banner_image' => 'required',
        'banner_type' => 'required',
        'banner_display' => 'required',
    ]);

    if ($validator->fails()) {
        return redirect()->route('backend.addtional.subject.subject_chapter.pdfs',$request->chapter_id)
        ->with('error', $validator->errors()->first());
    }

    $id->banner_order=$request->banner_order;
    $id->banner_name=$request->banner_name;
    $id->banner_image=$request->banner_image;
    $id->banner_type=$request->banner_type;
    $id->banner_function=$request->banner_function;
    $id->banner_link=$request->banner_link;
    $id->banner_display=serialize($request->banner_display);
    $id->pdf_item_type=$request->pdf_item_type;
    $id->chapter_id=$request->chapter_id;

    $id->save();
    // return redirect()->back();
    return redirect()->route('backend.addtional.subject.subject_chapter.pdfs',$request->chapter_id)
    ->with('success', 'Banner successfully updated');
}




public function banner_status(AdditionalBanner $id, $status)
{
    //dd($id);
    if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
            ->with('success', 'banner staus successfully updated');
    }
   
}        

public function banner_delete(AdditionalBanner $id)
{
    //dd($id);
    if ($id) {            
    $id->delete();
    return redirect()->back()
    ->with('success', 'banner deleted');
    }
  
}



public function learn_banner_order($chapterid,$id,$bannertype)
{

  if ($bannertype == 'middle') {


  $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Learn Item','banner_type'=>$bannertype])->count();

    $seperatorcount = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Learn Item'])->count();
    $pdfcount = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Learn Item'])->count();

    $count = $bannercount+$seperatorcount+$pdfcount;

  }elseif($bannertype == 'null'){

  $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Learn Item','banner_type'=>'bottom'])->count();

  $count = $bannercount;
  }else{
    $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Learn Item','banner_type'=>$bannertype])->count();

    $count = $bannercount;


  }


    return $count;
 }



// public function banner_order($id)
// {
//     $count = AdditionalBanner::where('banner_order',$id)->count();
//     return $count;
//  }



    
    // start practice item
  
  
    public function practice_create($id)
    {

      $chapter = AdditionalCourseSubjectChapter::select('chapter_id','additional_course_subject_id')->where('chapter_id',$id)->first();
      //dd($chapter);
      $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
      $course_id = $course->addtional_course_template_id;


      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
      return view('backend.addtional.subject.chapter.pdf.practice-item.pdf.create', compact('id','plantype','chapter','course_id'));
    }
  
  
  
    public function practice_store(Request $request)
    {
      // dd($request);
      $validator = Validator::make($request->all(), [
        'pdf_name' => 'required',
        'access' => 'required',
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
          ->with('error', $validator->errors()->first());
      }
  
  
      $pdfedit = new AdditionalCourseSubjectChapterPdf;
      $pdfedit->order = $request->order;

      $pdfedit->pdf_name = $request->pdf_name;
      $pdfedit->pdf_type = $request->pdf_type;
      $pdfedit->pdf_link = $request->pdf_link;
      $pdfedit->pdf_link_prefix = $request->pdf_link_prefix;
      $pdfedit->pdf_link_suflix = $request->pdf_link_suflix;
      $pdfedit->access = serialize($request->access);
      $pdfedit->top_text = $request->top_text;
      $pdfedit->link = $request->link;
      $pdfedit->item_type = $request->item_type;
      $pdfedit->chapter_id = $request->chapter_id;
  
  
      $pdfedit->save();
  
      return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
        ->with('success', 'pdf successfully created');
    }
  
  
  
    public function practice_edit($id)
    {
      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();

      $pdfedit = AdditionalCourseSubjectChapterPdf::find($id);

      $chapter = AdditionalCourseSubjectChapter::select('chapter_id','additional_course_subject_id')->where('chapter_id',$pdfedit->chapter_id)->first();
      //dd($chapter);
      $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
      $course_id = $course->addtional_course_template_id;


  
      return view('backend.addtional.subject.chapter.pdf.practice-item.pdf.edit', compact('pdfedit','plantype','chapter','course_id'));
  
    }
  
  
  
  
  
    public function practice_update(Request $request, $id)
    {
      // dd($request);
      $validator = Validator::make($request->all(), [
        'pdf_name' => 'required',
        'access' => 'required',
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
          ->with('error', $validator->errors()->first());
      }
  
      $pdfedit = AdditionalCourseSubjectChapterPdf::find($id);
      $pdfedit->order = $request->order;
      $pdfedit->pdf_name = $request->pdf_name;
      $pdfedit->pdf_type = $request->pdf_type;
      $pdfedit->pdf_link = $request->pdf_link;
      $pdfedit->pdf_link_prefix = $request->pdf_link_prefix;
      $pdfedit->pdf_link_suflix = $request->pdf_link_suflix;
      $pdfedit->access = serialize($request->access);
      $pdfedit->top_text = $request->top_text;
      $pdfedit->link = $request->link;
      $pdfedit->item_type = $request->item_type;
      $pdfedit->chapter_id = $request->chapter_id;
      $pdfedit->save();
  
      return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
        ->with('success', 'pdf successfully created');
    }
  
  
  
  
  
    public function practice_status(AdditionalCourseSubjectChapterPdf $id, $status)
    {
  
      if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
          ->with('success', 'pdf status successfully updated');
      }
  
    }
  
  
  
  
    public function practice_delete(AdditionalCourseSubjectChapterPdf $id)
    {
      //dd($id);
      if ($id) {
        $id->delete();
        return redirect()->back()
          ->with('success', 'pdf deleted');
      }
    }
  
  
  

    public function practice_pdf_order($chapterid,$id)
{

  $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Practice Item','banner_type'=>'middle'])->count();
    $seperatorcount = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Practice Item'])->count();
    $pdfcount = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Practice Item'])->count();

    $count = $bannercount+$seperatorcount+$pdfcount;
    return $count;
 }

  
  
  
    public function practice_seperator_create($id)
    {
      $chapter = AdditionalCourseSubjectChapter::select('chapter_id','additional_course_subject_id')->where('chapter_id',$id)->first();
      //dd($chapter);
      $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
      $course_id = $course->addtional_course_template_id;

      return view('backend.addtional.subject.chapter.pdf.practice-item.seperator.create', compact('id','chapter','course_id'));
    }
  
  
  
  
  
    public function practice_seperator_store(Request $request)
    {
      // dd($request);
  
      $validator = Validator::make($request->all(), [
        'seperator_order' => 'required',
        'seperator_display_text' => 'required',
  
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
          ->with('error', $validator->errors()->first());
      }
  
      $seperator = new AdditionalSeperator;
      $seperator->seperator_order = $request->seperator_order;
      $seperator->seperator_display_text = $request->seperator_display_text;
      $seperator->pdf_item_type = $request->pdf_item_type;
      $seperator->chapter_id = $request->chapter_id;
  
  
      $seperator->save();
      return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
        ->with('success', 'seperator successfully created');
  
    }
  
  
  
    public function practice_seperator_edit($id)
    {
      $seperator = AdditionalSeperator::find($id);

      $chapter = AdditionalCourseSubjectChapter::select('chapter_id','additional_course_subject_id')->where('chapter_id',$seperator->chapter_id)->first();
      //dd($chapter);
      $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
      $course_id = $course->addtional_course_template_id;

      return view('backend.addtional.subject.chapter.pdf.practice-item.seperator.edit', compact('seperator','chapter','course_id'));
  
    }
  
  
  
  
  
    public function practice_seperator_update(Request $request, $id)
    {
      // dd($request);
  
      $validator = Validator::make($request->all(), [
        'seperator_order' => 'required',
        'seperator_display_text' => 'required',
  
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
          ->with('error', $validator->errors()->first());
      }
  
      $seperator = AdditionalSeperator::find($id);
      $seperator->seperator_order = $request->seperator_order;
      $seperator->seperator_display_text = $request->seperator_display_text;
      $seperator->pdf_item_type = $request->pdf_item_type;
  
      $seperator->chapter_id = $request->chapter_id;
  
      $seperator->save();
      // return redirect()->back();
      return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
        ->with('success', 'seperator successfully updated');
    }
  
  
  
    public function practice_seperator_status(AdditionalSeperator $id, $status)
    {
      //dd($id);
      if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
          ->with('success', 'seperator staus successfully updated');
      }
    }
  
  
  
    public function practice_seperator_delete(AdditionalSeperator $id)
    {
      //dd($id);
      if ($id) {
        $id->delete();
        return redirect()->back()
          ->with('success', 'seperator deleted');
      }
    }
  
  
  

    public function practice_seperator_orderr($chapterid,$id)
    {
    
      $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Practice Item','banner_type'=>'middle'])->count();
        $seperatorcount = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Practice Item'])->count();
        $pdfcount = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Practice Item'])->count();
    
        $count = $bannercount+$seperatorcount+$pdfcount;
        return $count;
     }
    
      

  
    public function practice_banner_create($id,$banner_type)
    {

      $chapter = AdditionalCourseSubjectChapter::select('chapter_id','additional_course_subject_id')->where('chapter_id',$id)->first();
      //dd($chapter);
      $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
      $course_id = $course->addtional_course_template_id;


      $banner_template = BannerTemplate::select('id','banner_name')->where(['course_id'=> null,'subject_id'=> null,'chapter_id'=>null,'subject_template_id'=>null,'chapter_template_id'=>null,'banner_type'=>$banner_type])->orderby('id', 'desc')->get();

      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();

      return view('backend.addtional.subject.chapter.pdf.practice-item.banner.create', compact('id', 'plantype','banner_template','chapter','course_id','banner_type'));
    }
  
  
  
    public function practice_banner_store(Request $request)
    {
      // dd($request);

      if(isset($request->banner_template_id) && !empty($request->banner_template_id)){
        $banner_template = BannerTemplate::where('id', $request->banner_template_id)->first();
        // dd($banner_template);
        if($banner_template){
            // $banner_last = AdditionalBanner::select('id','banner_order')->orderby('id', 'desc')->first();   
            // if($banner_last){
            //     $banner_order = $banner_last->banner_order+1;
            // }else{
            //     $banner_order = 1;
            // }

            if($request->banner_type == 'middle'){
              $banner_order_last = AdditionalBanner::select('banner_order')->where(['chapter_id'=>$request->chapter_id,'banner_type'=>'middle','pdf_item_type'=>$request->pdf_item_type])->orderby('banner_order','DESC')->first();
              if($banner_order_last){
                  $number1 = $banner_order_last->banner_order;
              }else{
                  $number1 = 0;
              }

              $seperator_order_last = AdditionalSeperator::select('seperator_order')->where(['chapter_id'=>$request->chapter_id,'pdf_item_type'=>$request->pdf_item_type])->orderby('seperator_order','DESC')->first();
              if($seperator_order_last){
                  $number2 = $seperator_order_last->seperator_order;
              }else{
                  $number2 = 0;
              }

              $pdf_order_last = AdditionalCourseSubjectChapterPdf::select('order')->where(['chapter_id'=>$request->chapter_id,'item_type'=>$request->pdf_item_type])->orderby('order','DESC')->first();
              if($pdf_order_last){
                  $number3 = $pdf_order_last->order;
              }else{
                  $number3 = 0;
              }

              if ($number1 >= $number2 && $number1 >= $number3) {
                  $banner_order = $number1 + 1;
              } elseif ($number2 >= $number1 && $number2 >= $number3) {
                  $banner_order = $number2 + 1;
              } else {
                  $banner_order = $number3 + 1;
              }
            }else{
                $banner_last = AdditionalBanner::select('banner_order')->where(['banner_type'=>'bottom','chapter_id'=>$request->chapter_id,'pdf_item_type'=>$request->pdf_item_type])->orderby('id', 'desc')->first();
                if($banner_last){
                    $banner_order = $banner_last->banner_order+1;                                
                }else{
                    $banner_order = 1;
                }
            }
            $banner = new AdditionalBanner;
            $banner->banner_order = $banner_order;
            $banner->banner_name = $banner_template->banner_name;
            $banner->banner_image = $banner_template->banner_image;
            $banner->banner_type = $banner_template->banner_type;
            $banner->banner_function = $banner_template->banner_function;
            $banner->banner_link = $banner_template->banner_link;
            $banner->banner_display = $banner_template->banner_display;
            $banner->pdf_item_type = $request->pdf_item_type;
            $banner->chapter_id = $request->chapter_id;
            if($banner->save()){
                return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)->with('success', 'Record Import successfully!');
            }
        }
    }else{

      $validator = Validator::make($request->all(), [
        'banner_order' => 'required',
        'banner_name' => 'required',
        'banner_image' => 'required',
        'banner_display' => 'required',
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
          ->with('error', $validator->errors()->first());
      }
  
      $banner = new AdditionalBanner;
      $banner->banner_order = $request->banner_order;
      $banner->banner_name = $request->banner_name;
      $banner->banner_image = $request->banner_image;
      $banner->banner_type = $request->banner_type;
      $banner->banner_function = $request->banner_function;
      $banner->banner_link = $request->banner_link;
      $banner->banner_display = serialize($request->banner_display);
      $banner->pdf_item_type = $request->pdf_item_type;
      $banner->chapter_id = $request->chapter_id;
      $banner->save();
      return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
        ->with('success', 'banner successfully created');
  
    }
  
  }

  
    public function practice_banner_edit($id)
    {
      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
  
      $banner = AdditionalBanner::find($id);


      $chapter = AdditionalCourseSubjectChapter::select('chapter_id','additional_course_subject_id')->where('chapter_id', $banner->chapter_id)->first();
      //dd($chapter);
      $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
      $course_id = $course->addtional_course_template_id;


      return view('backend.addtional.subject.chapter.pdf.practice-item.banner.edit', compact('banner', 'plantype','chapter','course_id'));
  
    }
  
  

  
    public function practice_banner_update(Request $request, AdditionalBanner $id)
    {
      $validator = Validator::make($request->all(), [
        'banner_order' => 'required',
        'banner_name' => 'required',
        'banner_image' => 'required',
        'banner_type' => 'required',
        'banner_display' => 'required',
      ]);
  
      if ($validator->fails()) {
        return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
          ->with('error', $validator->errors()->first());
      }
  
      $id->banner_order = $request->banner_order;
      $id->banner_name = $request->banner_name;
      $id->banner_image = $request->banner_image;
      $id->banner_type = $request->banner_type;
      $id->banner_function = $request->banner_function;
      $id->banner_link = $request->banner_link;
      $id->banner_display = serialize($request->banner_display);
      $id->pdf_item_type = $request->pdf_item_type;
      $id->chapter_id = $request->chapter_id;
      $id->save();
      // return redirect()->back();
      return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
        ->with('success', 'Banner successfully updated');
    }
  
  
  
    public function practice_banner_status(AdditionalBanner $id, $status)
    {
      //dd($id);
      if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
          ->with('success', 'banner staus successfully updated');
      }
  
    }
  
  
  
    public function practice_banner_delete(AdditionalBanner $id)
    {
      //dd($id);
      if ($id) {
        $id->delete();
        return redirect()->back()
          ->with('success', 'banner deleted');
      }
  
    }
  
    
    public function practice_banner_orderr($chapterid,$id,$bannertype)
    {
    

      if($bannertype =='middle'){

      $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Practice Item','banner_type'=>$bannertype])->count();

        $seperatorcount = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Practice Item'])->count();
        $pdfcount = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Practice Item'])->count();
    
        $count = $bannercount+$seperatorcount+$pdfcount;

      }elseif($bannertype == 'null'){


        $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Practice Item','banner_type'=>'bottom'])->count();
        $count = $bannercount;

      }else{

        $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Practice Item','banner_type'=>$bannertype])->count();
        $count = $bannercount;

      }



        return $count;
     }
    








// START PRICE



public function price_create($id)
{

  $chapter = AdditionalCourseSubjectChapter::select('chapter_id','additional_course_subject_id')->where('chapter_id',$id)->first();
      //dd($chapter);
      $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
      $course_id = $course->addtional_course_template_id;

  $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
  return view('backend.addtional.subject.chapter.pdf.price-item.pdf.create', compact('id','plantype','chapter','course_id'));
}



public function price_store(Request $request)
{
  // dd($request);
  $validator = Validator::make($request->all(), [
    'pdf_name' => 'required',
    'access' => 'required',

  ]);
  if ($validator->fails()) {
    return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
      ->with('error', $validator->errors()->first());
  }


  $pdfedit = new AdditionalCourseSubjectChapterPdf;
  $pdfedit->order = $request->order;

  $pdfedit->pdf_name = $request->pdf_name;
  $pdfedit->pdf_type = $request->pdf_type;
  $pdfedit->pdf_link = $request->pdf_link;
  $pdfedit->pdf_link_prefix = $request->pdf_link_prefix;
  $pdfedit->pdf_link_suflix = $request->pdf_link_suflix;
  $pdfedit->access = serialize($request->access);
  $pdfedit->top_text = $request->top_text;
  $pdfedit->link = $request->link;
  $pdfedit->item_type = $request->item_type;
  $pdfedit->chapter_id = $request->chapter_id;


  $pdfedit->save();

  return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
    ->with('success', 'pdf successfully created');
}



public function price_edit($id)
{
  $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
  $pdfedit = AdditionalCourseSubjectChapterPdf::find($id);

      $chapter = AdditionalCourseSubjectChapter::select('chapter_id','additional_course_subject_id')->where('chapter_id',$pdfedit->chapter_id)->first();
      //dd($chapter);
      $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
      $course_id = $course->addtional_course_template_id;

  return view('backend.addtional.subject.chapter.pdf.price-item.pdf.edit', compact('pdfedit','plantype','chapter','course_id'));

}





public function price_update(Request $request, $id)
{
  // dd($request);
  $validator = Validator::make($request->all(), [
    'pdf_name' => 'required',
    'access' => 'required',
  ]);
  if ($validator->fails()) {
    return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
      ->with('error', $validator->errors()->first());
  }

  $pdfedit = AdditionalCourseSubjectChapterPdf::find($id);
  $pdfedit->order = $request->order;
  $pdfedit->pdf_name = $request->pdf_name;
  $pdfedit->pdf_type = $request->pdf_type;
  $pdfedit->pdf_link = $request->pdf_link;
  $pdfedit->pdf_link_prefix = $request->pdf_link_prefix;
  $pdfedit->pdf_link_suflix = $request->pdf_link_suflix;
  $pdfedit->access = serialize($request->access);
  $pdfedit->top_text = $request->top_text;
  $pdfedit->link = $request->link;
  $pdfedit->item_type = $request->item_type;
  $pdfedit->chapter_id = $request->chapter_id;
  $pdfedit->save();

  return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
    ->with('success', 'pdf successfully created');
}





public function price_status(AdditionalCourseSubjectChapterPdf $id, $status)
{

  if ($id) {
    $id->status = $status;
    $id->save();
    return redirect()->back()
      ->with('success', 'pdf status successfully updated');
  }

}




public function price_delete(AdditionalCourseSubjectChapterPdf $id)
{
  //dd($id);
  if ($id) {
    $id->delete();
    return redirect()->back()
      ->with('success', 'pdf deleted');
  }
}


   
public function price_pdf_orderr($chapterid,$id)
{

  $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>'middle'])->count();
    $seperatorcount = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Print Item'])->count();
    $pdfcount = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Print Item'])->count();

    $count = $bannercount+$seperatorcount+$pdfcount;
    return $count;
 }




public function price_seperator_create($id)
{
  $chapter = AdditionalCourseSubjectChapter::select('chapter_id','additional_course_subject_id')->where('chapter_id',$id)->first();
  //dd($chapter);
  $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
  $course_id = $course->addtional_course_template_id;
  return view('backend.addtional.subject.chapter.pdf.price-item.seperator.create', compact('id','chapter','course_id'));
}





public function price_seperator_store(Request $request)
{
  // dd($request);

  $validator = Validator::make($request->all(), [
    'seperator_order' => 'required',
    'seperator_display_text' => 'required',


  ]);
  if ($validator->fails()) {
    return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
      ->with('error', $validator->errors()->first());
  }

  $seperator = new AdditionalSeperator;
  $seperator->seperator_order = $request->seperator_order;
  $seperator->seperator_display_text = $request->seperator_display_text;
  $seperator->pdf_item_type = $request->pdf_item_type;
  $seperator->chapter_id = $request->chapter_id;


  $seperator->save();
  return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
    ->with('success', 'seperator successfully created');

}



public function price_seperator_edit($id)
{
  $seperator = AdditionalSeperator::find($id);

  $chapter = AdditionalCourseSubjectChapter::select('chapter_id','additional_course_subject_id')->where('chapter_id',$seperator->chapter_id)->first();
  //dd($chapter);
  $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
  $course_id = $course->addtional_course_template_id;

  return view('backend.addtional.subject.chapter.pdf.price-item.seperator.edit', compact('seperator','chapter','course_id'));

}





public function price_seperator_update(Request $request, $id)
{
  // dd($request);

  $validator = Validator::make($request->all(), [
    'seperator_order' => 'required',
    'seperator_display_text' => 'required',


  ]);
  if ($validator->fails()) {
    return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
      ->with('error', $validator->errors()->first());
  }

  $seperator = AdditionalSeperator::find($id);
  $seperator->seperator_order = $request->seperator_order;
  $seperator->seperator_display_text = $request->seperator_display_text;
  $seperator->pdf_item_type = $request->pdf_item_type;

  $seperator->chapter_id = $request->chapter_id;

  $seperator->save();
  // return redirect()->back();
  return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
    ->with('success', 'seperator successfully updated');
}



public function price_seperator_status(AdditionalSeperator $id, $status)
{
  //dd($id);
  if ($id) {
    $id->status = $status;
    $id->save();
    return redirect()->back()
      ->with('success', 'seperator staus successfully updated');
  }
}



public function price_seperator_delete(AdditionalSeperator $id)
{
  //dd($id);
  if ($id) {
    $id->delete();
    return redirect()->back()
      ->with('success', 'seperator deleted');
  }
}



   
public function price_seperator_orderr($chapterid,$id)
{

  $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>'middle'])->count();
    $seperatorcount = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Print Item'])->count();
    $pdfcount = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Print Item'])->count();

    $count = $bannercount+$seperatorcount+$pdfcount;
    return $count;
 }



public function price_banner_create($id,$banner_type)
{
  $banner_template = BannerTemplate::select('id','banner_name')->where(['course_id'=> null,'subject_id'=> null,'chapter_id'=>null,'subject_template_id'=>null,'chapter_template_id'=>null,'banner_type'=>$banner_type])->orderby('id', 'desc')->get();

  $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();


  $chapter = AdditionalCourseSubjectChapter::select('chapter_id','additional_course_subject_id')->where('chapter_id',$id)->first();
  //dd($chapter);
  $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
  $course_id = $course->addtional_course_template_id;


  return view('backend.addtional.subject.chapter.pdf.price-item.banner.create', compact('id', 'plantype','banner_template','chapter','course_id','banner_type'));
}



public function price_banner_store(Request $request)
{
  // dd($request);
 if(isset($request->banner_template_id) && !empty($request->banner_template_id)){
            $banner_template = BannerTemplate::where('id', $request->banner_template_id)->first();
            // dd($banner_template);
            if($banner_template){
                $banner_last = AdditionalBanner::select('id','banner_order')->orderby('id', 'desc')->first();   
                if($banner_last){
                    $banner_order = $banner_last->banner_order+1;
                }else{
                    $banner_order = 1;
                }
                $banner = new AdditionalBanner;
                $banner->banner_order = $banner_order;
                $banner->banner_name = $banner_template->banner_name;
                $banner->banner_image = $banner_template->banner_image;
                $banner->banner_type = $banner_template->banner_type;
                $banner->banner_function = $banner_template->banner_function;
                $banner->banner_link = $banner_template->banner_link;
                $banner->banner_display = $banner_template->banner_display;
                $banner->pdf_item_type = $request->pdf_item_type;
                $banner->chapter_id = $request->chapter_id;
                if($banner->save()){
                    return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)->with('success', 'Record Import successfully!');
                }
            }
        }else{

  $validator = Validator::make($request->all(), [
    'banner_order' => 'required',
    'banner_name' => 'required',
    'banner_image' => 'required',
    'banner_display' => 'required',

  ]);
  if ($validator->fails()) {
    return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
      ->with('error', $validator->errors()->first());
  }

  $banner = new AdditionalBanner;
  $banner->banner_order = $request->banner_order;
  $banner->banner_name = $request->banner_name;
  $banner->banner_image = $request->banner_image;
  $banner->banner_type = $request->banner_type;
  $banner->banner_function = $request->banner_function;
  $banner->banner_link = $request->banner_link;
  $banner->banner_display = serialize($request->banner_display);
  $banner->pdf_item_type = $request->pdf_item_type;
  $banner->chapter_id = $request->chapter_id;
  $banner->save();
  return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
    ->with('success', 'banner successfully created');

}

}


public function price_banner_edit($id)
{
  $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();

  $banner = AdditionalBanner::find($id);

  $chapter = AdditionalCourseSubjectChapter::select('chapter_id','additional_course_subject_id')->where('chapter_id',$banner->chapter_id)->first();
  //dd($chapter);
  $course = AdditionalCourseSubject::select('addtional_course_template_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
  $course_id = $course->addtional_course_template_id;


  return view('backend.addtional.subject.chapter.pdf.price-item.banner.edit', compact('banner', 'plantype','chapter','course_id'));

}



// public function top_banner_edit($id)
// {
//     $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
//     $banner = BannerTemplate::find($id);
//     return view('backend.student-dashboard.topbanner.edit', compact('banner', 'plantype'));
// }


public function price_banner_update(Request $request, AdditionalBanner $id)
{
  $validator = Validator::make($request->all(), [
    'banner_order' => 'required',
    'banner_name' => 'required',
    'banner_image' => 'required',
    'banner_type' => 'required',
    'banner_display' => 'required',
  ]);

  if ($validator->fails()) {
    return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
      ->with('error', $validator->errors()->first());
  }

  $id->banner_order = $request->banner_order;
  $id->banner_name = $request->banner_name;
  $id->banner_image = $request->banner_image;
  $id->banner_type = $request->banner_type;
  $id->banner_function = $request->banner_function;
  $id->banner_link = $request->banner_link;
  $id->banner_display = serialize($request->banner_display);
  $id->pdf_item_type = $request->pdf_item_type;
  $id->chapter_id = $request->chapter_id;
  $id->save();
  // return redirect()->back();
  return redirect()->route('backend.addtional.subject.subject_chapter.pdfs', $request->chapter_id)
    ->with('success', 'Banner successfully updated');
}



public function price_banner_status(AdditionalBanner $id, $status)
{
  //dd($id);
  if ($id) {
    $id->status = $status;
    $id->save();
    return redirect()->back()
      ->with('success', 'banner staus successfully updated');
  }

}



public function price_banner_delete(AdditionalBanner $id)
{
  //dd($id);
  if ($id) {
    $id->delete();
    return redirect()->back()
      ->with('success', 'banner deleted');
  }

}



public function price_banner_orderr($chapterid,$id,$bannertype)
{

  if($bannertype =='middle'){


  $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>$bannertype])->count();

    $seperatorcount = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Print Item'])->count();
    $pdfcount = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Print Item'])->count();

    $count = $bannercount+$seperatorcount+$pdfcount;
  }elseif($bannertype == 'null'){

  $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>'bottom'])->count();
  $count = $bannercount;

  }else{

    $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>$bannertype])->count();
    $count = $bannercount;

  }


    return $count;
 }




 






// start student dashboard additional subject chapter pdf  
public function pdf_create($id)
{
  $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
    return view('backend.student-dashboard.additional.subject.chapter.pdf.create', compact('id','plantype'));
}

public function pdf_store(Request $request) 
{
  // dd($request);
     $validator = Validator::make($request->all(), [
    'pdf_name' => 'required',
    'access' => 'required',

      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter',$request->chapter_id)
        ->with('error', $validator->errors()->first());
    }
       
    $pdfedit = new AdditionalCourseSubjectChapterPdf;
    $pdfedit->order=$request->order;
    $pdfedit->pdf_name=$request->pdf_name;
    $pdfedit->pdf_type=$request->pdf_type;
    $pdfedit->pdf_link=$request->pdf_link;
    $pdfedit->pdf_link_prefix=$request->pdf_link_prefix;
    $pdfedit->pdf_link_suflix=$request->pdf_link_suflix;
    $pdfedit->access = serialize($request->access);
    $pdfedit->top_text=$request->top_text;
    $pdfedit->link=$request->link;
    $pdfedit->item_type=$request->item_type;
    $pdfedit->chapter_id=$request->chapter_id;
    $pdfedit->save();
    return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter',$request->chapter_id)
    ->with('success', 'Banner successfully created');
   
  

  }

public function pdf_edit($id)
  {
    $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
      $pdfedit = AdditionalCourseSubjectChapterPdf::find($id);

      return view('backend.student-dashboard.additional.subject.chapter.pdf.edit',compact('pdfedit','plantype'));
      
  }

  public function pdf_update(Request $request,$id) 
  {
    // dd($request);
       $validator = Validator::make($request->all(), [
        'pdf_name' => 'required',
        'access' => 'required',   
        ]);
        if ($validator->fails()) {
            return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter',$request->chapter_id)
            ->with('error', $validator->errors()->first());
        }

      $pdfedit = AdditionalCourseSubjectChapterPdf::find($id);
      $pdfedit->order=$request->order;
      $pdfedit->pdf_name=$request->pdf_name;
      $pdfedit->pdf_type=$request->pdf_type;
      $pdfedit->pdf_link=$request->pdf_link;
      $pdfedit->pdf_link_prefix=$request->pdf_link_prefix;
      $pdfedit->pdf_link_suflix=$request->pdf_link_suflix;
      $pdfedit->access = serialize($request->access);
      $pdfedit->top_text=$request->top_text;
      $pdfedit->link=$request->link;
      $pdfedit->item_type=$request->item_type;
      $pdfedit->chapter_id=$request->chapter_id;
      $pdfedit->save();

      return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter',$request->chapter_id)
      ->with('success', 'Banner successfully created');
     
     
    }

    public function pdf_status(AdditionalCourseSubjectChapterPdf $id, $status)
    {

          if ($id) {
          $id->status = $status;
          $id->save();
         return redirect()->back()
       ->with('success', 'pdf status successfully updated');
      }
          
       }

      public function pdf_delete(AdditionalCourseSubjectChapterPdf $id)
      {
          //dd($id);
          if ($id) {            
           $id->delete();
          return redirect()->back()
          ->with('success', 'pdf deleted');
          }
      }


      public function learnpdf_order($chapterid,$id)
      {
    
          $banner = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'LEARN ITEM','banner_type'=>'middle'])->count();

          $seperator = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'LEARN ITEM'])->count();

          $pdf = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Learn Item'])->count();
    
          $count = $banner+$seperator+$pdf;

          return $count;
       }
    




public function subject_chapter_pdfs($id){
    //dd($id);
    $chapter = AdditionalCourseSubjectChapter::select('chapter_id','top_text','link','additional_course_subject_id')->where('chapter_id',$id)->first();
    
    $additional_course_id = AdditionalCourseSubject::select('additional_course_id')->where('subject_id',$chapter->additional_course_subject_id)->first();
    $additional_id = AdditionalCourse::select('course_id')->where('AC_ID',$additional_course_id->additional_course_id)->first();
    // dd($chapter);
    //$pdf = AdditionalCourseSubjectChapterPdf::where('chapter_id',$id)->where('item_type', 'LIKE', '%LEARN ITEM%')->orderby('id', 'desc')->get();

    $learnbanner = AdditionalBanner::where('chapter_id',$id)->where('pdf_item_type', 'LIKE', '%LEARN ITEM%')->where('banner_type','bottom')->orderby('id', 'desc')->get();

    //$learnseperater = AdditionalSeperator::where('chapter_id',$id)->where('pdf_item_type', 'LIKE', '%LEARN ITEM%')->orderby('id', 'desc')->get();

    $learn_item_pdf_data = AdditionalCourseSubjectChapterPdf::select('order')->where('chapter_id', $id)->where('pdf_item_type', 'LIKE', '%LEARN ITEM%')->get()->toArray();
    $learn_item_seperator_data = AdditionalSeperator::select('seperator_order')->where('chapter_id', $id)->where('pdf_item_type', 'LIKE', '%LEARN ITEM%')->get()->toArray();
    $learn_item_banner_data = AdditionalBanner::select('banner_order')->where('chapter_id', $id)->where('pdf_item_type', 'LIKE', '%LEARN ITEM%')->where('banner_type','middle')->get()->toArray();
    $lipsb_data = array_merge($learn_item_pdf_data,$learn_item_seperator_data,$learn_item_banner_data);

  
    //$practicepdf = AdditionalCourseSubjectChapterPdf::where('chapter_id',$id)->where('item_type', 'LIKE', '%Practice Item%')->orderby('id', 'desc')->get();

    //$practicepdf_seperator = AdditionalSeperator::where('chapter_id',$id)->where('pdf_item_type', 'LIKE', '%Practice Item%')->orderby('id', 'desc')->get();

    $practicepdf_banner = AdditionalBanner::where('chapter_id',$id)->where('pdf_item_type', 'LIKE', '%Practice Item%')->where('banner_type','bottom')->orderby('id', 'desc')->get();

    $practice_item_pdf_data = AdditionalCourseSubjectChapterPdf::select('order')->where('chapter_id', $id)->where('pdf_item_type', 'LIKE', '%Practice Item%')->get()->toArray();
    $practice_item_seperator_data = AdditionalSeperator::select('seperator_order')->where('chapter_id', $id)->where('pdf_item_type', 'LIKE', '%Practice Item%')->get()->toArray();
    $practice_item_banner_data = AdditionalBanner::select('banner_order')->where('chapter_id', $id)->where('pdf_item_type', 'LIKE', '%Practice Item%')->where('banner_type','middle')->get()->toArray();
    $pipsb_data = array_merge($practice_item_pdf_data,$practice_item_seperator_data,$practice_item_banner_data);
    
    //$priceitem_pdf = AdditionalCourseSubjectChapterPdf::where('chapter_id',$id)->where('item_type', 'LIKE', '%Print Item%')->orderby('id', 'desc')->get();

    //$priceitem_seperator = AdditionalSeperator::where('chapter_id',$id)->where('pdf_item_type', 'LIKE', '%Print Item%')->orderby('id', 'desc')->get();

    $priceitem_banner = AdditionalBanner::where('chapter_id',$id)->where('pdf_item_type', 'LIKE', '%print Item%')->where('banner_type','bottom')->orderby('id', 'desc')->get();

    $print_item_pdf_data = AdditionalCourseSubjectChapterPdf::select('order')->where('chapter_id', $id)->where('pdf_item_type', 'LIKE', '%Print Item%')->get()->toArray();
    $print_item_seperator_data = AdditionalSeperator::select('seperator_order')->where('chapter_id', $id)->where('pdf_item_type', 'LIKE', '%Print Item%')->get()->toArray();
    $print_item_banner_data = AdditionalBanner::select('banner_order')->where('chapter_id', $id)->where('pdf_item_type', 'LIKE', '%Print Item%')->where('banner_type','middle')->get()->toArray();
    $printipsb_data = array_merge($print_item_pdf_data,$print_item_seperator_data,$print_item_banner_data);

    return view('backend.student-dashboard.additional.subject.chapter.pdf.index', compact('chapter','learnbanner','practicepdf_banner','priceitem_banner','additional_course_id','additional_id','lipsb_data','pipsb_data','printipsb_data'));
}


// end student dashboard additional subject chapter pdf


// start student dashboard additional subject chapter learn item banner

      
public function course_banner_create($id,$banner_type) 
{
    $banner_template = BannerTemplate::select('id','banner_name')->where(['course_id'=> null,'subject_id'=> null,'chapter_id'=>null,'subject_template_id'=>null,'chapter_template_id'=>null,'banner_type'=>$banner_type])->orderby('id', 'desc')->get();
    $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();

    return view('backend.student-dashboard.additional.subject.chapter.pdf.banner.create', compact('plantype','id','banner_template','banner_type'));
}




public function course_banner_store(Request $request){
    // dd($request);

    if(isset($request->banner_template_id) && !empty($request->banner_template_id)){
      $banner_template = BannerTemplate::where('id', $request->banner_template_id)->first();
      // dd($banner_template);
      if($banner_template){
          // $banner_last = AdditionalBanner::select('id','banner_order')->orderby('id', 'desc')->first();   
          // if($banner_last){
          //     $banner_order = $banner_last->banner_order+1;
          // }else{
          //     $banner_order = 1;
          // }

          if($request->banner_type == 'middle'){
              $banner_order_last = AdditionalBanner::select('banner_order')->where(['chapter_id'=>$request->chapter_id,'banner_type'=>'middle','pdf_item_type'=>$request->pdf_item_type])->orderby('banner_order','DESC')->first();
              if($banner_order_last){
                  $number1 = $banner_order_last->banner_order;
              }else{
                  $number1 = 0;
              }

              $seperator_order_last = AdditionalSeperator::select('seperator_order')->where(['chapter_id'=>$request->chapter_id,'pdf_item_type'=>$request->pdf_item_type])->orderby('seperator_order','DESC')->first();
              if($seperator_order_last){
                  $number2 = $seperator_order_last->seperator_order;
              }else{
                  $number2 = 0;
              }

              $pdf_order_last = AdditionalCourseSubjectChapterPdf::select('order')->where(['chapter_id'=>$request->chapter_id,'item_type'=>$request->pdf_item_type])->orderby('order','DESC')->first();
              if($pdf_order_last){
                  $number3 = $pdf_order_last->order;
              }else{
                  $number3 = 0;
              }

              if ($number1 >= $number2 && $number1 >= $number3) {
                  $banner_order = $number1 + 1;
              } elseif ($number2 >= $number1 && $number2 >= $number3) {
                  $banner_order = $number2 + 1;
              } else {
                  $banner_order = $number3 + 1;
              }
          }else{
              $banner_last = AdditionalBanner::select('banner_order')->where(['banner_type'=>'bottom','chapter_id'=>$request->chapter_id,'pdf_item_type'=>$request->pdf_item_type])->orderby('id', 'desc')->first();
              if($banner_last){
                  $banner_order = $banner_last->banner_order+1;                                
              }else{
                  $banner_order = 1;
              }
          }
          $banner = new AdditionalBanner;
          $banner->banner_order = $banner_order;
          $banner->banner_name = $banner_template->banner_name;
          $banner->banner_image = $banner_template->banner_image;
          $banner->banner_type = $banner_template->banner_type;
          $banner->banner_function = $banner_template->banner_function;
          $banner->banner_link = $banner_template->banner_link;
          $banner->banner_display = $banner_template->banner_display;
          $banner->pdf_item_type=$request->pdf_item_type;
          $banner->chapter_id = $request->chapter_id;
          if($banner->save()){
              return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)->with('success', 'Record Import successfully!');
          }
      }
  }else{

    $validator = Validator::make($request->all(), [
        'banner_order' => 'required',
        'banner_name' => 'required',
        'banner_image' => 'required',
        'banner_type' => 'required',
        'banner_display' => 'required',

    ]);
    if ($validator->fails()) {
        return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter',$request->chapter_id)
        ->with('error', $validator->errors()->first());
    }

    $banner = new AdditionalBanner;
    $banner->banner_order=$request->banner_order;
    $banner->banner_name=$request->banner_name;
    $banner->banner_image=$request->banner_image;
    $banner->banner_type=$request->banner_type;
    $banner->banner_function=$request->banner_function;
    $banner->banner_link=$request->banner_link;
    $banner->banner_display=serialize($request->banner_display);
    $banner->pdf_item_type=$request->pdf_item_type;
    $banner->chapter_id=$request->chapter_id;
    $banner->save();
    return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter',$request->chapter_id)
    ->with('success', 'Banner successfully created');

}

}



public function course_banner_edit($id)
{

 $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
$banner = AdditionalBanner::find($id);
return view('backend.student-dashboard.additional.subject.chapter.pdf.banner.edit',compact('banner','plantype'));

}


public function course_banner_update(Request $request, AdditionalBanner $id){
$validator = Validator::make($request->all(), [
    'banner_order' => 'required',
    'banner_name' => 'required',
    'banner_image' => 'required',
    'banner_type' => 'required',
    'banner_display' => 'required',
]);

if ($validator->fails()) {
    return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter',$request->chapter_id)
    ->with('error', $validator->errors()->first());
}

$id->banner_order=$request->banner_order;
$id->banner_name=$request->banner_name;
$id->banner_image=$request->banner_image;
$id->banner_type=$request->banner_type;
$id->banner_function=$request->banner_function;
$id->banner_link=$request->banner_link;
$id->banner_display=serialize($request->banner_display);
$id->pdf_item_type=$request->pdf_item_type;
$id->chapter_id=$request->chapter_id;

$id->save();
// return redirect()->back();
return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter',$request->chapter_id)
->with('success', 'Banner successfully updated');
}




public function course_banner_status(AdditionalBanner $id, $status)
{
//dd($id);
if ($id) {
    $id->status = $status;
    $id->save();
    return redirect()->back()
        ->with('success', 'banner staus successfully updated');
}

}        

public function course_banner_delete(AdditionalBanner $id)
{
//dd($id);
if ($id) {            
$id->delete();
return redirect()->back()
->with('success', 'banner deleted');
}

}


public function learnbanner_order($chapterid,$id,$bannertype)
{


  if($bannertype =='middle'){

    $banner = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'LEARN ITEM','banner_type'=>$bannertype])->count();

    $seperator = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'LEARN ITEM'])->count();

    $pdf = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Learn Item'])->count();

    $count = $banner+$seperator+$pdf;

  }elseif($bannertype == 'null'){

    $banner = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'LEARN ITEM'])->count();
$count = $banner;
  }
  else{

    $banner = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'LEARN ITEM','banner_type'=>$bannertype])->count();
    $count = $banner;

  }
    return $count;
 }




 
//  public function bannerprice_order($chapterid,$id,$bannertype)
//  {

// if($bannertype =='middle'){



//    $bannercount = BannerTemplate::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>$bannertype])->count();
//      $seperatorcount = ChapterSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Print Item'])->count();
//      $pdfcount = Pdf::where(['chapter_id'=>$chapterid,'order'=>$id,'pdf_item_type'=>'Print Item'])->count();

//      $count = $bannercount+$seperatorcount+$pdfcount;

// }elseif($bannertype == 'null'){

//  $bannercount = BannerTemplate::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item'])->count();
//  $count =$bannercount;
 
// }else{

//  $bannercount = BannerTemplate::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>$bannertype])->count();
//  $count  =$bannercount;
// }

//      return $count;
//   }




// public function banner_order($id)
// {
// $count = AdditionalBanner::where('banner_order',$id)->count();
// return $count;
// }


// end student dashboard additional subject chapter learn item banner

// start student dashboard additional subject chapter learn item seperator


public function course_seperator_create($id) 
{
 return view('backend.student-dashboard.additional.subject.chapter.pdf.seperator.create', compact('id'));
 }


 public function course_seperator_store(Request $request){
    // dd($request);
  
    $validator = Validator::make($request->all(), [
       'seperator_order' => 'required',
       'seperator_display_text' => 'required',
  
   ]);
   if ($validator->fails()) {
       return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter',$request->subject_id)
       ->with('error', $validator->errors()->first());
   }
   $seperator = new AdditionalSeperator;
   $seperator->seperator_order=$request->seperator_order;
   $seperator->seperator_display_text=$request->seperator_display_text;
   $seperator->pdf_item_type=$request->pdf_item_type;

   $seperator->chapter_id=$request->chapter_id;
  
   $seperator->save();
   return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter',$request->chapter_id)
   ->with('success', 'seperator successfully created');
  
  }

  public function course_seperator_edit($id)
  {
   $seperator = AdditionalSeperator::find($id);
   return view('backend.student-dashboard.additional.subject.chapter.pdf.seperator.edit',compact('seperator'));
   
  }

  public function course_seperator_update(Request $request,$id){
    // dd($request);
   
    $validator = Validator::make($request->all(), [
        'seperator_order' => 'required',
        'seperator_display_text' => 'required',
   
   
    ]);
    if ($validator->fails()) {
        return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter',$request->chapter_id)
        ->with('error', $validator->errors()->first());
    }
   
    $seperator = AdditionalSeperator::find($id);
    $seperator->seperator_order=$request->seperator_order;
    $seperator->seperator_display_text=$request->seperator_display_text;
    $seperator->pdf_item_type=$request->pdf_item_type;

    $seperator->chapter_id=$request->chapter_id;
   
    $seperator->save();
    // return redirect()->back();
    return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter',$request->chapter_id)
    ->with('success', 'seperator successfully updated');
     }


     public function course_seperator_status(AdditionalSeperator $id, $status)
     {
         //dd($id);
         if ($id) {
             $id->status = $status;
             $id->save();
             return redirect()->back()
                 ->with('success', 'seperator staus successfully updated');
         }
     }


     public function course_seperator_delete(AdditionalSeperator $id)
     {
         //dd($id);
         if ($id) {            
          $id->delete();
         return redirect()->back()
         ->with('success', 'seperator deleted');
         }
     }



     
public function learnseperator_order($chapterid,$id)
{

    $banner = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'LEARN ITEM','banner_type'=>'middle'])->count();

    $seperator = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'LEARN ITEM'])->count();

    $pdf = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Learn Item'])->count();

    $count = $banner+$seperator+$pdf;

    return $count;
 }


// end student dashboard additional subject chapter learn item seperator



// start student dashboard additional subject chapter practice item 




 
    // start practice item
  
  
    public function course_practice_create($id)
    {
      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
      return view('backend.student-dashboard.additional.subject.chapter.pdf.practice-item.pdf.create', compact('id','plantype'));
    }
  
  
  
    public function course_practice_store(Request $request)
    {
      // dd($request);
      $validator = Validator::make($request->all(), [
        'pdf_name' => 'required',
        'access' => 'required',
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
          ->with('error', $validator->errors()->first());
      }
  
  
      $pdfedit = new AdditionalCourseSubjectChapterPdf;
      $pdfedit->order = $request->order;

      $pdfedit->pdf_name = $request->pdf_name;
      $pdfedit->pdf_type = $request->pdf_type;
      $pdfedit->pdf_link = $request->pdf_link;
      $pdfedit->pdf_link_prefix = $request->pdf_link_prefix;
      $pdfedit->pdf_link_suflix = $request->pdf_link_suflix;
      $pdfedit->access = serialize($request->access);
      $pdfedit->top_text = $request->top_text;
      $pdfedit->link = $request->link;
      $pdfedit->item_type = $request->item_type;
      $pdfedit->chapter_id = $request->chapter_id;
  
  
      $pdfedit->save();
  
      return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
        ->with('success', 'pdf successfully created');
    }
  
  
  
    public function course_practice_edit($id)
    {
      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
      $pdfedit = AdditionalCourseSubjectChapterPdf::find($id);
  
      return view('backend.student-dashboard.additional.subject.chapter.pdf.practice-item.pdf.edit', compact('pdfedit','plantype'));
  
    }
  
  
  
  
  
    public function course_practice_update(Request $request, $id)
    {
      // dd($request);
      $validator = Validator::make($request->all(), [
        'pdf_name' => 'required',
        'access' => 'required',
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
          ->with('error', $validator->errors()->first());
      }
  
      $pdfedit = AdditionalCourseSubjectChapterPdf::find($id);
      $pdfedit->order = $request->order;
      $pdfedit->pdf_name = $request->pdf_name;
      $pdfedit->pdf_type = $request->pdf_type;
      $pdfedit->pdf_link = $request->pdf_link;
      $pdfedit->pdf_link_prefix = $request->pdf_link_prefix;
      $pdfedit->pdf_link_suflix = $request->pdf_link_suflix;
      $pdfedit->access = serialize($request->access);
      $pdfedit->top_text = $request->top_text;
      $pdfedit->link = $request->link;
      $pdfedit->item_type = $request->item_type;
      $pdfedit->chapter_id = $request->chapter_id;
      $pdfedit->save();
  
      return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
        ->with('success', 'pdf successfully created');
    }
  
  
  
  
  
    public function course_practice_status(AdditionalCourseSubjectChapterPdf $id, $status)
    {
  
      if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
          ->with('success', 'pdf status successfully updated');
      }
  
    }
  
  
  
  
    public function course_practice_delete(AdditionalCourseSubjectChapterPdf $id)
    {
      //dd($id);
      if ($id) {
        $id->delete();
        return redirect()->back()
          ->with('success', 'pdf deleted');
      }
    }
  
  
  
  
    public function practicepdf_order($chapterid,$id)
    {
    
        $banner = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Practice Item'])->count();
    
        $seperator = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Practice Item'])->count();
    
        $pdf = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Practice Item'])->count();
    
        $count = $banner+$seperator+$pdf;
    
        return $count;
     }



  
  
    public function course_practice_seperator_create($id)
    {
      return view('backend.student-dashboard.additional.subject.chapter.pdf.practice-item.seperator.create', compact('id'));
    }
  
  
  
  
  
    public function course_practice_seperator_store(Request $request)
    {
      // dd($request);
  
      $validator = Validator::make($request->all(), [
        'seperator_order' => 'required',
        'seperator_display_text' => 'required',
  
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
          ->with('error', $validator->errors()->first());
      }
  
      $seperator = new AdditionalSeperator;
      $seperator->seperator_order = $request->seperator_order;
      $seperator->seperator_display_text = $request->seperator_display_text;
      $seperator->pdf_item_type = $request->pdf_item_type;
      $seperator->chapter_id = $request->chapter_id;
  
  
      $seperator->save();
      return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
        ->with('success', 'seperator successfully created');
  
    }
  
  
  
    public function course_practice_seperator_edit($id)
    {
      $seperator = AdditionalSeperator::find($id);
      return view('backend.student-dashboard.additional.subject.chapter.pdf.practice-item.seperator.edit', compact('seperator'));
  
    }
  
  
  
  
  
    public function course_practice_seperator_update(Request $request, $id)
    {
      // dd($request);
  
      $validator = Validator::make($request->all(), [
        'seperator_order' => 'required',
        'seperator_display_text' => 'required',
  
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
          ->with('error', $validator->errors()->first());
      }
  
      $seperator = AdditionalSeperator::find($id);
      $seperator->seperator_order = $request->seperator_order;
      $seperator->seperator_display_text = $request->seperator_display_text;
      $seperator->pdf_item_type = $request->pdf_item_type;
  
      $seperator->chapter_id = $request->chapter_id;
  
      $seperator->save();
      // return redirect()->back();
      return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
        ->with('success', 'seperator successfully updated');
    }
  
  
  
    public function course_practice_seperator_status(AdditionalSeperator $id, $status)
    {
      //dd($id);
      if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
          ->with('success', 'seperator staus successfully updated');
      }
    }
  
  
  
    public function course_practice_seperator_delete(AdditionalSeperator $id)
    {
      //dd($id);
      if ($id) {
        $id->delete();
        return redirect()->back()
          ->with('success', 'seperator deleted');
      }
    }
  
  
  
    public function practice_seperator_order($chapterid,$id)
    {
    
        $banner = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Practice Item'])->count();
    
        $seperator = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Practice Item'])->count();
    
        $pdf = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Practice Item'])->count();
    
        $count = $banner+$seperator+$pdf;
    
        return $count;
     }



  
    public function course_practice_banner_create($id,$banner_type)
    {
      $banner_template = BannerTemplate::select('id','banner_name')->where(['course_id'=> null,'subject_id'=> null,'chapter_id'=>null,'subject_template_id'=>null,'chapter_template_id'=>null,'banner_type'=>$banner_type])->orderby('id', 'desc')->get();


      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
  
      return view('backend.student-dashboard.additional.subject.chapter.pdf.practice-item.banner.create', compact('id', 'plantype','banner_template','banner_type'));
    }
  
  
  
    public function course_practice_banner_store(Request $request)
    {
      // dd($request);

      if(isset($request->banner_template_id) && !empty($request->banner_template_id)){
        $banner_template = BannerTemplate::where('id', $request->banner_template_id)->first();
        // dd($banner_template);
        if($banner_template){
            $banner_last = AdditionalBanner::select('id','banner_order')->orderby('id', 'desc')->first();   
            if($banner_last){
                $banner_order = $banner_last->banner_order+1;
            }else{
                $banner_order = 1;
            }
            $banner = new AdditionalBanner;
            $banner->banner_order = $banner_order;
            $banner->banner_name = $banner_template->banner_name;
            $banner->banner_image = $banner_template->banner_image;
            $banner->banner_type = $banner_template->banner_type;
            $banner->banner_function = $banner_template->banner_function;
            $banner->banner_link = $banner_template->banner_link;
            $banner->banner_display = $banner_template->banner_display;
            $banner->pdf_item_type = $request->pdf_item_type;
            $banner->chapter_id = $request->chapter_id;
            if($banner->save()){
                return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)->with('success', 'Record Import successfully!');
            }
        }
    }else{

  
      $validator = Validator::make($request->all(), [
        'banner_order' => 'required',
        'banner_name' => 'required',
        'banner_image' => 'required',
        'banner_display' => 'required',
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
          ->with('error', $validator->errors()->first());
      }
  
      $banner = new AdditionalBanner;
      $banner->banner_order = $request->banner_order;
      $banner->banner_name = $request->banner_name;
      $banner->banner_image = $request->banner_image;
      $banner->banner_type = $request->banner_type;
      $banner->banner_function = $request->banner_function;
      $banner->banner_link = $request->banner_link;
      $banner->banner_display = serialize($request->banner_display);
      $banner->pdf_item_type = $request->pdf_item_type;
      $banner->chapter_id = $request->chapter_id;
      $banner->save();
      return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
        ->with('success', 'banner successfully created');
  
    }
  }

  
  
    public function course_practice_banner_edit($id)
    {
      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
  
      $banner = AdditionalBanner::find($id);
      return view('backend.student-dashboard.additional.subject.chapter.pdf.practice-item.banner.edit', compact('banner', 'plantype'));
  
    }
  
  

  
    public function course_practice_banner_update(Request $request, AdditionalBanner $id)
    {
      $validator = Validator::make($request->all(), [
        'banner_order' => 'required',
        'banner_name' => 'required',
        'banner_image' => 'required',
        'banner_type' => 'required',
        'banner_display' => 'required',
      ]);
  
      if ($validator->fails()) {
        return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
          ->with('error', $validator->errors()->first());
      }
  
      $id->banner_order = $request->banner_order;
      $id->banner_name = $request->banner_name;
      $id->banner_image = $request->banner_image;
      $id->banner_type = $request->banner_type;
      $id->banner_function = $request->banner_function;
      $id->banner_link = $request->banner_link;
      $id->banner_display = serialize($request->banner_display);
      $id->pdf_item_type = $request->pdf_item_type;
      $id->chapter_id = $request->chapter_id;
      $id->save();
      // return redirect()->back();
      return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
        ->with('success', 'Banner successfully updated');
    }
  
  
  
    public function course_practice_banner_status(AdditionalBanner $id, $status)
    {
      //dd($id);
      if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
          ->with('success', 'banner staus successfully updated');
      }
  
    }
  
  
  
    public function course_practice_banner_delete(AdditionalBanner $id)
    {
      //dd($id);
      if ($id) {
        $id->delete();
        return redirect()->back()
          ->with('success', 'banner deleted');
      }
  
    }
  

    public function practice_banner_order($chapterid,$id)
    {
    
        $banner = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Practice Item'])->count();
    
        $seperator = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Practice Item'])->count();
    
        $pdf = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Practice Item'])->count();
    
        $count = $banner+$seperator+$pdf;
    
        return $count;
     }




     

// start student dashboard additional price item




// START PRICE



public function course_price_create($id)
{
  $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
  return view('backend.student-dashboard.additional.subject.chapter.pdf.price-item.pdf.create', compact('id','plantype'));
}



public function course_price_store(Request $request)
{
  // dd($request);
  $validator = Validator::make($request->all(), [
    'pdf_name' => 'required',
    'access' => 'required',

  ]);
  if ($validator->fails()) {
    return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
      ->with('error', $validator->errors()->first());
  }


  $pdfedit = new AdditionalCourseSubjectChapterPdf;
  $pdfedit->order = $request->order;

  $pdfedit->pdf_name = $request->pdf_name;
  $pdfedit->pdf_type = $request->pdf_type;
  $pdfedit->pdf_link = $request->pdf_link;
  $pdfedit->pdf_link_prefix = $request->pdf_link_prefix;
  $pdfedit->pdf_link_suflix = $request->pdf_link_suflix;
  $pdfedit->access = serialize($request->access);
  $pdfedit->top_text = $request->top_text;
  $pdfedit->link = $request->link;
  $pdfedit->item_type = $request->item_type;
  $pdfedit->chapter_id = $request->chapter_id;


  $pdfedit->save();

  return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
    ->with('success', 'pdf successfully created');
}



public function course_price_edit($id)
{
  $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
  $pdfedit = AdditionalCourseSubjectChapterPdf::find($id);

  return view('backend.student-dashboard.additional.subject.chapter.pdf.price-item.pdf.edit', compact('pdfedit','plantype'));

}





public function course_price_update(Request $request, $id)
{
  // dd($request);
  $validator = Validator::make($request->all(), [
    'pdf_name' => 'required',
    'access' => 'required',
  ]);
  if ($validator->fails()) {
    return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
      ->with('error', $validator->errors()->first());
  }

  $pdfedit = AdditionalCourseSubjectChapterPdf::find($id);
  $pdfedit->order = $request->order;
  $pdfedit->pdf_name = $request->pdf_name;
  $pdfedit->pdf_type = $request->pdf_type;
  $pdfedit->pdf_link = $request->pdf_link;
  $pdfedit->pdf_link_prefix = $request->pdf_link_prefix;
  $pdfedit->pdf_link_suflix = $request->pdf_link_suflix;
  $pdfedit->access = serialize($request->access);
  $pdfedit->top_text = $request->top_text;
  $pdfedit->link = $request->link;
  $pdfedit->item_type = $request->item_type;
  $pdfedit->chapter_id = $request->chapter_id;
  $pdfedit->save();

  return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
    ->with('success', 'pdf successfully created');
}





public function course_price_status(AdditionalCourseSubjectChapterPdf $id, $status)
{

  if ($id) {
    $id->status = $status;
    $id->save();
    return redirect()->back()
      ->with('success', 'pdf status successfully updated');
  }

}




public function course_price_delete(AdditionalCourseSubjectChapterPdf $id)
{
  //dd($id);
  if ($id) {
    $id->delete();
    return redirect()->back()
      ->with('success', 'pdf deleted');
  }
}



public function price_pdf_order($chapterid,$id)
{

    $banner = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>'middle'])->count();

    $seperator = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Print Item'])->count();

    $pdf = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Print Item'])->count();

    $count = $banner+$seperator+$pdf;

    return $count;
 }



public function course_price_seperator_create($id)
{
  return view('backend.student-dashboard.additional.subject.chapter.pdf.price-item.seperator.create', compact('id'));
}





public function course_price_seperator_store(Request $request)
{
  // dd($request);

  $validator = Validator::make($request->all(), [
    'seperator_order' => 'required',
    'seperator_display_text' => 'required',


  ]);
  if ($validator->fails()) {
    return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
      ->with('error', $validator->errors()->first());
  }

  $seperator = new AdditionalSeperator;
  $seperator->seperator_order = $request->seperator_order;
  $seperator->seperator_display_text = $request->seperator_display_text;
  $seperator->pdf_item_type = $request->pdf_item_type;
  $seperator->chapter_id = $request->chapter_id;


  $seperator->save();
  return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
    ->with('success', 'seperator successfully created');

}



public function course_price_seperator_edit($id)
{
  $seperator = AdditionalSeperator::find($id);
  return view('backend.student-dashboard.additional.subject.chapter.pdf.price-item.seperator.edit', compact('seperator'));

}





public function course_price_seperator_update(Request $request, $id)
{
  // dd($request);

  $validator = Validator::make($request->all(), [
    'seperator_order' => 'required',
    'seperator_display_text' => 'required',


  ]);
  if ($validator->fails()) {
    return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
      ->with('error', $validator->errors()->first());
  }

  $seperator = AdditionalSeperator::find($id);
  $seperator->seperator_order = $request->seperator_order;
  $seperator->seperator_display_text = $request->seperator_display_text;
  $seperator->pdf_item_type = $request->pdf_item_type;

  $seperator->chapter_id = $request->chapter_id;

  $seperator->save();
  // return redirect()->back();
  return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
    ->with('success', 'seperator successfully updated');
}



public function course_price_seperator_status(AdditionalSeperator $id, $status)
{
  //dd($id);
  if ($id) {
    $id->status = $status;
    $id->save();
    return redirect()->back()
      ->with('success', 'seperator staus successfully updated');
  }
}



public function course_price_seperator_delete(AdditionalSeperator $id)
{
  //dd($id);
  if ($id) {
    $id->delete();
    return redirect()->back()
      ->with('success', 'seperator deleted');
  }
}




public function price_seperator_order($chapterid,$id)
{

    $banner = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>'middle'])->count();

    $seperator = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Print Item'])->count();

    $pdf = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Print Item'])->count();

    $count = $banner+$seperator+$pdf;

    return $count;
 }



public function course_price_banner_create($id,$banner_type)
{
  $banner_template = BannerTemplate::select('id','banner_name')->where(['course_id'=> null,'subject_id'=> null,'chapter_id'=>null,'subject_template_id'=>null,'chapter_template_id'=>null,'banner_type'=>$banner_type])->orderby('id', 'desc')->get();

  $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();

  return view('backend.student-dashboard.additional.subject.chapter.pdf.price-item.banner.create', compact('id', 'plantype','banner_template','banner_type'));
}



public function course_price_banner_store(Request $request)
{
  // dd($request);

  if(isset($request->banner_template_id) && !empty($request->banner_template_id)){
    $banner_template = BannerTemplate::where('id', $request->banner_template_id)->first();
    // dd($banner_template);
    if($banner_template){
        $banner_last = AdditionalBanner::select('id','banner_order')->orderby('id', 'desc')->first();   
        if($banner_last){
            $banner_order = $banner_last->banner_order+1;
        }else{
            $banner_order = 1;
        }
        $banner = new AdditionalBanner;
        $banner->banner_order = $banner_order;
        $banner->banner_name = $banner_template->banner_name;
        $banner->banner_image = $banner_template->banner_image;
        $banner->banner_type = $banner_template->banner_type;
        $banner->banner_function = $banner_template->banner_function;
        $banner->banner_link = $banner_template->banner_link;
        $banner->banner_display = $banner_template->banner_display;
        $banner->pdf_item_type = $request->pdf_item_type;
        $banner->chapter_id = $request->chapter_id;
        if($banner->save()){
            return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)->with('success', 'Record Import successfully!');
        }
    }
}else{

  $validator = Validator::make($request->all(), [
    'banner_order' => 'required',
    'banner_name' => 'required',
    'banner_image' => 'required',
    'banner_display' => 'required',

  ]);
  if ($validator->fails()) {
    return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
      ->with('error', $validator->errors()->first());
  }

  $banner = new AdditionalBanner;
  $banner->banner_order = $request->banner_order;
  $banner->banner_name = $request->banner_name;
  $banner->banner_image = $request->banner_image;
  $banner->banner_type = $request->banner_type;
  $banner->banner_function = $request->banner_function;
  $banner->banner_link = $request->banner_link;
  $banner->banner_display = serialize($request->banner_display);
  $banner->pdf_item_type = $request->pdf_item_type;
  $banner->chapter_id = $request->chapter_id;
  $banner->save();
  return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
    ->with('success', 'banner successfully created');

}

}


public function course_price_banner_edit($id)
{
  $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();

  $banner = AdditionalBanner::find($id);
  return view('backend.student-dashboard.additional.subject.chapter.pdf.price-item.banner.edit', compact('banner', 'plantype'));

}



// public function top_banner_edit($id)
// {
//     $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
//     $banner = BannerTemplate::find($id);
//     return view('backend.student-dashboard.topbanner.edit', compact('banner', 'plantype'));
// }


public function course_price_banner_update(Request $request, AdditionalBanner $id)
{
  $validator = Validator::make($request->all(), [
    'banner_order' => 'required',
    'banner_name' => 'required',
    'banner_image' => 'required',
    'banner_type' => 'required',
    'banner_display' => 'required',
  ]);

  if ($validator->fails()) {
    return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
      ->with('error', $validator->errors()->first());
  }

  $id->banner_order = $request->banner_order;
  $id->banner_name = $request->banner_name;
  $id->banner_image = $request->banner_image;
  $id->banner_type = $request->banner_type;
  $id->banner_function = $request->banner_function;
  $id->banner_link = $request->banner_link;
  $id->banner_display = serialize($request->banner_display);
  $id->pdf_item_type = $request->pdf_item_type;
  $id->chapter_id = $request->chapter_id;
  $id->save();
  // return redirect()->back();
  return redirect()->route('backend.studentdashboard.addtional.subject.pdf.subject_chapter', $request->chapter_id)
    ->with('success', 'Banner successfully updated');
}



public function course_price_banner_status(AdditionalBanner $id, $status)
{
  //dd($id);
  if ($id) {
    $id->status = $status;
    $id->save();
    return redirect()->back()
      ->with('success', 'banner staus successfully updated');
  }

}



public function course_price_banner_delete(AdditionalBanner $id)
{
  //dd($id);
  if ($id) {
    $id->delete();
    return redirect()->back()
      ->with('success', 'banner deleted');
  }



}


public function price_banner_order($chapterid,$id,$bannertype)
{


  if($bannertype =='middle'){

    $banner = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>$bannertype])->count();

    $seperator = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Print Item'])->count();

    $pdf = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Print Item'])->count();

    $count = $banner+$seperator+$pdf;

  }elseif($bannertype == 'null'){

    $banner = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>$bannertype])->count();
    $count = $banner;

  }else{

    $banner = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>$bannertype])->count();
    $count = $banner;

  }

    return $count;
 }







public function chapter_update(Request $request)
  {
      // dd($request);
    AdditionalCourseSubjectChapter::where('chapter_id', $request->chapter_id)->update([
      'top_text' => $request->top_text,
      'link' => $request->link,
    ]);

    return redirect()->back()
      ->with('success', 'Record successfully updated');
  }



}
