<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use App\Models\AdditionalCourseSubject;
use App\Models\AdditionalCourseTemplate;
use App\Models\SubjectCategory;
use App\Models\AdditionalCourse;
use App\Models\SubjectTemplate;
use App\Models\AdditionalBanner;
use App\Models\AdditionalSeperator;
use App\Models\AdditionalCourseSubjectChapter;
use App\Models\AdditionalCourseSubjectChapterPdf;
class AdditionalCourseSubjectController extends Controller
{
     
    public function index() 
    {
        $subject = AdditionalCourseSubject::orderby('id', 'desc')->get();
        return view('backend.addtional.subject.index', compact('subject'));
    }


    public function create($id)
       {
        $subject_templates = SubjectTemplate::select('subject_id', 'subject_display_name')->where('status', '1')->orderby('id', 'desc')->get();
        
        // $data = AdditionalCourseSubject::find($id);
        $subject_category = SubjectCategory::select('id','name')->where('status','1')->orderby('id', 'desc')->get();

        return view('backend.addtional.subject.create', compact('id', 'subject_category','subject_templates'));
      }



      public function store(Request $request) 
      {
        //dd($request);
        if(isset($request->subject_template_id) && !empty($request->subject_template_id)){
          $subject_template = SubjectTemplate::with('subjecttemplatechapter','subjecttemplatechapter.coursesubjectchapterpdf','subjecttemplatechapter.coursesubjectchapterbanner','subjecttemplatechapter.coursesubjectchapterseperator','subjecttemplatebanner','subjecttemplateseperator')->where('subject_id', $request->subject_template_id)->first();
            if($subject_template){
                //dd($subject_template);
                //new id increment
                $course_subject = AdditionalCourseSubject::select('subject_id')->where('subject_id','like','ST-%')->orderby('id', 'desc')->first();
                if($course_subject){
                    $id_array = explode('-',$course_subject->subject_id);
                    $id_num = $id_array['1'];
                    $incrementedNumber = str_pad((int)$id_num + 1, strlen($id_num), '0', STR_PAD_LEFT);
                    $course_subject_id = 'ST-'.$incrementedNumber;
                }else{
                    $course_subject_id = 'ST-001';
                }

                //order increment
                if($request->addtional_course_template_id){
                    $course_subject_order_last = AdditionalCourseSubject::select('subject_order')->where('addtional_course_template_id',$request->addtional_course_template_id)->orderby('subject_order', 'desc')->first();
                }else{
                    $course_subject_order_last = AdditionalCourseSubject::select('subject_order')->where('additional_course_id',$request->additional_course_id)->orderby('subject_order', 'desc')->first();
                }
                
                if($course_subject_order_last){
                    $course_subject_order = $course_subject_order_last->subject_order+1;   
                }else{
                    $course_subject_order = 1;
                }

                $subject = new AdditionalCourseSubject;
                $subject->subject_id = $course_subject_id;
                $subject->subject_order = $course_subject_order;
                $subject->subject_display_name = $subject_template['subject_display_name'];
                $subject->subject_categary_id = $subject_template['subject_categary_id'];

                $subject->top_text=$subject_template['top_text'];
                $subject->link=$subject_template['link'];
                $subject->var_a=$subject_template['var_a'];
                $subject->var_b=$subject_template['var_b'];
                $subject->var_c=$subject_template['var_c'];

                $subject->addtional_course_template_id=$request->addtional_course_template_id;
                $subject->additional_course_id=$request->additional_course_id;
                if($subject->save()){
                    //dd($subject);
                    //add banner
                    if($subject_template['subjecttemplatebanner']){
                      foreach($subject_template['subjecttemplatebanner'] as $value){
                        //   $banner_last = AdditionalBanner::select('banner_order')->where('subject_id',$subject->subject_id)->orderby('id', 'desc')->first();
                        //   if($banner_last){
                        //       $banner_order = $banner_last->banner_order+1;
                        //   }else{
                        //       $banner_order = 1;
                        //   }

                        // if($value->banner_type == 'middle'){
                        //     $banner_order_last = AdditionalBanner::select('banner_order')->where(['subject_id'=>$subject->subject_id,'banner_type'=>'middle'])->orderby('banner_order','DESC')->first();
                        //     if($banner_order_last){
                        //         $number1 = $banner_order_last->banner_order;
                        //     }else{
                        //         $number1 = 0;
                        //     }

                        //     $seperator_order_last = AdditionalSeperator::select('seperator_order')->where(['subject_id'=>$subject->subject_id])->orderby('seperator_order','DESC')->first();
                        //     if($seperator_order_last){
                        //         $number2 = $seperator_order_last->seperator_order;
                        //     }else{
                        //         $number2 = 0;
                        //     }

                        //     $chapter_order_last = AdditionalCourseSubjectChapter::select('chapter_order')->where(['additional_course_subject_id'=>$subject->subject_id])->orderby('chapter_order','DESC')->first();
                        //     if($chapter_order_last){
                        //         $number3 = $chapter_order_last->chapter_order;
                        //     }else{
                        //         $number3 = 0;
                        //     }

                        //     if ($number1 >= $number2 && $number1 >= $number3) {
                        //         $banner_order = $number1 + 1;
                        //     } elseif ($number2 >= $number1 && $number2 >= $number3) {
                        //         $banner_order = $number2 + 1;
                        //     } else {
                        //         $banner_order = $number3 + 1;
                        //     }
                        // }else{
                        //     $banner_last = AdditionalBanner::select('banner_order')->where(['banner_type'=>'bottom','subject_id'=>$subject->subject_id])->orderby('id', 'desc')->first();
                        //     if($banner_last){
                        //         $banner_order = $banner_last->banner_order+1;                                
                        //     }else{
                        //         $banner_order = 1;
                        //     }
                        // }
                          $banner = new AdditionalBanner;
                          $banner->banner_order = $value->banner_order;
                          $banner->banner_name = $value->banner_name;
                          $banner->banner_image = $value->banner_image;
                          $banner->banner_type = $value->banner_type;
                          $banner->banner_function = $value->banner_function;
                          $banner->banner_link = $value->banner_link;
                          $banner->banner_display = $value->banner_display;
                          $banner->subject_id = $subject->subject_id;
                          $banner->save();
                        }
                      }

                      //add seperator
                      if($subject_template['subjecttemplateseperator']){
                        foreach($subject_template['subjecttemplateseperator'] as $value){
                        //   $seperator_last = AdditionalSeperator::select('seperator_order')->where('subject_id',$subject->subject_id)->orderby('id', 'desc')->first();
                        //   if($seperator_last){
                        //       $seperator_order = $seperator_last->seperator_order+1;
                        //   }else{
                        //       $seperator_order = 1;
                        //   }

                        // $banner_order_last = AdditionalBanner::select('banner_order')->where(['subject_id'=>$subject->subject_id,'banner_type'=>'middle'])->orderby('banner_order','DESC')->first();
                        // if($banner_order_last){
                        //     $number1 = $banner_order_last->banner_order;
                        // }else{
                        //     $number1 = 0;
                        // }

                        // $seperator_order_last = AdditionalSeperator::select('seperator_order')->where(['subject_id'=>$subject->subject_id])->orderby('seperator_order','DESC')->first();
                        // if($seperator_order_last){
                        //     $number2 = $seperator_order_last->seperator_order;
                        // }else{
                        //     $number2 = 0;
                        // }

                        // $chapter_order_last = AdditionalCourseSubjectChapter::select('chapter_order')->where(['additional_course_subject_id'=>$subject->subject_id])->orderby('chapter_order','DESC')->first();
                        // if($chapter_order_last){
                        //     $number3 = $chapter_order_last->chapter_order;
                        // }else{
                        //     $number3 = 0;
                        // }

                        // if ($number1 >= $number2 && $number1 >= $number3) {
                        //     $seperator_order = $number1 + 1;
                        // } elseif ($number2 >= $number1 && $number2 >= $number3) {
                        //     $seperator_order = $number2 + 1;
                        // } else {
                        //     $seperator_order = $number3 + 1;
                        // }
                          $seperator = new AdditionalSeperator;
                          $seperator->seperator_order = $value->seperator_order;
                          $seperator->seperator_display_text = $value->seperator_display_text;
                          $seperator->subject_id = $subject->subject_id;
                          $seperator->save();
                        }
                      }

                      //add chapter
                    if($subject_template['subjecttemplatechapter']){
                      foreach($subject_template['subjecttemplatechapter'] as $value){                          

                          //new id increment
                          $course_subject_chapter_last = AdditionalCourseSubjectChapter::select('chapter_id')->where('chapter_id','like','STCH-%')->orderby('id', 'desc')->first();
                          if($course_subject_chapter_last){
                              $id_array = explode('-',$course_subject_chapter_last->chapter_id);
                              $id_num = $id_array['1'];
                              $incrementedNumber = str_pad((int)$id_num + 1, strlen($id_num), '0', STR_PAD_LEFT);
                              $course_subject_chapter_id = 'STCH-'.$incrementedNumber;
                          }else{
                              $course_subject_chapter_id = 'STCH-001';
                          }

                          //order increment
                        //   $course_subject_chapter_order_last = AdditionalCourseSubjectChapter::select('chapter_order')->orderby('chapter_order', 'desc')->first();
                        //   if($course_subject_chapter_order_last){
                        //       $course_subject_chapter_order = $course_subject_chapter_order_last->chapter_order+1;   
                        //   }else{
                        //       $course_subject_chapter_order = 1;
                        //   }

                        // $banner_order_last = AdditionalBanner::select('banner_order')->where(['subject_id'=>$subject->subject_id,'banner_type'=>'middle'])->orderby('banner_order','DESC')->first();
                        // if($banner_order_last){
                        //     $number1 = $banner_order_last->banner_order;
                        // }else{
                        //     $number1 = 0;
                        // }

                        // $seperator_order_last = AdditionalSeperator::select('seperator_order')->where(['subject_id'=>$subject->subject_id])->orderby('seperator_order','DESC')->first();
                        // if($seperator_order_last){
                        //     $number2 = $seperator_order_last->seperator_order;
                        // }else{
                        //     $number2 = 0;
                        // }

                        // $chapter_order_last = AdditionalCourseSubjectChapter::select('chapter_order')->where(['additional_course_subject_id'=>$subject->subject_id])->orderby('chapter_order','DESC')->first();
                        // if($chapter_order_last){
                        //     $number3 = $chapter_order_last->chapter_order;
                        // }else{
                        //     $number3 = 0;
                        // }

                        // if ($number1 >= $number2 && $number1 >= $number3) {
                        //     $course_subject_chapter_order = $number1 + 1;
                        // } elseif ($number2 >= $number1 && $number2 >= $number3) {
                        //     $course_subject_chapter_order = $number2 + 1;
                        // } else {
                        //     $course_subject_chapter_order = $number3 + 1;
                        // }

                          $subject_chapter = new AdditionalCourseSubjectChapter;
                          $subject_chapter->chapter_id = $course_subject_chapter_id;
                          $subject_chapter->chapter_order = $value->chapter_order;
                          $subject_chapter->chapter_name = (!empty($value->chapter_name))?$value->chapter_name:null;
                          $subject_chapter->top_text = (!empty($value->top_text))?$value->top_text:null;
                          $subject_chapter->link = (!empty($value->link))?$value->link:null;
                          // $subject_chapter->var_a = (!empty($value->var_a))?$value->var_a:null;
                          // $subject_chapter->var_b = (!empty($value->var_b))?$value->var_b:null;
                          // $subject_chapter->var_c = (!empty($value->var_c))?$value->var_c:null;
                          $subject_chapter->additional_course_subject_id = $subject->subject_id;
                          $subject_chapter->status = $value->status;
                          if($subject_chapter->save()){
                              if($value['coursesubjectchapterpdf']){
                                  foreach($value['coursesubjectchapterpdf'] as $pdfvalue){
                                    //   $course_subject_chapter_pdf_last = AdditionalCourseSubjectChapterPdf::select('order')->orderby('id', 'desc')->first();
                                    //   if($course_subject_chapter_pdf_last){
                                    //       $course_subject_chapter_pdf_order = $course_subject_chapter_pdf_last->order+1;
                                    //   }else{
                                    //       $course_subject_chapter_pdf_order = 1;
                                    //   }


                                    // $banner_order_last = AdditionalBanner::select('banner_order')->where(['chapter_id'=>$subject_chapter->chapter_id,'banner_type'=>'middle','pdf_item_type'=>$pdfvalue->pdf_item_type])->orderby('banner_order','DESC')->first();
                                    // if($banner_order_last){
                                    //     $number1 = $banner_order_last->banner_order;
                                    // }else{
                                    //     $number1 = 0;
                                    // }

                                    // $seperator_order_last = AdditionalSeperator::select('seperator_order')->where(['chapter_id'=>$subject_chapter->chapter_id,'pdf_item_type'=>$pdfvalue->pdf_item_type])->orderby('seperator_order','DESC')->first();
                                    // if($seperator_order_last){
                                    //     $number2 = $seperator_order_last->seperator_order;
                                    // }else{
                                    //     $number2 = 0;
                                    // }

                                    // $pdf_order_last = AdditionalCourseSubjectChapterPdf::select('order')->where(['chapter_id'=>$subject_chapter->chapter_id,'item_type'=>$pdfvalue->pdf_item_type])->orderby('order','DESC')->first();
                                    // if($pdf_order_last){
                                    //     $number3 = $pdf_order_last->order;
                                    // }else{
                                    //     $number3 = 0;
                                    // }

                                    // if ($number1 >= $number2 && $number1 >= $number3) {
                                    //     $course_subject_chapter_pdf_order = $number1 + 1;
                                    // } elseif ($number2 >= $number1 && $number2 >= $number3) {
                                    //     $course_subject_chapter_pdf_order = $number2 + 1;
                                    // } else {
                                    //     $course_subject_chapter_pdf_order = $number3 + 1;
                                    // }

                                      $subject_chapter_pdf = new AdditionalCourseSubjectChapterPdf;
                                      $subject_chapter_pdf->order = $pdfvalue->order;
                                      $subject_chapter_pdf->pdf_name = (!empty($pdfvalue->pdf_name))?$pdfvalue->pdf_name:null;
                                      $subject_chapter_pdf->pdf_type = (!empty($pdfvalue->pdf_type))?$pdfvalue->pdf_type:null;
                                      $subject_chapter_pdf->pdf_link = (!empty($pdfvalue->pdf_link))?$pdfvalue->pdf_link:null;
                                      $subject_chapter_pdf->pdf_link_prefix = (!empty($pdfvalue->pdf_link_prefix))?$pdfvalue->pdf_link_prefix:null;
                                      $subject_chapter_pdf->pdf_link_suflix = (!empty($pdfvalue->pdf_link_suflix))?$pdfvalue->pdf_link_suflix:null;
                                      $subject_chapter_pdf->access = (!empty($pdfvalue->access))?$pdfvalue->access:null;
                                      $subject_chapter_pdf->top_text = (!empty($pdfvalue->top_text))?$pdfvalue->top_text:null;
                                      $subject_chapter_pdf->link = (!empty($pdfvalue->link))?$pdfvalue->link:'a';
                                      $subject_chapter_pdf->pdf_item_type = (!empty($pdfvalue->pdf_item_type))?$pdfvalue->pdf_item_type:null;
                                      $subject_chapter_pdf->chapter_id = $subject_chapter->chapter_id;
                                      $subject_chapter_pdf->status = $pdfvalue->status;
                                      $subject_chapter_pdf->save();
                                  }
                              }

                              //chapter banner
                              if($value['coursesubjectchapterbanner']){
                                  foreach($value['coursesubjectchapterbanner'] as $bannervalue){
                                    //   $banner_last = AdditionalBanner::select('banner_order')->where('chapter_id',$subject_chapter->chapter_id)->orderby('id', 'desc')->first();
                                    //   if($banner_last){
                                    //       $banner_order = $banner_last->banner_order+1;
                                    //   }else{
                                    //       $banner_order = 1;
                                    //   }

                                    // if($bannervalue->banner_type == 'middle'){
                                    //     $banner_order_last = AdditionalBanner::select('banner_order')->where(['chapter_id'=>$subject_chapter->chapter_id,'banner_type'=>'middle','pdf_item_type'=>$bannervalue->pdf_item_type])->orderby('banner_order','DESC')->first();
                                    //     if($banner_order_last){
                                    //         $number1 = $banner_order_last->banner_order;
                                    //     }else{
                                    //         $number1 = 0;
                                    //     }

                                    //     $seperator_order_last = AdditionalSeperator::select('seperator_order')->where(['chapter_id'=>$subject_chapter->chapter_id,'pdf_item_type'=>$bannervalue->pdf_item_type])->orderby('seperator_order','DESC')->first();
                                    //     if($seperator_order_last){
                                    //         $number2 = $seperator_order_last->seperator_order;
                                    //     }else{
                                    //         $number2 = 0;
                                    //     }

                                    //     $pdf_order_last = AdditionalCourseSubjectChapterPdf::select('order')->where(['chapter_id'=>$subject_chapter->chapter_id,'item_type'=>$bannervalue->pdf_item_type])->orderby('order','DESC')->first();
                                    //     if($pdf_order_last){
                                    //         $number3 = $pdf_order_last->order;
                                    //     }else{
                                    //         $number3 = 0;
                                    //     }

                                    //     if ($number1 >= $number2 && $number1 >= $number3) {
                                    //         $banner_order = $number1 + 1;
                                    //     } elseif ($number2 >= $number1 && $number2 >= $number3) {
                                    //         $banner_order = $number2 + 1;
                                    //     } else {
                                    //         $banner_order = $number3 + 1;
                                    //     }
                                    // }else{
                                    //     $banner_last = AdditionalBanner::select('banner_order')->where(['banner_type'=>'bottom','chapter_id'=>$subject_chapter->chapter_id,'pdf_item_type'=>$bannervalue->pdf_item_type])->orderby('id', 'desc')->first();
                                    //     if($banner_last){
                                    //         $banner_order = $banner_last->banner_order+1;                                
                                    //     }else{
                                    //         $banner_order = 1;
                                    //     }
                                    // }
                                      $banner = new AdditionalBanner;
                                      $banner->banner_order = $bannervalue->banner_order;
                                      $banner->banner_name = $bannervalue->banner_name;
                                      $banner->banner_image = $bannervalue->banner_image;
                                      $banner->banner_type = $bannervalue->banner_type;
                                      $banner->banner_function = $bannervalue->banner_function;
                                      $banner->banner_link = $bannervalue->banner_link;
                                      $banner->pdf_item_type = $bannervalue->pdf_item_type;
                                      $banner->banner_display = $bannervalue->banner_display;
                                      $banner->chapter_id = $subject_chapter->chapter_id;
                                      $banner->save();
                                  }
                              }

                              //chapter sepretor
                              if($value['coursesubjectchapterseperator']){
                                  foreach($value['coursesubjectchapterseperator'] as $seperatorvalue){
                                    //   $seperator_last = AdditionalSeperator::select('seperator_order')->where('chapter_id',$subject_chapter->chapter_id)->orderby('id', 'desc')->first();
                                    //   if($seperator_last){
                                    //       $seperator_order = $seperator_last->seperator_order+1;
                                    //   }else{
                                    //       $seperator_order = 1;
                                    //   }

                                    // $banner_order_last = AdditionalBanner::select('banner_order')->where(['chapter_id'=>$subject_chapter->chapter_id,'banner_type'=>'middle','pdf_item_type'=>$seperatorvalue->pdf_item_type])->orderby('banner_order','DESC')->first();
                                    // if($banner_order_last){
                                    //     $number1 = $banner_order_last->banner_order;
                                    // }else{
                                    //     $number1 = 0;
                                    // }

                                    // $seperator_order_last = AdditionalSeperator::select('seperator_order')->where(['chapter_id'=>$subject_chapter->chapter_id,'pdf_item_type'=>$seperatorvalue->pdf_item_type])->orderby('seperator_order','DESC')->first();
                                    // if($seperator_order_last){
                                    //     $number2 = $seperator_order_last->seperator_order;
                                    // }else{
                                    //     $number2 = 0;
                                    // }

                                    // $pdf_order_last = AdditionalCourseSubjectChapterPdf::select('order')->where(['chapter_id'=>$subject_chapter->chapter_id,'item_type'=>$seperatorvalue->pdf_item_type])->orderby('order','DESC')->first();
                                    // if($pdf_order_last){
                                    //     $number3 = $pdf_order_last->order;
                                    // }else{
                                    //     $number3 = 0;
                                    // }

                                    // if ($number1 >= $number2 && $number1 >= $number3) {
                                    //     $seperator_order = $number1 + 1;
                                    // } elseif ($number2 >= $number1 && $number2 >= $number3) {
                                    //     $seperator_order = $number2 + 1;
                                    // } else {
                                    //     $seperator_order = $number3 + 1;
                                    // }
                                      $seperator = new AdditionalSeperator;
                                      $seperator->seperator_order = $seperatorvalue->seperator_order;
                                      $seperator->seperator_display_text = $seperatorvalue->seperator_display_text;
                                      $seperator->pdf_item_type = $seperatorvalue->pdf_item_type;
                                      $seperator->chapter_id = $subject_chapter->chapter_id;
                                      $seperator->save();
                                  }
                              }
                          }
                      }
                  }
                    
                    //dd($subject_template);
                    if(isset($request->addtional_course_template_id) && !empty($request->addtional_course_template_id)){
                      return redirect()->route('backend.addtional.subject.addtional_subject',$request->addtional_course_template_id)
                      ->with('success', 'Data successfully impoart');
                    }else{
                      return redirect()->route('backend.studentdashboard.subject.additional.index',$request->additional_course_id)
                      ->with('success', 'Data successfully impoart');
                    }
                }
            }
        }else{
          //dd($request);
          $validator = Validator::make($request->all(), [
            'subject_order' => 'required',
            'subject_id' => 'required',
            'subject_display_name' => 'required',
            'subject_categary_id' => 'required',
             ]);
 
             
             if ($validator->fails()) {
                return redirect()->back()
              ->with('error', $validator->errors()->first());
              }
   
          $subject = new AdditionalCourseSubject;
           $subject->subject_order=$request->subject_order;
           $subject->subject_id=$request->subject_id;
           $subject->subject_display_name=$request->subject_display_name;
           $subject->subject_categary_id=$request->subject_categary_id;
           $subject->top_text=$request->top_text;
           $subject->link=$request->link;
           $subject->var_a=$request->var_a;
           $subject->var_b=$request->var_b;
           $subject->var_c=$request->var_c;

           $subject->addtional_course_template_id=$request->addtional_course_template_id;
           $subject->additional_course_id=$request->additional_course_id;
 
           $subject->save();
           if(isset($request->addtional_course_template_id) && !empty($request->addtional_course_template_id)){
             return redirect()->route('backend.addtional.subject.addtional_subject',$request->addtional_course_template_id)
             ->with('success', 'subject successfully created');
           }else{
             return redirect()->route('backend.studentdashboard.subject.additional.index',$request->additional_course_id)
             ->with('success', 'subject successfully created');
           }
        }
      }
  


        public function edit($id)
        {
            $subject_category = SubjectCategory::select('id','name')->where('status','1')->orderby('id', 'desc')->get();
            $subject = AdditionalCourseSubject::find($id);
            return view('backend.addtional.subject.edit',compact('subject','subject_category'));  
         }

         public function update(Request $request,$id)
         {
            $validator = Validator::make($request->all(), [
            'subject_order' => 'required',
            'subject_id' => 'required',
            'subject_display_name' => 'required',
            'subject_categary_id' => 'required',
            ]);
            if ($validator->fails()) {
                return redirect()->back()
                ->with('error', $validator->errors()->first());
            }
    
            $subject = AdditionalCourseSubject::find($id);
            $subject->subject_order=$request->subject_order;
            $subject->subject_id=$request->subject_id;
            $subject->subject_display_name=$request->subject_display_name;
            $subject->subject_categary_id=$request->subject_categary_id;
            $subject->top_text=$request->top_text;
            $subject->link=$request->link;
            $subject->var_a=$request->var_a;
            $subject->var_b=$request->var_b;
            $subject->var_c=$request->var_c;
            $subject->addtional_course_template_id=$request->addtional_course_template_id;
            $subject->additional_course_id=$request->additional_course_id;

            $subject->save();
            if(isset($request->addtional_course_template_id) && !empty($request->addtional_course_template_id)){
                return redirect()->route('backend.addtional.subject.addtional_subject',$request->addtional_course_template_id)
                ->with('success', 'subject successfully created');
              }else{
                return redirect()->route('backend.studentdashboard.subject.additional.index',$request->additional_course_id)
                ->with('success', 'subject successfully created');
              }
         }


         public function status(AdditionalCourseSubject $id, $status)
         {
      
               if ($id) {
               $id->status = $status;
               $id->save();
              return redirect()->back()
            ->with('success', 'subject status successfully updated');
           }
                 return view('backend.addtional.subject.index');
            }
   

            public function delete(AdditionalCourseSubject $id)
            {
                //dd($id);
                if ($id) {            
                 $id->delete();
                return redirect()->back()
                ->with('success', 'subject deleted');
                }
                return view('backend.addtional.subject.index');
            }
    
    
    
            public function class_order($id)
            {
                $count = AdditionalCourseSubject::where('subject_order',$id)->count();
                return $count;
             }
    
             public function subject_id($id)
             {
                 $count = AdditionalCourseSubject::where('subject_id',$id)->count();
                 return $count;
              }


            public function addtional_subject($id){
                // dd($id);
                $addtional = AdditionalCourseTemplate::select('course_id')->where('course_id',$id)->first();
                // dd($addtional);
                $subject = AdditionalCourseSubject::where('addtional_course_template_id',$id)->orderby('id', 'desc')->get();
        //    dd($subject);
                return view('backend.addtional.subject.index', compact('addtional','subject'));
            }  
        


// additional course start


public function additional_course_create($id)
{

    $subject_templates = SubjectTemplate::select('subject_id', 'subject_display_name')->where('status', '1')->orderby('id', 'desc')->get();
    // $data = AdditionalCourseSubject::find($id);
    $subject_category = SubjectCategory::select('id','name')->where('status','1')->orderby('id', 'desc')->get();

    $additional = AdditionalCourse::select('AC_ID','course_id')->where('AC_ID',$id)->first();

    return view('backend.student-dashboard.additional.subject.create', compact('id', 'subject_category','subject_templates','additional'));

}


public function additional_course_edit($id)
{
    $subject_category = SubjectCategory::select('id','name')->where('status','1')->orderby('id', 'desc')->get();
   $subject = AdditionalCourseSubject::find($id);

   $additional = AdditionalCourse::select('AC_ID','course_id')->where('AC_ID',$subject->additional_course_id)->first();

   return view('backend.student-dashboard.additional.subject.edit',compact('subject','subject_category','additional'));  
 }


 public function additional_subject($id){
    // dd($id);
    $additional = AdditionalCourse::select('AC_ID','course_id')->where('AC_ID',$id)->first();
    // dd($additional);
    $subject = AdditionalCourseSubject::where('additional_course_id',$id)->orderby('id', 'desc')->get();

    return view('backend.student-dashboard.additional.subject.index', compact('additional','subject'));
}


// additional course end


}
