<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use App\Models\BannerTemplate;
use Illuminate\Http\Request;
use App\Models\PlanType;

use Illuminate\Support\Facades\Validator;

class BannerTemplateController extends Controller
{
    public function index() 
    {
        $banner = BannerTemplate::where(['course_id'=>null,'subject_id'=>null,'chapter_id'=>null,'subject_template_id'=>null,'chapter_template_id'=>null])->orderby('id', 'desc')->get();
        return view('backend.banner.index', compact('banner'));
    }


    public function create() 
    {
        $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();

        return view('backend.banner.create', compact('plantype'));
    }

    public function store(Request $request){
        //dd($request);
        $validator = Validator::make($request->all(), [
            // 'banner_order' => 'required',
            'banner_name' => 'required',
            'banner_image' => 'required',
            'banner_type' => 'required',
            'banner_display' => 'required',

        ]);
        if ($validator->fails()) {
            return redirect()->back()
            ->with('error', $validator->errors()->first());
        }

        $banner = new BannerTemplate;
        // $banner->banner_order=$request->banner_order;
        $banner->banner_name=$request->banner_name;
        $banner->banner_image=$request->banner_image;
        $banner->banner_type=$request->banner_type;
        $banner->banner_function=$request->banner_function;
        $banner->banner_link=$request->banner_link;
        $banner->banner_display=serialize($request->banner_display);
        $banner->save();
        return redirect()->route('backend.banner.index')
        ->with('success', 'Banner successfully created');

    }


  
    public function edit($id)
    {
         $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
        $banner = BannerTemplate::find($id);
        return view('backend.banner.edit',compact('banner','plantype'));
        
    }



    public function update(Request $request, BannerTemplate $id){
        $validator = Validator::make($request->all(), [
            // 'banner_order' => 'required',
            'banner_name' => 'required',
            'banner_image' => 'required',
            'banner_type' => 'required',
            'banner_display' => 'required',
        ]);

        if ($validator->fails()) {
            return redirect()->back()
            ->with('error', $validator->errors()->first());
        }

        // $id->banner_order=$request->banner_order;
        $id->banner_name=$request->banner_name;
        $id->banner_image=$request->banner_image;
        $id->banner_type=$request->banner_type;
        $id->banner_function=$request->banner_function;
        $id->banner_link=$request->banner_link;
        $id->banner_display=serialize($request->banner_display);
        $id->save();
        // return redirect()->back();
        return redirect()->route('backend.banner.index')
        ->with('success', 'Banner successfully updated');
    }


    public function status(BannerTemplate $id, $status)
    {
        //dd($id);
        if ($id) {
            $id->status = $status;
            $id->save();
            return redirect()->route('backend.banner.index')
                ->with('success', 'banner staus successfully updated');
        }
        return view('backend.banner.index');
    }        

    public function delete(BannerTemplate $id)
    {
        //dd($id);
        if ($id) {            
        $id->delete();
        return redirect()->route('backend.banner.index')
        ->with('success', 'banner deleted');
        }
        return view('backend.banner.index');
    }

    public function banner_order($id)
    {
        $count = BannerTemplate::where('banner_order',$id)->count();
        return $count;
    }

}
