<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use App\Models\CourseSubjectChapter;
use App\Models\CourseSubject;
use App\Models\ChapterSeperator;
use App\Models\BannerTemplate;
use App\Models\ChapterTemplate;
use App\Models\Pdf;
use App\Models\PlanType;

use Illuminate\Support\Facades\Validator;
use Illuminate\Http\Request;

class ChapterController extends Controller
{
    public function index()
    {
        $chapter = CourseSubjectChapter::orderby('id', 'desc')->get();
        //  $seperator = ChapterSeperator::where('subject_id', $id)->orderby('id', 'desc')->get();

        return view('backend.student-dashboard.subject.chapter.index', compact('chapter'));
    }

    public function create($id)
    {
        $chapter_templates = ChapterTemplate::select('chapter_id', 'chapter_name')->where('status', '1')->orderby('id', 'desc')->get();
        $subject = CourseSubject::select('subject_id', 'subject_display_name', 'course_id')->where('subject_id', $id)->first();

        return view('backend.student-dashboard.subject.chapter.create', compact('id', 'chapter_templates', 'subject'));
    }

    public function store(Request $request)
    {
        //dd($request);
        if (isset($request->chapter_template_id) && !empty($request->chapter_template_id)) {
            $chapter_template = ChapterTemplate::with('chaptertemplatepdf', 'chaptertemplatebanner', 'chaptertemplateseperator')->where('chapter_id', $request->chapter_template_id)->first();
            //dd($chapter_template);
            if ($chapter_template) {
               $course_subject_chapter = CourseSubjectChapter::select('id')->orderby('id', 'desc')->first();
                if ($course_subject_chapter) {
                    // $id_array = explode('-', $course_subject_chapter->chapter_id);
                    // $id_num = $id_array['1'];
                    // $incrementedNumber = str_pad((int) $id_num + 1, strlen($id_num), '0', STR_PAD_LEFT);
                     $new_id = $course_subject_chapter->id +1;
                    $course_subject_chapter_id = 'CH-' .  $new_id ;
                } else {
                    $course_subject_chapter_id = 'CH-001';
                }

                $chapterSeparatorLast = ChapterSeperator::select('seperator_order')->where('subject_id', $request->course_subject_id)->orderby('seperator_order', 'desc')->first();
                if(!$chapterSeparatorLast){
                  $chapterSeparatorLastOrder = 0;
                } else {
                    $chapterSeparatorLastOrder = $chapterSeparatorLast->seperator_order;
                }
                $bannerLast = BannerTemplate::select('banner_order')->where('subject_id', $request->course_subject_id)->where('banner_type', 'middle')->orderby('banner_order', 'desc')->first();
                if(!$bannerLast){
                    $bannerLastOrder = 0;
                } else {
                    $bannerLastOrder = $bannerLast->banner_order;   
                }

                $chapterLast = CourseSubjectChapter::select('chapter_order')->where('course_subject_id', $request->course_subject_id)->orderby('chapter_order', 'desc')->first();
                if ($chapterLast) {
                    $chapterLastOrder = $chapterLast->chapter_order;
                    $maxOrder = max($chapterSeparatorLastOrder, $bannerLastOrder, $chapterLastOrder);
                    $chapterLastOrder = $maxOrder + 1;
                } else {
                    $maxOrder = max($bannerLastOrder, $chapterSeparatorLastOrder);
                    $chapterLastOrder = $maxOrder + 1;
                }
                $subject_chapter = new CourseSubjectChapter;
                $subject_chapter->chapter_id = $course_subject_chapter_id;
                $subject_chapter->chapter_order = $chapterLastOrder;
                $subject_chapter->chapter_name = (!empty($chapter_template->chapter_name)) ? $chapter_template->chapter_name : null;
                $subject_chapter->top_text = (!empty($chapter_template->top_text)) ? $chapter_template->top_text : null;
                $subject_chapter->link = (!empty($chapter_template->link)) ? $chapter_template->link : null;
                // $subject_chapter->var_a = (!empty($chapter_template->var_a)) ? $chapter_template->var_a : null;
                // $subject_chapter->var_b = (!empty($chapter_template->var_b)) ? $chapter_template->var_b : null;
                // $subject_chapter->var_c = (!empty($chapter_template->var_c)) ? $chapter_template->var_c : null;
                $subject_chapter->course_subject_id = $request->course_subject_id;
                $subject_chapter->status = $chapter_template->status;
                if ($subject_chapter->save()) {
                    if ($chapter_template['chaptertemplatepdf']) {
                        foreach ($chapter_template['chaptertemplatepdf'] as $value) {
                            // $course_subject_chapter_pdf_last = Pdf::select('order')->orderby('id', 'desc')->first();
                            // if($course_subject_chapter_pdf_last){
                            //     $course_subject_chapter_pdf_order = $course_subject_chapter_pdf_last->order+1;
                            // }else{
                            //     $course_subject_chapter_pdf_order = 1;
                            // }

                            //get order start  
                            // $banner_order_last = BannerTemplate::select('banner_order')->where(['chapter_id' => $subject_chapter->chapter_id, 'banner_type' => 'middle', 'pdf_item_type' => $value->pdf_item_type])->orderby('banner_order', 'DESC')->first();
                            // if ($banner_order_last) {
                            //     $number1 = $banner_order_last->banner_order;
                            // } else {
                            //     $number1 = 0;
                            // }

                            // $seperator_order_last = ChapterSeperator::select('seperator_order')->where(['chapter_id' => $subject_chapter->chapter_id, 'pdf_item_type' => $value->pdf_item_type])->orderby('seperator_order', 'DESC')->first();
                            // if ($seperator_order_last) {
                            //     $number2 = $seperator_order_last->seperator_order;
                            // } else {
                            //     $number2 = 0;
                            // }

                            // $pdf_order_last = Pdf::select('order')->where(['chapter_id' => $subject_chapter->chapter_id, 'pdf_item_type' => $value->pdf_item_type])->orderby('order', 'DESC')->first();
                            // if ($pdf_order_last) {
                            //     $number3 = $pdf_order_last->order;
                            // } else {
                            //     $number3 = 0;
                            // }

                            // if ($number1 >= $number2 && $number1 >= $number3) {
                            //     $course_subject_chapter_pdf_order = $number1 + 1;
                            // } elseif ($number2 >= $number1 && $number2 >= $number3) {
                            //     $course_subject_chapter_pdf_order = $number2 + 1;
                            // } else {
                            //     $course_subject_chapter_pdf_order = $number3 + 1;
                            // }

                            $subject_chapter_pdf = new Pdf;
                            $subject_chapter_pdf->order = $value->order;
                            $subject_chapter_pdf->pdf_name = (!empty($value->pdf_name)) ? $value->pdf_name : null;
                            $subject_chapter_pdf->pdf_type = (!empty($value->pdf_type)) ? $value->pdf_type : null;
                            $subject_chapter_pdf->pdf_link = (!empty($value->pdf_link)) ? $value->pdf_link : null;
                            //$subject_chapter_pdf->pdf_link_prefix = (!empty($value->pdf_link_prefix)) ? $value->pdf_link_prefix : null;
                            $subject_chapter_pdf->pdf_link_suflix = (!empty($value->pdf_link_suflix)) ? $value->pdf_link_suflix : null;
                            $subject_chapter_pdf->access = (!empty($value->access)) ? $value->access : null;
                            $subject_chapter_pdf->top_text = (!empty($value->top_text)) ? $value->top_text : null;
                            $subject_chapter_pdf->link = (!empty($value->link)) ? $value->link : null;
                            $subject_chapter_pdf->pdf_item_type = (!empty($value->pdf_item_type)) ? $value->pdf_item_type : null;
                            $subject_chapter_pdf->chapter_id = $subject_chapter->chapter_id;
                            $subject_chapter_pdf->status = $value->status;
                            $subject_chapter_pdf->save();
                        }
                    }

                    //chapter banner
                    if ($chapter_template['chaptertemplatebanner']) {
                        foreach ($chapter_template['chaptertemplatebanner'] as $value) {
                            // $banner_last = BannerTemplate::select('banner_order')->where('chapter_id',$subject_chapter->chapter_id)->orderby('id', 'desc')->first();
                            // if($banner_last){
                            //     $banner_order = $banner_last->banner_order+1;
                            // }else{
                            //     $banner_order = 1;
                            // }


                            // if ($value->banner_type == 'middle') {
                            //     //get order start  
                            //     $banner_order_last = BannerTemplate::select('banner_order')->where(['chapter_id' => $subject_chapter->chapter_id, 'banner_type' => 'middle', 'pdf_item_type' => $value->pdf_item_type])->orderby('banner_order', 'DESC')->first();
                            //     if ($banner_order_last) {
                            //         $number1 = $banner_order_last->banner_order;
                            //     } else {
                            //         $number1 = 0;
                            //     }

                            //     $seperator_order_last = ChapterSeperator::select('seperator_order')->where(['chapter_id' => $subject_chapter->chapter_id, 'pdf_item_type' => $value->pdf_item_type])->orderby('seperator_order', 'DESC')->first();
                            //     if ($seperator_order_last) {
                            //         $number2 = $seperator_order_last->seperator_order;
                            //     } else {
                            //         $number2 = 0;
                            //     }

                            //     $pdf_order_last = Pdf::select('order')->where(['chapter_id' => $subject_chapter->chapter_id, 'pdf_item_type' => $value->pdf_item_type])->orderby('order', 'DESC')->first();
                            //     if ($pdf_order_last) {
                            //         $number3 = $pdf_order_last->order;
                            //     } else {
                            //         $number3 = 0;
                            //     }

                            //     if ($number1 >= $number2 && $number1 >= $number3) {
                            //         $banner_order = $number1 + 1;
                            //     } elseif ($number2 >= $number1 && $number2 >= $number3) {
                            //         $banner_order = $number2 + 1;
                            //     } else {
                            //         $banner_order = $number3 + 1;
                            //     }
                            // } else {
                            //     $banner_last = BannerTemplate::where(['chapter_id' => $subject_chapter->chapter_id, 'banner_type' => 'bottom', 'pdf_item_type' => $value->pdf_item_type])->first();
                            //     if ($banner_last) {
                            //         $banner_order = $banner_last->banner_order + 1;
                            //     } else {
                            //         $banner_order = 1;
                            //     }
                            // }

                            $banner = new BannerTemplate;
                            $banner->banner_order = $value->banner_order;
                            $banner->banner_name = $value->banner_name;
                            $banner->banner_image = $value->banner_image;
                            $banner->banner_type = $value->banner_type;
                            $banner->banner_function = $value->banner_function;
                            $banner->banner_link = $value->banner_link;
                            $banner->banner_display = $value->banner_display;
                            $banner->pdf_item_type = $value->pdf_item_type;
                            $banner->chapter_id = $subject_chapter->chapter_id;
                            $banner->save();
                        }
                    }

                    //chapter sepretor
                    if ($chapter_template['chaptertemplateseperator']) {
                        foreach ($chapter_template['chaptertemplateseperator'] as $value) {
                            // $seperator_last = ChapterSeperator::select('seperator_order')->where('chapter_id',$subject_chapter->chapter_id)->orderby('id', 'desc')->first();
                            // if($seperator_last){
                            //     $seperator_order = $seperator_last->seperator_order+1;
                            // }else{
                            //     $seperator_order = 1;
                            // }

                            //get order start  
                            // $banner_order_last = BannerTemplate::select('banner_order')->where(['chapter_id' => $subject_chapter->chapter_id, 'banner_type' => 'middle', 'pdf_item_type' => $value->pdf_item_type])->orderby('banner_order', 'DESC')->first();
                            // if ($banner_order_last) {
                            //     $number1 = $banner_order_last->banner_order;
                            // } else {
                            //     $number1 = 0;
                            // }

                            // $seperator_order_last = ChapterSeperator::select('seperator_order')->where(['chapter_id' => $subject_chapter->chapter_id, 'pdf_item_type' => $value->pdf_item_type])->orderby('seperator_order', 'DESC')->first();
                            // if ($seperator_order_last) {
                            //     $number2 = $seperator_order_last->seperator_order;
                            // } else {
                            //     $number2 = 0;
                            // }

                            // $pdf_order_last = Pdf::select('order')->where(['chapter_id' => $subject_chapter->chapter_id, 'pdf_item_type' => $value->pdf_item_type])->orderby('order', 'DESC')->first();
                            // if ($pdf_order_last) {
                            //     $number3 = $pdf_order_last->order;
                            // } else {
                            //     $number3 = 0;
                            // }

                            // if ($number1 >= $number2 && $number1 >= $number3) {
                            //     $seperator_order = $number1 + 1;
                            // } elseif ($number2 >= $number1 && $number2 >= $number3) {
                            //     $seperator_order = $number2 + 1;
                            // } else {
                            //     $seperator_order = $number3 + 1;
                            // }

                            $seperator = new ChapterSeperator;
                            $seperator->seperator_order = $value->seperator_order;
                            $seperator->seperator_display_text = $value->seperator_display_text;
                            $seperator->chapter_id = $subject_chapter->chapter_id;
                            $seperator->pdf_item_type = $value->pdf_item_type;
                            $seperator->status = $value->status;
                            $seperator->save();
                        }
                    }

                    return redirect()->route('backend.course.subject.chapter.subjecrchapter', $request->course_subject_id)
                        ->with('success', 'Record successfully import');
                }
            }
        } else {
            $validator = Validator::make($request->all(), [
                'chapter_order' => 'required',
                'chapter_id' => 'required',
                'chapter_name' => 'required',
                'course_subject_id' => 'required',
            ]);
            if ($validator->fails()) {
                return redirect()->route('backend.course.subject.chapter.index', $request->course_subject_id)
                    ->with('error', $validator->errors()->first());
            }

            $chapter = new CourseSubjectChapter();
            $chapter->chapter_order = $request->chapter_order;
            $chapter->chapter_id = $request->chapter_id;
            $chapter->chapter_name = $request->chapter_name;
            $chapter->top_text = $request->top_text;
            $chapter->link = $request->link;
            // $chapter->var_a = $request->var_a;
            // $chapter->var_b = $request->var_b;
            // $chapter->var_c = $request->var_c;
            $chapter->course_subject_id = $request->course_subject_id;

            $chapter->save();
            return redirect()->route('backend.course.subject.chapter.subjecrchapter', $request->course_subject_id)
                ->with('success', 'chapter successfully created');
        }
    }

    public function edit($id)
    {
        $chapter = CourseSubjectChapter::find($id);
        //$subject = CourseSubject::select('id','subject_template_id')->orderby('id', 'asc')->get();
        $subject = CourseSubject::select('subject_id', 'subject_display_name', 'course_id')->where('subject_id', $chapter->course_subject_id)->first();
        return view('backend.student-dashboard.subject.chapter.edit', compact('chapter', 'subject'));

    }



    public function update(Request $request, $id)
    {

        $validator = Validator::make($request->all(), [
            'chapter_order' => 'required',
            'chapter_id' => 'required',
            'chapter_name' => 'required',
        ]);
        if ($validator->fails()) {
            return redirect()->route('backend.course.subject.chapter.index', $request->course_subject_id)
                ->with('error', $validator->errors()->first());
        }

        $chapter = CourseSubjectChapter::find($id);
        $chapter->chapter_order = $request->chapter_order;
        $chapter->chapter_id = $request->chapter_id;
        $chapter->chapter_name = $request->chapter_name;
        $chapter->top_text = $request->top_text;
        $chapter->link = $request->link;
        // $chapter->var_a = $request->var_a;
        // $chapter->var_b = $request->var_b;
        // $chapter->var_c = $request->var_c;
        $chapter->course_subject_id = $request->course_subject_id;
        $chapter->save();

        return redirect()->route('backend.course.subject.chapter.subjecrchapter', $request->course_subject_id)
            ->with('success', 'chapter successfully updated');
    }

    public function status(CourseSubjectChapter $id, $status)
    {
        //dd($id);
        if ($id) {
            $id->status = $status;
            $id->save();
            return redirect()->back()

                ->with('success', 'chapter status successfully updated');
        }
    }


    public function delete(CourseSubjectChapter $id)
    {
        //dd($id);
        if ($id) {
            $id->delete();
            return redirect()->back()
                ->with('success', 'Chapter deleted');
        }
    }

    public function subjectchapter($id)
    {
        //dd($id);

        $subject = CourseSubject::select('subject_id', 'subject_display_name', 'course_id')->where('subject_id', $id)->first();
        //dd($subject);
        // $chapter = CourseSubjectChapter::where('course_subject_id',$id)->orderby('id', 'desc')->get();
        // $seperator = ChapterSeperator::where('subject_id', $id)->orderby('id', 'desc')->get();
        $banner = BannerTemplate::where('subject_id', $id)->where('banner_type', 'bottom')->orderby('banner_order', 'ASC')->get();
        //dd($banner);
        $chapter_data = CourseSubjectChapter::select('chapter_order')->where('course_subject_id', $id)->get()->toArray();
        $seperator_data = ChapterSeperator::select('seperator_order')->where('subject_id', $id)->get()->toArray();
        $banner_data = BannerTemplate::select('banner_order')->where('subject_id', $id)->where('banner_type', 'middle')->get()->toArray();

        $csb_data = array_merge($chapter_data, $seperator_data, $banner_data);
        //dd($csb_data);

        return view('backend.student-dashboard.subject.chapter.subject_chapter', compact('subject', 'banner', 'csb_data'));
    }



    public function chapter_order($cid, $id)
    {
        $csccount = CourseSubjectChapter::where(['course_subject_id' => $cid, 'chapter_order' => $id])->count();
        $csscount = ChapterSeperator::where(['subject_id' => $cid, 'seperator_order' => $id])->count();
        $bannercount = BannerTemplate::where(['subject_id' => $cid, 'banner_order' => $id, 'banner_type' => 'middle'])->count();

        $count = $csccount + $csscount + $bannercount;
        return $count;
    }




    //     public function bannerprice_order($chapterid,$id,$bannertype)
//     {

    //   if($bannertype =='middle'){



    //       $bannercount = BannerTemplate::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>$bannertype])->count();
//         $seperatorcount = ChapterSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Print Item'])->count();
//         $pdfcount = Pdf::where(['chapter_id'=>$chapterid,'order'=>$id,'pdf_item_type'=>'Print Item'])->count();

    //         $count = $bannercount+$seperatorcount+$pdfcount;

    //    }elseif($bannertype == 'null'){

    //     $bannercount = BannerTemplate::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item'])->count();
//     $count =$bannercount;

    //   }else{

    //     $bannercount = BannerTemplate::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>$bannertype])->count();
//     $count  =$bannercount;
//   }

    //         return $count;
//      }













    public function chapterorder_order($id)
    {
        $count = CourseSubjectChapter::where('chapter_id', $id)->count();
        return $count;
    }



    // Add Seperator Start





    public function seperator_create($id)
    {

        $subject = CourseSubject::select('subject_id', 'subject_display_name', 'course_id')->where('subject_id', $id)->first();
        return view('backend.student-dashboard.subject.chapter.seperator.create', compact('id', 'subject'));
    }



    public function seperator_store(Request $request)
    {
        // dd($request);

        $validator = Validator::make($request->all(), [
            'seperator_order' => 'required',
            'seperator_display_text' => 'required',
            'subject_id' => 'required',

        ]);
        if ($validator->fails()) {
            return redirect()->route('backend.course.subject.chapter.subjecrchapter', $request->subject_id)
                ->with('error', $validator->errors()->first());
        }

        $seperator = new ChapterSeperator;
        $seperator->seperator_order = $request->seperator_order;
        $seperator->seperator_display_text = $request->seperator_display_text;
        $seperator->subject_id = $request->subject_id;

        $seperator->save();
        return redirect()->route('backend.course.subject.chapter.subjecrchapter', $request->subject_id)
            ->with('success', 'seperator successfully created');

    }


    public function seperator_edit($id)
    {
        $seperator = ChapterSeperator::find($id);
        $subject = CourseSubject::select('subject_id', 'subject_display_name', 'course_id')->where('subject_id', $seperator->subject_id)->first();

        return view('backend.student-dashboard.subject.chapter.seperator.edit', compact('seperator', 'subject'));

    }



    public function seperator_update(Request $request, $id)
    {
        // dd($request);

        $validator = Validator::make($request->all(), [
            'seperator_order' => 'required',
            'seperator_display_text' => 'required',


        ]);
        if ($validator->fails()) {
            return redirect()->route('backend.course.subject.chapter.subjecrchapter', $request->subject_id)
                ->with('error', $validator->errors()->first());
        }

        $seperator = ChapterSeperator::find($id);
        $seperator->seperator_order = $request->seperator_order;
        $seperator->seperator_display_text = $request->seperator_display_text;
        $seperator->subject_id = $request->subject_id;

        $seperator->save();
        // return redirect()->back();
        return redirect()->route('backend.course.subject.chapter.subjecrchapter', $request->subject_id)
            ->with('success', 'seperator successfully updated');
    }


    public function seperator_status(ChapterSeperator $id, $status)
    {
        //dd($id);
        if ($id) {
            $id->status = $status;
            $id->save();
            return redirect()->back()
                ->with('success', 'seperator staus successfully updated');
        }
    }


    public function seperator_delete(ChapterSeperator $id)
    {
        //dd($id);
        if ($id) {
            $id->delete();
            return redirect()->back()
                ->with('success', 'seperator deleted');
        }
    }


    public function seperator_order($cId, $id)
    {
        $csccount = ChapterSeperator::where(['subject_id' => $cId, 'seperator_order' => $id])->count();
        $csscount = CourseSubjectChapter::where(['course_subject_id' => $cId, 'chapter_order' => $id])->count();

        $bannercount = BannerTemplate::where(['subject_id' => $cId, 'banner_order' => $id, 'banner_type' => 'middle'])->count();


        $count = $csccount + $csscount + $bannercount;

        return $count;
    }


    public function banner_create($id, $banner_type)
    {
        $banner_template = BannerTemplate::select('id', 'banner_name')->where(['course_id' => null, 'subject_id' => null, 'chapter_id' => null, 'subject_template_id' => null, 'chapter_template_id' => null])->where('banner_type', $banner_type)->orderby('id', 'desc')->get();

        $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();

        $subject = CourseSubject::select('subject_id', 'subject_display_name', 'course_id')->where('subject_id', $id)->first();

        return view('backend.student-dashboard.subject.chapter.banner.create', compact('id', 'plantype', 'banner_template', 'subject', 'banner_type'));
    }


    public function banner_store(Request $request)
    {
        //dd($request);
        if (isset($request->banner_template_id) && !empty($request->banner_template_id)) {
            $banner_template = BannerTemplate::where('id', $request->banner_template_id)->first();
            // dd($banner_template);
            if ($banner_template) {
                if ($banner_template->banner_type == 'middle') {

                    $banner_order_last = BannerTemplate::select('banner_order')->where(['subject_id' => $request->subject_id, 'banner_type' => 'middle'])->orderby('banner_order', 'DESC')->first();
                    if ($banner_order_last) {
                        $number1 = $banner_order_last->banner_order;
                    } else {
                        $number1 = 0;
                    }

                    $seperator_order_last = ChapterSeperator::select('seperator_order')->where(['subject_id' => $request->subject_id])->orderby('seperator_order', 'DESC')->first();
                    if ($seperator_order_last) {
                        $number2 = $seperator_order_last->seperator_order;
                    } else {
                        $number2 = 0;
                    }

                    $chapter_order_last = CourseSubjectChapter::select('chapter_order')->where(['course_subject_id' => $request->subject_id])->orderby('chapter_order', 'DESC')->first();
                    if ($chapter_order_last) {
                        $number3 = $chapter_order_last->chapter_order;
                    } else {
                        $number3 = 0;
                    }

                    if ($number1 >= $number2 && $number1 >= $number3) {
                        $banner_order = $number1 + 1;
                    } elseif ($number2 >= $number1 && $number2 >= $number3) {
                        $banner_order = $number2 + 1;
                    } else {
                        $banner_order = $number3 + 1;
                    }
                } else {
                    $banner_last = BannerTemplate::select('banner_order')->where(['banner_type' => 'bottom', 'subject_id' => $request->subject_id])->orderby('id', 'desc')->first();
                    if ($banner_last) {
                        $banner_order = $banner_last->banner_order + 1;
                    } else {
                        $banner_order = 1;
                    }
                }
                // $banner_last = BannerTemplate::select('id','banner_order')->orderby('id', 'desc')->first();   
                // if($banner_last){
                //     $banner_order = $banner_last->banner_order+1;
                // }else{
                //     $banner_order = 1;
                // }
                $banner = new BannerTemplate;
                $banner->banner_order = $banner_order;
                $banner->banner_name = $banner_template->banner_name;
                $banner->banner_image = $banner_template->banner_image;
                $banner->banner_type = $banner_template->banner_type;
                $banner->banner_function = $banner_template->banner_function;
                $banner->banner_link = $banner_template->banner_link;
                $banner->banner_display = $banner_template->banner_display;
                $banner->subject_id = $request->subject_id;
                if ($banner->save()) {
                    return redirect()->route('backend.course.subject.chapter.subjecrchapter', $request->subject_id)->with('success', 'Record Import successfully!');
                }
            }
        } else {

            $validator = Validator::make($request->all(), [
                'banner_order' => 'required',
                'banner_name' => 'required',
                'banner_image' => 'required',
                'banner_type' => 'required',
                'banner_display' => 'required',

            ]);
            if ($validator->fails()) {
                return redirect()->route('backend.course.subject.chapter.subjecrchapter', $request->subject_id)
                    ->with('error', $validator->errors()->first());
            }

            $banner = new BannerTemplate;
            $banner->banner_order = $request->banner_order;
            $banner->banner_name = $request->banner_name;
            $banner->banner_image = $request->banner_image;
            $banner->banner_type = $request->banner_type;
            $banner->banner_function = $request->banner_function;
            $banner->banner_link = $request->banner_link;
            $banner->banner_display = serialize($request->banner_display);
            $banner->subject_id = $request->subject_id;

            $banner->save();
            return redirect()->route('backend.course.subject.chapter.subjecrchapter', $request->subject_id)
                ->with('success', 'Banner successfully created');
        }
    }


    public function banner_edit($id)
    {
        $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
        $banner = BannerTemplate::find($id);

        $subject = CourseSubject::select('subject_id', 'subject_display_name', 'course_id')->where('subject_id', $banner->subject_id)->first();

        return view('backend.student-dashboard.subject.chapter.banner.edit', compact('banner', 'plantype', 'subject'));

    }



    public function banner_update(Request $request, $id)
    {
        // dd($request);

        $validator = Validator::make($request->all(), [
            'banner_order' => 'required',
            'banner_name' => 'required',
            'banner_image' => 'required',
            'banner_type' => 'required',
            'banner_display' => 'required',


        ]);
        if ($validator->fails()) {
            return redirect()->route('backend.course.subject.chapter.subjecrchapter', $request->subject_id)
                ->with('error', $validator->errors()->first());
        }

        $banner = BannerTemplate::find($id);
        $banner->banner_order = $request->banner_order;
        $banner->banner_name = $request->banner_name;
        $banner->banner_image = $request->banner_image;
        $banner->banner_type = $request->banner_type;
        $banner->banner_function = $request->banner_function;
        $banner->banner_link = $request->banner_link;
        $banner->banner_display = serialize($request->banner_display);
        $banner->subject_id = $request->subject_id;

        $banner->save();
        // return redirect()->back();
        return redirect()->route('backend.course.subject.chapter.subjecrchapter', $request->subject_id)
            ->with('success', 'seperator successfully updated');
    }


    public function banner_status(BannerTemplate $id, $status)
    {
        //dd($id);
        if ($id) {
            $id->status = $status;
            $id->save();
            return redirect()->back()
                ->with('success', 'banner staus successfully updated');
        }
    }





    public function banner_delete(BannerTemplate $id)
    {
        //dd($id);
        if ($id) {
            $id->delete();
            return redirect()->back()
                ->with('success', 'banner deleted');
        }
    }




    // public function banner_order($cId,$id)
    // {
    //     $count = BannerTemplate::where(['subject_id'=>$cId,'banner_order'=>$id])->count();


    //     return $count;
    //  }




    public function banner_order($cid, $id, $bannertype)
    {
        //echo $bannertype; die;

        if ($bannertype == 'middle') {


            $csccount = CourseSubjectChapter::where(['course_subject_id' => $cid, 'chapter_order' => $id])->count();
            $csscount = ChapterSeperator::where(['subject_id' => $cid, 'seperator_order' => $id])->count();

            $bannercount = BannerTemplate::where(['subject_id' => $cid, 'banner_order' => $id, 'banner_type' => $bannertype])->count();

            $count = $csccount + $csscount + $bannercount;

        } elseif ($bannertype == 'null') {
            $bannercount = BannerTemplate::where(['subject_id' => $cid, 'banner_order' => $id, 'banner_type' => 'bottom'])->count();

            $count = $bannercount;

        } else {

            $bannercount = BannerTemplate::where(['subject_id' => $cid, 'banner_order' => $id, 'banner_type' => $bannertype])->count();

            $count = $bannercount;
        }


        return $count;
    }


    public function bannerprice_order($chapterid, $id, $bannertype)
    {

        if ($bannertype == 'middle') {
            $bannercount = BannerTemplate::where(['chapter_id' => $chapterid, 'banner_order' => $id, 'pdf_item_type' => 'Print Item', 'banner_type' => $bannertype])->count();
            $seperatorcount = ChapterSeperator::where(['chapter_id' => $chapterid, 'seperator_order' => $id, 'pdf_item_type' => 'Print Item'])->count();
            $pdfcount = Pdf::where(['chapter_id' => $chapterid, 'order' => $id, 'pdf_item_type' => 'Print Item'])->count();

            $count = $bannercount + $seperatorcount + $pdfcount;
        } elseif ($bannertype == 'null') {

            $bannercount = BannerTemplate::where(['chapter_id' => $chapterid, 'banner_order' => $id, 'pdf_item_type' => 'Print Item'])->count();
            $count = $bannercount;

        } else {

            $bannercount = BannerTemplate::where(['chapter_id' => $chapterid, 'banner_order' => $id, 'pdf_item_type' => 'Print Item', 'banner_type' => $bannertype])->count();
            $count = $bannercount;
        }

        return $count;
    }





    // banner and



}