<?php

namespace App\Http\Controllers\backend;
use App\Http\Controllers\Controller;
use App\Models\ChapterTemplate;
use App\Models\SubjectTemplate;
use App\Models\ChapterSeperator;
use App\Models\BannerTemplate;
use App\Models\CourseSubjectChapter;

use Illuminate\Support\Facades\Validator;
use Illuminate\Http\Request;

class ChapterTemplateController extends Controller
{
    public function index() 
    {
        $chapter = ChapterTemplate::orderby('id', 'desc')->get();
        return view('backend.chapter-template.index', compact('chapter'));
    }

    public function create()
    {
        return view('backend.chapter-template.create');
    }

    public function store(Request $request) 
    {

        $validator = Validator::make($request->all(), [
            // 'chapter_order' => 'required|',
            'chapter_id' => 'required',
            'chapter_name' => 'required',
        ]);

        if ($validator->fails()) {
            return redirect()->back()
            ->with('error', $validator->errors()->first());
        }

        $chapter = new ChapterTemplate();
        $chapter->chapter_order=$request->chapter_order;
        $chapter->chapter_id	= $request->chapter_id	;
        $chapter->chapter_name=$request->chapter_name;
        $chapter->top_text=$request->top_text;
        $chapter->link=$request->link;
        // $chapter->var_a=$request->var_a;
        // $chapter->var_b=$request->var_b;
        // $chapter->var_c=$request->var_c;

        $chapter->save();
        return redirect()->route('backend.chapter.index')->with('success', 'chapter successfully created');
    }

    public function edit($id)
    {
        $chapter = ChapterTemplate::find($id);
        //$subject = SubjectTemplate::select('id','subject_template_id')->orderby('id', 'asc')->get();

        return view('backend.chapter-template.edit',compact('chapter'));
        
    }



     public function update(Request $request,$id)
     {
        $validator = Validator::make($request->all(), [
            // 'chapter_order' => 'required',
            'chapter_id' => 'required',
            'chapter_name' => 'required',
        ]);

        if ($validator->fails()) {
            return redirect()->route('backend.chapter.index')
            ->with('error', $validator->errors()->first());
        }

        $chapter = ChapterTemplate::find($id);
        $chapter->chapter_order=$request->chapter_order;
        $chapter->chapter_id=$request->chapter_id;
        $chapter->chapter_name=$request->chapter_name;
        $chapter->top_text=$request->top_text;
        $chapter->link=$request->link;
        // $chapter->var_a=$request->var_a;
        // $chapter->var_b=$request->var_b;
        // $chapter->var_c=$request->var_c;
        $chapter->save();
    
        return redirect()->route('backend.chapter.index')
        ->with('success', 'Chapter Template successfully updated');
    }

        public function status(ChapterTemplate $id, $status)
        {
            //dd($id);
            if ($id) {
            $id->status = $status;
            $id->save();
            return redirect()->back()
                ->with('success', 'chapter status successfully updated');
        }
    }


    public function delete(ChapterTemplate $id)
    {
        //dd($id);
        if ($id) {            
         $id->delete();
         return redirect()->back()
        ->with('success', 'Chapter deleted');
        }
    }

    public function subjectchapter($id){
        //dd($id);
        $subject = SubjectTemplate::select('subject_id','subject_display_name')->where('subject_id',$id)->first();
        //dd($subject);
        $chapter = ChapterTemplate::where('subject_template_id',$id)->orderby('id', 'desc')->get();
        $seperator = ChapterSeperator::where('subject_id', $id)->orderby('id', 'desc')->get();
        $banner = BannerTemplate::where('subject_id', $id)->orderby('id', 'desc')->get();

        return view('backend.chapter.subject_chapter', compact('subject','chapter','seperator','banner'));
    }

    public function chapter_order($id)
    {
        $course_subject_chapter_count = CourseSubjectChapter::where('chapter_order',$id)->count();
        $chapter_template_count = ChapterTemplate::where('chapter_order',$id)->count();
        $count = $course_subject_chapter_count + $chapter_template_count;
        return $count;
     }
   
     public function chapterorder_order($id)
     {
        $course_subject_chapter_count = CourseSubjectChapter::where('chapter_id',$id)->count();
        $chapter_template_count = ChapterTemplate::where('chapter_id',$id)->count();
        $count = $course_subject_chapter_count + $chapter_template_count;
        return $count;
      }
 




    // Add Seperator Start





    public function seperator_create($id) 
    {
        return view('backend.chapter-template.seperator.create', compact('id'));
    }



    public function seperator_store(Request $request){
     // dd($request);

     $validator = Validator::make($request->all(), [
        'seperator_order' => 'required',
        'seperator_display_text' => 'required',

    ]);
    
    if ($validator->fails()) {
        return redirect()->route('backend.chapter.subjecrchapter',$request->chapter_id)
        ->with('error', $validator->errors()->first());
    }

    $seperator = new ChapterSeperator;
    $seperator->seperator_order=$request->seperator_order;
    $seperator->seperator_display_text=$request->seperator_display_text;
    $seperator->chapter_id=$request->chapter_id;
  
    $seperator->save();
    return redirect()->route('backend.chapter.subjecrchapter',$request->chapter_id)
    ->with('success', 'seperator successfully created');

   }

 
    public function seperator_edit($id)
    {
        $seperator = ChapterSeperator::find($id);
        return view('backend.chapter-template.seperator.edit',compact('seperator'));    
    }



    public function seperator_update(Request $request,$id){
    // dd($request);

    $validator = Validator::make($request->all(), [
        'seperator_order' => 'required',
        'seperator_display_text' => 'required',


    ]);
    if ($validator->fails()) {
        return redirect()->route('backend.chapter.subjecrchapter')
        ->with('error', $validator->errors()->first());
    }

    $seperator = ChapterSeperator::find($id);
    $seperator->seperator_order=$request->seperator_order;
    $seperator->seperator_display_text=$request->seperator_display_text;
    $seperator->chapter_id=$request->chapter_id;

    $seperator->save();
    // return redirect()->back();
    return redirect()->route('backend.chapter.subjecrchapter',$request->chapter_id)
    ->with('success', 'seperator successfully updated');
     }


     public function seperator_status(ChapterSeperator $id, $status)
     {
         //dd($id);
         if ($id) {
             $id->status = $status;
             $id->save();
             return redirect()->back()
                 ->with('success', 'seperator staus successfully updated');
         }
     }


     public function seperator_delete(ChapterSeperator $id)
     {
         //dd($id);
         if ($id) {            
          $id->delete();
         return redirect()->back()
         ->with('success', 'seperator deleted');
         }
     }

        // Add Seperator end

        // banner start


        public function banner_create($id) 
        {
            return view('backend.chapter.banner.create', compact('id'));
        }


        public function banner_store(Request $request){
            
        $validator = Validator::make($request->all(), [
        'banner_order' => 'required',
        'banner_name' => 'required',
        'banner_image' => 'required',
        'banner_type' => 'required',

        ]);
        if ($validator->fails()) {
            return redirect()->route('backend.chapter.subjecrchapter',$request->subject_id)
            ->with('error', $validator->errors()->first());
        }

        $banner = new BannerTemplate;
        $banner->banner_order=$request->banner_order;
        $banner->banner_name=$request->banner_name;
        $banner->banner_image=$request->banner_image;
        $banner->banner_type=$request->banner_type;
        $banner->banner_function=$request->banner_function;
        $banner->banner_link=$request->banner_link;
        $banner->banner_display=$request->banner_display;
        $banner->subject_id=$request->subject_id;

        $banner->save();
        return redirect()->route('backend.chapter.subjecrchapter',$request->subject_id)
        ->with('success', 'Banner successfully created');

        }


        public function banner_edit($id)
        {
            $banner = BannerTemplate::find($id);
            return view('backend.chapter.banner.edit',compact('banner'));
            
        }



      public function banner_update(Request $request,$id){
        // dd($request);

      $validator = Validator::make($request->all(), [
        'banner_order' => 'required',
        'banner_name' => 'required',
        'banner_image' => 'required',
        'banner_type' => 'required',


       ]);
       if ($validator->fails()) {
        return redirect()->route('backend.chapter.subjecrchapter')
        ->with('error', $validator->errors()->first());
        }

        $banner = BannerTemplate::find($id);
        $banner->banner_order=$request->banner_order;
        $banner->banner_name=$request->banner_name;
        $banner->banner_image=$request->banner_image;
        $banner->banner_type=$request->banner_type;
        $banner->banner_function=$request->banner_function;
        $banner->banner_link=$request->banner_link;
        $banner->banner_display=$request->banner_display;

        $banner->subject_id=$request->subject_id;

        $banner->save();
        // return redirect()->back();
        return redirect()->route('backend.chapter.subjecrchapter',$request->subject_id)
        ->with('success', 'seperator successfully updated');
        }


        public function banner_status(BannerTemplate $id, $status)
        {
         //dd($id);
         if ($id) {
             $id->status = $status;
             $id->save();
             return redirect()->back()
                 ->with('success', 'banner staus successfully updated');
         }
        }





        public function banner_delete(BannerTemplate $id)
        {
            //dd($id);
            if ($id) {            
            $id->delete();
            return redirect()->back()
            ->with('success', 'banner deleted');
            }
        }


   // banner and


    
     }
