<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Pdf;
use App\Models\CourseSubjectChapter;
use App\Models\ChapterSeperator;
use App\Models\BannerTemplate;
use App\Models\PlanType;
use App\Models\ChapterTemplate;
use Illuminate\Support\Facades\Validator;

class ChapterTemplatePdfController extends Controller
{
    



    public function index()
    {
      $pdfedit = Pdf::orderby('id', 'desc')->get();
      return view('backend.pdf.index', compact('pdfedit'));
    }
  
  
  
    public function create($id)
    {
        $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();


      return view('backend.chapter-template.pdf.create', compact('id','plantype'));
    }
  
  
  
    public function store(Request $request)
    {
    //   dd($request);
      $validator = Validator::make($request->all(), [
        'pdf_name' => 'required',
  
      ]);
      if ($validator->fails()) {
        return redirect()->back()
            ->with('error', $validator->errors()->first());
      }
  
  
      $pdfedit = new Pdf;
      $pdfedit->order = $request->order;
  
      $pdfedit->pdf_name = $request->pdf_name;
      $pdfedit->pdf_type = $request->pdf_type;
      $pdfedit->pdf_link = $request->pdf_link;
      $pdfedit->pdf_link_prefix = $request->pdf_link_prefix;
      $pdfedit->pdf_link_suflix = $request->pdf_link_suflix;
      $pdfedit->access = serialize($request->access);
      $pdfedit->pdf_item_type = $request->pdf_item_type;
    //   $pdfedit->chapter_id = $request->chapter_id;
      $pdfedit->chapter_template_id = $request->chapter_template_id;
  
  
      $pdfedit->save();
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
      ->with('success', 'pdf successfully created');
    }
  
  
  
    //   public function edit($id)
    //  {
    //     $pdfedit = Pdf::find($id);
    //     return view('backend.pdf.edit',compact('pdfedit'));  
    //   }
  
  
    public function edit($id)
    {
        $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
      $pdfedit = Pdf::find($id);
      //$chapter = ChapterTemplate::select('id', 'chapter_template_id')->orderby('id', 'asc')->get();
  
      return view('backend.chapter-template.pdf.edit', compact('pdfedit','plantype'));
  
    }
  
  
  
  
  
    public function update(Request $request, $id)
    {
    //   dd($request);
      $validator = Validator::make($request->all(), [
        'pdf_name' => 'required',
      ]);
      if ($validator->fails()) {
        return redirect()->back()
            ->with('error', $validator->errors()->first());
      }
  
      $pdfedit = Pdf::find($id);
      $pdfedit->order = $request->order;
  
      $pdfedit->pdf_name = $request->pdf_name;
      $pdfedit->pdf_type = $request->pdf_type;
      $pdfedit->pdf_link = $request->pdf_link;
      $pdfedit->pdf_link_prefix = $request->pdf_link_prefix;
      $pdfedit->pdf_link_suflix = $request->pdf_link_suflix;
      $pdfedit->access = serialize($request->access);
      $pdfedit->pdf_item_type = $request->pdf_item_type;
    //   $pdfedit->chapter_id = $request->chapter_id;
      $pdfedit->chapter_template_id = $request->chapter_template_id;
      $pdfedit->save();
      return redirect()->route('backend.chaptertemplate.pdf.index',$request->chapter_template_id)
          ->with('success', 'pdf successfully created');
  
    }
  
  
  
    public function status(Pdf $id, $status)
    {
  
      if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
          ->with('success', 'pdf status successfully updated');
      }
  
    }
  
  
  
  
    public function delete(Pdf $id)
    {
      //dd($id);
      if ($id) {
        $id->delete();
        return redirect()->back()
          ->with('success', 'pdf deleted');
      }
    }
  
  
  
    // public function chapter_template_pdf_create($id)
    // {
    //   // dd($id);
    //   $chapter = ChapterTemplate::select('chapter_id', 'chapter_name')->where('chapter_id', $id)->first();
    //   $pdfedit = Pdf::where('chapter_template_id', $id)->orderby('id', 'desc')->get();
    //   $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();

    //   //   dd($chapter);
    //   return view('backend.chapter-template.pdf.chapter_pdf', compact('id','chapter', 'pdfedit','plantype'));
    // }

    // public function chapter_template_pdf_edit($id)
    // {
    //   // dd($id);
    //   $pdfedit = Pdf::find($id);
    //   //$chapter = ChapterTemplate::select('chapter_id', 'chapter_name')->where('chapter_id', $id)->first();
    //   $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();

    //   //   dd($chapter);
    //   return view('backend.chapter-template.pdf.edit', compact('pdfedit','plantype'));
    // }
  
  
    public function chapter_template_pdf($id)
    {
      // dd($id);
      //************* Might be redundant *********************/
      $chapter = ChapterTemplate::select('chapter_id', 'top_text', 'link',)->where('chapter_id', $id)->first();
  
      $pdfedit = Pdf::where('chapter_template_id', $id)->where('pdf_item_type', 'LIKE', '%LEARN ITEM%')->orderby('id', 'desc')->get();  
      $pdfseperater = ChapterSeperator::where('chapter_template_id', $id)->where('pdf_item_type', 'LIKE', '%LEARN ITEM%')->orderby('id', 'desc')->get();  
      $banner = BannerTemplate::where('chapter_template_id', $id)->where('pdf_item_type', 'LIKE', '%LEARN ITEM%')->where('banner_type','bottom')->orderby('banner_order', 'asc')->get();
      //************* Might be redundant *********************/


      $learn_item_pdf_data = Pdf::select('id', 'order', 'pdf_name', 'status')->where('chapter_template_id', $id)->where('pdf_item_type', 'LIKE', '%LEARN ITEM%')->get()->toArray();
      $learn_item_pdf_data = array_map(function ($item) {
        $item['type'] = 'PDF';
        return $item;
      }, $learn_item_pdf_data);

      $learn_item_seperator_data = ChapterSeperator::select('id', 'seperator_order', 'seperator_display_text', 'status')
      ->where('chapter_template_id', $id)
      ->where('pdf_item_type', 'LIKE', '%LEARN ITEM%')
      ->get()
      ->toArray(); // Convert to array
        // Add 'type' as "Seperator" for each item
        $learn_item_seperator_data = array_map(function ($item) {
            $item['type'] = 'Seperator';
            return $item;
        }, $learn_item_seperator_data);

        $learn_item_banner_data = BannerTemplate::select('id', 'banner_order', 'banner_name', 'status')
        ->where('chapter_template_id', $id)
        ->where('pdf_item_type', 'LIKE', '%LEARN ITEM%')
        ->where('banner_type', 'middle')
        ->get()
        ->toArray(); // Convert to array
    
        // Add 'type' as "Banner" for each item
        $learn_item_banner_data = array_map(function ($item) {
            $item['type'] = 'Banner';
            return $item;
        }, $learn_item_banner_data);
    
        $lipsb_data = array_merge($learn_item_pdf_data, $learn_item_seperator_data, $learn_item_banner_data);

        // Sort the merged array based on the 'order' key
        usort($lipsb_data, function ($a, $b) {
            // Handle different keys like 'order', 'seperator_order', 'banner_order'
            $orderA = $a['order'] ?? $a['seperator_order'] ?? $a['banner_order'];
            $orderB = $b['order'] ?? $b['seperator_order'] ?? $b['banner_order'];
            
            return $orderA <=> $orderB;
        });
     
      $practiceitem = Pdf::where('chapter_template_id', $id)->where('pdf_item_type', 'LIKE', '%PRACTICE ITEM%')
        ->orderby('id', 'desc')->get();
      $practiceitem_seperator = ChapterSeperator::where('chapter_template_id', $id)->where('pdf_item_type', 'LIKE', '%PRACTICE ITEM%')
        ->orderby('id', 'desc')->get();
      $practiceitem_banner = BannerTemplate::where('chapter_template_id', $id)->where('pdf_item_type', 'LIKE', '%PRACTICE ITEM%')->where('banner_type','bottom')->orderby('banner_order', 'asc')->get();

     // Practice item data
      $practice_item_pdf_data = Pdf::select('id', 'order', 'pdf_name', 'status')
      ->where('chapter_template_id', $id)
      ->where('pdf_item_type', 'LIKE', '%PRACTICE ITEM%')
      ->get()
      ->toArray();

      // Add 'type' as "PDF"
      $practice_item_pdf_data = array_map(function ($item) {
      $item['type'] = 'PDF';
      return $item;
      }, $practice_item_pdf_data);

      $practice_item_seperator_data = ChapterSeperator::select('id', 'seperator_order', 'seperator_display_text', 'status')
      ->where('chapter_template_id', $id)
      ->where('pdf_item_type', 'LIKE', '%PRACTICE ITEM%')
      ->get()
      ->toArray();

      // Add 'type' as "Seperator"
      $practice_item_seperator_data = array_map(function ($item) {
      $item['type'] = 'Seperator';
      return $item;
      }, $practice_item_seperator_data);

      $practice_item_banner_data = BannerTemplate::select('id', 'banner_order', 'banner_name', 'status')
      ->where('chapter_template_id', $id)
      ->where('pdf_item_type', 'LIKE', '%PRACTICE ITEM%')
      ->where('banner_type', 'middle')
      ->get()
      ->toArray();

      // Add 'type' as "Banner"
      $practice_item_banner_data = array_map(function ($item) {
      $item['type'] = 'Banner';
      return $item;
      }, $practice_item_banner_data);

      // Merge the arrays
      $pipsb_data = array_merge($practice_item_pdf_data, $practice_item_seperator_data, $practice_item_banner_data);

      // Sort the merged array based on 'order'
      usort($pipsb_data, function ($a, $b) {
        $orderA = $a['order'] ?? $a['seperator_order'] ?? $a['banner_order'];
        $orderB = $b['order'] ?? $b['seperator_order'] ?? $b['banner_order'];

        return $orderA <=> $orderB;
      });

  
      $price_pdf = Pdf::where('chapter_template_id', $id)->where('pdf_item_type', 'LIKE', '%Print Item%')
        ->orderby('id', 'desc')->get();  
      $price_seperator = ChapterSeperator::where('chapter_template_id', $id)->where('pdf_item_type', 'LIKE', '%Print Item%')
        ->orderby('id', 'desc')->get();  
      $price_banner = BannerTemplate::where('chapter_template_id', $id)->where('pdf_item_type', 'LIKE', '%Print Item%')
        ->where('banner_type','bottom')->orderby('banner_order', 'asc')->get();

      // Print item data
      $print_item_pdf_data = Pdf::select('id', 'order', 'pdf_name', 'status')
      ->where('chapter_template_id', $id)
      ->where('pdf_item_type', 'LIKE', '%PRINT ITEM%')
      ->get()
      ->toArray();

      // Add 'type' as "PDF"
      $print_item_pdf_data = array_map(function ($item) {
      $item['type'] = 'PDF';
      return $item;
      }, $print_item_pdf_data);

      $print_item_seperator_data = ChapterSeperator::select('id', 'seperator_order', 'seperator_display_text', 'status')
      ->where('chapter_template_id', $id)
      ->where('pdf_item_type', 'LIKE', '%PRINT ITEM%')
      ->get()
      ->toArray();

      // Add 'type' as "Seperator"
      $print_item_seperator_data = array_map(function ($item) {
      $item['type'] = 'Seperator';
      return $item;
      }, $print_item_seperator_data);

      $print_item_banner_data = BannerTemplate::select('id', 'banner_order', 'banner_name', 'status')
      ->where('chapter_template_id', $id)
      ->where('pdf_item_type', 'LIKE', '%PRINT ITEM%')
      ->where('banner_type', 'middle')
      ->get()
      ->toArray();

      // Add 'type' as "Banner"
      $print_item_banner_data = array_map(function ($item) {
      $item['type'] = 'Banner';
      return $item;
      }, $print_item_banner_data);

      // Merge the arrays
      $pripsb_data = array_merge($print_item_pdf_data, $print_item_seperator_data, $print_item_banner_data);

      // Sort the merged array based on 'order'
      usort($pripsb_data, function ($a, $b) {
      $orderA = $a['order'] ?? $a['seperator_order'] ?? $a['banner_order'];
      $orderB = $b['order'] ?? $b['seperator_order'] ?? $b['banner_order'];

      return $orderA <=> $orderB;
      });

      //   dd($chapter);
      return view('backend.chapter-template.pdf.chapter_pdf', compact('chapter', 'pdfedit', 'pdfseperater', 'banner', 'practiceitem', 'practiceitem_seperator', 'practiceitem_banner', 'price_pdf', 'price_seperator', 'price_banner','lipsb_data','pipsb_data','pripsb_data'));
    }
  
    public function chapter_pdf_create($id)
    {

  //     $chapter = ChapterTemplate::select('chapter_template_id')->where('chapter_id', $id)->first();

  // $chapter_id=  $chapter->chapter_template_id;

      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
      return view('backend.chapter-template.pdf.create', compact('id', 'plantype'));
    }
  



    public function learnpdf_order($chapterid,$id)
    {
  
      $bannercount = BannerTemplate::where(['chapter_template_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'LEARN ITEM','banner_type'=>'middle'])->count();
        $seperatorcount = ChapterSeperator::where(['chapter_template_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Learn Item'])->count();
        $pdfcount = Pdf::where(['chapter_template_id'=>$chapterid,'order'=>$id,'pdf_item_type'=>'Learn Item'])->count();
  
        $count = $bannercount+$seperatorcount+$pdfcount;
        return $count;
     }
  


  
    public function chapter_pdf_edit($id)
    {
      $pdfedit = Pdf::find($id);
      //$chapter = ChapterTemplate::select('id', 'chapter_template_id')->orderby('id', 'asc')->get();
      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
  
      return view('backend.chapter-template.chapter.pdf.edit', compact('pdfedit','plantype'));
  
    }
  
  
  
    // start pdf seperater
  
  
    // public function pdf_seperater($id){
  //   // dd($id);
  //   $chapter = CourseSubjectChapter::select('chapter_id','chapter_name')->where('chapter_id',$id)->first();
  //   $pdfseperater = ChapterSeperator::where('chapter_id',$id)->orderby('id', 'desc')->get();
  //   //   dd($chapter);
  //   return view('backend.student-dashboard.subject.chapter.pdf.chapter_pdf', compact('chapter','pdfseperater'));
  // }
  
  
  
    public function pdf_seperater_create($id)
    {
      return view('backend.chapter-template.pdf.seperator.create', compact('id'));
    }
  
  
  
  
  
    public function pdf_seperator_store(Request $request)
    {
      // dd($request);
  
      $validator = Validator::make($request->all(), [
        'seperator_order' => 'required',
        'seperator_display_text' => 'required',
  
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.chaptertemplate.chapters.pdf.chapterpdf', $request->chapter_template_id)
          ->with('error', $validator->errors()->first());
      }
  
      $seperator = new ChapterSeperator;
      $seperator->seperator_order = $request->seperator_order;
      $seperator->seperator_display_text = $request->seperator_display_text;
      $seperator->pdf_item_type = $request->pdf_item_type;
      $seperator->chapter_template_id = $request->chapter_template_id;
  
  
      $seperator->save();
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
        ->with('success', 'seperator successfully created');
  
    }
  
  
  
    public function pdf_seperator_edit($id)
    {
      $seperator = ChapterSeperator::find($id);
      return view('backend.chapter-template.pdf.seperator.edit', compact('seperator'));
  
    }
  
  
  
    public function pdf_seperator_update(Request $request, $id)
    {
      // dd($request);
  
      $validator = Validator::make($request->all(), [
        'seperator_order' => 'required',
        'seperator_display_text' => 'required',
  
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
          ->with('error', $validator->errors()->first());
      }
  
      $seperator = ChapterSeperator::find($id);
      $seperator->seperator_order = $request->seperator_order;
      $seperator->seperator_display_text = $request->seperator_display_text;
      $seperator->pdf_item_type = $request->pdf_item_type;
  
      $seperator->chapter_template_id = $request->chapter_template_id;
  
      $seperator->save();
      // return redirect()->back();
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
        ->with('success', 'seperator successfully updated');
    }
  
  
  
    public function pdf_seperator_status(ChapterSeperator $id, $status)
    {
      //dd($id);
      if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
          ->with('success', 'seperator staus successfully updated');
      }
    }
  
  
  
    public function pdf_seperator_delete(ChapterSeperator $id)
    {
      //dd($id);
      if ($id) {
        $id->delete();
        return redirect()->back()
          ->with('success', 'seperator deleted');
      }
    }
  
  
    public function learn_seperator_order($chapterid,$id)
    {
  
      $bannercount = BannerTemplate::where(['chapter_template_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'LEARN ITEM','banner_type'=>'middle'])->count();
        $seperatorcount = ChapterSeperator::where(['chapter_template_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'LEARN ITEM'])->count();
        $pdfcount = Pdf::where(['chapter_template_id'=>$chapterid,'order'=>$id,'pdf_item_type'=>'Learn Item'])->count();
  
        $count = $bannercount+$seperatorcount+$pdfcount;
        return $count;
     }


    // end pdf seperater
  
  
    // start pdf banner 
  
  
    public function pdf_banner_create($id,$banner_type)
    {

      $banner_template = BannerTemplate::select('id','banner_name')->where(['course_id'=> null,'subject_id'=> null,'chapter_id'=>null,'subject_template_id'=>null,'chapter_template_id'=>null,'banner_type'=>$banner_type])->orderby('id', 'desc')->get();

      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
      return view('backend.chapter-template.pdf.banner.create', compact('id','plantype','banner_template','banner_type'));

    }
 
    public function pdf_banner_store(Request $request)
    {

   //dd($request);
        if(isset($request->banner_template_id) && !empty($request->banner_template_id)){
            $banner_template = BannerTemplate::where('id', $request->banner_template_id)->first();
            // dd($banner_template);
            if($banner_template){
                // $banner_last = BannerTemplate::select('id','banner_order')->orderby('id', 'desc')->first();   
                // if($banner_last){
                //     $banner_order = $banner_last->banner_order+1;
                // }else{
                //     $banner_order = 1;
                // }

                if($request->banner_type == 'middle'){
                  //get order start  
                   $banner_order_last = BannerTemplate::select('banner_order')->where(['chapter_template_id'=>$request->chapter_template_id,'banner_type'=>'middle','pdf_item_type'=>$request->pdf_item_type])->orderby('banner_order','DESC')->first();
                   if($banner_order_last){
                       $number1 = $banner_order_last->banner_order;
                   }else{
                       $number1 = 0;
                   }

                   $seperator_order_last = ChapterSeperator::select('seperator_order')->where(['chapter_template_id'=>$request->chapter_template_id,'pdf_item_type'=>$request->pdf_item_type])->orderby('seperator_order','DESC')->first();
                   if($seperator_order_last){
                       $number2 = $seperator_order_last->seperator_order;
                   }else{
                       $number2 = 0;
                   }

                   $pdf_order_last = Pdf::select('order')->where(['chapter_template_id'=>$request->chapter_template_id,'pdf_item_type'=>$request->pdf_item_type])->orderby('order','DESC')->first();
                   if($pdf_order_last){
                       $number3 = $pdf_order_last->order;
                   }else{
                       $number3 = 0;
                   }

                   if ($number1 >= $number2 && $number1 >= $number3) {
                       $banner_order = $number1 + 1;
                   } elseif ($number2 >= $number1 && $number2 >= $number3) {
                       $banner_order = $number2 + 1;
                   } else {
                       $banner_order = $number3 + 1;
                   }
               }else{
                  $banner_last = BannerTemplate::where(['chapter_template_id'=>$request->chapter_template_id,'banner_type'=>'bottom','pdf_item_type'=>$request->pdf_item_type])->orderby('banner_order','DESC')->first();
                  if($banner_last){
                      $banner_order = $banner_last->banner_order+1;
                  }else{
                      $banner_order = 1;
                  }
               }

                $banner = new BannerTemplate;
                $banner->banner_order = $banner_order;
                $banner->banner_name = $banner_template->banner_name;
                $banner->banner_image = $banner_template->banner_image;
                $banner->banner_type = $banner_template->banner_type;
                $banner->banner_function = $banner_template->banner_function;
                $banner->banner_link = $banner_template->banner_link;
                $banner->banner_display = $banner_template->banner_display;
                $banner->pdf_item_type = $request->pdf_item_type;
                $banner->chapter_template_id = $request->chapter_template_id;
                if($banner->save()){
                    return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)->with('success', 'Record Import successfully!');
                }
            }
        }else{

      // dd($request);
  
      $validator = Validator::make($request->all(), [
        'banner_order' => 'required',
        'banner_name' => 'required',
        'banner_image' => 'required',
        'banner_display' => 'required',
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
          ->with('error', $validator->errors()->first());
      }
  
      $banner = new BannerTemplate;
      $banner->banner_order = $request->banner_order;
      $banner->banner_name = $request->banner_name;
      $banner->banner_image = $request->banner_image;
      $banner->banner_type = $request->banner_type;
      $banner->banner_function = $request->banner_function;
      $banner->banner_link = $request->banner_link;
      $banner->banner_display = serialize($request->banner_display);
      $banner->pdf_item_type = $request->pdf_item_type;
      $banner->chapter_template_id = $request->chapter_template_id;
      $banner->save();
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
        ->with('success', 'banner successfully created');
  
    }
  }
  
  
  public function pdf_banner_edit($id)
  {
    $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
    $banner = BannerTemplate::find($id);
    return view('backend.chapter-template.pdf.banner.edit', compact('banner', 'plantype'));
  }
  
  
  
  // public function top_banner_edit($id)
  // {
  //     $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
  //     $banner = BannerTemplate::find($id);
  //     return view('backend.student-dashboard.topbanner.edit', compact('banner', 'plantype'));
  // }
  
  
    public function pdf_banner_update(Request $request, BannerTemplate $id)
    {
      $validator = Validator::make($request->all(), [
        'banner_order' => 'required',
        'banner_name' => 'required',
        'banner_image' => 'required',
        'banner_type' => 'required',
        'banner_display' => 'required',
      ]);
  
      if ($validator->fails()) {
        return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
          ->with('error', $validator->errors()->first());
      }
  
      $id->banner_order = $request->banner_order;
      $id->banner_name = $request->banner_name;
      $id->banner_image = $request->banner_image;
      $id->banner_type = $request->banner_type;
      $id->banner_function = $request->banner_function;
      $id->banner_link = $request->banner_link;
      $id->banner_display = serialize($request->banner_display);
      $id->pdf_item_type = $request->pdf_item_type;
      $id->chapter_template_id = $request->chapter_template_id;
      $id->save();
      // return redirect()->back();
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
        ->with('success', 'Banner successfully updated');
    }
  
  
  
    public function pdf_banner_status(BannerTemplate $id, $status)
    {
      //dd($id);
      if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
          ->with('success', 'banner staus successfully updated');
      }
  
    }
  
  
  
    public function pdf_banner_delete(BannerTemplate $id)
    {
      //dd($id);
      if ($id) {
        $id->delete();
        return redirect()->back()
          ->with('success', 'banner deleted');
      }
  
    }



    public function learn_banner_order($chapterid,$id,$bannertype)
    {
      if($bannertype =='middle'){

      $bannercount = BannerTemplate::where(['chapter_template_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'LEARN ITEM','banner_type'=>$bannertype])->count();

        $seperatorcount = ChapterSeperator::where(['chapter_template_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'LEARN ITEM'])->count();
        $pdfcount = Pdf::where(['chapter_template_id'=>$chapterid,'order'=>$id,'pdf_item_type'=>'Learn Item'])->count();
  

        $count = $bannercount+$seperatorcount+$pdfcount;



      }elseif($bannertype == 'null'){
      $bannercount = BannerTemplate::where(['chapter_template_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'LEARN ITEM','banner_type'=>'bottom'])->count();
      $count = $bannercount;

      }else{

        
      $bannercount = BannerTemplate::where(['chapter_template_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'LEARN ITEM','banner_type'=>$bannertype])->count();
      $count = $bannercount;
      }
        return $count;
     }




    




    // end pdf banner
  
  
    // start practice item
  
  
    public function practice_create($id)
    {
      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
      return view('backend.chapter-template.pdf.practice-item.pdf.create', compact('id','plantype'));
    }
  
  
  
    public function practice_store(Request $request)
    {
      // dd($request);
      $validator = Validator::make($request->all(), [
        'pdf_name' => 'required',
        'access' => 'required',
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
          ->with('error', $validator->errors()->first());
      }
  
  
      $pdfedit = new Pdf;
      $pdfedit->order = $request->order;
  
      $pdfedit->pdf_name = $request->pdf_name;
      $pdfedit->pdf_type = $request->pdf_type;
      $pdfedit->pdf_link = $request->pdf_link;
      $pdfedit->pdf_link_prefix = $request->pdf_link_prefix;
      $pdfedit->pdf_link_suflix = $request->pdf_link_suflix;
    $pdfedit->access = serialize($request->access);
      $pdfedit->top_text = $request->top_text;
      $pdfedit->link = $request->link;
      $pdfedit->pdf_item_type = $request->pdf_item_type;
      $pdfedit->chapter_template_id = $request->chapter_template_id;
  
  
      $pdfedit->save();
  
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
        ->with('success', 'pdf successfully created');
    }
  
  
  
    public function practice_edit($id)
    {
      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();

      $pdfedit = Pdf::find($id);
  
      return view('backend.chapter-template.pdf.practice-item.pdf.edit', compact('pdfedit','plantype'));
  
    }
  
  
  
  
  
    public function practice_update(Request $request, $id)
    {
      // dd($request);
      $validator = Validator::make($request->all(), [
        'pdf_name' => 'required',
        'access' => 'required',
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
          ->with('error', $validator->errors()->first());
      }
  
      $pdfedit = Pdf::find($id);
      $pdfedit->order = $request->order;
  
      $pdfedit->pdf_name = $request->pdf_name;
      $pdfedit->pdf_type = $request->pdf_type;
      $pdfedit->pdf_link = $request->pdf_link;
      $pdfedit->pdf_link_prefix = $request->pdf_link_prefix;
      $pdfedit->pdf_link_suflix = $request->pdf_link_suflix;
      $pdfedit->access = serialize($request->access);
      $pdfedit->top_text = $request->top_text;
      $pdfedit->link = $request->link;
      $pdfedit->pdf_item_type = $request->pdf_item_type;
      $pdfedit->chapter_template_id = $request->chapter_template_id;
      $pdfedit->save();
  
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
        ->with('success', 'pdf successfully created');
    }
  
  
  
  
  
    public function practice_status(Pdf $id, $status)
    {
  
      if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
          ->with('success', 'pdf status successfully updated');
      }
  
    }
  
  
  
  
    public function practice_delete(Pdf $id)
    {
      //dd($id);
      if ($id) {
        $id->delete();
        return redirect()->back()
          ->with('success', 'pdf deleted');
      }
    }
  
  
  
    public function practice_pdf_order($chapterid,$id)
    {
  
      $bannercount = BannerTemplate::where(['chapter_template_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Practice Item','banner_type'=>'middle'])->count();
        $seperatorcount = ChapterSeperator::where(['chapter_template_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Practice Item'])->count();
        $pdfcount = Pdf::where(['chapter_template_id'=>$chapterid,'order'=>$id,'pdf_item_type'=>'Practice Item'])->count();
  
        $count = $bannercount+$seperatorcount+$pdfcount;
        return $count;
     }

  
  
  
    public function practice_seperator_create($id)
    {
      return view('backend.chapter-template.pdf.practice-item.seperator.create', compact('id'));
    }
  
  
  
  
  
    public function practice_seperator_store(Request $request)
    {
      // dd($request);
  
      $validator = Validator::make($request->all(), [
        'seperator_order' => 'required',
        'seperator_display_text' => 'required',
  
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
          ->with('error', $validator->errors()->first());
      }
  
      $seperator = new ChapterSeperator;
      $seperator->seperator_order = $request->seperator_order;
      $seperator->seperator_display_text = $request->seperator_display_text;
      $seperator->pdf_item_type = $request->pdf_item_type;
      $seperator->chapter_template_id = $request->chapter_template_id;
  
  
      $seperator->save();
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
        ->with('success', 'seperator successfully created');
  
    }
  
  
  
    public function practice_seperator_edit($id)
    {
      $seperator = ChapterSeperator::find($id);
      return view('backend.chapter-template.pdf.practice-item.seperator.edit', compact('seperator'));
  
    }
  
  
  
  
  
    public function practice_seperator_update(Request $request, $id)
    {
      // dd($request);
  
      $validator = Validator::make($request->all(), [
        'seperator_order' => 'required',
        'seperator_display_text' => 'required',
  
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
          ->with('error', $validator->errors()->first());
      }
  
      $seperator = ChapterSeperator::find($id);
      $seperator->seperator_order = $request->seperator_order;
      $seperator->seperator_display_text = $request->seperator_display_text;
      $seperator->pdf_item_type = $request->pdf_item_type;
  
      $seperator->chapter_template_id = $request->chapter_template_id;
  
      $seperator->save();
      // return redirect()->back();
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
        ->with('success', 'seperator successfully updated');
    }
  
  
  
    public function practice_seperator_status(ChapterSeperator $id, $status)
    {
      //dd($id);
      if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
          ->with('success', 'seperator staus successfully updated');
      }
    }
  
  
  
    public function practice_seperator_delete(ChapterSeperator $id)
    {
      //dd($id);
      if ($id) {
        $id->delete();
        return redirect()->back()
          ->with('success', 'seperator deleted');
      }
    }
  
  
  

    public function practice_seperater_order($chapterid,$id)
    {
  
      $bannercount = BannerTemplate::where(['chapter_template_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Practice Item','banner_type'=>'middle'])->count();
        $seperatorcount = ChapterSeperator::where(['chapter_template_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Practice Item'])->count();
        $pdfcount = Pdf::where(['chapter_template_id'=>$chapterid,'order'=>$id,'pdf_item_type'=>'Practice Item'])->count();
  
        $count = $bannercount+$seperatorcount+$pdfcount;
        return $count;
     }



  
    public function practice_banner_create($id,$banner_type)
    {
      $banner_template = BannerTemplate::select('id','banner_name')->where(['course_id'=> null,'subject_id'=> null,'chapter_id'=>null,'subject_template_id'=>null,'chapter_template_id'=>null,'banner_type'=>$banner_type])->orderby('id', 'desc')->get();

      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
      return view('backend.chapter-template.pdf.practice-item.banner.create', compact('id','plantype','banner_template','banner_type'));
    }
  
  
  
    public function practice_banner_store(Request $request)
    {
     //dd($request);
     if(isset($request->banner_template_id) && !empty($request->banner_template_id)){
      $banner_template = BannerTemplate::where('id', $request->banner_template_id)->first();
      //dd($bannertemplate);
      if($banner_template){
          // $banner_last = BannerTemplate::select('id','banner_order')->orderby('id', 'desc')->first();   
          // if($banner_last){
          //     $banner_order = $banner_last->banner_order+1;
          // }else{
          //     $banner_order = 1;
          // }
          
          if($request->banner_type == 'middle'){
            //get order start  
             $banner_order_last = BannerTemplate::select('banner_order')->where(['chapter_template_id'=>$request->chapter_template_id,'banner_type'=>'middle','pdf_item_type'=>$request->pdf_item_type])->orderby('banner_order','DESC')->first();
             if($banner_order_last){
                 $number1 = $banner_order_last->banner_order;
             }else{
                 $number1 = 0;
             }

             $seperator_order_last = ChapterSeperator::select('seperator_order')->where(['chapter_template_id'=>$request->chapter_template_id,'pdf_item_type'=>$request->pdf_item_type])->orderby('seperator_order','DESC')->first();
             if($seperator_order_last){
                 $number2 = $seperator_order_last->seperator_order;
             }else{
                 $number2 = 0;
             }

             $pdf_order_last = Pdf::select('order')->where(['chapter_template_id'=>$request->chapter_template_id,'pdf_item_type'=>$request->pdf_item_type])->orderby('order','DESC')->first();
             if($pdf_order_last){
                 $number3 = $pdf_order_last->order;
             }else{
                 $number3 = 0;
             }

             if ($number1 >= $number2 && $number1 >= $number3) {
                 $banner_order = $number1 + 1;
             } elseif ($number2 >= $number1 && $number2 >= $number3) {
                 $banner_order = $number2 + 1;
             } else {
                 $banner_order = $number3 + 1;
             }
         }else{
            $banner_last = BannerTemplate::where(['chapter_template_id'=>$request->chapter_template_id,'banner_type'=>'bottom','pdf_item_type'=>$request->pdf_item_type])->orderby('banner_order','DESC')->first();
            if($banner_last){
                $banner_order = $banner_last->banner_order+1;
            }else{
                $banner_order = 1;
            }
         }

          $banner = new BannerTemplate;
          $banner->banner_order = $banner_order;
          $banner->banner_name = $banner_template->banner_name;
          $banner->banner_image = $banner_template->banner_image;
          $banner->banner_type = $banner_template->banner_type;
          $banner->banner_function = $banner_template->banner_function;
          $banner->banner_link = $banner_template->banner_link;
          $banner->banner_display = $banner_template->banner_display;
          $banner->pdf_item_type = $request->pdf_item_type;
          $banner->chapter_template_id = $request->chapter_template_id;
          if($banner->save()){
              return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)->with('success', 'Record Import successfully!');
          }
      }
  }else{




      // dd($request);
  
      $validator = Validator::make($request->all(), [
        'banner_order' => 'required',
        'banner_name' => 'required',
        'banner_image' => 'required',
        'banner_display' => 'required',
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
          ->with('error', $validator->errors()->first());
      }
  
      $banner = new BannerTemplate;
      $banner->banner_order = $request->banner_order;
      $banner->banner_name = $request->banner_name;
      $banner->banner_image = $request->banner_image;
      $banner->banner_type = $request->banner_type;
      $banner->banner_function = $request->banner_function;
      $banner->banner_link = $request->banner_link;
      $banner->banner_display = serialize($request->banner_display);
      $banner->pdf_item_type = $request->pdf_item_type;
      $banner->chapter_template_id = $request->chapter_template_id;
      $banner->save();
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
        ->with('success', 'banner successfully created');
  
    }
  }
  
  
    public function practice_banner_edit($id)
    {
      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
  
      $banner = BannerTemplate::find($id);
      return view('backend.chapter-template.pdf.practice-item.banner.edit', compact('banner', 'plantype'));
  
    }
  
  
  
    // public function top_banner_edit($id)
  // {
  //     $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
  //     $banner = BannerTemplate::find($id);
  //     return view('backend.student-dashboard.topbanner.edit', compact('banner', 'plantype'));
  // }
  
  
    public function practice_banner_update(Request $request, BannerTemplate $id)
    {
      $validator = Validator::make($request->all(), [
        'banner_order' => 'required',
        'banner_name' => 'required',
        'banner_image' => 'required',
        'banner_type' => 'required',
        'banner_display' => 'required',
      ]);
  
      if ($validator->fails()) {
        return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
          ->with('error', $validator->errors()->first());
      }
  
      $id->banner_order = $request->banner_order;
      $id->banner_name = $request->banner_name;
      $id->banner_image = $request->banner_image;
      $id->banner_type = $request->banner_type;
      $id->banner_function = $request->banner_function;
      $id->banner_link = $request->banner_link;
      $id->banner_display = serialize($request->banner_display);
      $id->pdf_item_type = $request->pdf_item_type;
      $id->chapter_template_id = $request->chapter_template_id;
      $id->save();
      // return redirect()->back();
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
        ->with('success', 'Banner successfully updated');
    }
  
  
  
    public function practice_banner_status(BannerTemplate $id, $status)
    {
      //dd($id);
      if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
          ->with('success', 'banner staus successfully updated');
      }
  
    }
  
  
  
    public function practice_banner_delete(BannerTemplate $id)
    {
      //dd($id);
      if ($id) {
        $id->delete();
        return redirect()->back()
          ->with('success', 'banner deleted');
      }
  
    }
  



    public function practice_banner_order($chapterid,$id,$bannertype)
    {
  


      if($bannertype =='middle'){

      $bannercount = BannerTemplate::where(['chapter_template_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Practice Item','banner_type'=>$bannertype])->count();
        $seperatorcount = ChapterSeperator::where(['chapter_template_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Practice Item'])->count();
        $pdfcount = Pdf::where(['chapter_template_id'=>$chapterid,'order'=>$id,'pdf_item_type'=>'Practice Item'])->count();
  
        $count = $bannercount+$seperatorcount+$pdfcount;

      }elseif($bannertype == 'null'){
        $bannercount = BannerTemplate::where(['chapter_template_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Practice Item','banner_type'=>'bottom'])->count();
        
        $count = $bannercount;
      }
      else{
        $bannercount = BannerTemplate::where(['chapter_template_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Practice Item','banner_type'=>$bannertype])->count();
        $count = $bannercount;
      }
        return $count;
     }





    //  public function practice_banner_orderr($chapterid,$id,$bannertype)
    //  {
     
 
    //    if($bannertype =='middle'){
 
    //    $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Practice Item','banner_type'=>$bannertype])->count();
 
    //      $seperatorcount = AdditionalSeperator::where(['chapter_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Practice Item'])->count();
    //      $pdfcount = AdditionalCourseSubjectChapterPdf::where(['chapter_id'=>$chapterid,'order'=>$id,'item_type'=>'Practice Item'])->count();
     
    //      $count = $bannercount+$seperatorcount+$pdfcount;
 
    //    }elseif($bannertype == 'null'){
 
 
    //      $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Practice Item','banner_type'=>$bannertype])->count();
    //      $count = $bannercount;
 
    //    }else{
 
    //      $bannercount = AdditionalBanner::where(['chapter_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Practice Item','banner_type'=>$bannertype])->count();
    //      $count = $bannercount;
 
    //    }
 
 
 
    //      return $count;
    //   }
     

    // price start
  
  
  
    public function price_create($id)
    {
      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
      return view('backend.chapter-template.pdf.price-item.pdf.create', compact('id','plantype'));
    }
  
  
  
    public function price_store(Request $request)
    {
      // dd($request);
      $validator = Validator::make($request->all(), [
        'pdf_name' => 'required',
        'access' => 'required',
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
          ->with('error', $validator->errors()->first());
      }
  
  
      $pdfedit = new Pdf;
      $pdfedit->order = $request->order;
  
      $pdfedit->pdf_name = $request->pdf_name;
      $pdfedit->pdf_type = $request->pdf_type;
      $pdfedit->pdf_link = $request->pdf_link;
      $pdfedit->pdf_link_prefix = $request->pdf_link_prefix;
      $pdfedit->pdf_link_suflix = $request->pdf_link_suflix;
      $pdfedit->access = serialize($request->access);
      $pdfedit->top_text = $request->top_text;
      $pdfedit->link = $request->link;
      $pdfedit->pdf_item_type = $request->pdf_item_type;
      $pdfedit->chapter_template_id = $request->chapter_template_id;
  
  
      $pdfedit->save();
  
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
        ->with('success', 'pdf successfully created');
    }
  
  
  
    public function price_edit($id)
    {
      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'ASC')->get();
      $pdfedit = Pdf::find($id);
  
      return view('backend.chapter-template.pdf.price-item.pdf.edit', compact('pdfedit','plantype'));
  
    }
  
  
  
  
  
    public function price_update(Request $request, $id)
    {
      // dd($request);
      $validator = Validator::make($request->all(), [
        'pdf_name' => 'required',
        'access' => 'required',
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
          ->with('error', $validator->errors()->first());
      }
  
      $pdfedit = Pdf::find($id);
      $pdfedit->order = $request->order;
  
      $pdfedit->pdf_name = $request->pdf_name;
      $pdfedit->pdf_type = $request->pdf_type;
      $pdfedit->pdf_link = $request->pdf_link;
      $pdfedit->pdf_link_prefix = $request->pdf_link_prefix;
      $pdfedit->pdf_link_suflix = $request->pdf_link_suflix;
      $pdfedit->access = serialize($request->access);
      $pdfedit->top_text = $request->top_text;
      $pdfedit->link = $request->link;
      $pdfedit->pdf_item_type = $request->pdf_item_type;
      $pdfedit->chapter_template_id = $request->chapter_template_id;
      $pdfedit->save();
  
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
        ->with('success', 'pdf successfully created');
    }
  
  
  
  
  
    public function price_status(Pdf $id, $status)
    {
  
      if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
          ->with('success', 'pdf status successfully updated');
      }
  
    }
  
  
  
  
    public function price_delete(Pdf $id)
    {
      //dd($id);
      if ($id) {
        $id->delete();
        return redirect()->back()
          ->with('success', 'pdf deleted');
      }
    }
  

    public function price_pdf_order($chapterid,$id)
    {
  
      $bannercount = BannerTemplate::where(['chapter_template_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>'middle'])->count();
        $seperatorcount = ChapterSeperator::where(['chapter_template_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Print Item'])->count();
        $pdfcount = Pdf::where(['chapter_template_id'=>$chapterid,'order'=>$id,'pdf_item_type'=>'Print Item'])->count();
  
        $count = $bannercount+$seperatorcount+$pdfcount;
        return $count;
     }

  
  
  
  
  
    public function price_seperator_create($id)
    {
      return view('backend.chapter-template.pdf.price-item.seperator.create', compact('id'));
    }
  
  
  
  
  
    public function price_seperator_store(Request $request)
    {
      // dd($request);
  
      $validator = Validator::make($request->all(), [
        'seperator_order' => 'required',
        'seperator_display_text' => 'required',
  
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
          ->with('error', $validator->errors()->first());
      }
  
      $seperator = new ChapterSeperator;
      $seperator->seperator_order = $request->seperator_order;
      $seperator->seperator_display_text = $request->seperator_display_text;
      $seperator->pdf_item_type = $request->pdf_item_type;
      $seperator->chapter_template_id = $request->chapter_template_id;
  
  
      $seperator->save();
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
        ->with('success', 'seperator successfully created');
  
    }
  
  
  
    public function price_seperator_edit($id)
    {
      $seperator = ChapterSeperator::find($id);
      return view('backend.chapter-template.pdf.price-item.seperator.edit', compact('seperator'));
  
    }
  
  
  
  
  
    public function price_seperator_update(Request $request, $id)
    {
      // dd($request);
  
      $validator = Validator::make($request->all(), [
        'seperator_order' => 'required',
        'seperator_display_text' => 'required',
  
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
          ->with('error', $validator->errors()->first());
      }
  
      $seperator = ChapterSeperator::find($id);
      $seperator->seperator_order = $request->seperator_order;
      $seperator->seperator_display_text = $request->seperator_display_text;
      $seperator->pdf_item_type = $request->pdf_item_type;
  
      $seperator->chapter_template_id = $request->chapter_template_id;
  
      $seperator->save();
      // return redirect()->back();
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
        ->with('success', 'seperator successfully updated');
    }
  
  
  
    public function price_seperator_status(ChapterSeperator $id, $status)
    {
      //dd($id);
      if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
          ->with('success', 'seperator staus successfully updated');
      }
    }
  
  
  
    public function price_seperator_delete(ChapterSeperator $id)
    {
      //dd($id);
      if ($id) {
        $id->delete();
        return redirect()->back()
          ->with('success', 'seperator deleted');
      }
    }
  

    public function price_seperater_order($chapterid,$id)
    {
  
      $bannercount = BannerTemplate::where(['chapter_template_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>'middle'])->count();
        $seperatorcount = ChapterSeperator::where(['chapter_template_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Print Item'])->count();
        $pdfcount = Pdf::where(['chapter_template_id'=>$chapterid,'order'=>$id,'pdf_item_type'=>'Print Item'])->count();
  
        $count = $bannercount+$seperatorcount+$pdfcount;
        return $count;
     }

  
  
  
    public function price_banner_create($id,$banner_type)
    {

      $banner_template = BannerTemplate::select('id','banner_name')->where(['course_id'=> null,'subject_id'=> null,'chapter_id'=>null,'subject_template_id'=>null,'chapter_template_id'=>null,'banner_type'=>$banner_type])->orderby('id', 'desc')->get();

      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
  
      return view('backend.chapter-template.pdf.price-item.banner.create', compact('id', 'plantype','banner_template','banner_type'));
    }
  
  
  
    public function price_banner_store(Request $request)
    {
  //dd($request);
  if(isset($request->banner_template_id) && !empty($request->banner_template_id)){
    $banner_template = BannerTemplate::where('id', $request->banner_template_id)->first();
    //dd($bannertemplate);
    if($banner_template){
        // $banner_last = BannerTemplate::select('id','banner_order')->orderby('id', 'desc')->first();   
        // if($banner_last){
        //     $banner_order = $banner_last->banner_order+1;
        // }else{
        //     $banner_order = 1;
        // }
        if($request->banner_type == 'middle'){
          //get order start  
           $banner_order_last = BannerTemplate::select('banner_order')->where(['chapter_template_id'=>$request->chapter_template_id,'banner_type'=>'middle','pdf_item_type'=>$request->pdf_item_type])->orderby('banner_order','DESC')->first();
           if($banner_order_last){
               $number1 = $banner_order_last->banner_order;
           }else{
               $number1 = 0;
           }

           $seperator_order_last = ChapterSeperator::select('seperator_order')->where(['chapter_template_id'=>$request->chapter_template_id,'pdf_item_type'=>$request->pdf_item_type])->orderby('seperator_order','DESC')->first();
           if($seperator_order_last){
               $number2 = $seperator_order_last->seperator_order;
           }else{
               $number2 = 0;
           }

           $pdf_order_last = Pdf::select('order')->where(['chapter_template_id'=>$request->chapter_template_id,'pdf_item_type'=>$request->pdf_item_type])->orderby('order','DESC')->first();
           if($pdf_order_last){
               $number3 = $pdf_order_last->order;
           }else{
               $number3 = 0;
           }

           if ($number1 >= $number2 && $number1 >= $number3) {
               $banner_order = $number1 + 1;
           } elseif ($number2 >= $number1 && $number2 >= $number3) {
               $banner_order = $number2 + 1;
           } else {
               $banner_order = $number3 + 1;
           }
       }else{
          $banner_last = BannerTemplate::where(['chapter_template_id'=>$request->chapter_template_id,'banner_type'=>'bottom','pdf_item_type'=>$request->pdf_item_type])->orderby('banner_order','DESC')->first();
          if($banner_last){
              $banner_order = $banner_last->banner_order+1;
          }else{
              $banner_order = 1;
          }
       }
        $banner = new BannerTemplate;
        $banner->banner_order = $banner_order;
        $banner->banner_name = $banner_template->banner_name;
        $banner->banner_image = $banner_template->banner_image;
        $banner->banner_type = $banner_template->banner_type;
        $banner->banner_function = $banner_template->banner_function;
        $banner->banner_link = $banner_template->banner_link;
        $banner->banner_display = $banner_template->banner_display;
        $banner->pdf_item_type = $request->pdf_item_type;
        $banner->chapter_template_id = $request->chapter_template_id;
        if($banner->save()){
            return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)->with('success', 'Record Import successfully!');
        }
    }
}else{

      // dd($request);
  
      $validator = Validator::make($request->all(), [
        'banner_order' => 'required',
        'banner_name' => 'required',
        'banner_image' => 'required',
        'banner_display' => 'required',
  
      ]);
      if ($validator->fails()) {
        return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
          ->with('error', $validator->errors()->first());
      }
  
      $banner = new BannerTemplate;
      $banner->banner_order = $request->banner_order;
      $banner->banner_name = $request->banner_name;
      $banner->banner_image = $request->banner_image;
      $banner->banner_type = $request->banner_type;
      $banner->banner_function = $request->banner_function;
      $banner->banner_link = $request->banner_link;
      $banner->banner_display = serialize($request->banner_display);
      $banner->pdf_item_type = $request->pdf_item_type;
      $banner->chapter_template_id = $request->chapter_template_id;
      $banner->save();
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
        ->with('success', 'banner successfully created');
  
    }
  }
  
  
    public function price_banner_edit($id)
    {
      $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
  
      $banner = BannerTemplate::find($id);
      return view('backend.chapter-template.pdf.price-item.banner.edit', compact('banner', 'plantype'));
  
    }
  
  
  
    // public function top_banner_edit($id)
  // {
  //     $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
  //     $banner = BannerTemplate::find($id);
  //     return view('backend.student-dashboard.topbanner.edit', compact('banner', 'plantype'));
  // }
  
  
    public function price_banner_update(Request $request, BannerTemplate $id)
    {
      $validator = Validator::make($request->all(), [
        'banner_order' => 'required',
        'banner_name' => 'required',
        'banner_image' => 'required',
        'banner_type' => 'required',
        'banner_display' => 'required',
      ]);
  
      if ($validator->fails()) {
        return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
          ->with('error', $validator->errors()->first());
      }
  
      $id->banner_order = $request->banner_order;
      $id->banner_name = $request->banner_name;
      $id->banner_image = $request->banner_image;
      $id->banner_type = $request->banner_type;
      $id->banner_function = $request->banner_function;
      $id->banner_link = $request->banner_link;
      $id->banner_display = serialize($request->banner_display);
      $id->pdf_item_type = $request->pdf_item_type;
      $id->chapter_template_id = $request->chapter_template_id;
      $id->save();
      // return redirect()->back();
      return redirect()->route('backend.chaptertemplate.pdf.index', $request->chapter_template_id)
        ->with('success', 'Banner successfully updated');
    }
  
  
  
    public function price_banner_status(BannerTemplate $id, $status)
    {
      //dd($id);
      if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
          ->with('success', 'banner staus successfully updated');
      }
  
    }
  
  
  
    public function price_banner_delete(BannerTemplate $id)
    {
      //dd($id);
      if ($id) {
        $id->delete();
        return redirect()->back()
          ->with('success', 'banner deleted');
      }
  
    }
  

    public function price_banner_order($chapterid,$id,$bannertype)
    {
  
      if($bannertype =='middle'){


      $bannercount = BannerTemplate::where(['chapter_template_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>$bannertype])->count();

        $seperatorcount = ChapterSeperator::where(['chapter_template_id'=>$chapterid,'seperator_order'=>$id,'pdf_item_type'=>'Print Item'])->count();
        $pdfcount = Pdf::where(['chapter_template_id'=>$chapterid,'order'=>$id,'pdf_item_type'=>'Print Item'])->count();
  
        $count = $bannercount+$seperatorcount+$pdfcount;

      }elseif($bannertype == 'null'){


      $bannercount = BannerTemplate::where(['chapter_template_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>'bottom'])->count();

      $count = $bannercount;
      }else{
        $bannercount = BannerTemplate::where(['chapter_template_id'=>$chapterid,'banner_order'=>$id,'pdf_item_type'=>'Print Item','banner_type'=>$bannertype])->count();
        $count = $bannercount;


      }

        return $count;
     }

  


 
  
  
    // public function chapter_update(Request $request,$id){
  //   // dd($request);
  //      $banner = CourseSubjectChapter::find( $request,$id);
  //         $banner->top_text=$request->top_text;
  //         $banner->link=$request->link;
  
    //         $banner->save();
  //         return redirect()->back()
  //         ->with('success', 'pdf successfully created');
  
    // }
  
  
  
    public function chapter_update(Request $request)
    {
      
      ChapterTemplate::where('chapter_id', $request->chapter_template_id)->update([
        'top_text' => $request->top_text,
        'link' => $request->link
      ]);
  
      return redirect()->back()
        ->with('success', 'Chapter successfully updated');
    }
  


}
