<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Document;
use App\Models\DocumentRequest;
use Illuminate\Support\Carbon;

class HomeController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function adminHome()
    {
        //monthly downloads graph
        $monthlyDownloads = DocumentRequest::select('id', 'created_at')
        ->where('status',4)->orwhere('status',1)
        ->get()
        ->groupBy(function($date) {
            return Carbon::parse($date->created_at)->format('m'); // grouping by months
        });

        $monthlyDownloadsCount = [];
        $monthlyDownloadsCountArr = [];
        //dd($monthlyDownloads);
        foreach ($monthlyDownloads as $key => $value) {
            //echo $value;
            $monthlyDownloadsCount[(int)$key] = count($value);
        }
        //dd($monthlyDownloadsCount);
        for($i = 1; $i <= 12; $i++){
            if(!empty($monthlyDownloadsCount[$i])){
                $monthlyDownloadsCountArr[$i] = $monthlyDownloadsCount[$i];    
            }else{
                $monthlyDownloadsCountArr[$i] = 0;    
            }
        }

        //dd($monthlyDownloadsCountArr);

        //category wise download graph
        $graphRegisteredDownload = DocumentRequest::select('id', 'created_at')
        ->where('status',4)->where('user_id','!=',0)
        ->get()
        ->groupBy(function($date) {
            return Carbon::parse($date->created_at)->format('m'); // grouping by months
        });

        $registerDownloadsCount = [];
        $registerDownloadsCountArr = [];

        foreach ($graphRegisteredDownload as $key => $value) {
            $registerDownloadsCount[(int)$key] = count($value);
        }

        for($i = 1; $i <= 12; $i++){
            if(!empty($registerDownloadsCount[$i])){
                $registerDownloadsCountArr[$i] = $registerDownloadsCount[$i];    
            }else{
                $registerDownloadsCountArr[$i] = 0;    
            }
        }
        //dd($registerDownloadsCountArr);
        //Public category wise download graph
        $graphPublicDownload = DocumentRequest::select('id', 'created_at')
        ->where('status',4)->where('user_id',0)
        ->get()
        ->groupBy(function($date) {
            return Carbon::parse($date->created_at)->format('m'); // grouping by months
        });

        $publicDownloadsCount = [];
        $publicDownloadsCountArr = [];

        foreach ($graphPublicDownload as $key => $value) {
            $publicDownloadsCount[(int)$key] = count($value);
        }

        for($i = 1; $i <= 12; $i++){
            if(!empty($publicDownloadsCount[$i])){
                $publicDownloadsCountArr[$i] = $publicDownloadsCount[$i];    
            }else{
                $publicDownloadsCountArr[$i] = 0;    
            }
        }
        
        
        //Restricted category wise download graph
        $graphRestrictedDownload = DocumentRequest::select('id', 'created_at')
        ->orwhere('status',1)
        ->get()
        ->groupBy(function($date) {
            return Carbon::parse($date->created_at)->format('m'); // grouping by months
        });

        $restrictedDownloadsCount = [];
        $restrictedDownloadsCountArr = [];

        foreach ($graphRestrictedDownload as $key => $value) {
            $restrictedDownloadsCount[(int)$key] = count($value);
        }

        for($i = 1; $i <= 12; $i++){
            if(!empty($restrictedDownloadsCount[$i])){
                $restrictedDownloadsCountArr[$i] = $restrictedDownloadsCount[$i];    
            }else{
                $restrictedDownloadsCountArr[$i] = 0;    
            }
        }

        //dd($publicDownloadsCountArr);

        $totalRegisteredDownload = DocumentRequest::where('status',4)->where('user_id','!=',0)->count();
        $totalPublicDownload = DocumentRequest::where('status',4)->where('user_id',0)->count();
        $totalRestrictedDownload = DocumentRequest::where('status',1)->count();
        $totalDocuments = Document::count();
        return view('backend.adminHome',compact('totalDocuments','totalRestrictedDownload','totalPublicDownload','totalRegisteredDownload','monthlyDownloadsCount','monthlyDownloadsCountArr','registerDownloadsCountArr','restrictedDownloadsCountArr','publicDownloadsCountArr','monthlyDownloadsCount'));
    }
}

