<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Medium;
use Illuminate\Support\Facades\Validator;
class MediumController extends Controller
{
    public function index() 
    {
        $medium = Medium::orderby('id', 'desc')->get();
        return view('backend.medium.index', compact('medium'));
    }


    public function create() 
    {
        return view('backend.medium.create');
    }


    public function store(Request $request) 
    {

        $validator = Validator::make($request->all(), [
        'name' => 'required',

           
        ]);
        if ($validator->fails()) {
            return redirect()->route('backend.medium.index')
            ->with('error', $validator->errors()->first());
        }

        $medium = new Medium();
        $medium->name=$request->name;
   
        $medium->save();
        return redirect()->route('backend.medium.index')
            ->with('success', 'medium successfully created');
    }



 
    public function edit($id)
    {
        $medium = Medium::find($id);
        return view('backend.medium.edit',compact('medium'));
        
    }

    public function update(Request $request,$id)
    {

        $validator = Validator::make($request->all(), [
        'name' => 'required',
  
        ]);
        if ($validator->fails()) {
            return redirect()->route('backend.medium.index')
            ->with('error', $validator->errors()->first());
        }

        $medium = Medium::find($id);
        $medium->name=$request->name;
   
        $medium->save();
    
        return redirect()->route('backend.medium.index')
        ->with('success', 'medium successfully updated');
    }



   
    public function status(Medium $id, $status)
    {
        //dd($id);
        if ($id) {
            $id->status = $status;
            $id->save();
            return redirect()->route('backend.medium.index')
                ->with('success', 'medium status successfully updated');
        }
        return view('backend.medium.index');
    }

    public function delete(Medium $id)
    {
        //dd($id);
        if ($id) {            
         $id->delete();
        return redirect()->route('backend.medium.index')
        ->with('success', 'medium deleted');
        }
        return view('backend.medium.index');
    }

}
