<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\PlanType;
use Illuminate\Support\Facades\Validator;

class PlanTypeController extends Controller
{
    public function index() 
    {
        $plantype = PlanType::orderby('id', 'desc')->get();
        return view('backend.plantype.index', compact('plantype'));
    }


    public function create() 
    {
        return view('backend.plantype.create');
    }


    public function store(Request $request) 
    {

        $validator = Validator::make($request->all(), [
        'name' => 'required',

           
        ]);
        if ($validator->fails()) {
            return redirect()->route('backend.plantype.index')
            ->with('error', $validator->errors()->first());
        }

        $plantype = new PlanType();
        $plantype->name=$request->name;
   
        $plantype->save();
        return redirect()->route('backend.plantype.index')
            ->with('success', 'plan successfully created');
    }

 
    public function edit($id)
    {
        $plantype = PlanType::find($id);
        return view('backend.plantype.edit',compact('plantype'));
        
    }



    public function update(Request $request,$id)
    {

        $validator = Validator::make($request->all(), [
        'name' => 'required',
  
        ]);
        if ($validator->fails()) {
            return redirect()->route('backend.plantype.index')
            ->with('error', $validator->errors()->first());
        }

        $plantype = PlanType::find($id);
        $plantype->name=$request->name;
   
        $plantype->save();
    
        return redirect()->route('backend.plantype.index')
        ->with('success', 'plan successfully updated');
    }

    public function status(PlanType $id, $status)
    {
        //dd($id);
        if ($id) {
            $id->status = $status;
            $id->save();
            return redirect()->route('backend.plantype.index')
                ->with('success', 'plan status successfully updated');
        }
        return view('backend.plantype.index');
    }


    public function delete(PlanType $id)
    {
        //dd($id);
        if ($id) {            
         $id->delete();
        return redirect()->route('backend.plantype.index')
        ->with('success', 'plantype deleted');
        }
        return view('backend.plantype.index');
    }
}
