<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Setting;
use Illuminate\Foundation\Auth\RegistersUsers;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;
use Image;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

class SettingController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }


    public function edit(Request $request)
    {
        $settingdata = Setting::where('id',1)->first();
        if ($request->all()) {

            $input = $request->except(['_token','logo_header','logo_footer','favicon','created_at','updated_at']);

            $logo_header = $request->file('logo_header');
            if($logo_header){
               $logo_header_file =  $this->uploadimages($logo_header);
            }else{
                $logo_header_file = $settingdata['logo_header'];
            }

            $logo_footer = $request->file('logo_footer');
            if($logo_footer){
               $logo_footer_file = $this->uploadimages($logo_footer);
            }else{
                $logo_footer_file = $settingdata['logo_footer'];
            }

            $meta_image = $request->file('meta_image');
            if($meta_image){
               $meta_image_file = $this->uploadimages($meta_image);
            }else{
                $meta_image_file = $settingdata['meta_image'];
            }

            $favicon = $request->file('favicon');
            if($favicon){
               $favicon_file =  $this->uploadimages($favicon);
            }else{
                $favicon_file = $settingdata['favicon'];
            }
           // dd($request);
            if($settingdata){

                $settingdata->fill($input)->save();
                $update =  Setting::where(['id'=>$settingdata['id']])->update([
                    'logo_header'=>$logo_header_file,
                    'logo_footer'=>$logo_footer_file,
                    'meta_image'=>$meta_image_file,
                    'favicon'=>$favicon_file,
                ]);

            }else{
                $update =  Setting::create([
                    'logo_header'=>$logo_header_file,
                    'logo_footer'=>$logo_footer_file,
                    'meta_image'=>$meta_image_file,
                    'favicon'=>$favicon_file,
                    $input,
                ]);
            }
            //dd($update);
           if($update){
            $msg = "User Successfully Updated";
            $stst = "success";
           }else{
            $msg = "User data not update!";
            $stst = "error";
           }
            return redirect()->route('backend.setting.edit')
                ->with($stst, $msg);
        }
        if($settingdata){
            $id = $settingdata;
            return view('backend.setting.edit',compact('id'));
        }else{
            return view('backend.setting.edit');
        }
    }


    public function uploadimages($image){
        //dd($image);
        if ($image) {
            $imagesFiles =  uniqid(time()).'.'.$image->getClientOriginalExtension();

            // Compress Image thumbnail..
            // $destinationPath = public_path('/thumbnail');
            // $img = Image::make($image->getRealPath());
            // $img->resize(100, 100, function ($constraint) {
            //     $constraint->aspectRatio();
            // })->save($destinationPath.'/'.$imagesFiles);

            // save original image
            $destinationPath = public_path('/');
            $image->move($destinationPath, $imagesFiles);
            return $imagesFiles;
        }
    }


}
