<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Siteseo;
use Illuminate\Support\Facades\Validator;
use Image;

class SiteseoController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index()
    {
        $userlist = Siteseo::orderby('id', 'desc')->get();
        return view('backend.siteseo.index', compact('userlist'));
    }

    public function create(Request $request)
    {
        if ($request->all()) {
            $validator = Validator::make($request->all(), [
                'meta_title' => 'required',
                'meta_keyword' => 'required',
                'meta_description' => 'required',
                'cat_pic' => 'required',
            ]);
            if ($validator->fails()) {
                return redirect()->route('backend.siteseo.index')
                ->with('error', $validator->errors()->first());
            }

            $image = $request->file('cat_pic');

                if (isset($image) > 0) {

                        $imgname = $image->getClientOriginalName();
                        $input['cat_pic'] =  uniqid(time()).'.'.$image->getClientOriginalExtension();
                        // save original image
                        $destinationPathor = public_path('/images/media/');
                        $image->move($destinationPathor, $input['cat_pic']);

                }
                $porfolioImgSave = Siteseo::create([
                    'meta_title' => $request['meta_title'],
                    'meta_keyword' => $request['meta_keyword'],
                    'page_link' => $request['page_link'],
                    'meta_description' => $request['meta_description'],
                    'image' => $input['cat_pic']
                ]);
            return redirect()->route('backend.siteseo.index')
                ->with('success', 'Siteseo Successfully Created');
        }

        return view('backend.siteseo.create');
    }

    public function edit(Request $request, Siteseo $id)
    {
        if ($request->all()) {
            $image = $request->file('cat_pic');
            if ($image) {
                $input['cat_pic'] = time().'.'.$image->getClientOriginalExtension();
                // save original image
                $destinationPath = public_path('/images/media');
                $image->move($destinationPath, $input['cat_pic']);
                $cateimg = $input['cat_pic'];
            }else{
                $cateimg = $id['image'];
            }

            $id->update([
                'meta_title' => $request['meta_title'],
                'meta_keyword' => $request['meta_keyword'],
                'page_link' => $request['page_link'],
                'meta_description' => $request['meta_description'],
                'image' => $cateimg
            ]);

            return redirect()->route('backend.siteseo.index')
                ->with('success', 'Siteseo Successfully Updated');
        }
        return view('backend.siteseo.edit', compact('id'));
    }


    public function delete(Siteseo $id)
    {
        if ($id) {
            if ($id['image']) {
                $originalPath = public_path('/images/media/'.$id['image']);
                if (file_exists($originalPath)) {
                    unlink($originalPath);
                }

            }
            $id->delete();
            return redirect()->route('backend.siteseo.index')
                ->with('success', 'Siteseo Deleted');
        }
        return view('backend.siteseo.index');
    }




}
