<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use App\Models\Stream;
use Dotenv\Util\Str;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class StreamController extends Controller
{
    
    public function index() 
    {
        $Stream = Stream::orderby('id', 'desc')->get();
        return view('backend.stream.index', compact('Stream'));
    }


    public function create() 
    {
        return view('backend.stream.create');
    }


    public function store(Request $request) 
    {

        $validator = Validator::make($request->all(), [
        'name' => 'required',

           
        ]);
        if ($validator->fails()) {
            return redirect()->route('backend.stream.index')
            ->with('error', $validator->errors()->first());
        }

        $Stream = new Stream();
        $Stream->name=$request->name;
   
        $Stream->save();
        return redirect()->route('backend.stream.index')
            ->with('success', 'Stream successfully created');
    }

 
    public function edit($id)
    {
        $Stream = Stream::find($id);
        return view('backend.stream.edit',compact('Stream'));
        
    }



    public function update(Request $request,$id)
    {
        $validator = Validator::make($request->all(), [
            'name' => 'required',  
        ]);
        
        if ($validator->fails()) {
            return redirect()->route('backend.stream.index')
            ->with('error', $validator->errors()->first());
        }

        $Stream = Stream::find($id);
        $Stream->name=$request->name;
   
        $Stream->save();
    
        return redirect()->route('backend.stream.index')
        ->with('success', 'Stream successfully updated');
    }

    public function status(Stream $id, $status)
    {
        //dd($id);
        if ($id) {
            $id->status = $status;
            $id->save();
            return redirect()->back()
                ->with('success', 'Stream status successfully updated');
        }
    }


    public function delete(Stream $id)
    {
        //dd($id);
        if ($id) {            
         $id->delete();
        return redirect()->route('backend.stream.index')
        ->with('success', 'Stream deleted');
        }
        return view('backend.stream.index');
    }

}
