<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\SubjectCategory;
use Illuminate\Support\Facades\Validator;

class SubjectCategoryController extends Controller
{
    
    public function index() 
    {
        $subjectcategory = SubjectCategory::orderby('id', 'desc')->get();
        return view('backend.subjectcategory.index', compact('subjectcategory'));
    }


    public function create() 
    {
        return view('backend.subjectcategory.create');
    }


    public function store(Request $request) 
    {

        $validator = Validator::make($request->all(), [
        'name' => 'required',

           
        ]);
        if ($validator->fails()) {
            return redirect()->route('backend.subjectcategory.index')
            ->with('error', $validator->errors()->first());
        }

        $subjectcategory = new SubjectCategory();
        $subjectcategory->name=$request->name;
   
        $subjectcategory->save();
        return redirect()->route('backend.subjectcategory.index')
            ->with('success', 'subjectcategory successfully created');
    }

 
    public function edit($id)
    {
        $subjectcategory = SubjectCategory::find($id);
        return view('backend.subjectcategory.edit',compact('subjectcategory'));
        
    }



    public function update(Request $request,$id)
    {

        $validator = Validator::make($request->all(), [
        'name' => 'required',
  
        ]);
        if ($validator->fails()) {
            return redirect()->route('backend.subjectcategory.index')
            ->with('error', $validator->errors()->first());
        }

        $subjectcategory = SubjectCategory::find($id);
        $subjectcategory->name=$request->name;
   
        $subjectcategory->save();
    
        return redirect()->route('backend.subjectcategory.index')
        ->with('success', 'subjectcategory successfully updated');
    }

    public function status(SubjectCategory $id, $status)
    {
        //dd($id);
        if ($id) {
            $id->status = $status;
            $id->save();
            return redirect()->route('backend.subjectcategory.index')
                ->with('success', 'subjectcategory status successfully updated');
        }
        return view('backend.subjectcategory.index');
    }


    public function delete(SubjectCategory $id)
    {
        //dd($id);
        if ($id) {            
         $id->delete();
        return redirect()->route('backend.subjectcategory.index')
        ->with('success', 'subjectcategory deleted');
        }
        return view('backend.subjectcategory.index');
    }

}
