<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\CourseSubjectChapter;
use App\Models\SubjectTemplate;
use App\Models\BannerTemplate;
use App\Models\ChapterSeperator;
use App\Models\ChapterTemplate;
use App\Models\Pdf;


use Illuminate\Support\Facades\Validator;

class SubjectTemplateChapterController extends Controller
{
    

    public function index() 
    {
         $chapter = CourseSubjectChapter::orderby('id', 'desc')->get();

         return view('backend.student-dashboard.subject.chapter.index', compact('chapter'));
    }



    public function create($id)
    {
        $chapter_templates = ChapterTemplate::select('chapter_id', 'chapter_name')->where('status', '1')->orderby('id', 'desc')->get();
        return view('backend.subject.chapter.create', compact('id','chapter_templates'));
    }



    public function store(Request $request) 
    {
        //dd($request);
        if(isset($request->chapter_template_id) && !empty($request->chapter_template_id)){
            $chapter_template = ChapterTemplate::with('chaptertemplatepdf','chaptertemplatebanner','chaptertemplateseperator')->where('chapter_id', $request->chapter_template_id)->first();
            //dd($chapter_template);
            if($chapter_template){
                // $course_subject_chapter_last = CourseSubjectChapter::select('id','chapter_id','chapter_order')->orderby('id', 'desc')->first();
                // if($course_subject_chapter_last){
                //     $course_subject_chapter_id = 'CH-'.$course_subject_chapter_last->id.'-'.rand(111,999);
                //     $course_subject_chapter_order = $course_subject_chapter_last->chapter_order+1;
                // }else{
                //     $course_subject_chapter_id = 'CH-001';
                //     $course_subject_chapter_order = 1;
                // }

                //new id increment
                $course_subject_chapter_last = CourseSubjectChapter::select('chapter_id')->where('chapter_id','like','STCH-%')->orderby('id', 'desc')->first();
                if($course_subject_chapter_last){
                    $id_array = explode('-',$course_subject_chapter_last->chapter_id);
                    $id_num = $id_array['1'];
                    $incrementedNumber = str_pad((int)$id_num + 1, strlen($id_num), '0', STR_PAD_LEFT);
                    $course_subject_chapter_id = 'STCH-'.$incrementedNumber;
                }else{
                    $course_subject_chapter_id = 'STCH-001';
                }

                //order increment
                $banner_order_last = BannerTemplate::select('banner_order')->where(['subject_template_id'=>$request->subject_template_id,'banner_type'=>'middle'])->orderby('banner_order','DESC')->first();                            
                if($banner_order_last){
                    $number1 = $banner_order_last->banner_order;
                }else{
                    $number1 = 0;
                }

                $seperator_order_last = ChapterSeperator::select('seperator_order')->where(['subject_template_id'=>$request->subject_template_id])->orderby('seperator_order','DESC')->first();
                if($seperator_order_last){
                    $number2 = $seperator_order_last->seperator_order;
                }else{
                    $number2 = 0;
                }

                $chapter_order_last = CourseSubjectChapter::select('chapter_order')->where(['subject_template_id'=>$request->subject_template_id])->orderby('chapter_order','DESC')->first();
                if($chapter_order_last){
                    $number3 = $chapter_order_last->chapter_order;
                }else{
                    $number3 = 0;
                }

                if ($number1 >= $number2 && $number1 >= $number3) {
                    $course_subject_chapter_order = $number1 + 1;
                } elseif ($number2 >= $number1 && $number2 >= $number3) {
                    $course_subject_chapter_order = $number2 + 1;
                } else {
                    $course_subject_chapter_order = $number3 + 1;
                }
                $subject_chapter = new CourseSubjectChapter;
                $subject_chapter->chapter_id = $course_subject_chapter_id;
                $subject_chapter->chapter_order = $course_subject_chapter_order;
                $subject_chapter->chapter_name = (!empty($chapter_template->chapter_name))?$chapter_template->chapter_name:null;
                $subject_chapter->top_text = (!empty($chapter_template->top_text))?$chapter_template->top_text:null;
                $subject_chapter->link = (!empty($chapter_template->link))?$chapter_template->link:null;
                // $subject_chapter->var_a = (!empty($chapter_template->var_a))?$chapter_template->var_a:null;
                // $subject_chapter->var_b = (!empty($chapter_template->var_b))?$chapter_template->var_b:null;
                // $subject_chapter->var_c = (!empty($chapter_template->var_c))?$chapter_template->var_c:null;
                $subject_chapter->subject_template_id = $request->subject_template_id;
                $subject_chapter->status = $chapter_template->status;
                if($subject_chapter->save()){
                    if($chapter_template['chaptertemplatepdf']){
                        foreach($chapter_template['chaptertemplatepdf'] as $value){
                            // $course_subject_chapter_pdf_last = Pdf::select('order')->orderby('id', 'desc')->first();
                            // if($course_subject_chapter_pdf_last){
                            //     $course_subject_chapter_pdf_order = $course_subject_chapter_pdf_last->order+1;
                            // }else{
                            //     $course_subject_chapter_pdf_order = 1;
                            // }
                            // $banner_order_last = BannerTemplate::select('banner_order')->where(['chapter_id'=>$subject_chapter->chapter_id,'banner_type'=>'middle','pdf_item_type'=>$value->pdf_item_type])->orderby('banner_order','DESC')->first();                            
                            // if($banner_order_last){
                            //     $number1 = $banner_order_last->banner_order;
                            // }else{
                            //     $number1 = 0;
                            // }

                            // $seperator_order_last = ChapterSeperator::select('seperator_order')->where(['chapter_id'=>$subject_chapter->chapter_id,'pdf_item_type'=>$value->pdf_item_type])->orderby('seperator_order','DESC')->first();
                            // if($seperator_order_last){
                            //     $number2 = $seperator_order_last->seperator_order;
                            // }else{
                            //     $number2 = 0;
                            // }

                            // $pdf_order_last = Pdf::select('order')->where(['chapter_id'=>$subject_chapter->chapter_id,'pdf_item_type'=>$value->pdf_item_type])->orderby('order','DESC')->first();
                            // if($pdf_order_last){
                            //     $number3 = $pdf_order_last->order;
                            // }else{
                            //     $number3 = 0;
                            // }

                            // if ($number1 >= $number2 && $number1 >= $number3) {
                            //     $course_subject_chapter_pdf_order = $number1 + 1;
                            // } elseif ($number2 >= $number1 && $number2 >= $number3) {
                            //     $course_subject_chapter_pdf_order = $number2 + 1;
                            // } else {
                            //     $course_subject_chapter_pdf_order = $number3 + 1;
                            // }
                            $subject_chapter_pdf = new Pdf;
                            $subject_chapter_pdf->order = $value->order;
                            $subject_chapter_pdf->pdf_name = (!empty($value->pdf_name))?$value->pdf_name:null;
                            $subject_chapter_pdf->pdf_type = (!empty($value->pdf_type))?$value->pdf_type:null;
                            $subject_chapter_pdf->pdf_link = (!empty($value->pdf_link))?$value->pdf_link:null;
                            // $subject_chapter_pdf->pdf_link_prefix = (!empty($value->pdf_link_prefix))?$value->pdf_link_prefix:null;
                            $subject_chapter_pdf->pdf_link_suflix = (!empty($value->pdf_link_suflix))?$value->pdf_link_suflix:null;
                            $subject_chapter_pdf->access = (!empty($value->access))?$value->access:null;
                            $subject_chapter_pdf->top_text = (!empty($value->top_text))?$value->top_text:null;
                            $subject_chapter_pdf->link = (!empty($value->link))?$value->link:null;
                            $subject_chapter_pdf->pdf_item_type = (!empty($value->pdf_item_type))?$value->pdf_item_type:null;
                            $subject_chapter_pdf->chapter_id = $subject_chapter->chapter_id;
                            $subject_chapter_pdf->status = $value->status;
                            $subject_chapter_pdf->save();
                        }
                    }

                    //chapter banner
                    if($chapter_template['chaptertemplatebanner']){
                        foreach($chapter_template['chaptertemplatebanner'] as $value){
                            // $banner_last = BannerTemplate::select('banner_order')->where('chapter_id',$subject_chapter->chapter_id)->orderby('id', 'desc')->first();
                            // if($banner_last){
                            //     $banner_order = $banner_last->banner_order+1;
                            // }else{
                            //     $banner_order = 1;
                            // }

                            // if($value->banner_type == 'middle'){
                            //     //get order start  
                            //      $banner_order_last = BannerTemplate::select('banner_order')->where(['chapter_id'=>$subject_chapter->chapter_id,'banner_type'=>'middle','pdf_item_type'=>$value->pdf_item_type])->orderby('banner_order','DESC')->first();
                            //      if($banner_order_last){
                            //          $number1 = $banner_order_last->banner_order;
                            //      }else{
                            //          $number1 = 0;
                            //      }

                            //      $seperator_order_last = ChapterSeperator::select('seperator_order')->where(['chapter_id'=>$subject_chapter->chapter_id,'pdf_item_type'=>$value->pdf_item_type])->orderby('seperator_order','DESC')->first();
                            //      if($seperator_order_last){
                            //          $number2 = $seperator_order_last->seperator_order;
                            //      }else{
                            //          $number2 = 0;
                            //      }

                            //      $pdf_order_last = Pdf::select('order')->where(['chapter_id'=>$subject_chapter->chapter_id,'pdf_item_type'=>$value->pdf_item_type])->orderby('order','DESC')->first();
                            //      if($pdf_order_last){
                            //          $number3 = $pdf_order_last->order;
                            //      }else{
                            //          $number3 = 0;
                            //      }

                            //      if ($number1 >= $number2 && $number1 >= $number3) {
                            //          $banner_order = $number1 + 1;
                            //      } elseif ($number2 >= $number1 && $number2 >= $number3) {
                            //          $banner_order = $number2 + 1;
                            //      } else {
                            //          $banner_order = $number3 + 1;
                            //      }
                            //  }else{
                            //     $banner_last = BannerTemplate::where(['chapter_id'=>$subject_chapter->chapter_id,'banner_type'=>'bottom','pdf_item_type'=>$value->pdf_item_type])->first();
                            //     if($banner_last){
                            //         $banner_order = $banner_last->banner_order+1;
                            //     }else{
                            //         $banner_order = 1;
                            //     }
                            //  }
                            $banner = new BannerTemplate;
                            $banner->banner_order = $value->banner_order;
                            $banner->banner_name = $value->banner_name;
                            $banner->banner_image = $value->banner_image;
                            $banner->banner_type = $value->banner_type;
                            $banner->banner_function = $value->banner_function;
                            $banner->banner_link = $value->banner_link;
                            $banner->banner_display = $value->banner_display;
                            $banner->pdf_item_type = $value->pdf_item_type;
                            $banner->chapter_id = $subject_chapter->chapter_id;
                            $banner->save();
                        }
                    }

                    //chapter sepretor
                    if($chapter_template['chaptertemplateseperator']){
                        foreach($chapter_template['chaptertemplateseperator'] as $value){
                            // $seperator_last = ChapterSeperator::select('seperator_order')->where('chapter_id',$subject_chapter->chapter_id)->orderby('id', 'desc')->first();
                            // if($seperator_last){
                            //     $seperator_order = $seperator_last->seperator_order+1;
                            // }else{
                            //     $seperator_order = 1;
                            // }

                            // $banner_order_last = BannerTemplate::select('banner_order')->where(['chapter_id'=>$subject_chapter->chapter_id,'banner_type'=>'middle','pdf_item_type'=>$value->pdf_item_type])->orderby('banner_order','DESC')->first();                            
                            // if($banner_order_last){
                            //     $number1 = $banner_order_last->banner_order;
                            // }else{
                            //     $number1 = 0;
                            // }

                            // $seperator_order_last = ChapterSeperator::select('seperator_order')->where(['chapter_id'=>$subject_chapter->chapter_id,'pdf_item_type'=>$value->pdf_item_type])->orderby('seperator_order','DESC')->first();
                            // if($seperator_order_last){
                            //     $number2 = $seperator_order_last->seperator_order;
                            // }else{
                            //     $number2 = 0;
                            // }

                            // $pdf_order_last = Pdf::select('order')->where(['chapter_id'=>$subject_chapter->chapter_id,'pdf_item_type'=>$value->pdf_item_type])->orderby('order','DESC')->first();
                            // if($pdf_order_last){
                            //     $number3 = $pdf_order_last->order;
                            // }else{
                            //     $number3 = 0;
                            // }

                            // if ($number1 >= $number2 && $number1 >= $number3) {
                            //     $seperator_order = $number1 + 1;
                            // } elseif ($number2 >= $number1 && $number2 >= $number3) {
                            //     $seperator_order = $number2 + 1;
                            // } else {
                            //     $seperator_order = $number3 + 1;
                            // }

                            $seperator = new ChapterSeperator;
                            $seperator->seperator_order = $value->seperator_order;
                            $seperator->seperator_display_text = $value->seperator_display_text;
                            $seperator->chapter_id = $subject_chapter->chapter_id;
                            $seperator->pdf_item_type = $value->pdf_item_type;
                            $seperator->status = $value->status;
                            $seperator->save();
                        }
                    }

                    return redirect()->route('backend.subject.chapter.index',$request->subject_template_id)
                ->with('success', 'Record Import Successfully');
                }
            }       
        }else{
            $validator = Validator::make($request->all(), [
            'chapter_order' => 'required|',
            'chapter_id' => 'required',
            'chapter_name' => 'required',

            
            ]);
            if ($validator->fails()) {
                return redirect()->route('backend.subject.chapter.index',$request->subject_template_id)
                ->with('error', $validator->errors()->first());
            }

            $chapter = new CourseSubjectChapter();
            $chapter->chapter_order=$request->chapter_order;
            $chapter->chapter_id=$request->chapter_id;
            $chapter->chapter_name=$request->chapter_name;
            $chapter->top_text=$request->top_text;
            $chapter->link=$request->link;
            // $chapter->var_a=$request->var_a;
            // $chapter->var_b=$request->var_b;
            // $chapter->var_c=$request->var_c;
            $chapter->subject_template_id=$request->subject_template_id;

            $chapter->save();
            return redirect()->route('backend.subject.chapter.index',$request->subject_template_id)
                ->with('success', 'chapter successfully created');
        }
    }

    public function edit($id)
    {
        $chapter = CourseSubjectChapter::find($id);
        //$subject = CourseSubject::select('id','subject_template_id')->orderby('id', 'asc')->get();

        return view('backend.subject.chapter.edit',compact('chapter'));
        
    }



     public function update(Request $request,$id)
     {

        $validator = Validator::make($request->all(), [
        'chapter_order' => 'required',
        'chapter_id' => 'required',
         'chapter_name' => 'required',
        ]);
        if ($validator->fails()) {
            return redirect()->route('backend.subject.chapter.index',$request->subject_template_id)
            ->with('error', $validator->errors()->first());
        }

        $chapter = CourseSubjectChapter::find($id);
        $chapter->chapter_order=$request->chapter_order;
        $chapter->chapter_id=$request->chapter_id;
        $chapter->chapter_name=$request->chapter_name;
        $chapter->top_text=$request->top_text;
        $chapter->link=$request->link;
        // $chapter->var_a=$request->var_a;
        // $chapter->var_b=$request->var_b;
        // $chapter->var_c=$request->var_c;
        $chapter->subject_template_id=$request->subject_template_id;
        $chapter->save();
    
            return redirect()->route('backend.subject.chapter.index', $request->subject_template_id)
            ->with('success', 'chapter successfully updated');
        }

        public function status(CourseSubjectChapter $id, $status)
        {
            //dd($id);
            if ($id) {
            $id->status = $status;
            $id->save();
            return redirect()->back()

                ->with('success', 'chapter status successfully updated');
        }
    }


    public function delete(CourseSubjectChapter $id)
    {
        //dd($id);
        if ($id) {            
         $id->delete();
         return redirect()->back()
        ->with('success', 'Chapter deleted');
        }
    }

    public function subject_chapter($id){
        $subject = SubjectTemplate::select('subject_id')->where('subject_id',$id)->first();
        $chapter = CourseSubjectChapter::where('subject_template_id',$id)->orderby('id', 'desc')->get();
        $banner = BannerTemplate::where('subject_template_id',$id)->where('banner_type','bottom')->orderby('id', 'desc')->get();
        $seperator = ChapterSeperator::where('subject_template_id',$id)->orderby('id', 'desc')->get();

        $chapter_data = CourseSubjectChapter::select('chapter_order')->where('subject_template_id',$id)->get()->toArray();
        $seperator_data = ChapterSeperator::select('seperator_order')->where('subject_template_id', $id)->get()->toArray();
        $banner_data = BannerTemplate::select('banner_order')->where('subject_template_id', $id)->where('banner_type','middle')->get()->toArray();
        $csb_data = array_merge($chapter_data,$seperator_data,$banner_data);

        return view('backend.subject.chapter.index', compact('subject','chapter','banner','seperator','csb_data'));
    }



    public function subject_chapter_order($subjectid,$id)
    {
        // $count = CourseSubjectChapter::where('chapter_order',$id)->count();
        $aaucount = CourseSubjectChapter::where(['subject_template_id'=>$subjectid,'chapter_order'=>$id])->count();
        $aucount = ChapterSeperator::where(['subject_template_id'=>$subjectid,'seperator_order'=>$id])->count();
        $aucountbanner = BannerTemplate::where(['subject_template_id'=>$subjectid,'banner_order'=>$id, 'banner_type' => 'middle'])->count();

        $count =$aaucount+$aucount+$aucountbanner;
        return $count;
     }

   
     public function subjectchapter_order($id)
     {
         $count = CourseSubjectChapter::where('seperator_order',$id)->count();
         return $count;
      }
 



}
