<?php

namespace App\Http\Controllers\backend;
use App\Http\Controllers\Controller;
use App\Models\SubjectTemplate;
use App\Models\SubjectCategory;
use App\Models\BannerTemplate;
use App\Models\PlanType;
use App\Models\ChapterSeperator;
use App\Models\CourseSubjectChapter;


use Illuminate\Support\Facades\Validator;
use Illuminate\Http\Request;
use Mockery\Matcher\Subset;

class SubjectTemplateController extends Controller
{
    public function index() 
    {
        $subject = SubjectTemplate::orderby('id', 'desc')->get();
        return view('backend.subject.index', compact('subject'));
    }

    public function create()
    {
      $subject_category = SubjectCategory::select('id','name')->where('status','1')->orderby('id', 'desc')->get();
      return view('backend.subject.create', compact('subject_category'));
    }

    public function store(Request $request) 
    {
         //dd($request);
         $validator = Validator::make($request->all(), [
        // 'subject_order' => 'required',
        'subject_id' => 'required',
        'subject_display_name' => 'required',
        // 'subject_categary_id' => 'required',
        // 'subject_display_name' => 'required',


          ]);
        if ($validator->fails()) {
          return redirect()->route('backend.subject.index')
          ->with('error', $validator->errors()->first());
        }

        $subject = new SubjectTemplate;
        // $subject->subject_order=$request->subject_order;
        $subject->subject_id=$request->subject_id;
        $subject->subject_display_name=$request->subject_display_name;
        $subject->subject_categary_id=$request->subject_categary_id;
        $subject->subject_type=$request->subject_type;

        $subject->top_text=$request->top_text;
        $subject->link=$request->link;
        $subject->var_a=$request->var_a;
        $subject->var_b=$request->var_b;
        $subject->var_c=$request->var_c;

        $subject->save();
        return redirect()->route('backend.subject.index')
        ->with('success', 'subject successfully created');
      }


 

    public function edit($id)
     {
        $subject = SubjectTemplate::find($id);
        $subject_category = SubjectCategory::select('id','name')->where('status','1')->orderby('id', 'desc')->get();
        return view('backend.subject.edit',compact('subject','subject_category'));  
      }

    public function update(Request $request,$id)
     {
        $validator = Validator::make($request->all(), [
        // 'subject_order' => 'required',
        'subject_id' => 'required',
        'subject_display_name' => 'required',
        'subject_categary_id' => 'required',
        ]);
        if ($validator->fails()) {
            return redirect()->route('backend.subject.index')
            ->with('error', $validator->errors()->first());
        }

        $subject = SubjectTemplate::find($id);
        // $subject->subject_order=$request->subject_order;
        $subject->subject_id=$request->subject_id;
        $subject->subject_display_name=$request->subject_display_name;
        $subject->subject_categary_id=$request->subject_categary_id;
        $subject->subject_type=$request->subject_type;
        $subject->top_text=$request->top_text;
            $subject->link=$request->link;
            $subject->var_a=$request->var_a;
            $subject->var_b=$request->var_b;
            $subject->var_c=$request->var_c;
        $subject->save();
        return redirect()->route('backend.subject.index')
        ->with('success', 'subject successfully updated');
     }


       public function status(SubjectTemplate $id, $status)
      {
   
            if ($id) {
            $id->status = $status;
            $id->save();
           return redirect()->route('backend.subject.index')
         ->with('success', 'subject status successfully updated');
        }
              return view('backend.subject.index');
         }


        public function delete(SubjectTemplate $id)
        {
            //dd($id);
            if ($id) {            
             $id->delete();
            return redirect()->route('backend.subject.index')
            ->with('success', 'subject deleted');
            }
            return view('backend.subject.index');
        }



        public function class_order($id)
        {
            $count = SubjectTemplate::where('subject_order',$id)->count();
            return $count;
         }

         public function subject_id($id) 
         {
             $count = SubjectTemplate::where('subject_id',$id)->count();
             return $count;
          }


//  start subject template banner




// public function subject_banner($id){
//   // dd($id);
//   $template = SubjectTemplate::select('subject_id')->where('subject_id',$id)->first();
//   $banner = BannerTemplate::where('subject_template_id',$id)->orderby('id', 'desc')->get();
//   //   dd($chapter);
//   return view('backend.subject.chapter.index', compact('template','banner'));
// }




public function template_create($id,$banner_type) 
{
    $banner_template = BannerTemplate::select('id','banner_name')->where(['course_id'=> null,'subject_id'=> null,'chapter_id'=>null,'subject_template_id'=>null,'chapter_template_id'=>null,'banner_type'=>$banner_type])->orderby('id', 'desc')->get();
    $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();

    return view('backend.subject.banner.create', compact('plantype','id','banner_template','banner_type'));
}

public function template_store(Request $request){
    //dd($request);
            if(isset($request->banner_template_id) && !empty($request->banner_template_id)){
                $banner_template = BannerTemplate::where('id', $request->banner_template_id)->first();
                // dd($banner_template);
                if($banner_template){
                    // $banner_last = BannerTemplate::select('id','banner_order')->orderby('id', 'desc')->first();   
                    // if($banner_last){
                    //     $banner_order = $banner_last->banner_order+1;
                    // }else{
                    //     $banner_order = 1;
                    // }

                    if($request->banner_type == 'middle'){
                        $banner_order_last = BannerTemplate::select('banner_order')->where(['subject_template_id'=>$request->subject_template_id,'banner_type'=>'middle'])->orderby('banner_order','DESC')->first();
                        if($banner_order_last){
                            $number1 = $banner_order_last->banner_order;
                        }else{
                            $number1 = 0;
                        }

                        $seperator_order_last = ChapterSeperator::select('seperator_order')->where(['subject_template_id'=>$request->subject_template_id])->orderby('seperator_order','DESC')->first();
                        if($seperator_order_last){
                            $number2 = $seperator_order_last->seperator_order;
                        }else{
                            $number2 = 0;
                        }

                        $chapter_order_last = CourseSubjectChapter::select('chapter_order')->where(['course_subject_id'=>$request->subject_template_id])->orderby('chapter_order','DESC')->first();
                        if($chapter_order_last){
                            $number3 = $chapter_order_last->chapter_order;
                        }else{
                            $number3 = 0;
                        }

                        if ($number1 >= $number2 && $number1 >= $number3) {
                            $banner_order = $number1 + 1;
                        } elseif ($number2 >= $number1 && $number2 >= $number3) {
                            $banner_order = $number2 + 1;
                        } else {
                            $banner_order = $number3 + 1;
                        }
                    }else{
                        $banner_last = BannerTemplate::select('banner_order')->where(['banner_type'=>'bottom','subject_template_id'=>$request->subject_template_id])->orderby('id', 'desc')->first();
                        if($banner_last){
                            $banner_order = $banner_last->banner_order+1;                                
                        }else{
                            $banner_order = 1;
                        }
                    }

                    $banner = new BannerTemplate;
                    $banner->banner_order = $banner_order;
                    $banner->banner_name = $banner_template->banner_name;
                    $banner->banner_image = $banner_template->banner_image;
                    $banner->banner_type = $banner_template->banner_type;
                    $banner->banner_function = $banner_template->banner_function;
                    $banner->banner_link = $banner_template->banner_link;
                    $banner->banner_display = $banner_template->banner_display;
                    $banner->subject_template_id=$request->subject_template_id;
                    if($banner->save()){
                        return redirect()->route('backend.subject.chapter.index',$request->subject_template_id)
                ->with('success', 'Banner successfully created');
                    }
                }
            }else{
                $validator = Validator::make($request->all(), [
                    'banner_order' => 'required',
                    'banner_name' => 'required',
                    'banner_image' => 'required',
                    'banner_type' => 'required',
                    'banner_display' => 'required',
            
                ]);
                if ($validator->fails()) {
                    return redirect()->route('backend.subject.chapter.index',$request->subject_template_id)
                    ->with('error', $validator->errors()->first());
                }
            
                $banner = new BannerTemplate;
                $banner->banner_order=$request->banner_order;
                $banner->banner_name=$request->banner_name;
                $banner->banner_image=$request->banner_image;
                $banner->banner_type=$request->banner_type;
                $banner->banner_function=$request->banner_function;
                $banner->banner_link=$request->banner_link;
                $banner->banner_display=serialize($request->banner_display);
                $banner->subject_template_id=$request->subject_template_id;
                $banner->save();
                return redirect()->route('backend.subject.chapter.index',$request->subject_template_id)
                ->with('success', 'Banner successfully created');
            }

}



public function banner_edit($id)
{
   
     $plantype = PlanType::select('id', 'name')->where('status', '1')->orderby('id', 'DESC')->get();
    $banner = BannerTemplate::find($id);
    return view('backend.subject.banner.edit',compact('banner','plantype'));
    
}



public function template_update(Request $request, BannerTemplate $id){
    $validator = Validator::make($request->all(), [
        'banner_order' => 'required',
        'banner_name' => 'required',
        'banner_image' => 'required',
        'banner_type' => 'required',
    ]);

    if ($validator->fails()) {
        return redirect()->route('backend.subject.chapter.index',$request->subject_template_id)
        ->with('error', $validator->errors()->first());
    }

    $id->banner_order=$request->banner_order;
    $id->banner_name=$request->banner_name;
    $id->banner_image=$request->banner_image;
    $id->banner_type=$request->banner_type;
    $id->banner_function=$request->banner_function;
    $id->banner_link=$request->banner_link;
    $id->banner_display=serialize($request->banner_display);
    $id->subject_template_id=$request->subject_template_id;

    $id->save();
    // return redirect()->back();
    return redirect()->route('backend.subject.chapter.index',$request->subject_template_id)
    ->with('success', 'Banner successfully updated');
}


public function banner_status(BannerTemplate $id, $status)
{
    //dd($id);
    if ($id) {
        $id->status = $status;
        $id->save();
        return redirect()->back()
            ->with('success', 'banner staus successfully updated');
    }
   
}        

public function banner_delete(BannerTemplate $id)
{
    //dd($id);
    if ($id) {            
    $id->delete();
    return redirect()->back()
    ->with('success', 'banner deleted');
    }
  
}


// public function subjectbanner_order($subject_id,$id)
// {
//     $count = BannerTemplate::where(['subject_template_id'=>$subject_id,'banner_order'=>$id])->count();


//     return $count;
//  }



 public function subjectbanner_order($subjectid,$id,$bannertype)
 {

    if($bannertype =='middle'){

     $auacount = ChapterSeperator::where(['subject_template_id'=>$subjectid,'seperator_order'=>$id])->count();
     $aucount = CourseSubjectChapter::where(['subject_template_id'=>$subjectid,'chapter_order'=>$id])->count();
     $aucountbanner = BannerTemplate::where(['subject_template_id'=>$subjectid,'banner_order'=>$id,'banner_type'=>$bannertype])->count();

     $count = $auacount+$aucount+$aucountbanner;

    }elseif($bannertype == 'null'){

        $aucountbanner = BannerTemplate::where(['subject_template_id'=>$subjectid,'banner_order'=>$id,'banner_type'=>'bottom'])->count();
        $count =$aucountbanner;
    }else{

        $aucountbanner = BannerTemplate::where(['subject_template_id'=>$subjectid,'banner_order'=>$id,'banner_type'=>$bannertype])->count();
        $count =$aucountbanner;

    }      


     return $count;
  }




//  end subject template banner


// start sepretar


public function template_seperator_create($id) 
{
 return view('backend.subject.seperator.create', compact('id'));
 }



 public function template_seperator_store(Request $request){
  // dd($request);

  $validator = Validator::make($request->all(), [
     'seperator_order' => 'required',
     'seperator_display_text' => 'required',

 ]);
 if ($validator->fails()) {
     return redirect()->route('backend.subject.chapter.index',$request->subject_template_id)
     ->with('error', $validator->errors()->first());
 }

 $seperator = new ChapterSeperator;
 $seperator->seperator_order=$request->seperator_order;
 $seperator->seperator_display_text=$request->seperator_display_text;
 $seperator->subject_template_id=$request->subject_template_id;

 $seperator->save();
 return redirect()->route('backend.subject.chapter.index',$request->subject_template_id)
 ->with('success', 'seperator successfully created');

}


 public function template_seperator_edit($id)
{
 $seperator = ChapterSeperator::find($id);
 return view('backend.subject.seperator.edit',compact('seperator'));
 
}



 public function template_seperator_update(Request $request,$id){
 // dd($request);

 $validator = Validator::make($request->all(), [
     'seperator_order' => 'required',
     'seperator_display_text' => 'required',


 ]);
 if ($validator->fails()) {
     return redirect()->route('backend.subject.chapter.index',$request->subject_template_id)
     ->with('error', $validator->errors()->first());
 }

 $seperator = ChapterSeperator::find($id);
 $seperator->seperator_order=$request->seperator_order;
 $seperator->seperator_display_text=$request->seperator_display_text;
 $seperator->subject_template_id=$request->subject_template_id;

 $seperator->save();
 // return redirect()->back();
 return redirect()->route('backend.subject.chapter.index',$request->subject_template_id)
 ->with('success', 'seperator successfully updated');
  }


  public function template_seperator_status(ChapterSeperator $id, $status)
  {
      //dd($id);
      if ($id) {
          $id->status = $status;
          $id->save();
          return redirect()->back()
              ->with('success', 'seperator staus successfully updated');
      }
  }


  public function template_seperator_delete(ChapterSeperator $id)
  {
      //dd($id);
      if ($id) {            
       $id->delete();
      return redirect()->back()
      ->with('success', 'seperator deleted');
      }
  }

  public function subjectchapter_order($subjectid,$id)
  {
      $auacount = ChapterSeperator::where(['subject_template_id'=>$subjectid,'seperator_order'=>$id])->count();
      $aucount = CourseSubjectChapter::where(['subject_template_id'=>$subjectid,'chapter_order'=>$id])->count();
      $aucountbanner = BannerTemplate::where(['subject_template_id'=>$subjectid,'banner_order'=>$id])->count();

      $count = $auacount+$aucount+$aucountbanner;

      return $count;
   }

}
