<?php

namespace App\Http\Controllers\userend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use Illuminate\Foundation\Auth\RegistersUsers;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;

class UsersController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index()
    {
        $userlist = User::where('id', \auth::user()->id)->first();
        return view('userend.users.index',compact('userlist'));
    }
    
    public function edit(Request $request, User $id)
    {
        //dd($id);
        
        if ($request->all()) {
            $validator = Validator::make($request->all(), [
                'name' => 'required',
                'email' => 'required',
            ]);
            //dd($validator->errors()->first());
            if ($validator->fails()) {
                return redirect()->route('userend.users.index')
                ->with('error', $validator->errors()->first());
            }

            $id->update([
            'name' => $request['name'],
            'email' => $request['email'],
            'mobile' => $request['mobile'],
            'address' => $request['address'],
            'is_admin' => '2',
            'confirm_password' => $request['password'],
            'password' => Hash::make($request['password']),
        ]);
            return redirect()->route('userend.users.index')
                ->with('success', 'User Successfully Updated');
        }
        return view('userend.users.edit', compact('id'));
    }
    
    public function status( User $id, $status)
    {
        //dd($id);
        if ($id) {
            $id->status = $status;
            $id->save();
            return redirect()->route('userend.users.index')
                ->with('success', 'User status Successfully Updated');
        }
        return view('userend.users.index');
    }
    
    public function delete( User $id)
    {
        //dd($id);
        if ($id) {
            $id->delete();
            return redirect()->route('userend.users.index')
                ->with('success', 'User Account Deleted');
        }
        return view('userend.users.index');
    }
}
