@extends('layouts.backend')
@push('child-style')
@include('layouts.dataStyles')
@endpush
@section('content')

<div class="content-wrapper">
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Registered Downloads</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item active">Requests list</li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>
<!-- /.card -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
 
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example1" class="table table-bordered table-striped">
      <thead>
        <th>ID</th>
        <th>Name</th>
        <th>Email</th>
        <th>Mobile</th>
        <th>Country</th>
        <th>Product Name</th>
        <th>Document Type</th>
      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($userlist as $item)
        <tr>
          <td>{{ $i }}</td>
          <td>{{ ($item->findUser)?$item->findUser->name:'' }}</td>
          <td>{{ ($item->findUser)?$item->findUser->email:'' }}</td>
          <td>{{ ($item->findUser)?$item->findUser->mobile:'' }}</td>
          <td>{{ ($item->countryName)?$item->countryName['name']:'N/A' }}</td>
          <td>{{ ($item->findDocument)?$item->findDocument['product_name']:'' }}</td>
          <td>{{ ($item->findDocument)?$item->findDocument['document_type']:'' }}</td>
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
      <tfoot>
      <tr>
        <th>ID</th>
        <th>Product name</th>
        <th>Requester name</th>
        <th>Company name</th>
        <th>Country</th>
        <th>Commercial details</th>
        <th>Status</th>
        <th>Created</th>
        <th>Action</th>
      </tr>
      </tfoot>
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->
</div>


      <div class="modal fade" id="smallModal" role="dialog" aria-labelledby="myExtraLargeModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl">
            <div class="modal-content">
                <div id="smallBody">

                </div>
            </div>
        </div>
    </div>  

@endsection

@push('child-scripts')
<script type="text/javascript">
  $(document).on('click', '.modal-Electricity', function(event) {
      event.preventDefault();

      let href = $(this).attr('data-attr');
      let detail_id = $(this).attr('data-detail_id');
      //alert(href);
      $.ajax({
          type:'get',
          url: href+'?detail_id='+detail_id,
          beforeSend: function() {
              $('#loader').show();
          },
          // return the result
          success: function(result) {
              $('#smallBody').html(result).show();
              $('#smallModal').modal("show");
          },
          complete: function() {
              $('#loader').hide();
          },
          error: function(jqXHR, testStatus, error) {
              console.log(error);
              alert("Page " + href + " cannot open. Error:" + error);
              $('#loader').hide();
          },
          timeout: 8000
      })
  });
</script>

@include('layouts.dataTableScript')
@endpush
