<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class IsAdmin
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if (auth()->user()->role == 1) {
            return $next($request);
        } elseif (auth()->user()->role == 3) {
            return redirect()->route('backend.user.index')->with('error', "You dont have access to that section");
        }

        return redirect('home')->with('error',"You don't have admin access.");
    }
}
