<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Spatie\Permission\Traits\HasRoles;
use Laravel\Passport\HasApiTokens;

class User extends Authenticatable
{
    use HasFactory, Notifiable, HasRoles, HasApiTokens;
    protected $guard_name = 'web';
    
    
    const STAFF = 4;
    const ADMIN = 3;
    const USER = 2;
    const SUPERADMIN = 1;
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [

        'device_id',
        'profile_pic',
        'token',

        'name',
        'lname',
        'email',
        'mobile',
        'country',
        'business',
        'function_name',
        'profile_pic',
        'address',
        'password',
        'role',
        'confirm_password',
        'added_by',
        'check_privacy_policy',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function findForPassport($username)
    {
        return $this->where('mobile', $username)->first();
    }

    // public function studentprofile()
    // {
    //     return $this->hasMany(UserStudentProfilePlan::class, 'user_email', 'email');
    // }

}
