@extends('layouts.backend')
@push('child-style')
@include('layouts.dataStyles')
@endpush
@section('content')

<div class="content-wrapper">
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Additional Course Subject Chapter</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item"><a href="{{route('backend.addtional.index')}}">Course page</a></li>

            <li class="breadcrumb-item"><a href="{{route('backend.addtional.subject.addtional_subject',$subject->addtional_course_template_id)}}">Subject page</a></li>

            <li class="breadcrumb-item active">Chapter </li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>
<!-- /.card -->


<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <a class="btn btn-light  btn-round " href="{{ route('backend.addtional.subject.chapter.create',$subject->subject_id) }}"> <i class="fa fa-plus"></i> Add Chapter</a>    

    <a class="btn btn-light  btn-round " href="{{ route('backend.addtional.subject.seperator.create',$subject->subject_id) }}"> <i class="fa fa-plus"></i> Add Seperator</a>

    <a class="btn btn-light  btn-round " href="{{ route('backend.addtional.subject.banner.create',[$subject->subject_id,'middle']) }}"> <i class="fa fa-plus"></i> Add Banner</a>

</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example1" class="table table-bordered table-striped">
      <thead>
        <th>Order</th>
        <th>ID</th>
        <th>Name</th>
        <th>Type</th>

        {{-- <th>Top text</th>
        <th>Link</th>
        <th> Var A</th>
        <th>Var B</th>
        <th>Var C</th> --}}
        <th>Pdf</th>
         <th style="min-width: 130px;">Action</th>
      </thead>
      <tbody>
        @php
        $s=1;
        $i=0;
        $count = count($csb_data);
        // dd($count);
        @endphp  
        @while ($i < $count)
        @php
          $chapter_data = App\Models\AdditionalCourseSubjectChapter::where          (['additional_course_subject_id'=>$subject->subject_id,'chapter_order'=>$s])->first();
        @endphp 
          @if($chapter_data)
          <tr>
            <td>{{ $chapter_data->chapter_order }}</td>
            <td>{{ $chapter_data->chapter_id }}</td>
            <td>{{ $chapter_data->chapter_name }}</td>
            <td>Chapter</td>

            <td><a class="btn btn-dark btn-round btn-xs" href="{{route('backend.addtional.subject.subject_chapter.pdfs',$chapter_data->chapter_id)}}">PDF</a></td>
            <td>
              @if($chapter_data->status=='1')
              <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.addtional.subject.chapter.status',[$chapter_data->id,'0']) }}">Active</a>
              <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

              @else
              <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.addtional.subject.chapter.status',[$chapter_data->id,'1']) }}">Inactive</a>
              <span>&nbsp;</span>

              @endif
              <a class="btn btn-light btn-xs" href="{{route('backend.addtional.subject.chapter.edit',$chapter_data->id)}}"><i class="fas fa-pencil-alt"></i>

              </a> 
              <span>&nbsp;</span>

              <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Subject?');" href="{{route('backend.addtional.subject.chapter.delete',$chapter_data->id)}}"><i class="fas fa-trash-alt"></i>


              </a>

            </td>
            
          </tr>
          @php
            $i++;
          @endphp
          @endif

          @php
            $seperator_data = App\Models\AdditionalSeperator::where(['subject_id'=>$subject->subject_id,'seperator_order'=>$s])->first();        
          @endphp
          @if($seperator_data)       
          <tr>
            <td>{{ $seperator_data->seperator_order }}</td>
            <td>{{ $seperator_data->id }}</td>
            <td>{{ $seperator_data->seperator_display_text }}</td>
            <td>Seperator</td>
            <td>-</td>
            <td>
              @if($seperator_data->status=='1')
                <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.addtional.subject.seperator.status',[$seperator_data->id,'0']) }}">Active</a>
                <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

                @else
                <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.addtional.subject.seperator.status',[$seperator_data->id,'1']) }}">Inactive</a>
                <span>&nbsp;</span>

                @endif
                <a class="btn btn-light btn-xs" href="{{route('backend.addtional.subject.seperator.edit',$seperator_data->id)}}"><i class="fas fa-pencil-alt"></i>

                </a>  
                <span>&nbsp;</span>

                <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Subject?');" href="{{route('backend.addtional.subject.seperator.delete',$seperator_data->id)}}"><i class="fas fa-trash-alt"></i></a>
            </td>

          </tr>
          @php
            $i++;
          @endphp
          @endif

          @php
              $banner_data = App\Models\AdditionalBanner::where(['subject_id'=>$subject->subject_id,'banner_type'=>'middle','banner_order'=>$s])->first();
            @endphp
            @if($banner_data)
           <tr>
            <td>{{ $banner_data->banner_order }}</td>
            <td>{{ $banner_data->id }}</td>
            <td>{{ $banner_data->banner_name }}</td>
            <td>Banner</td>
            <td>-</td>

          <td>
            @if($banner_data->status=='1')
              <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.addtional.subject.banner.status',[$banner_data->id,'0']) }}">Active</a>
              <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

            @else
              <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.addtional.subject.banner.status',[$banner_data->id,'1']) }}">Inactive</a>
              <span>&nbsp;</span>

            @endif

            <a class="btn btn-light btn-xs" href="{{route('backend.addtional.subject.banner.edit',$banner_data->id)}}"><i class="fas fa-pencil-alt"></i>
           </a>
            <span>&nbsp;</span>

            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this item?');" href="{{route('backend.addtional.subject.banner.delete',$banner_data->id)}}"><i class="fas fa-trash-alt"></i></i></a>
          </td>
          
        </tr>
        
        @php
            $i++;
        @endphp
        @endif


          @php            
            $s++;
          @endphp
        @endwhile
           {{-- @for($i=0; $i<$count; $i++)
             


        @endfor --}}
        {{-- @endforeach --}}
      </tbody> 
      
      {{-- <tfoot>
      <tr>
        <th>Order</th>
        <th>ID</th>
        <th>Chapter Name</th>
        <th>Top text</th>
        <th>Link</th>
        <th> Var A</th>
        <th>Var B</th>
        <th>Var C</th>
        <th>Status</th>
        <th>Edit</th>
        <th>PDF</th>
        <th>Delete</th>
      </tr>
      </tfoot>
      --}}
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->
<br>
<br>

<?php /* ?>
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <a class="btn btn-light  btn-round " href="{{ route('backend.addtional.subject.chapter.create',$subject->subject_id) }}"> <i class="fa fa-plus"></i> Add Chapter</a>
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example1" class="table table-bordered table-striped">
      <thead>
        <th>Sr.</th>

        <th>Order</th>
        <th>ID</th>
        <th>Chapter Name</th>
        <th>Top text</th>
        <th>Link</th>
        <th> Var A</th>
        <th>Var B</th>
        <th>Var C</th>
        <th>Pdf</th>

        <th style="min-width: 130px;">Action</th>

      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($chapter as $item)
        
        <tr>
          <td>{{ $i}}</td>
          <td>{{ $item->chapter_order }}</td>
          <td>{{ $item->chapter_id }}</td>
          <td>{{ $item->chapter_name }}</td>
          <td>{{ $item->top_text }}</td>
          <td>{{ $item->link }}</td>
          <td>{{ $item->var_a }}</td>
          <td>{{ $item->var_b }}</td>
          <td>{{ $item->var_c }}</td>

          <td><a class="btn btn-dark btn-round btn-xs" href="{{route('backend.addtional.subject.subject_chapter.pdfs',$item->chapter_id)}}">PDF</a></td>
          <td>
            @if($item->status=='1')
            <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.addtional.subject.chapter.status',[$item->id,'0']) }}">Active</a>
            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

            @else
            <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.addtional.subject.chapter.status',[$item->id,'1']) }}">Inactive</a>
            <span>&nbsp;</span>

            @endif
            <a class="btn btn-light btn-xs" href="{{route('backend.addtional.subject.chapter.edit',$item->id)}}"><i class="fas fa-pencil-alt"></i>

            </a> 
            <span>&nbsp;</span>

            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Subject?');" href="{{route('backend.addtional.subject.chapter.delete',$item->id)}}"><i class="fas fa-trash-alt"></i>


            </a>

          </td>
          
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
      {{-- <tfoot>
      <tr>
        <th>Order</th>
        <th>ID</th>
        <th>Chapter Name</th>
        <th>Top text</th>
        <th>Link</th>
        <th> Var A</th>
        <th>Var B</th>
        <th>Var C</th>
        <th>Status</th>
        <th>Edit</th>
        <th>PDF</th>
        <th>Delete</th>
      </tr>
      </tfoot> --}}
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->

<br>
<br>



<!-- /.card -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <a class="btn btn-light  btn-round " href="{{ route('backend.addtional.subject.seperator.create',$subject->subject_id) }}"> <i class="fa fa-plus"></i> Add Seperator</a>
 
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example2" class="table table-bordered table-striped">
      <thead>
        <th> Sr.</th>
        <th>Seperator Order</th>
        <th>Seperator Display Text</th>
        <th style="min-width: 130px;">Action</th>

      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($seperator as $item)
        
        <tr>
          <td>{{ $i}}</td>
          <td>{{ $item->seperator_order }}</td>
          <td>{{ $item->seperator_display_text }}</td>
          <td>
            @if($item->status=='1')
            <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.addtional.subject.seperator.status',[$item->id,'0']) }}">Active</a>
            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

            @else
            <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.addtional.subject.seperator.status',[$item->id,'1']) }}">Inactive</a>
            <span>&nbsp;</span>

            @endif
            <a class="btn btn-light btn-xs" href="{{route('backend.addtional.subject.seperator.edit',$item->id)}}"><i class="fas fa-pencil-alt"></i>

            </a>  
            <span>&nbsp;</span>

            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Subject?');" href="{{route('backend.addtional.subject.seperator.delete',$item->id)}}"><i class="fas fa-trash-alt"></i></a>
          </td>
          
          {{-- <td><a class="btn btn-dark btn-round btn-xs" href="{{route('backend.subject.chapter.index',$item->subject_id)}}">Chapters</a></td> --}}
          
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
      
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->

<?php */ ?>
<br>
<br>


<!-- /.card -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <h4 class="float-left">Add Banner</h4>
    <a class="btn btn-light  btn-round " href="{{ route('backend.addtional.subject.banner.create',[$subject->subject_id,'bottom']) }}"> <i class="fa fa-plus"></i> Add Banner</a>
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example3" class="table table-bordered table-striped">
      <thead>
        <th>Order</th>
        <th>Banner Name</th>
        <th>Banner Image</th>
        <th>Banner Type</th>
        <th>Banner Function</th>
        <th>Banner link</th>
        <th>Banner Display</th>
        <th style="min-width: 130px;">Action</th>

      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($banner as $item)
        
        <tr>
          <td>{{ $item->banner_order	}}</td>
          <td>{{ $item->banner_name }}</td>
          <td>{{ $item->banner_image }}</td>
          <td>{{ $item->banner_type }}</td>
          <td>
            
            @php 
            if($item->banner_function == "addcou"){
              echo 'Add Addtional Course Page';
            }elseif($item->banner_function == "refpage"){
              echo 'Refer Page';
  
            }elseif($item->banner_function == "purplan"){
              echo 'Purchase plan';
  
              }elseif($item->banner_function == "upgplan"){
              echo 'Upgrade Plan';
  
              }elseif($item->banner_function == "inapbr"){
              echo 'Inapp Browser';
  
              }elseif($item->banner_function == "outappbr"){
              echo 'Outapp Browser';
  
              }elseif($item->banner_function == "openpdf"){
              echo 'Open A PDF';
  
              }elseif($item->banner_function == "coupnpg"){
              echo 'Coupan Page';
  
              }elseif($item->banner_function == "youtvid"){
              echo 'Youtube Video';
  
              }
            else{
  
              echo 'Cloudflare Video';
            }
            @endphp
            
            </td>
          <td>{{ $item->banner_link }}</td>
          <td>
            @php
              $banner_display = unserialize($item->banner_display);
              $plan_type = \App\Models\PlanType::select('name')->whereIn('id', $banner_display)->orderBy('id','desc')->get();
            @endphp            
            <ul style="padding-left: 15px">
              @foreach ($plan_type as $value)
                <li>{{ $value->name }}</li>
              @endforeach            
            </ul>    
          </td>          <td>
            @if($item->status=='1')
              <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.addtional.subject.banner.status',[$item->id,'0']) }}">Active</a>
              <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

            @else
              <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.addtional.subject.banner.status',[$item->id,'1']) }}">Inactive</a>
              <span>&nbsp;</span>

            @endif

            <a class="btn btn-light btn-xs" href="{{route('backend.addtional.subject.banner.edit',$item->id)}}"><i class="fas fa-pencil-alt"></i>
           </a>
            <span>&nbsp;</span>

            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this item?');" href="{{route('backend.addtional.subject.banner.delete',$item->id)}}"><i class="fas fa-trash-alt"></i></i></a>
          </td>
          
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
   
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->









</div>


@endsection

@push('child-scripts')
@include('layouts.dataTableScript')
@endpush
