@extends('layouts.backend')

@section('content')


  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Dashboard</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Dashboard</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <!-- Small boxes (Stat box) -->
        <div class="row text-center mt-4 mb-4">
          <div class="col-sm-7">

        <div class="row">
          <div class="col-lg-4 col-6">
            <h2>
              {{$totalRegisteredDownload+$totalPublicDownload+$totalRestrictedDownload}}
            </h2>
            <small>
              Total downloads
            </small>
          </div>

          <div class="col-lg-4 col-6">
            <h2>
              {{$totalPublicDownload}}
            </h2>
            <small>
              Public downloads
            </small>
          </div>

          <div class="col-lg-4 col-6">
            <h2>
                <a href="{{ route('backend.docrequest.userlist') }}" >
                  {{$totalRegisteredDownload}}
                </a>
            </h2>
            <small>
              Registered downloads
            </small>
          </div>

          <!-- ./col -->
        </div>
      </div>
      <div class="col-sm-5">
        <div class="row">
          <div class="col-lg-6 col-6">
            <h2>
                <a href="{{ route('backend.docrequest.restricteddownloads') }}" >
                  {{$totalRestrictedDownload}}
                </a>
            </h2>
            <small>
              Restricted downloads
            </small>
          </div>

          <div class="col-lg-6 col-6">
            <h2>
              {{$totalDocuments}}
            </h2>
            <small>
              Total documents
            </small>
          </div>

          <!-- ./col -->
        </div>
        </div>
      </div>
    </div>

        <!-- /.row -->
        <!-- Main row -->
        <div class="row">
          <div class="col-sm-6">
            <canvas id="myChart" width="400" height="400"></canvas>
          </div>

          <div class="col-sm-6">
              <p>Download trend by access category - previous 6 months</p>
            <canvas id="myChart2" width="400" height="400"></canvas>
          </div>
        </div>
        <!-- /.row (main row) -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  @php
  
        $cm = 1;
        for ($i=0; $i<=6; $i++) { 
        $geM = (int)date('m', strtotime("-$i month"));
            $downloadmonth[] = date('Y-m', strtotime("-$i month")); 
            $downloadData[] = (isset($monthlyDownloadsCountArr[$geM]))?$monthlyDownloadsCountArr[$geM]:0; 
        $cm++;
        } 
       //dd($downloadData);
       
       
        $cm2 = 1;
        for ($k=0; $k<=6; $k++) { 
        $geM2 = (int)date('m', strtotime("-$k month"));
            $categorymonth[] = date('Y-m', strtotime("-$k month")); 
            
            $registerDownloadData[] = (isset($registerDownloadsCountArr[$geM2]))?$registerDownloadsCountArr[$geM2]:0;
            $restrictedDownloadData[] = (isset($restrictedDownloadsCountArr[$geM2]))?$restrictedDownloadsCountArr[$geM2]:0;
            $publicDownloadData[] = (isset($publicDownloadsCountArr[$geM2]))?$publicDownloadsCountArr[$geM2]:0;
       
        $cm2++;
        }

       $downloadmonArray = json_encode($downloadmonth,true);
       $downloadDataArray = json_encode($downloadData,true);
       
       $categoryArray = json_encode($categorymonth,true);
       $registerDownloadDataArray = json_encode($registerDownloadData,true);
       $restrictedDownloadDataArray = json_encode($restrictedDownloadData,true);
       $publicDownloadDataArray = json_encode($publicDownloadData,true);
       //print_r($downloadDataArray)
  @endphp
  </div>


@endsection
@push('child-scripts')
<script>
  const ctx = document.getElementById('myChart').getContext('2d');

  //'July','Aug','Sept','Oct','Nov','Dec'
  const myChart = new Chart(ctx, {
      type: 'line',
      data: {
        labels: <?php echo $downloadmonArray; ?>, 
          datasets: [{
              label: '#Download trend - previous 6 months',
              data: <?php echo $downloadDataArray; ?>,
              fill: true,
              
          }]
      },
      options: {
          scales: {
              y: {
                  beginAtZero: true
              }
          }
      }
  });

  const ctx2 = document.getElementById('myChart2').getContext('2d');
  const myChart2 = new Chart(ctx2, {
      type: 'line',
      data: {
          labels: <?php echo $categoryArray; ?>,
          datasets: [
            {
              label: '#Registered',
              data: <?php echo $registerDownloadDataArray ?>,
              backgroundColor: [
                  'rgba(255, 99, 132, 0.2)'
              ],
              borderColor: [
                  'rgba(255, 99, 132, 1)'
              ],
              borderWidth: 1
          },
            {
              label: '#Restricted',
              data: <?php echo $restrictedDownloadDataArray ?>,
              backgroundColor: [
                'rgba(153, 102, 255, 0.2)',
              ],
              borderColor: [
                  'rgba(255, 99, 132, 1)'
              ],
              borderWidth: 1
          },
            {
              label: '#Public',
              data: <?php echo $publicDownloadDataArray ?>,
              backgroundColor: [
                'rgba(255, 206, 86, 0.2)'
              ],
              borderColor: [
                  'rgba(255, 99, 132, 1)'
              ],
              borderWidth: 1
          }
        ],
      },
      options: {
          scales: {
              y: {
                  beginAtZero: true
              }
          }
      }
  });
  
  </script>
@endpush