@extends('layouts.backend')
@push('child-style')
@include('layouts.dataStyles')
@endpush
<style>
/* The switch - adapted from W3Schools example */
.switch {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 20px;
}

/* Hide default checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider (the rounded part of the switch) */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  transition: .4s;
  border-radius: 20px;
}

/* Rounded sliders */
.slider.round {
  border-radius: 20px;
}

/* On state */
.slider.round:before {
  position: absolute;
  content: "";
  height: 14px;
  width: 14px;
  left: 3px;
  bottom: 3px;
  background-color: white;
  transition: .4s;
  border-radius: 50%;
}

/* Checked state */
input:checked + .slider.round {
  background-color: #2196F3;
}

input:checked + .slider.round:before {
  transform: translateX(20px);
}

</style>
<script>

    function updateMenuDisplay(checkbox){
        var itemId = checkbox.value;
        $.ajax({
            url: "/appurls/update-menu-display/"+itemId,
            type: 'GET',
            success: function(response) {
                alert("Successfully updated data");
                window.location.href ="{{ route('backend.appurls.index') }}";
            },
            error: function(xhr, status, error) {
                alert("Failed to udapte data");
                
            }
        });
    }


</script>
@section('content')


<div class="content-wrapper">
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Manage App Urls</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="#">Home</a></li>
                        <li class="breadcrumb-item active">Manage App Urls</li>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>

    <!-- /.card -->
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header text-right">
                            <a class="btn btn-light  btn-round " href="{{route('backend.appurls.create')}}"> <i
                                    class="fa fa-plus"></i> Add App Url</a>

                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">
                            <table id="example1" class="table table-bordered table-striped">
                                <thead>
                                    <th>Sr.</th>
                                    <th>Title</th>
                                    <th>Url</th>
                                    <th>Menu Display</th>
                                    <th style="min-width: 130px;">Action</th>
                                </thead>
                                <tbody>
                                    @php
                                    $i=1;
                                    @endphp
                                    @foreach ($appUrls as $item)
                                    <tr>
                                        <td>{{ $i }}</td>
                                        <td>{{ $item->title }}</td>
                                        <td>{{ $item->url }}</td>
                                        <td>
                                        <label class="switch">
        <input type="checkbox" value="{{$item->id}}" onchange="updateMenuDisplay(this)" {{$item->menu_display ? 'checked' : ''}}>
        <span class="slider round"></span>
    </label>
</td>

                                        <td>
                                            @if($item->active=='1')
                                            <a class="btn btn-success btn-round btn-xs"
                                                href="{{ route('backend.appurls.status',[$item->id,'0']) }}">Active</a>
                                            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

                                            @else
                                            <a class="btn btn-dark btn-round btn-xs"
                                                href="{{ route('backend.appurls.status',[$item->id,'1']) }}">Inactive</a>
                                            <span>&nbsp;</span>

                                            @endif
                                            <a class="btn btn-light btn-xs"
                                                href="{{route('backend.appurls.edit',$item->id)}}"><i
                                                    class="fas fa-pencil-alt"></i>
                                            </a>
                                            <span>&nbsp;</span>

                                            <a class="btn btn-light btn-xs"
                                                onclick="return confirm('Are you sure you want to delete this url?');"
                                                href="{{route('backend.appurls.delete',$item->id)}}"><i
                                                    class="fas fa-trash-alt"></i></a>
                                        </td>
                                    </tr>
                                    @php
                                    $i++;
                                    @endphp
                                    @endforeach
                                </tbody>

                            </table>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
</div>
@endsection

@push('child-scripts')
@include('layouts.dataTableScript')
@endpush