@extends('layouts.backend')
@push('child-style')
@include('layouts.dataStyles')
@endpush
@section('content')

<div class="content-wrapper">
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Manage Board </h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item active">Manage Board </li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>
<!-- /.card -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <a class="btn btn-light  btn-round " href="{{ route('backend.board.create') }}"> <i class="fa fa-plus"></i> Add Board</a>
 
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example1" class="table table-bordered table-striped">
      <thead>
        <th>Sr.</th>
        <th>Order</th>
        <th>Board Id</th>
        <th>Board</th> 
        <th>Board Class</th>
        <th>Action</th>
      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($board as $item)
        
        <tr>
          <td>{{ $i }}</td>
          <td>{{ $item->board_order }}</td>
          <td>{{ $item->Board_Id }}</td>

          <td>{{ $item->board_name }}</td>
          <td>
            <a class="btn btn-light btn-xs" href="{{ route('backend.class.boardclasses',$item->Board_Id) }}">Class</a>
          </td>
          <td>
            @if($item->status=='1')
              <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.board.status',[$item->id,'0']) }}">Active</a>              
            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>
            @else
              <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.board.status',[$item->id,'1']) }}">Inactive</a>
              
            <span>&nbsp;</span>
            @endif

            <a class="btn btn-light btn-xs" href="{{ route('backend.board.edit',$item->id) }}"><i class="fas fa-pencil-alt"></i></a>
            <span>&nbsp;</span>
            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this item?');" href="{{ route('backend.board.delete',$item->id) }}"><i class="fas fa-trash-alt"></i></i></a>
          </td>
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
      {{-- <tfoot>
      <tr>
        <th>Sr.</th>
        <th>Order</th>
        <th>Board</th>
        <th>Board Class</th>
        <th>Status</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      </tfoot> --}}
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->
</div>


@endsection

@push('child-scripts')
@include('layouts.dataTableScript')


@endpush
