@extends('layouts.backend')
@push('child-style')
@include('layouts.dataStyles')
@endpush
@section('content')

<div class="content-wrapper">
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Chapter Templates</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item active">Chapter Templates</li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>
<!-- /.card -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <a class="btn btn-light  btn-round " href="{{ route('backend.chapter.create') }}"> <i class="fa fa-plus"></i> Add Chapter</a>
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example1" class="table table-bordered table-striped">
      <thead>
        <th>Sr.</th>
        {{-- <th>Order</th> --}}
        <th>ID</th>
        <th>Chapter Name</th>
        <th>Chapters</th>

        {{-- <th>Chapter PDF</th> --}}
        <th style="min-width: 130px;">Action</th>

      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($chapter as $item)
        
        <tr>
          <td>{{ $i}}</td>
          {{-- <td>{{ $item->chapter_order }}</td> --}}
          <td>{{ $item->chapter_id }}</td>
          <td>{{ $item->chapter_name }}</td>
          <td><a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.index',$item->chapter_id) }}">Pdf</a></td>
          <td>
            @if($item->status=='1')
              <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chapter.status',[$item->id,'0']) }}">Active</a>
              <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

            @else
              <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chapter.status',[$item->id,'1']) }}">Inactive</a>
              <span>&nbsp;</span>

            @endif
            <a class="btn btn-light btn-xs" href="{{route('backend.chapter.edit',$item->id)}}"><i class="fas fa-pencil-alt"></i>
          </a> 
          <span>&nbsp;</span>

            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Chapter Template?');" href="{{route('backend.chapter.delete',$item->id)}}"><i class="fas fa-trash-alt"></i></a>
          </td>
          
         
         
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
      {{-- <tfoot>
      <tr>
        <th>Order</th>
        <th>ID</th>
        <th>Chapter Name</th>
        <th>Status</th>
        <th>Edit</th>
        <th>Chapters</th>
        <th>Delete</th>
      </tr>
      </tfoot> --}}
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->
</div>

{{-- 






@endsection

@push('child-scripts')
@include('layouts.dataTableScript')
@endpush
