@extends('layouts.backend')
@push('child-style')
@include('layouts.dataStyles')
@endpush
@section('content')

<div class="content-wrapper">
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h3>PDF Page</h3>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="{{route('backend.chapter.index')}}">Chapter Page</a></li>
            <li class="breadcrumb-item active">PDF Page</li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>

  

<!-- /.card -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">

  <!-- /.card-header -->
<div class="card-body">

  <div class="row">
    <div class="col-md-6">
      {{-- <h3> Referrer</h3> --}}
      <form action="{{route('backend.chaptertemplate.chapter_update')}}" method="POST" enctype="multipart/form-data">
        @csrf
    
        <input type="hidden" name="chapter_template_id" value="{{ $chapter->chapter_id }}">

        <div class="row">
          <div class="col-sm-12">
            <!-- text input -->       
            <div class="form-group">
              <label>Top Text</label>
              <input type="text" name="top_text" value="{{ $chapter->top_text }}" id="class_order" class="form-control" placeholder="Delay Day" >
            </div>
            <div class="form-group">
              <label>Link</label>
              <input type="text" name="link" value="{{ $chapter->link }}" class="form-control" placeholder="Plan Type">             
            </div>
          </div>        
        </div>
                             
        <button type="submit" class="btn btn-secondary">Submit</button>
      </form>

    </div>


  </div>





    

</div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->
<!-- /.card -->



{{-- learn items order wise start --}}
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  
  <div class="card-header text-right">
    <h4 class="float-left">Learn Items</h4>
    <a class="btn btn-light  btn-round " href="{{ route('backend.chaptertemplate.pdf.create',$chapter->chapter_id) }}"> <i class="fa fa-plus"></i> Add PDF </a>
    <a class="btn btn-light  btn-round " href="{{ route('backend.chaptertemplate.pdf.seperator.create',$chapter->chapter_id) }}"> <i class="fa fa-plus"></i> Add Seperator</a>
    <a class="btn btn-light  btn-round " href="{{route('backend.chaptertemplate.pdf.banner.create',[$chapter->chapter_id,'middle']) }}"> <i class="fa fa-plus"></i> Add Banner</a>
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example1" class="table table-bordered table-striped">
        <thead>
            <th>Order</th>
            <th>ID</th>
            <th>Name</th>
            <th>Type</th>
            <th style="min-width: 130px;">Action</th>
        </thead>
        <tbody>
            

            @foreach ($lipsb_data as $data)
                <tr>
                    <td>{{ $data['order'] ?? $data['seperator_order'] ?? $data['banner_order'] }}</td>
                    <td>{{ $data['id'] }}</td>
                    <td>{{ $data['pdf_name'] ?? $data['seperator_display_text'] ?? $data['banner_name'] }}</td>
                    <td>{{ $data['type'] }}</td>
                    <td>
                        @if ($data['type'] === 'PDF')
                            @if($data['status'] == '1')
                                <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.pdf.status', [$data['id'], '0']) }}">Active</a>
                            @else
                                <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.pdf.status', [$data['id'], '1']) }}">Inactive</a>
                            @endif
                            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" href="{{ route('backend.chapter_template.pdf.edit', $data['id']) }}"><i class="fas fa-pencil-alt"></i></a>
                            <span>&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this PDF?');" href="{{ route('backend.pdf.delete', $data['id']) }}"><i class="fas fa-trash-alt"></i></a>
                        @elseif ($data['type'] === 'Seperator')
                            @if($data['status'] == '1')
                                <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.seperator.status', [$data['id'], '0']) }}">Active</a>
                            @else
                                <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.seperator.status', [$data['id'], '1']) }}">Inactive</a>
                            @endif
                            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" href="{{ route('backend.chaptertemplate.pdf.seperator.edit', $data['id']) }}"><i class="fas fa-pencil-alt"></i></a>
                            <span>&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Seperator?');" href="{{ route('backend.chaptertemplate.pdf.seperator.delete', $data['id']) }}"><i class="fas fa-trash-alt"></i></a>
                        @elseif ($data['type'] === 'Banner')
                            @if($data['status'] == '1')
                                <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.banner.status', [$data['id'], '0']) }}">Active</a>
                            @else
                                <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.banner.status', [$data['id'], '1']) }}">Inactive</a>
                            @endif
                            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" href="{{ route('backend.chaptertemplate.pdf.banner.edit', $data['id']) }}"><i class="fas fa-pencil-alt"></i></a>
                            <span>&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Banner?');" href="{{ route('backend.chaptertemplate.pdf.banner.delete', $data['id']) }}"><i class="fas fa-trash-alt"></i></a>
                        @endif
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
</div>

  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->
{{-- learn items order wise end --}}

<?php /* ?>
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">  
  <div class="card-header text-right">
    <h4 class="float-left">Learn Item Pdf </h4>
    <a class="btn btn-light  btn-round " href="{{ route('backend.chaptertemplate.pdf.create',$chapter->chapter_id) }}"> <i class="fa fa-plus"></i> Add PDF </a>
 
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example1" class="table table-bordered table-striped">
      <thead>
        <th>Sr.</th>
        <th>Order</th>

        <th>Name</th>
        <th>Type</th>
        <th> Link</th>
        <th>PDF Link Prefix</th>
        <th>PDF Link Preflix</th>
        {{-- <th>Access</th> --}}
        <th>Top Text</th>
        <th>Link</th>
        <th>Item Type</th>
        <th style="min-width: 130px;">Action</th>


      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($pdfedit as $item)
        
        <tr>
          <td>{{ $i }}</td>
          <td>{{ $item->order	 }}</td>

        <td>{{ $item->pdf_name	 }}</td>
        <td>{{ $item->pdf_type }}</td>
        <td>{{ (!empty($item->pdf_link)) ? $item->pdf_link : 'NA' }}</td>
        <td>{{ (!empty($item->pdf_link_prefix)) ? $item->pdf_link_prefix :	'NA' }}</td>
        <td>{{ (!empty($item->pdf_link_suflix)) ? $item->pdf_link_suflix : 'NA' }}</td>
        {{-- <td>{{ $item->access }}</td> --}}
        <td>{{ $item->top_text }}</td>
        <td>{{ $item->link }}</td>
        <td>{{ $item->pdf_item_type }}</td>

          <td>
            @if($item->status=='1')
            <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.pdf.status',[$item->id,'0']) }}">Active</a>
            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

            @else
            <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.pdf.status',[$item->id,'1']) }}">Inactive</a>
            <span>&nbsp;</span>

            @endif
            <a class="btn btn-light btn-xs" href="{{route('backend.chapter_template.pdf.edit',$item->id)}}"><i class="fas fa-pencil-alt"></i>

            </a>   
            <span>&nbsp;</span>

            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Subject?');" href="{{route('backend.pdf.delete',$item->id)}}"><i class="fas fa-trash-alt"></i></a>
          </td>
          
        
          
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
    
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->




<!-- /.card -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <h4 class="float-left">Learn Item Seperator </h4>

    <a class="btn btn-light  btn-round " href="{{ route('backend.chaptertemplate.pdf.seperator.create',$chapter->chapter_id) }}"> <i class="fa fa-plus"></i> Add Seperator</a>
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example2" class="table table-bordered table-striped">
      <thead>
        <th>Sr.</th>
        <th>Order</th>
        <th>Seperator Display Text</th>
        <th style="min-width: 130px;">Action</th>

      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($pdfseperater as $item)
        <tr>
          <td>{{ $i}}</td>
          <td>{{ $item->seperator_order }}</td>
          <td>{{ $item->seperator_display_text }}</td>
          {{-- <td>{{ $item->pdf_item_type }}</td> --}}

          <td>
            @if($item->status=='1')
            <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.seperator.status',[$item->id,'0']) }}">Active</a>
            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

            @else
            <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.seperator.status',[$item->id,'1']) }}">Inactive</a>
            <span>&nbsp;</span>

            @endif
            <a class="btn btn-light btn-xs" href="{{route('backend.chaptertemplate.pdf.seperator.edit',$item->id)}}"><i class="fas fa-pencil-alt"></i>
            </a>   
            <span>&nbsp;</span>

            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Subject?');" href="{{route('backend.chaptertemplate.pdf.seperator.delete',$item->id)}}"><i class="fas fa-trash-alt"></i></a>
          </td>
        
          
        
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
      {{-- <tfoot>
      <tr>
        <th>Order</th>
        <th>Seperator Display Text</th>
        <th>Status</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      </tfoot> --}}
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->

<?php */ ?>
<br> 
<br>




<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <h4 class="float-left">Learn Item Bottom Banner </h4>

    <a class="btn btn-light  btn-round " href="{{route('backend.chaptertemplate.pdf.banner.create',[$chapter->chapter_id,'bottom']) }}"> <i class="fa fa-plus"></i> Add Banner</a>
 
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example2" class="table table-bordered table-striped">
      <thead>
        <th>Order</th>
        <th>Banner Name</th>
        <th>Banner Image</th>
        <th>Banner Type</th>
        <th>Banner Function</th>
        <th>Banner link</th>
        <th>Banner Display</th>
        <th style="min-width: 130px;">Action</th>

      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($banner as $item)
        
        <tr>
          <td>{{ $item->banner_order  }}</td>
          <td>{{ $item->banner_name }}</td>
          <td>{{ $item->banner_image }}</td>
          <td>{{ $item->banner_type }}</td>
          <td>{{ $item->banner_function }}</td>
          <td>{{ $item->banner_link }}</td>
          <td>
            @php
              $banner_display = unserialize($item->banner_display);
              $plan_type = \App\Models\PlanType::select('name')->whereIn('id', $banner_display)->orderBy('id','desc')->get();
            @endphp            
            <ul style="padding-left: 15px">
              @foreach ($plan_type as $value)
                <li>{{ $value->name }}</li>
              @endforeach            
            </ul>    
          </td>            {{-- <td>{{ $item->pdf_item_type }}</td> --}}

          <td>
            @if($item->status=='1')
            <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.banner.status',[$item->id,'0']) }}">Active</a>
            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

            @else
            <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.banner.status',[$item->id,'1']) }}">Inactive</a>
            <span>&nbsp;</span>

            @endif

            <a class="btn btn-light btn-xs" href="{{route('backend.chaptertemplate.pdf.banner.edit',$item->id)}}"><i class="fas fa-pencil-alt"></i>
            </a> 
            <span>&nbsp;</span>

            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Subject?');" href="{{route('backend.chaptertemplate.pdf.banner.delete',$item->id)}}"><i class="fas fa-trash-alt"></i></a>
          </td>
         
      
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
      {{-- <tfoot>
      <tr>
        <th>Order</th>
        <th>Banner Name</th>
        <th>Banner Image</th>
        <th>Banner Type</th>
        <th>Banner Function</th>
        <th>Banner link</th>
        <th>Banner Display</th>
        <th>Status</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      </tfoot> --}}
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->

{{-- Practice start --}}
<br>
<br>




{{-- Practice items order wise start --}}
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  
  <div class="card-header text-right">
    <h4 class="float-left">Practice Items </h4>
    <a class="btn btn-light  btn-round " href="{{ route('backend.chaptertemplate.pdf.practice.pdf.create',$chapter->chapter_id) }}"> <i class="fa fa-plus"></i> Add PDF </a>
    <a class="btn btn-light  btn-round " href="{{ route('backend.chaptertemplate.pdf.practice.seperater.create',$chapter->chapter_id) }}"> <i class="fa fa-plus"></i> Add Seperator</a>
    <a class="btn btn-light  btn-round " href="{{route('backend.chaptertemplate.pdf.practice.banner.create',[$chapter->chapter_id,'middle']) }}"> <i class="fa fa-plus"></i> Add Banner</a>
 
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example3" class="table table-bordered table-striped">
        <thead>
            <th>Order</th>
            <th>ID</th>
            <th>Name</th>
            <th>Type</th>
            <th style="min-width: 130px;">Action</th>
        </thead>
        <tbody>
           
            @foreach ($pipsb_data as $data)
                <tr>
                    <td>{{ $data['order'] ?? $data['seperator_order'] ?? $data['banner_order'] }}</td>
                    <td>{{ $data['id'] }}</td>
                    <td>{{ $data['pdf_name'] ?? $data['seperator_display_text'] ?? $data['banner_name'] }}</td>
                    <td>{{ $data['type'] }}</td>
                    <td>
                        @if ($data['type'] === 'PDF')
                            @if($data['status'] == '1')
                                <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.practice.pdf.status', [$data['id'], '0']) }}">Active</a>
                            @else
                                <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.practice.pdf.status', [$data['id'], '1']) }}">Inactive</a>
                            @endif
                            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" href="{{ route('backend.chaptertemplate.pdf.practice.pdf.edit', $data['id']) }}"><i class="fas fa-pencil-alt"></i></a>
                            <span>&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this PDF?');" href="{{ route('backend.chaptertemplate.pdf.practice.pdf.delete', $data['id']) }}"><i class="fas fa-trash-alt"></i></a>
                        @elseif ($data['type'] === 'Seperator')
                            @if($data['status'] == '1')
                                <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.practice.seperater.status', [$data['id'], '0']) }}">Active</a>
                            @else
                                <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.practice.seperater.status', [$data['id'], '1']) }}">Inactive</a>
                            @endif
                            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" href="{{ route('backend.chaptertemplate.pdf.practice.seperater.edit', $data['id']) }}"><i class="fas fa-pencil-alt"></i></a>
                            <span>&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Seperator?');" href="{{ route('backend.chaptertemplate.pdf.practice.seperater.delete', $data['id']) }}"><i class="fas fa-trash-alt"></i></a>
                        @elseif ($data['type'] === 'Banner')
                            @if($data['status'] == '1')
                                <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.practice.banner.status', [$data['id'], '0']) }}">Active</a>
                            @else
                                <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.practice.banner.status', [$data['id'], '1']) }}">Inactive</a>
                            @endif
                            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" href="{{ route('backend.chaptertemplate.pdf.practice.banner.edit', $data['id']) }}"><i class="fas fa-pencil-alt"></i></a>
                            <span>&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Banner?');" href="{{ route('backend.chaptertemplate.pdf.practice.banner.delete', $data['id']) }}"><i class="fas fa-trash-alt"></i></a>
                        @endif
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
</div>

  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->
{{-- Practice items order wise end --}}



<?php /* ?>
<!-- /.card -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <h4 class="float-left">Practice Item Pdf </h4>
    <a class="btn btn-light  btn-round " href="{{ route('backend.chaptertemplate.pdf.practice.pdf.create',$chapter->chapter_id) }}"> <i class="fa fa-plus"></i> Add PDF </a>
 
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example4" class="table table-bordered table-striped">
      <thead>
        <th>Sr.</th>
        <th> Order</th>
        <th>Name</th>
        <th>Type</th>
        <th> Link</th>
        <th>PDF Link Prefix</th>
        <th>PDF Link Preflix</th>
        {{-- <th>Access</th> --}}
        <th>Top Text</th>
        <th>Link</th>
        <th>Item Type</th>
        <th style="min-width: 130px;">Action</th>


      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($practiceitem as $item)
        
        <tr>
          <td>{{ $i}}</td>
          <td>{{ $item->order	 }}</td>

        <td>{{ $item->pdf_name	 }}</td>
        <td>{{ $item->pdf_type }}</td>
        <td>{{ (!empty($item->pdf_link)) ? $item->pdf_link : 'NA' }}</td>
        <td>{{ (!empty($item->pdf_link_prefix)) ? $item->pdf_link_prefix :	'NA' }}</td>
        <td>{{ (!empty($item->pdf_link_suflix)) ? $item->pdf_link_suflix : 'NA' }}</td>
        {{-- <td>{{ $item->access }}</td> --}}
        <td>{{ $item->top_text }}</td>
        <td>{{ $item->link }}</td>
        <td>{{ $item->pdf_item_type }}</td>

          <td>
            @if($item->status=='1')
            <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.practice.pdf.status',[$item->id,'0']) }}">Active</a>
            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

            @else
            <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.practice.pdf.status',[$item->id,'1']) }}">Inactive</a>
            <span>&nbsp;</span>

            @endif
            <a class="btn btn-light btn-xs" href="{{route('backend.chaptertemplate.pdf.practice.pdf.edit',$item->id)}}"><i class="fas fa-pencil-alt"></i>
            </a>    
            <span>&nbsp;</span>

            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Subject?');" href="{{route('backend.chaptertemplate.pdf.practice.pdf.delete',$item->id)}}"><i class="fas fa-trash-alt"></i></a>
          </td>

          
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
    
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->

<br>
<br>



<!-- /.card -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <h4 class="float-left">Practice Item Seperator </h4>

    <a class="btn btn-light  btn-round " href="{{ route('backend.chaptertemplate.pdf.practice.seperater.create',$chapter->chapter_id) }}"> <i class="fa fa-plus"></i> Add Seperator</a>
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example5" class="table table-bordered table-striped">
      <thead>
        <th>Sr.</th>
        <th>Seperator Display Text</th>
        <th style="min-width: 130px;">Action</th>

      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($practiceitem_seperator as $item)
        <tr>
          <td>{{ $i}}</td>
          <td>{{ $item->seperator_order }}</td>
          <td>{{ $item->seperator_display_text }}</td>
          {{-- <td>{{ $item->pdf_item_type }}</td> --}}

          <td>
            @if($item->status=='1')
            <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.practice.seperater.status',[$item->id,'0']) }}">Active</a>
            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

            @else
            <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.practice.seperater.status',[$item->id,'1']) }}">Inactive</a>
            <span>&nbsp;</span>

            @endif
            <a class="btn btn-light btn-xs" href="{{route('backend.chaptertemplate.pdf.practice.seperater.edit',$item->id)}}"><i class="fas fa-pencil-alt"></i>
          </a> 
          <span>&nbsp;</span>

          
            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Subject?');" href="{{route('backend.chaptertemplate.pdf.practice.seperater.delete',$item->id)}}"><i class="fas fa-trash-alt"></i></a>
          </td>
          
          
         
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
      {{-- <tfoot>
      <tr>
        <th>Order</th>
        <th>Seperator Display Text</th>
        <th>Status</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      </tfoot> --}}
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->


<?php */ ?>

<br> 
<br>




<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <h4 class="float-left">Practice Item Bottom Banner </h4>

    <a class="btn btn-light  btn-round " href="{{route('backend.chaptertemplate.pdf.practice.banner.create',[$chapter->chapter_id,'bottom']) }}"> <i class="fa fa-plus"></i> Add Banner</a>
 
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example4" class="table table-bordered table-striped">
      <thead>
        <th>Order</th>
        <th>Banner Name</th>
        <th>Banner Image</th>
        <th>Banner Type</th>
        <th>Banner Function</th>
        <th>Banner link</th>
        <th>Banner Display</th>
        <th style="min-width: 130px;">Action</th>

      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($practiceitem_banner as $item)
        
        <tr>
          <td>{{ $item->banner_order	 }}</td>
          <td>{{ $item->banner_name }}</td>
          <td>{{ $item->banner_image }}</td>
          <td>{{ $item->banner_type }}</td>
          <td>{{ $item->banner_function }}</td>
          <td>{{ $item->banner_link }}</td>
          <td>
            @php
              $banner_display = unserialize($item->banner_display);
              $plan_type = \App\Models\PlanType::select('name')->whereIn('id', $banner_display)->orderBy('id','desc')->get();
            @endphp            
            <ul style="padding-left: 15px">
              @foreach ($plan_type as $value)
                <li>{{ $value->name }}</li>
              @endforeach            
            </ul>    
          </td>            {{-- <td>{{ $item->pdf_item_type }}</td> --}}

          <td>
            @if($item->status=='1')
            <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.practice.banner.status',[$item->id,'0']) }}">Active</a>
            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

            @else
            <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.practice.banner.status',[$item->id,'1']) }}">Inactive</a>
            <span>&nbsp;</span>

            @endif
            <a class="btn btn-light btn-xs" href="{{route('backend.chaptertemplate.pdf.practice.banner.edit',$item->id)}}"><i class="fas fa-pencil-alt"></i>
            </a>     
            <span>&nbsp;</span>


            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Subject?');" href="{{route('backend.chaptertemplate.pdf.practice.banner.delete',$item->id)}}"><i class="fas fa-trash-alt"></i></a>
          </td>
          
          
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
      {{-- <tfoot>
      <tr>
        <th>Order</th>
        <th>Banner Name</th>
        <th>Banner Image</th>
        <th>Banner Type</th>
        <th>Banner Function</th>
        <th>Banner link</th>
        <th>Banner Display</th>
        <th>Status</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      </tfoot> --}}
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->

{{-- PRICE START --}}



{{-- Print items order wise start --}}
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  
  <div class="card-header text-right">
    <h4 class="float-left">Print Items </h4>
    <a class="btn btn-light  btn-round " href="{{ route('backend.chaptertemplate.pdf.price.pdf.create',$chapter->chapter_id) }}"> <i class="fa fa-plus"></i> Add PDF </a>
    <a class="btn btn-light  btn-round " href="{{ route('backend.chaptertemplate.pdf.price.seperater.create',$chapter->chapter_id) }}"> <i class="fa fa-plus"></i> Add Seperator</a>
    <a class="btn btn-light  btn-round " href="{{route('backend.chaptertemplate.pdf.price.banner.create',[$chapter->chapter_id,'middle']) }}"> <i class="fa fa-plus"></i> Add Banner</a>
 
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example5" class="table table-bordered table-striped">
        <thead>
            <th>Order</th>
            <th>ID</th>
            <th>Name</th>
            <th>Type</th>
            <th style="min-width: 130px;">Action</th>
        </thead>
        <tbody>
           
            @foreach ($pripsb_data as $data)
                <tr>
                    <td>{{ $data['order'] ?? $data['seperator_order'] ?? $data['banner_order'] }}</td>
                    <td>{{ $data['id'] }}</td>
                    <td>{{ $data['pdf_name'] ?? $data['seperator_display_text'] ?? $data['banner_name'] }}</td>
                    <td>{{ $data['type'] }}</td>
                    <td>
                        @if ($data['type'] === 'PDF')
                            @if($data['status'] == '1')
                                <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.price.pdf.status', [$data['id'], '0']) }}">Active</a>
                            @else
                                <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.price.pdf.status', [$data['id'], '1']) }}">Inactive</a>
                            @endif
                            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" href="{{ route('backend.chaptertemplate.pdf.price.pdf.edit', $data['id']) }}"><i class="fas fa-pencil-alt"></i></a>
                            <span>&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this PDF?');" href="{{ route('backend.chaptertemplate.pdf.price.pdf.delete', $data['id']) }}"><i class="fas fa-trash-alt"></i></a>
                        @elseif ($data['type'] === 'Seperator')
                            @if($data['status'] == '1')
                                <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.price.seperater.status', [$data['id'], '0']) }}">Active</a>
                            @else
                                <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.price.seperater.status', [$data['id'], '1']) }}">Inactive</a>
                            @endif
                            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" href="{{ route('backend.chaptertemplate.pdf.price.seperater.edit', $data['id']) }}"><i class="fas fa-pencil-alt"></i></a>
                            <span>&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Seperator?');" href="{{ route('backend.chaptertemplate.pdf.price.seperater.delete', $data['id']) }}"><i class="fas fa-trash-alt"></i></a>
                        @elseif ($data['type'] === 'Banner')
                            @if($data['status'] == '1')
                                <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.price.banner.status', [$data['id'], '0']) }}">Active</a>
                            @else
                                <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.price.banner.status', [$data['id'], '1']) }}">Inactive</a>
                            @endif
                            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" href="{{ route('backend.chaptertemplate.pdf.price.banner.edit', $data['id']) }}"><i class="fas fa-pencil-alt"></i></a>
                            <span>&nbsp;&nbsp;</span>
                            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Banner?');" href="{{ route('backend.chaptertemplate.pdf.price.banner.delete', $data['id']) }}"><i class="fas fa-trash-alt"></i></a>
                        @endif
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
</div>

  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->
{{-- Print items order wise end --}}

<?php /* ?>

<!-- /.card -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <h4 class="float-left">Print Item Pdf </h4>
    <a class="btn btn-light  btn-round " href="{{ route('backend.chaptertemplate.pdf.price.pdf.create',$chapter->chapter_id) }}"> <i class="fa fa-plus"></i> Add PDF </a>
 
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example7" class="table table-bordered table-striped">
      <thead>
        <th>Sr.</th>
        <th>order</th>

        <th>Name</th>
        <th>Type</th>
        <th> Link</th>
        <th>PDF Link Prefix</th>
        <th>PDF Link Preflix</th>
        {{-- <th>Access</th> --}}
        <th>Top Text</th>
        <th>Link</th>
        <th>Item Type</th>
        <th style="min-width: 130px;">Action</th>

      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($price_pdf as $item)
        
        <tr>
          <td>{{ $i}}</td>
          <td>{{ $item->order	 }}</td>

        <td>{{ $item->pdf_name	 }}</td>
        <td>{{ $item->pdf_type }}</td>
        <td>{{ (!empty($item->pdf_link)) ? $item->pdf_link : 'NA' }}</td>
        <td>{{ (!empty($item->pdf_link_prefix)) ? $item->pdf_link_prefix :	'NA' }}</td>
        <td>{{ (!empty($item->pdf_link_suflix)) ? $item->pdf_link_suflix : 'NA' }}</td>
        {{-- <td>{{ $item->access }}</td> --}}
        <td>{{ $item->top_text }}</td>
        <td>{{ $item->link }}</td>
        <td>{{ $item->pdf_item_type }}</td>

          <td>
            @if($item->status=='1')
            <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.price.pdf.status',[$item->id,'0']) }}">Active</a>
            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

            @else
            <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.price.pdf.status',[$item->id,'1']) }}">Inactive</a>
            <span>&nbsp;</span>

            @endif

            <a class="btn btn-light btn-xs" href="{{route('backend.chaptertemplate.pdf.price.pdf.edit',$item->id)}}"><i class="fas fa-pencil-alt"></i>
            </a>    
            <span>&nbsp;</span>

            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Subject?');" href="{{route('backend.chaptertemplate.pdf.price.pdf.delete',$item->id)}}"><i class="fas fa-trash-alt"></i></a>
          </td>
          
        
        
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
    
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->

<br>
<br>



<!-- /.card -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <h4 class="float-left">Print Item Seperator </h4>

    <a class="btn btn-light  btn-round " href="{{ route('backend.chaptertemplate.pdf.price.seperater.create',$chapter->chapter_id) }}"> <i class="fa fa-plus"></i> Add Seperator</a>
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example8" class="table table-bordered table-striped">
      <thead>
        <th>Sr.</th>
        <th>Order</th>
        <th>Seperator Display Text</th>
        <th style="min-width: 130px;">Action</th>

      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($price_seperator as $item)
        <tr>
          <td>{{ $i}}</td>
          <td>{{ $item->seperator_order }}</td>
          <td>{{ $item->seperator_display_text }}</td>
          {{-- <td>{{ $item->pdf_item_type }}</td> --}}

          <td>
            @if($item->status=='1')
            <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.price.seperater.status',[$item->id,'0']) }}">Active</a>
            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

            @else
            <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.price.seperater.status',[$item->id,'1']) }}">Inactive</a>
            <span>&nbsp;</span>

            @endif

            <a class="btn btn-light btn-xs" href="{{route('backend.chaptertemplate.pdf.price.seperater.edit',$item->id)}}"><i class="fas fa-pencil-alt"></i></a>  
            <span>&nbsp;</span>

            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Item?');" href="{{route('backend.chaptertemplate.pdf.price.seperater.delete',$item->id)}}"><i class="fas fa-trash-alt"></i>
            </a>
          </td>


          
          
         
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
      {{-- <tfoot>
      <tr>
        <th>Order</th>
        <th>Seperator Display Text</th>
        <th>Status</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      </tfoot> --}}
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->

<?php */ ?>


<br> 
<br>



<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <h4 class="float-left">Print Item Bottom Banner</h4>

    <a class="btn btn-light  btn-round " href="{{route('backend.chaptertemplate.pdf.price.banner.create',[$chapter->chapter_id,'bottom']) }}"> <i class="fa fa-plus"></i> Add Banner</a>
 
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example6" class="table table-bordered table-striped">
      <thead>
        <th>Order</th>
        <th>Banner Name</th>
        <th>Banner Image</th>
        <th>Banner Type</th>
        <th>Banner Function</th>
        <th>Banner link</th>
        <th>Banner Display</th>
        <th style="min-width: 130px;">Action</th>

      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($price_banner as $item)
        
        <tr>
          <td>{{ $item->banner_order	 }}</td>
          <td>{{ $item->banner_name }}</td>
          <td>{{ $item->banner_image }}</td>
          <td>{{ $item->banner_type }}</td>
          <td>{{ $item->banner_function }}</td>
          <td>{{ $item->banner_link }}</td>
          <td>
            @php
              $banner_display = unserialize($item->banner_display);
              $plan_type = \App\Models\PlanType::select('name')->whereIn('id', $banner_display)->orderBy('id','desc')->get();
            @endphp            
            <ul style="padding-left: 15px">
              @foreach ($plan_type as $value)
                <li>{{ $value->name }}</li>
              @endforeach            
            </ul>    
          </td>  
          {{-- <td>{{ $item->pdf_item_type }}</td> --}}

          <td>
            @if($item->status=='1')
            <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.price.banner.status',[$item->id,'0']) }}">Active</a>
            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

            @else
            <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chaptertemplate.pdf.price.banner.status',[$item->id,'1']) }}">Inactive</a>
            <span>&nbsp;</span>

            @endif
            <a class="btn btn-light btn-xs" href="{{route('backend.chaptertemplate.pdf.price.banner.edit',$item->id)}}"><i class="fas fa-pencil-alt"></i>

            </a>  
            <span>&nbsp;</span>

            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Subject?');" href="{{route('backend.chaptertemplate.pdf.price.banner.delete',$item->id)}}"><i class="fas fa-trash-alt"></i></a>
          </td>        
       
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
      {{-- <tfoot>
      <tr>
        <th>Order</th>
        <th>Banner Name</th>
        <th>Banner Image</th>
        <th>Banner Type</th>
        <th>Banner Function</th>
        <th>Banner link</th>
        <th>Banner Display</th>
        <th>Status</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      </tfoot> --}}
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->






</div>


@endsection

@push('child-scripts')
@include('layouts.dataTableScript')
@endpush
