@extends('layouts.backend')
@push('child-style')
@include('layouts.dataStyles')

@endpush
@section('content')
<div class="content-wrapper">
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>{{ $subject->subject_display_name }}'s Chapters</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item active">Chapter Templates</li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>
<!-- /.card -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <a class="btn btn-light  btn-round " href="{{ route('backend.chapter.create',$subject->subject_id) }}"> <i class="fa fa-plus"></i> Add Chapter</a>
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example1" class="table table-bordered table-striped">
      <thead>
        <th>Sr.</th>
        {{-- <th>Order</th> --}}
        <th>ID</th>
        <th>Chapter Name</th>
        <th>Top text</th>
        <th>Link</th>
        <th> Var A</th>
        <th>Var B</th>
        <th>Var C</th>
        <th>PDF</th>
        <th style="min-width: 130px;">Action</th>

      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($chapter as $item)
        
        <tr>
          <td>{{ $i}}</td>
          {{-- <td>{{ $item->chapter_order }}</td> --}}
          <td>{{ $item->chapter_id }}</td>
          <td>{{ $item->chapter_name }}</td>
          <td>{{ $item->top_text }}</td>
          <td>{{ $item->link }}</td>
          <td>{{ $item->var_a }}</td>
          <td>{{ $item->var_b }}</td>
          <td>{{ $item->var_c }}</td>
          <td><a class="btn btn-dark btn-round btn-xs" href="{{route('backend.chaptertemplate.pdf.index',$item->chapter_id)}}">PDF</a></td>
          <td>
            @if($item->status=='1')
            <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.course.subject.chapter.status',[$item->id,'0']) }}">Active</a>
            <span>&nbsp;&nbsp;&nbsp;&nbsp;</span>

            @else
            <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.course.subject.chapter.status',[$item->id,'1']) }}">Inactive</a>
            <span>&nbsp;</span>

            @endif
            <a class="btn btn-light btn-xs" href="{{route('backend.chapter.edit',$item->id)}}"><i class="fas fa-pencil-alt"></i>
           </a>   
            <span>&nbsp;</span>

            <a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Subject?');" href="{{route('backend.chapter.delete',$item->id)}}"><i class="fas fa-trash-alt"></i></a>
          </td>
          
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
      {{-- <tfoot>
      <tr>
        <th>Order</th>
        <th>ID</th>
        <th>Chapter Name</th>
        <th>Top text</th>
        <th>Link</th>
        <th> Var A</th>
        <th>Var B</th>
        <th>Var C</th>
        <th>Status</th>
        <th>Edit</th>
        <th>PDF</th>
        <th>Delete</th>
      </tr>
      </tfoot> --}}
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->





<?php /* ?>

<!-- /.card -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <a class="btn btn-light  btn-round " href="{{ route('backend.chapters.seperator.create',$subject->subject_id) }}"> <i class="fa fa-plus"></i> Add Seperator</a>
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example1" class="table table-bordered table-striped">
      <thead>
        <th>Order</th>
        <th>Seperator Display Text</th>
        <th>Status</th>
        <th>Edit</th>
        <th>Delete</th>
      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($seperator as $item)
        
        <tr>
          <td>{{ $item->seperator_order }}</td>
          <td>{{ $item->seperator_display_text }}</td>

          <td>
            @if($item->status=='1')
            <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chapters.seperator.status',[$item->id,'0']) }}">Active</a>
            @else
            <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chapters.seperator.status',[$item->id,'1']) }}">Inactive</a>
            @endif
          </td>
          <td class="text-primary">
            <a class="btn btn-light btn-xs" href="{{route('backend.chapters.seperator.edit',$item->id)}}">Edit</a>    
          </td>
          {{-- <td><a class="btn btn-dark btn-round btn-xs" href="{{route('backend.pdfedit.chapterpdf',$item->chapter_id)}}">PDF</a></td> --}}
          <td><a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Subject?');" href="{{route('backend.chapters.seperator.delete',$item->id)}}">Delete</a></td>
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
      {{-- <tfoot>
      <tr>
        <th>Order</th>
        <th>Seperator Display Text</th>
        <th>Status</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      </tfoot> --}}
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->




<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header text-right">
    <a class="btn btn-light  btn-round " href="{{ route('backend.chapters.banner.create',$subject->subject_id) }}"> <i class="fa fa-plus"></i> Add Banner</a>
 
</div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example1" class="table table-bordered table-striped">
      <thead>
        <th>Order</th>
        <th>Banner Name</th>
        <th>Banner Image</th>
        <th>Banner Type</th>
        <th>Banner Function</th>
        <th>Banner link</th>
        <th>Banner Display</th>
        <th>Status</th>
        <th>Edit</th>
        <th>Delete</th>
      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($banner as $item)
        
        <tr>
          <td>{{ $item->banner_order	 }}</td>
          <td>{{ $item->banner_name }}</td>
          <td>{{ $item->banner_image }}</td>
          <td>{{ $item->banner_type }}</td>
          <td>{{ $item->banner_function }}</td>
          <td>{{ $item->banner_link }}</td>
          <td>{{ $item->banner_display }}</td>
          <td>
            @if($item->status=='1')
            <a class="btn btn-success btn-round btn-xs" href="{{ route('backend.chapters.banner.status',[$item->id,'0']) }}">Active</a>
            @else
            <a class="btn btn-dark btn-round btn-xs" href="{{ route('backend.chapters.banner.status',[$item->id,'1']) }}">Inactive</a>
            @endif
          </td>
          <td class="text-primary">
            <a class="btn btn-light btn-xs" href="{{route('backend.chapters.banner.edit',$item->id)}}">Edit</a>       
          </td>
        
          <td><a class="btn btn-light btn-xs" onclick="return confirm('Are you sure you want to delete this Subject?');" href="{{route('backend.chapters.banner.delete',$item->id)}}">Delete</a></td>
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
      {{-- <tfoot>
      <tr>
        <th>Order</th>
        <th>Banner Name</th>
        <th>Banner Image</th>
        <th>Banner Type</th>
        <th>Banner Function</th>
        <th>Banner link</th>
        <th>Banner Display</th>
        <th>Status</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      </tfoot> --}}
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->


<?php */ ?>






</div>


@endsection

@push('child-scripts')
@include('layouts.dataTableScript')
@endpush
