@extends('layouts.backend')

@section('content')
<style>
    .gallery img{
        width: 10%;
    }
    .access_grp_label{
      border: 1px solid #bbb;
      padding: 12px 20px;
      display: inline-block;
      width: 100%;
      float: left;
    }
</style>
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Edit Course</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="{{route('backend.course.index')}}">Course Page</a></li>
            <li class="breadcrumb-item active">Edit Course</li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>
  
<div class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-10">
              <div class="card">
                <div class="card-header card-header-primary">
                  <h4 class="card-title">Course</h4>
                </div>
                <div class="card-body">
                  <div class="row">
                      <div class="col-sm-12">
                        <form action="{{ route('backend.course.update', ['id' => $id->id]) }}" method="POST" enctype="multipart/form-data">
                          @csrf
                          <div class="row">
                            <div class="col-sm-6">
                              <div class="form-group">
                                <label>Course ID</label>
                                <input type="text" name="C_ID" id="course_id" onchange="uniqueId()" class="form-control" placeholder="Enter Course ID" value="{{ $id->C_ID }}">
                                <p style="color: red; display: none;" id="note_text">This Course ID already exist!</p>
                              </div>
                            </div>
                            <div class="col-sm-6">
                              <div class="form-group">
                                <label>Board</label>
                                <select name="board_id" id="board_id" class="form-control" required>
                                  <option value="">Select Board</option>
                                  @foreach ($boards as $value)
                                    <option value="{{ $value->board_id }}" {{ ($id->board_id == $value->board_id)?'selected':'' }}>{{ $value->board_name }}</option>
                                  @endforeach
                                </select>
                              </div>
                            </div>
                          </div>
                          <div class="row">                            
                            <div class="col-sm-6">
                              <!-- text input -->
                              <div class="form-group">
                                <label>Class</label>                                
                                <select name="class_id" id="class_id" class="form-control" required>
                                  <option value="">Select Class</option>
                                  @foreach ($classes as $value)
                                    <option value="{{ $value->class_id }}" {{ ($id->class_id == $value->class_id)?'selected':'' }}>{{ $value->class_name }}</option>
                                  @endforeach
                                </select>
                              </div>
                            </div>     
                            <div class="col-sm-6">
                              <!-- text input -->                              
                              <div class="form-group">
                                <label>Stream</label>
                                <select name="stream" id="stream" class="form-control">
                                  <option value="">Select Stream</option>
                                  @foreach ($strems as $value)
                                  <option value="{{ $value->id }}" {{ ($id->stream == $value->id)?'selected':'' }}>{{ $value->name }}</option>
                                @endforeach
                                </select>
                              </div>
                            </div>                         
                          </div>

                          <div class="row">                            
                            <div class="col-sm-6">
                              <div class="form-group">
                                <label>Medium</label>
                                <select name="medium" id="medium" class="form-control">
                                  <option value="">Select Medium</option>
                                  @foreach ($mediums as $value)
                                  <option value="{{ $value->id }}" {{ ($id->medium == $value->id)?'selected':'' }}>{{ $value->name }}</option>
                                @endforeach
                                </select>
                              </div>
                            </div>                                                      
                          </div>
                          
                          <button type="submit" class="btn btn-secondary">Submit</button>
                        </form>
                      </div>
                      <div class="col-sm-5">

                      </div>
                  </div>                    
                </div>
              </div>
            </div>

            {{-- <div class="col-md-4">
              <div class="card card-profile">
                <div class="card-body">
                    <h6 class="card-category text-gray">Revision history</h6>
                    
                    <div>
                      
                    </div>                      
                </div>
            </div>
          </div> --}}

          </div>
        </div>
      </div>
</div>

<script>
  $('#board_id').on('change', function () {
    var boardId = $(this).val();
    var url = "{{ route('backend.course.getclass',['id'=>':bordId']) }}".replace(':bordId', boardId);
    $.ajaxSetup({
      headers: {
          'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      }
    });

    $.ajax({
      url: url,
      type: "GET",
      success: function(response) {
        console.log(response);
        $('#class_id').empty();
        $('#class_id').append($("<option></option>").val("").html("Select Class"));
        $.each(response,function(key, val){
          $('#class_id').append('<option value="'+val.id+'">'+val.class_name+'</option>');
        });
      }
    });
  });

  
  function uniqueId(){
    var courseId = $("#course_id").val();
    var url = "{{ route('backend.course.uniqueid',['id'=>':courseId']) }}".replace(':courseId', courseId);
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
    $.ajax({
        url: url,
        type: "GET",
        success: function(response) {
            console.log(response);
            if(response > 0){
                $("#course_id").val('');
                $("#note_text").css("display", "block");
            }else{
                $("#note_text").css("display", "none");
            }
        }
    });
  }


  </script>

@endsection
