@extends('layouts.backend')

@section('content')

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="#">Home</a></li>
                        <li class="breadcrumb-item active">Permission Manager</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>


    <section class="content">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="card card-primary">
                        <div class="card-header">
                            <div class="row">
                                <div class="col-sm-6 text-left">
                                    <h3 class="card-title">Permission Listing</h3>
                                </div>
                                <div class="col-sm-6 text-right">
                                    
                                        <a href="{{ route('backend.permission.create') }}" class="btn btn-primary btn-sm float-right">Add permissions</a>
                                </div>
                            </div>
                        </div>
                        <div class="card-body p-0">
                            <div class="row">  
                                <div class="col-md-12  table-responsive">
                                    @if(count($roles))
                                    <div class="table-responsive">
                                        <table class="table table-hover ">
                                            <thead class="thead-style">
                                                <tr>
                                                    <th scope="col" width="">Name</th>
                                                    <th scope="col">Alias</th> 
                                                    <th scope="col">Guard</th> 
                                                    <th scope="col" colspan="3" width="1%">Action</th> 
                                                </tr>
                                            </thead>
                                            <tbody>
                                               
                                                @foreach($permissions as $permission)
                                                <tr>
                                                    <td>{{ $permission->name }}</td>
                                                    <td>{{ $permission->alias }}</td>
                                                    <td>{{ $permission->guard_name }}</td>
                                                    <td><a href="{{route('backend.permission.edit', $permission->id)}}" class="btn btn-info btn-sm">Edit</a></td>
                                                    <td>
                                                        {{-- {!! Form::open(['method' => 'DELETE','route' => ['permissions.destroy', $permission->id],'style'=>'display:inline']) !!}
                                                        {!! Form::submit('Delete', ['class' => 'btn btn-danger btn-sm']) !!}
                                                        {!! Form::close() !!} --}}
                                                    </td>
                                                </tr>
                                            @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                    @else

                                    No Records Found

                                    @endif
                                </div>
                            </div>
                    </div>
            </div>
        </div>
</div>
</div>
</section>
</div>

{{-- <div class="content pt-3">
        <div class="container-fluid">
            <div class="card card-info">
                <div class="card-header border-transparent">
                    <h3 class="card-title">Roles</h3>

                    <div class="card-tools">
                        <a href="{{route('backend.roles.create')}}"><button type="button" class="btn btn-sm btn-info">
    Create
</button></a>
</div>
</div>
<div class="card-body">
    <input type="text" class="form-control form-control-sm mb-4 border border-info" id="search-field"
        data-url="{{route('backend.roles.search')}}" placeholder="Search">

    <div class="data-results">
        @include('backend.roles.includes.listing')
    </div>
</div>
@if ($roles->hasPages())
<div class="card-footer text-center">
    {{$roles->links()}}
</div>
@endif
</div>
</div>
</div> --}}

@endsection
