@extends('layouts.backend')

@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1>Manage role</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="#">Manage role</a></li>
                            <li class="breadcrumb-item active">Edit role</li>
                        </ol>
                    </div>
                </div>
            </div><!-- /.container-fluid -->
        </section>  

        <div class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-8">
                        <div class="card">
                            <div class="card-header card-header-primary">
                                <h4 class="card-title">Edit role</h4>
                            </div>
                            <div class="card-body">
                                <form method="POST" action="{{ route('backend.role.update', $role->id) }}"
                                    enctype="multipart/form-data">
                                    @method('patch')
                                    @csrf
                                <div class="row">
                                    <div class="col-xs-12 col-sm-12 col-md-12">
                                        <div class="form-group">
                                            <strong>Name:</strong>
                                            <input type="text" class="form-control" value="{{$role->name}}" name="name">
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-12">
                                        <div class="form-group">
                                            <strong>Permission:</strong>
                                            <br/>
                                            @foreach($permissions as $value)
                                                <label>
                                                    <input type="checkbox" value="{{$value->id}}" name="permission_id[]" {{in_array($value->id, $permission_id) ? 'checked' : ''}}>
                                                {{ $value->name }}</label>
                                            <br/>
                                            @endforeach
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                                        <button type="submit" class="btn btn-primary">Submit</button>
                                    </div>
                                </div>
                                </form>
                            </div>
                        </div>
                    </div>



                </div>
            </div>
        </div>
    </div>
    </div>
@endsection
