@extends('layouts.backend')

@section('content')
<style>
    .gallery img{
        width: 10%;
    }
</style>
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Site Settings</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item active">Site Settings</li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>

<div class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-12">
              <div class="card">
                <div class="card-header card-header-primary">
                  <h4 class="card-title">Business Settings</h4>
                </div>
                <div class="card-body">
                    @if(isset($id))
                    <form method="POST" action="{{route('backend.setting.edit',$id->id)}}"
                        enctype="multipart/form-data">
                    @else
                    <form method="POST" action="{{route('backend.setting.edit')}}"
                        enctype="multipart/form-data">
                    @endif

                    @csrf

                    <div class="row">

                      <div class="col-md-3">
                        <div class="form-group">
                          <label class="bmd-label-floating">Business Name</label>
                          <input type="text" name="site_name" value="{{(isset($id))? $id['site_name']:''}}" class="form-control" placeholder="Business name" required="required">
                        </div>
                      </div>

                      <div class="col-md-3">
                        <div class="form-group">
                          <label class="bmd-label-floating">Business Email</label>
                          <input type="text" name="email" value="{{(isset($id))? $id['email']:''}}" class="form-control" placeholder="Business Email" required="required">
                        </div>
                      </div>

                      <div class="col-md-3">
                        <div class="form-group">
                          <label class="bmd-label-floating">Business mobile</label>
                          <input type="text" name="mobile" value="{{(isset($id))? $id['mobile']:''}}" class="form-control" placeholder="Business mobile" required="required">
                        </div>
                      </div>

                      <div class="col-md-3">
                        <div class="form-group">
                          <label class="bmd-label-floating">Business address</label>
                          <input type="text" name="address" value="{{(isset($id))? $id['address']:''}}" class="form-control" placeholder="Business address" required="required">
                        </div>
                      </div>

                    </div>
                    <hr>
                    <h4>Social Media Links</h4>
                    <div class="row">
                      <div class="col-md-3">
                        <div class="form-group">
                          <label class="bmd-label-floating">Business fb link</label>
                          <input type="text" name="fb_link" value="{{(isset($id))? $id['fb_link']:''}}" class="form-control" placeholder="Business fb link" >
                        </div>
                      </div>

                      <div class="col-md-3">
                        <div class="form-group">
                          <label class="bmd-label-floating">Business Instagram link</label>
                          <input type="text" name="insta_link" value="{{(isset($id))? $id['insta_link']:''}}" class="form-control" placeholder="Business Insta link" >
                        </div>
                      </div>

                      <div class="col-md-3">
                        <div class="form-group">
                          <label class="bmd-label-floating">Business Linked In link</label>
                          <input type="text" name="linked_link" value="{{(isset($id))? $id['linked_link']:''}}" class="form-control" placeholder="Business linked in link" >
                        </div>
                      </div>

                      <div class="col-md-3">
                        <div class="form-group">
                          <label class="bmd-label-floating">Business Youtube Channel link</label>
                          <input type="text" name="youtube_link" value="{{(isset($id))? $id['youtube_link']:''}}" class="form-control" placeholder="Business youtube link" >
                        </div>
                      </div>
                    </div>

                    <hr>
                    <h4>Meta Settings</h4>
                    <div class="row">
                      <div class="col-md-3">
                        <div class="form-group">
                          <label class="bmd-label-floating">Meta Tilte</label>
                          <input type="text" name="meta_title" value="{{(isset($id))? $id['meta_title']:''}}" class="form-control" placeholder="Meta Title" >
                        </div>
                      </div>

                      <div class="col-md-3">
                        <div class="form-group">
                          <label class="bmd-label-floating">Meta keyword</label>
                          <input type="text" name="meta_keyword" value="{{(isset($id))? $id['meta_keyword']:''}}" class="form-control" placeholder="Meta Keyword" >
                        </div>
                      </div>

                      <div class="col-md-3">
                        <div class="form-group">
                          <label class="bmd-label-floating">Meta Description</label>
                          <input type="text" name="meta_description" value="{{(isset($id))? $id['meta_description']:''}}" class="form-control" placeholder="Meta Description" >
                        </div>
                      </div>

                    </div>

                    <hr>
                    Website Images
                    <div class="row">
                        <div class="col-md-4">
                            <label class="bmd-label-floating">Header Logo</label>
                            <input type="file" class="form-control"  name="logo_header">
                            <span style="color:red">* favicon icon size approx 300-500px</span>
                            <img src="{{asset('/'.$id['logo_header'])}}" style="width: 80%" alt="">
                        </div>
                        <div class="col-md-4">
                            <label class="bmd-label-floating">Footer Logo</label>
                            <input type="file" class="form-control"  name="logo_footer">
                            <span style="color:red">* favicon icon size approx 300-500px</span>
                            <img src="{{asset('/'.$id['logo_footer'])}}" style="width: 80%" alt="">

                        </div>
                        <div class="col-md-4">
                            <label class="bmd-label-floating">Meta Image</label>
                            <input type="file" class="form-control"  name="meta_image">
                            <span style="color:red">* Meta image  size should be 340X34 px</span>
                            <img src="{{asset('/'.$id['meta_image'])}}" style="width: 40%" alt="">
                        </div>
                        <div class="col-md-4">
                            <label class="bmd-label-floating">Favicon Icon</label>
                            <input type="file" class="form-control"  name="favicon">
                            <span style="color:red">* favicon icon size should be 34X34 px</span>
                            <img src="{{asset('/'.$id['favicon'])}}" style="width: 40%" alt="">
                        </div>

                    </div>

                    <hr>

              <div class="multi-field-wrapper">
                    <button type="submit" class="btn btn-primary pull-right">Submit</button>
                    <div class="clearfix"></div>
                  </form>
                </div>
              </div>
            </div>

          </div>
        </div>
      </div>
</div>
      {{-- <script>
      $(document).ready(function(){
      alert();
        $(".field").change(function(){
          var s = $(this).find(":selected").closest("optgroup");
          $(".hidden").val($(s).attr("label"));
          alert($(s).attr("label"));
        })
      });
      </script> --}}


@endsection
