@extends('layouts.backend')
@push('child-style')
@include('layouts.dataStyles')
@endpush
@section('content')

<div class="content-wrapper">
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Siteseo Manager</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item active">Siteseo</li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>
<!-- /.card -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
<div class="card">
  <div class="card-header">
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#modal-default">
                  Add
                </button>
  </div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example1" class="table table-bordered table-striped">
      <thead>
        <th>ID</th>
        <th>Meta Title</th>
        <th>Meta File</th>
        <th>Created</th>
        <th>Action</th>
      </thead>
      <tbody>
        @php
        $i=1;
        @endphp
        @foreach ($userlist as $item)

        <tr>
          <td>{{ $i }}</td>
          <td> {{ $item->meta_title }}</td>

        <td>
            <img src="{{asset('images/media/'.$item['image'])}}" width="50" alt="">
        </td>
          <td>{{ date('d M,Y',strtotime($item->created_at)) }}</td>
          <td class="text-primary">
            <a class="btn btn-danger btn-round" href="{{ route('backend.siteseo.edit',$item->id) }}">Edit</a>
            <a class="btn btn-warning btn-round" onclick="return confirm('Are you sure you want to delete this item?');" href="{{ route('backend.siteseo.delete',$item->id) }}">Delete</a>


          </td>
        </tr>

        @php
            $i++;
        @endphp
        @endforeach
      </tbody>
      <tfoot>
      <tr>
        <th>ID</th>
        <th>Meta Title</th>
        <th>Meta File</th>
        <th>Created</th>
        <th>Action</th>
      </tr>
      </tfoot>
    </table>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->
</div>
<!-- /.col -->
</div>
<!-- /.row -->
</div>
<!-- /.container-fluid -->
</section>
<!-- /.content -->
</div>

<div class="modal fade" id="modal-default">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h4 class="modal-title">Add Siteseo </h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
            <form method="POST" action="{{route('backend.siteseo.create')}}" enctype="multipart/form-data">
            @csrf

              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <label class="bmd-label-floating">Meta Title</label>
                    <input type="text" name="meta_title" placeholder="Meta Title" class="form-control"  required="required" >
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label class="bmd-label-floating">Meta Keyword</label>
                    <input type="text" name="meta_keyword" placeholder="Meta Keyword" class="form-control"  required="required" >
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label class="bmd-label-floating">Meta Link</label>
                    <input type="text" name="page_link" placeholder="Meta Link" class="form-control"  required="required" >
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="form-group">
                    <label class="bmd-label-floating">Meta Description</label>
                    <textarea name="meta_description" class="form-control" cols="30" rows="5">Meta Description</textarea>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label class="bmd-label-floating">Meta Image</label>
                    <input type="file" name="cat_pic" class="form-control" multiple required="required" >
                  </div>
                </div>
              </div>

            </div>
            <div class="modal-footer justify-content-between">
              <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
              <button type="submit" class="btn btn-primary">Save changes</button>
            </div>
            </form>
          </div>
          <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
      </div>
      <!-- /.modal -->

@endsection
<script>
    function myFunction() {
  /* Get the text field */
  var copyText = document.getElementById("myInput");

  /* Select the text field */
  copyText.select();
  copyText.setSelectionRange(0, 99999); /* For mobile devices */

   /* Copy the text inside the text field */
  navigator.clipboard.writeText(copyText.value);

  /* Alert the copied text */
  alert("Copied the text: " + copyText.value);
}
</script>
@push('child-scripts')
@include('layouts.dataTableScript')
@endpush
