@extends('layouts.backend')

@section('content')
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
<style>
    .gallery img{
        width: 10%;
    }
    .access_grp_label{
      border: 1px solid #bbb;
      padding: 12px 20px;
      display: inline-block;
      width: 100%;
      float: left;
    }
</style>
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Manage Subjects</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="{{route('backend.studentdashboard.subject.additional.index',$id)}}">Subject Page</a></li>

            <li class="breadcrumb-item"><a href="{{route('backend.course.index')}}">Course Page</a></li>
         
            <li class="breadcrumb-item"><a href="{{route('backend.studentdashboard.index',
            $additional->course_id)}}">Student Dashboard</a></li>
            
            <li class="breadcrumb-item active">Add Subject</li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>
 
<div class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-10">
              <div class="card">
                <div class="card-header card-header-primary">
                  
                </div>
                <div class="card-body">
                  <div class="row">
                      <div class="col-sm-12">
                        <form action="{{route('backend.addtional.subject.store')}}" method="POST" enctype="multipart/form-data">
                          @csrf
                          <input type="hidden" name="additional_course_id" value="{{ $id }}">
                          <input type="hidden" name="addtional_course_template_id" value="">

                          <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <select name="subject_template_id" id="subject_template_id"
                                        class="form-control">
                                        <option value="">Select Subject Template</option>
                                        @foreach ($subject_templates as $value)
                                            <option value="{{ $value->subject_id }}">
                                                {{ $value->subject_display_name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div>
                            <br>
                              <p class="text-center">Or</p>
                            <br>
                        </div>

                          <div class="row">
                            <div class="col-sm-6">
                              <!-- text input -->
                              <div class="form-group">
                                <label>Subject Order</label>
                                <input type="number" name="subject_order" id="class_order"  class="form-control" placeholder="Enter Subject Order" onchange="classOrder()">
                                <p style="color: red; display: none;" id="class_order_note">This Subject order already exist!</p>
                              </div>
                            </div>


                            <div class="col-sm-6">
                              <div class="form-group">
                                <label>Subject Id</label>
                                <input type="text" name="subject_id" id="subject_id"  class="form-control" placeholder="Enter Subject Id" onchange="classOrderr()">
                                <p style="color: red; display: none;" id="class_orddder">This Subject id already exist!</p>
                              </div>
                            </div>
                          </div>


                          <div class="row">
                            <div class="col-sm-6">
                              <div class="form-group">
                                <label>Subject Display Name</label>
                                <input type="text" name="subject_display_name" id="product_name"  class="form-control" placeholder="Enter Subject Display Name">
                              </div>
                            </div>

                            
                            <div class="col-sm-6">
                               <div class="form-group">
                                <label>Subject Category</label>
                                <select name="subject_categary_id" id="subject_category_id" class="form-control">
                                    <option value="">Select Subject Category</option>

                                    @foreach ($subject_category as $category)
                                        <option value="{{ $category->id }}">{{ $category->name }}</option>
                                    @endforeach
                                </select>
                            </div> 
                          </div> 
                        </div> 

                        <div class="row">

                          <div class="col-sm-6">
                            <div class="form-group">
                              <label>Link</label>
                              <input type="text" name="link" id="link" class="form-control" placeholder="Enter link">
                            </div>
                          </div>

                          <div class="col-sm-6">
                            <div class="form-group">
                              <label>Var A</label>
                              <input type="text" name="var_a" id="var_a" class="form-control" placeholder="Enter Var a">
                            </div>
                          </div>


                          
                        </div>

               {{--<div class="row">
                <div class="col-sm-6">
                  <div class="form-group">
                    <label>Var B </label>
                    <input type="text" name="var_b" id="var_b" class="form-control" placeholder="Enter Var b">
                  </div>
                </div>



                <div class="col-sm-6">
                  <div class="form-group">
                    <label>Var C</label>
                    <input type="text" name="var_c" id="var_c" class="form-control" placeholder="Enter Var c">
                  </div>
                </div>--}}



                              {{-- <div class="form-group">
                                <label>Chapter Id</label>
                                <input type="text" name="chapter_id" id="product_name"  class="form-control" placeholder="Enter Chapter Id">
                               </div> --}}


                            </div>
                          
                            <div class="row">
                              <div class="col-sm-6">
                                <div class="form-group">
                                  <label>Top Text</label>
                                  <input type="text" name="top_text" id="top_text" class="form-control" placeholder="Enter Top Text">
                                </div>
                              </div>
                            </div>



                          </div>
                                               
                          <button type="submit" class="btn btn-secondary">Submit</button>
                        </form>
                      </div>
                      <div class="col-sm-5">

                      </div>
                  </div>                    
                </div>
              </div>
            </div>

</div>

@endsection


<script>

   function classOrder(){
  var classOrder = $("#class_order").val();

  var url = "{{ route('backend.addtional.subject.order',['id'=>':classOrder']) }}".replace(':classOrder', classOrder);
  $.ajaxSetup({
      headers: {
          'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      }
  });
  $.ajax({
      url: url,
      type: "GET",
      success: function(response) {
          console.log(response);
          if(response > 0){
              $("#class_order").val('');
              $("#class_order_note").css("display", "block");
          }else{
              $("#class_order_note").css("display", "none");
          }
      }
  });
}
</script>




<script>

  function classOrderr(){
 var classOrderr = $("#subject_id").val();
 var url = "{{ route('backend.addtional.subject.orderr',['id'=>':classOrderr']) }}".replace(':classOrderr', classOrderr);
 $.ajaxSetup({
     headers: {
         'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
     }
 });
 $.ajax({
     url: url,
     type: "GET",
     success: function(response) {
         console.log(response);
         if(response > 0){
             $("#subject_id").val('');
             $("#class_orddder").css("display", "block");
         }else{
             $("#class_orddder").css("display", "none");
         }
     }
 });
}
</script>





<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<script>

       $(document).ready(function() {
       $('form').on('submit', function() {
            
            var template = $("#subject_template_id").val();

            if (template == '') {
              var classOrder = $("#class_order").val();
          var url = "{{ route('backend.addtional.subject.order',['id'=>':classOrder']) }}".replace(':classOrder', classOrder);
          $.ajaxSetup({
              headers: {
                  'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
              }
          });
          $.ajax({
              url: url,
          type: "GET",
         success: function(response) {
          console.log(response);
          if(response > 0){
              $("#class_order").val('');
              $("#class_order_note").css("display", "block");
              return false;
          }
      
          else{
              $("#class_order_note").css("display", "none");
              $("form").off("submit").submit();

          }
      }
  });
  return false;
}
});
});
</script>











