@extends('layouts.backend')
@push('child-style')
@include('layouts.dataStyles')
@endpush
@section('content')
<style>
#gotoprompt{
    color: red; /* Set the text color to red */

}
#prompt  {
    color: red; /* Set the text color to red */
}
</style>
<script>
new DataTable('#users');

function getSearchData() {
    var keyword = $('#keyword').val();
    if(keyword.length<3){
        var promptElement = document.getElementById('prompt');

        // Make the element visible by removing the 'hidden' attribute
        promptElement.removeAttribute('hidden');
        console.log("Less than 3");
        return
    }
    if (keyword)
        window.location.href = "{{ route('backend.user.search') }}?keyword=" + keyword;
}
function gotobtn(){
    var pageno =$('#pageno').val();

    if(pageno){
        pageno=parseInt(pageno);  
    }
    else{
        return; 
    }

    if(pageno<=0 || pageno>{{$totalPages}}){
        var promptElement = document.getElementById('gotoprompt');
        promptElement.removeAttribute('hidden');
        return
    }
    
    window.location.href = "{{ route('backend.user.index') }}?page=" + pageno+"&limit={{$limit}}";
}

</script>

<link rel="stylesheet" href="https://cdn.datatables.net/2.0.7/css/dataTables.bootstrap5.css">
<script src="https://cdn.datatables.net/2.0.7/js/dataTables.bootstrap5.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.3.0/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/2.0.7/js/dataTables.js"></script>



<div class="content-wrapper">
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Manage Users</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="#">Home</a></li>
                        <li class="breadcrumb-item active">Manage users</li>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>


    <!-- /.card -->
    <section class="content">
        <div class="container-fluid">
            <div class="row">

                <div class="col-12">
                    <div class="card">
                        
                      

                        <div class="card-header text-right">
                            {{-- <a class="btn btn-light  btn-round " href="{{ route('backend.users.create') }}"> <i
                                class="fa fa-plus"></i> Add user</a> --}}
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">
                        <div class="row mb-1">
                            <div class="col-md-6 offset-md-6">
                                <!-- Search box and button in a single row -->
                                <div class="input-group">
                                    <input type="search" id="keyword" class="form-control" placeholder="Enter atleast 3 characters"/>
                                    <button id="searchbtn" onclick="getSearchData()" class="btn-sm btn btn-primary"
                                        data-mdb-ripple-init>
                                        <i class="fas fa-search"></i>
                                    </button>
                                </div>
                                <p id='prompt' hidden>Enter atleast 3 characters</p>

                            </div>
                            
                        </div>
                        <div class="row mb-1">

                        <div class="col-md-6 offset-md-6">
                                <!-- Search box and button in a single row -->
                                <div class="input-group">
                                <button id="goto" onclick="gotobtn()" class="btn-sm btn btn-primary"
                                        data-mdb-ripple-init>
                                        Go To
                                    </button>
                                    <input type="number" id="pageno" class="form-control" placeholder="Page Number"/>
                                    
                                </div>
                                <p id='gotoprompt' hidden>Enter number between 1 and {{$totalPages}}</p>

                            </div>
                        </div>

                        <div class="row">
                            <!-- Show Entries dropdown and pagination controls in another row -->
                            <div class="col-md-6">
                                <!-- Show Entries dropdown -->
                                <label class="form-label" for="search">Page Number: {{$pageNumber}}</label>

                                <div class="form-outline" data-mdb-input-init>
                                    <label class="form-label" for="search">Showing {{$serialnum}} - {{$serialnum+$userlist->count()-1}} Entries of {{$totalRecords}}</label>
                                    

                                </div>
                            </div>
                            <div class="col-md-6">
                                <!-- Pagination controls -->
                                <nav aria-label="Page navigation example">
                                    <ul class="pagination justify-content-end">
                                    <li class="page-item {{ $pageNumber == 1 ? 'disabled' : '' }}">
                                    <a class="page-link" href="{{ $pageNumber > 1 ? route('backend.user.index', ['limit' => $limit, 'page' => $pageNumber - 1]) : '#' }}">Previous</a>
                                    </li>
                                    
                                @if ($pageNumber >= 3)
                                    <li class="page-item"><a class="page-link" href="{{ route('backend.user.index', ['limit' => $limit, 'page' => 1]) }}">1</a></li>
                                    <li class="page-item"><a class="page-link" href="{{ route('backend.user.index', ['limit' => $limit, 'page' => 2]) }}">2</a></li>
                                    <li class="page-item disabled"><a class="page-link" href="#">...</a></li>
                                @endif
                                @if ($pageNumber != $totalPages)
                                <li class="page-item"><a class="page-link" href="{{ route('backend.user.index', ['limit' => $limit, 'page' => $pageNumber]) }}">{{ $pageNumber }}</a></li>
                                @endif

                                @if ($pageNumber < $totalPages - 1)
                                    <li class="page-item disabled"><a class="page-link" href="#">...</a></li>
                                    <li class="page-item"><a class="page-link" href="{{ route('backend.user.index', ['limit' => $limit, 'page' => $totalPages - 1]) }}">{{ $totalPages - 1 }}</a></li>

                                @endif

                                <li class="page-item"><a class="page-link" href="{{ route('backend.user.index', ['limit' => $limit, 'page' => $totalPages]) }}">{{ $totalPages }}</a></li>
                                    <li class="page-item {{ $pageNumber == $totalPages ? 'disabled' : '' }}">
                                        <a class="page-link" href="{{ $pageNumber < $totalPages ? route('backend.user.index', ['limit' => $limit, 'page' => $pageNumber + 1]) : '#' }}">Next</a>
                                    </li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                            <table id="users" class="table table-bordered table-striped">
                                <thead>
                                    <th>Sr.No.</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Info</th>
                                </thead>
                                <tbody>
                                    @php
                                    $i=$serialnum;
                                    @endphp
                                    @foreach ($userlist as $item)
                                    <tr>
                                        <td>{{ $i }}</td>
                                        <td>{{ ($item->name)? $item->name.' '.$item->lname:'' }}</td>
                                        <td>{{ ($item->email)? $item->email:'' }}</td>
                                        <td>
                                            <a href="{{ route('backend.user.info',$item->id) }}" >Show more</a>
                                        </td>
                                       
                                    </tr>
                                    @php
                                    $i++;
                                    @endphp
                                    @endforeach

                                </tbody>

                            </table>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
</div>

@endsection

@push('child-scripts')
@endpush