@extends('layouts.backend')
@push('child-style')
@include('layouts.dataStyles')
@endpush
@section('content')


@method('POST')

<style>
#prompt {
    color: red;
    /* Set the text color to red */
}

.wide-button {
    width: 150px;
    /* Adjust the width as needed */
}

.wide-block {
    width: 300px;
    /* Adjust the width as needed */
}
</style>
<script>

function postUserDataToSave() {
    var profileOnePlanId = $('#profile_one_plan_id').val()?$('#profile_one_plan_id').val():-1;
    var profileTwoPlanId = $('#profile_two_plan_id').val()?$('#profile_two_plan_id').val():-1;
    if(profileOnePlanId!=null){
        profileOnePlanId=parseInt(profileOnePlanId);
    }
    if(profileTwoPlanId!=null){
        profileTwoPlanId=parseInt(profileTwoPlanId);
    }
    console.log(profileOnePlanId,profileTwoPlanId);

    @if(isset($user_student_profile_plan_one) && isset($user_student_profile_plan_one->plan_id))
        if (profileOnePlanId == parseInt( <?php echo json_encode($user_student_profile_plan_one->plan_id); ?>)) {
            profileOnePlanId = -1;
        }
    @endif

    @if(isset($user_student_profile_plan_two) && isset($user_student_profile_plan_two->plan_id))
        if (profileTwoPlanId == parseInt( <?php echo json_encode($user_student_profile_plan_two->plan_id);?>)) {
            profileTwoPlanId = -1;
        }
    @endif
    if(profileOnePlanId==-1 && profileTwoPlanId==-1){
        return ;
    }

    // Create an object to store the data
    var userData = {
        profileOnePlanId: profileOnePlanId,
        profileTwoPlanId: profileTwoPlanId,
        userId:{{$user->id}},
    };
    console.log(userData);
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
        }
    });
    $.ajax({
        url: "{{ route('backend.user.plan.update') }}",
        type: 'POST',
        contentType: 'application/json',
        data: JSON.stringify(userData),
        success: function(response) {
            alert("Successfully updated data");
            window.location.href ="{{ route('backend.user.info',$user->id) }}";
        },
        error: function(xhr, status, error) {
            alert("Failed to udapte data");
            
        }
    });
}


</script>

<link rel="stylesheet" href="https://cdn.datatables.net/2.0.7/css/dataTables.bootstrap5.css">
<script src="https://cdn.datatables.net/2.0.7/js/dataTables.bootstrap5.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.3.0/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/2.0.7/js/dataTables.js"></script>



<div class="content-wrapper">
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>{{$user->name}}</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="#">Home</a></li>
                        <li class="breadcrumb-item active"><a href="{{route('backend.users.index')}}">Manage users</a>
                        </li>

                        <li class="breadcrumb-item active">{{$user->name}}'s info</li>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>


    <!-- /.card -->
    <section class="content">
        <div class="container-fluid">
            <div class="row">

                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <table class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th>Field</th>
                                        <th>Value</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><strong>ID</strong></td>
                                        <td>{{$user->id}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Name</strong></td>
                                        <td>{{$user->name}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Email</strong></td>
                                        <td>{{$user->email}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Referral Code Applied</strong></td>
                                        <td>{{$user->referral_code_valid=='true'?'YES':'NO'}}</td>
                                    </tr>

                                    <tr>
                                        <td><strong>Profiles</strong></td>
                                        <td>{{$user->profile_one=='true'?($user->profile_two=='true'?'PROFILE-ONE  &  PROFILE-TWO':'PROFILE_ONE'):($user->profile_two=='true'?'PROFILE_TWO':'N/A')}}
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><strong>Profile Type</strong></td>
                                        <td>{{$user->profile_one_type}}</td>
                                    </tr>

                                    <tr>
                                        <td><strong>Onboarded</strong></td>
                                        <td>{{$user->is_onboarded=='true'?'YES':'NO'}}</td>
                                    </tr>

                                    <tr>
                                        <td><strong>Referral ID</strong></td>
                                        <td>{{$user->referral_id}}</td>
                                    </tr>

                                    <tr>
                                        <td><strong>Number of Referrals</strong></td>
                                        <td>{{$number_of_referrals?$number_of_referrals:'N/A'}}</td>
                                    </tr>

                                    @if (isset($user_student_profile_plan_one) && $user_student_profile_plan_one)
                                    
                                    <tr>
                                        <td><strong>Course Id (Profile One)</strong></td>
                                        <td><strong>{{$user_student_profile_plan_one->course_id}}</strong></td>
                                    </tr>
                                    @endif

                                    @if (isset($course_plans_profile_one_list))
                                    {{ csrf_field() }}
                                    <tr>
                                        <td><strong>Plan (Profile One)</strong></td>
                                        <td>
                                           
                                            <select name="profile_one_plan" id="profile_one_plan_id"
                                                class="form-control wide-block">
                                                <option value="0" {{ $user_student_profile_plan_one?($user_student_profile_plan_one->plan_id=='0'?'selected':''):'' }}>Free</option>
                                                @foreach ($course_plans_profile_one_list as $plan)
                                                <option value="{{$plan->id }}"
                                                    {{ $user_student_profile_plan_one?($user_student_profile_plan_one->plan_id==$plan->id?'selected':''):'' }}>
                                                    {{ $plan->plan_name }}
                                                </option>
                                                @endforeach
                                            </select>
                                        </td>
                                    </tr>
                                    @endif
                                    @if (isset($user_student_profile_plan_two) && $user_student_profile_plan_two)
                                     
                                     <tr>
                                         <td><strong>Course Id (Profile Two)</strong></td>
                                         <td><strong>{{$user_student_profile_plan_two->course_id}}</strong></td>
                                     </tr>
                                     @endif

                                    @if (isset($course_plans_profile_two_list))
                                    {{ csrf_field() }}
                                    <tr>
                                        <td><strong>Plan (Profile Two)</strong></td>
                                        <td>

                                            <select name="profile_two_plan" id="profile_two_plan_id"
                                                class="form-control wide-block">
                                                <option value="0" {{ $user_student_profile_plan_two?($user_student_profile_plan_two->plan_id=='0'?'selected':''):'' }}>Free</option>

                                                @foreach ($course_plans_profile_two_list as $plan)
                                                <option value="{{$plan->id}}"
                                                {{ $user_student_profile_plan_two?($user_student_profile_plan_two->plan_id==$plan->id?'selected':''):'' }}>
                                                    {{ $plan->plan_name }}</option>
                                                @endforeach
                                            </select>
                                        </td>
                                    </tr>
                                    @endif

                                    <tr>
                                        <td><strong>User Blocked</strong></td>
                                        <td>{{$user->user_blocked=='true'?'YES':'NO'}}</td>
                                    </tr>

                                    <tr>
                                        <td><strong>Created At</strong></td>
                                        <td>{{$createdat}}</td>
                                    </tr>

                                    <tr>
                                        <td><strong>Last Active</strong></td>
                                        <td>{{$lastactive}}</td>
                                    </tr>

                                </tbody>

                            </table>
                            <br>
                            <div class="text-right">
                                <button class="btn btn-lg btn-primary wide-button"
                                    onclick="postUserDataToSave()">Save</button>
                            </div>

                        </div>


                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
</div>

@endsection

@push('child-scripts')
@endpush