@php
$businessSetiing = \App\helpers::businessetting();

if(isset(request()->route()->parameters['slug']) && !empty(request()->route()->parameters['slug']))
{
    $slug = request()->route()->parameters['slug'];
    $postdetaildata = \App\Models\Siteseo::where('page_link',$slug)->first();

}elseif(isset(request()->route()->uri) && !empty(request()->route()->uri))
{
    $slug = request()->route()->uri;
    $postdetaildata = \App\Models\Siteseo::where('page_link',$slug)->first();
}else{
    $postdetaildata="";
}


//dd($postdetaildata);
@endphp
<!DOCTYPE html>
<html class="wide wow-animation" lang="en">
  <head>
    @if(isset($postdetaildata) && !empty($postdetaildata))
        <title>{{($postdetaildata['meta_title'])? $postdetaildata['meta_title']:$businessSetiing['site_name']}}</title>
    @else

    @if(isset($businessSetiing) && $businessSetiing['meta_title'])
        <title>{{($businessSetiing['meta_title'])? $businessSetiing['meta_title']:$businessSetiing['site_name']}}</title>
    @else
        <title>{{ config('app.name', 'Laravel') }}</title>
    @endif

    @endif
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    @if(isset($postdetaildata) && $postdetaildata['meta_keyword'])
        <meta name="keywords" content="{{$postdetaildata['meta_keyword']}}" />
        <meta name="description" content="{{$postdetaildata['meta_description']}}" />

        <meta property="og:image" content="{{ asset('/images/media/'.$postdetaildata['image'])}}" />
        <meta property="og:image:secure_url" content="{{ asset('/images/media/'.$postdetaildata['image'])}}" />

        <meta property="og:title" content="{{$postdetaildata['meta_title']}}">
        <meta property="og:type" content="article" />
        <meta property="og:url" content="https://thewebpino.com">
        <meta name="twitter:card" content="summary_large_image">

        <!--  Non-Essential, But Recommended -->
        <meta property="og:description" content="{{$postdetaildata['meta_description']}}">
        <meta property="og:site_name" content="WebPino IT Solutions">
        <meta name="twitter:image:alt" content="Article Image">

        <meta property="og:image:width" content="1200" />
        <meta property="og:image:height" content="630" />
        <!--  Non-Essential, But Required for Analytics -->

    @else

    @if(isset($businessSetiing) && $businessSetiing['meta_keyword'])
        <meta name="keywords" content="{{$businessSetiing['meta_keyword']}}" />
        <meta name="description" content="{{$businessSetiing['meta_description']}}" />

        <meta property="og:image" content="{{ asset($businessSetiing['meta_image'])}}" />
        <meta property="og:image:secure_url" content="{{ asset($businessSetiing['meta_image'])}}" />

        <meta property="og:title" content="{{$businessSetiing['meta_title']}}">
        <meta property="og:type" content="article" />
        <meta property="og:url" content="https://thewebpino.com">
        <meta name="twitter:card" content="summary_large_image">

        <!--  Non-Essential, But Recommended -->
        <meta property="og:description" content="{{$businessSetiing['meta_description']}}">
        <meta property="og:site_name" content="WebPino IT Solutions">
        <meta name="twitter:image:alt" content="Article Image">

        <meta property="og:image:width" content="1200" />
        <meta property="og:image:height" content="630" />
        <!--  Non-Essential, But Required for Analytics -->
    @else
        <meta name="keywords" content="Web Application Development Company, Mobile Application Development, logistic app and software, IOS/Android app development company, Android app development company, Responsive website design services, E-commerce website development company, E-commerce shopping cart solution system, Online School Managment and Institute" />
        <meta name="description" content="WebPino is one of the top & leading web app development company in India, USA focusing on iPhone, iPad & Android apps. We Offer web design & development services for custom web applications across the globe." />
        <meta property="og:image" content="{{ asset('logo.png')}}" />
        <meta property="og:image:secure_url" content="{{ asset('logo.png')}}" />
    @endif

    @endif

    @if(isset($businessSetiing) && $businessSetiing['favicon'])
        <link rel="icon" href="{{ asset($businessSetiing['favicon'])}}" type="image/x-icon">
    @else
        <link rel="icon" href="{{ asset('favicon/')}}favicon.ico" type="image/x-icon">
    @endif



    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Raleway:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">

    <!-- Vendor CSS Files -->

    <link href="{{ asset('frontend/vendor/aos/aos.css')}}" rel="stylesheet">
    <link href="{{ asset('frontend/vendor/bootstrap/css/bootstrap.min.css')}}" rel="stylesheet">
    <link href="{{ asset('frontend/vendor/bootstrap-icons/bootstrap-icons.css')}}" rel="stylesheet">
    <link href="{{ asset('frontend/vendor/boxicons/css/boxicons.min.css')}}" rel="stylesheet">
    <link href="{{ asset('frontend/vendor/glightbox/css/glightbox.min.css')}}" rel="stylesheet">
    <link href="{{ asset('frontend/vendor/remixicon/remixicon.css')}}" rel="stylesheet">
    <link href="{{ asset('frontend/vendor/swiper/swiper-bundle.min.css')}}" rel="stylesheet">

    <!-- Template Main CSS File -->
    <link href="{{ asset('frontend/css/style.css')}}" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('backend/plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css')}}">
    <script src="https://cdn.ckeditor.com/4.15.1/standard/ckeditor.js"></script>

  </head>
  <body>

    <!-- ======= Header ======= -->
    <header id="header" class="sticky-top d-flex align-items-center">
      <div class="container">
        <div class="header-container d-flex align-items-center justify-content-between">
          <div class="logos">
            {{-- <h1 class="text-light"><a href="index.html"><span>Jaipur Market</span></a></h1> --}}
            <!-- Uncomment below if you prefer to use an image logo -->
            <a href="{{url('/')}}">
                @if(isset($businessSetiing) && $businessSetiing['logo_header'])
                <img src="{{ asset($businessSetiing['logo_header'])}}" style="width: 180px" alt="" class="img-fluid">
                @else
                <img src="{{ asset('logo.png')}}" style="width: 80%" alt="" class="img-fluid">
                @endif
            </a>
          </div>

          <nav id="navbar" class="navbar">
            <ul>
              <li><a class="nav-link scrollto active" href="{{url('/')}}">Home</a></li>

              
              <li class="dropdown"><a href="#services"><span>Our Experties</span> <i class="bi bi-chevron-down"></i></a>
                <ul>

                </ul>
              </li>
              @php
                    $pages = \App\Models\Pages::All()->where('status',1);
                    @endphp
              @foreach($pages as $page)
              @if($page['slug'] == 'privacy-policy' || $page['slug'] == 'terms-conditions')
              @else
              <li><a class="nav-link " href="{{ route('pages', $page['slug']) }}">{{ $page['title'] }}</a> </li>
              @endif
              @endforeach
              {{-- <li><a class="nav-link scrollto" href="#about">About</a></li> --}}
              {{-- <li><a class="nav-link scrollto " href="#clients">Our Clients</a></li> --}}
              {{-- <li><a class="nav-link scrollto" href="#team">Team</a></li> --}}
              <li><a class="nav-link scrollto" href="#contact">Contact</a></li>
              <li><a class="nav-link scrollto" href="{{route('tips')}}">Blogs</a></li>
              <li><a class="getstarted scrollto" href="javacript:" data-bs-toggle="modal" data-bs-target="#exampleModal">Inquiry Now</a></li>
              <li>
                <a class="getstarted scrollto whatsappbtn" target="_blank" href="https://api.whatsapp.com/send?phone={{$businessSetiing['mobile']}}&text=Hello, I'am interested in your services. Please tell me more details"><i class="bx bxl-whatsapp"></i></a>
                </li>
            </ul>
            <i class="bi bi-list mobile-nav-toggle"></i>
          </nav><!-- .navbar -->

        </div><!-- End Header Container -->
      </div>
    </header>
    <!-- End Header -->

      @yield('content')

  <!-- ======= Footer ======= -->
  <footer id="footer">

    <div class="footer-top">
      <div class="container">
        <div class="row">

          <div class="col-lg-3 col-md-6 footer-contact">
            <h3>
                <a href="{{url('/')}}">
                @if(isset($businessSetiing) && $businessSetiing['logo_footer'])
                <img src="{{ asset($businessSetiing['logo_footer'])}}" style="width: 100%" alt="" class="img-fluid">
                @else
                <img src="{{ asset('logo.png')}}" style="width: 80%" alt="" class="img-fluid">
                @endif
            </a>
            </h3>
            <p>
                @if(isset($businessSetiing) && $businessSetiing['address'])
                <?php echo $businessSetiing['address']; ?>
                @endif
                @if(isset($businessSetiing) && $businessSetiing['mobile'])
                <strong>Phone:</strong><?php echo $businessSetiing['mobile']; ?><br>
                @endif
                @if(isset($businessSetiing) && $businessSetiing['email'])
                <strong>Email:</strong><?php echo $businessSetiing['email']; ?><br>
                @endif

            </p>
          </div>

          <div class="col-lg-2 col-md-6 footer-links">
            <h4>Useful Links</h4>
            <ul>
              <li><i class="bx bx-chevron-right"></i> <a href="{{url('/')}}">Home</a></li>
              <li><i class="bx bx-chevron-right"></i> <a href="{{url('/about')}}">About us</a></li>
              {{-- <li><i class="bx bx-chevron-right"></i> <a href="#">Services</a></li> --}}
              <li><i class="bx bx-chevron-right"></i> 
              <a href="{{ route('pages', 'terms-conditions') }}">Terms of service</a>
              </li>
              <li><i class="bx bx-chevron-right"></i> <a href="{{ route('pages', 'privacy-policy') }}">Privacy policy</a></li>
            </ul>
          </div>


          <div class="col-lg-4 col-md-6 footer-newsletter">
            <h4>Join Our Newsletter</h4>
            <p>Subscribe your email id for future updates.</p>
            <form action="" method="post">
              <input type="email" name="email"><input type="submit" value="Subscribe">
            </form>
          </div>

        </div>
      </div>
    </div>

    <div class="container d-md-flex py-4">

      <div class="me-md-auto text-center text-md-start">
        <div class="copyright">
          &copy; Copyright <strong><span>Bethany</span></strong>. All Rights Reserved
        </div>
        <div class="credits">
          <!-- All the links in the footer should remain intact. -->
          <!-- You can delete the links only if you purchased the pro version. -->
          <!-- Licensing information: https://bootstrapmade.com/license/ -->
          <!-- Purchase the pro version with working PHP/AJAX contact form: https://bootstrapmade.com/bethany-free-onepage-bootstrap-theme/ -->
          Designed by <a href="https://bootstrapmade.com/">BootstrapMade</a>
          Development by <a href="http://thewebpino.com">WebPino</a>
        </div>
      </div>
      <div class="social-links text-center text-md-right pt-3 pt-md-0">
        @if(isset($businessSetiing) && $businessSetiing['fb_link'])
        <a href="{{$businessSetiing['fb_link']}}" class="facebook"><i class="bx bxl-facebook"></i></a>
        @endif
        @if(isset($businessSetiing) && $businessSetiing['insta_link'])
        <a href="{{$businessSetiing['insta_link']}}" class="instagram"><i class="bx bxl-instagram"></i></a>
        @endif
        @if(isset($businessSetiing) && $businessSetiing['linked_link'])
        <a href="{{$businessSetiing['linked_link']}}" class="linkedin"><i class="bx bxl-linkedin"></i></a>
        @endif
        @if(isset($businessSetiing) && $businessSetiing['youtube_link'])
        <a href="{{$businessSetiing['youtube_link']}}" class="google-plus"><i class="bx bxl-youtube"></i></a>
        @endif
      </div>
    </div>
  </footer><!-- End Footer -->

  <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

  <!-- Vendor JS Files -->
  <script src="{{ asset('frontend/vendor/purecounter/purecounter.js')}}"></script>
  <script src="{{ asset('frontend/vendor/aos/aos.js')}}"></script>
  <script src="{{ asset('frontend/vendor/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
  <script src="{{ asset('frontend/vendor/glightbox/js/glightbox.min.js')}}"></script>
  <script src="{{ asset('frontend/vendor/isotope-layout/isotope.pkgd.min.js')}}"></script>
  <script src="{{ asset('frontend/vendor/swiper/swiper-bundle.min.js')}}"></script>
  <script src="{{ asset('frontend/vendor/php-email-form/validate.js')}}"></script>
  <script src="{{ asset('backend/plugins/sweetalert2/sweetalert2.min.js')}}"></script>
    <script src="{{ asset('backend/plugins/toastr/toastr.min.js')}}"></script>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.5/jquery.min.js"></script>
    
  @if (session('error'))
  <script>
  $(document).ready(function() {

    var Toast = Swal.mixin({
      toast: true,
      position: 'top-end',
      showConfirmButton: false,
      timer: 4000
    });
    Toast.fire({
      icon: 'error',
      title: '{{ session('error') }}'
    });
  });
  </script>
@endif

@if (session('success'))
<script>
$(document).ready(function() {

var Toast = Swal.mixin({
  toast: true,
  position: 'top-end',
  showConfirmButton: false,
  timer: 4000
});
Toast.fire({
  icon: 'success',
  title: '{{ session('success') }}'
});
});
</script>
@endif




  <!-- Template Main JS File -->
  <script src="{{ asset('frontend/js/main.js')}}"></script>
  <!-- Button trigger modal -->
{{-- <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
    Launch demo modal
  </button> --}}
  @if(url('/')==env('APP_URL'))
<script>
    $(document).ready(function() {
        setTimeout(function(){
            $('#exampleModal').modal('show');
        }, 6000);
    });
</script>
@endif
  <!-- Modal -->
  <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
      <div class="modal-content rounded-0">
        <div class="modal-body py-0">


          <div class="d-flex main-content">
            <div class="bg-image promo-img mr-3" style="background-image: url({{ asset('frontend/img/img_1.jpg')}});">
            </div>
            <div class="content-text p-4">
              <h3>Submit For CallBack Inquiry</h3>
              <p></p>

              <form action="{{route('visitorinquiriy')}}" method="post">
                @csrf
                <div class="form-group">
                  <label for="email">Your Name</label>
                  <input type="text" class="form-control" id="email" maxlength="30" minlength="3" name="name" placeholder="Your Name " required>
                </div>
                <div class="form-group">
                  <label for="name">Your Mobile Number</label>
                  <input type="text" onkeypress="if ( isNaN(this.value + String.fromCharCode(event.keyCode) )) return false;" maxlength="12" minlength="10"  class="form-control" id="name" name="mobile" placeholder="Enter Your Mobile"  required>
                </div>
                <hr>
                <div class="form-group">
                  <input type="submit" value="Submit" class="btn btn-primary btn-block">
                </div>

              </form>
            </div>
          </div>

        </div>
      </div>
    </div>
  </div>
</body>

</html>
