@php
$businessSetiing = \App\helpers::businessetting();
@endphp
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  @if(isset($businessSetiing) && $businessSetiing['meta_title'])
        <title>{{($businessSetiing['meta_title'])? $businessSetiing['meta_title']:$businessSetiing['site_name']}}</title>
    @else
        <title>{{ config('app.name', 'Laravel') }}</title>
    @endif
  <meta name="csrf-token" content="{{ csrf_token() }}">

  @if(isset($businessSetiing) && $businessSetiing['meta_keyword'])
        <meta name="keywords" content="{{$businessSetiing['meta_keyword']}}" />
        <meta name="description" content="{{$businessSetiing['meta_description']}}" />

        <meta property="og:image" content="{{ asset($businessSetiing['meta_image'])}}" />
        <meta property="og:image:secure_url" content="{{ asset($businessSetiing['meta_image'])}}" />

    @else
        <meta name="keywords" content="Web Application Development Company, Mobile Application Development, logistic app and software, IOS/Android app development company, Android app development company, Responsive website design services, E-commerce website development company, E-commerce shopping cart solution system, Online School Managment and Institute" />
        <meta name="description" content="WebPino is one of the top & leading web app development company in India, USA focusing on iPhone, iPad & Android apps. We Offer web design & development services for custom web applications across the globe." />
        <meta property="og:image" content="{{ asset('logo.png')}}" />
        <meta property="og:image:secure_url" content="{{ asset('logo.png')}}" />
    @endif

    @if(isset($businessSetiing) && $businessSetiing['favicon'])
        <link rel="icon" href="{{ asset($businessSetiing['favicon'])}}" type="image/x-icon">
    @else
        <link rel="icon" href="{{ asset('favicon/')}}favicon.ico" type="image/x-icon">
    @endif

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{ asset('backend/plugins/fontawesome-free/css/all.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Tempusdominus Bootstrap 4 -->
  <link rel="stylesheet" href="{{ asset('backend/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css')}}">
  <!-- iCheck -->
  <link rel="stylesheet" href="{{ asset('backend/plugins/icheck-bootstrap/icheck-bootstrap.min.css')}}">
  <!-- JQVMap -->
  <link rel="stylesheet" href="{{ asset('backend/plugins/jqvmap/jqvmap.min.css')}}">
  
  
  <link rel="stylesheet" href="{{ asset('backend/plugins/select2/css/select2.min.css')}}">
  <link rel="stylesheet" href="{{ asset('backend/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')}}">
  
  <!-- Theme style -->
  <link rel="stylesheet" href="{{ asset('backend/dist/css/adminlte.min.css')}}">
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="{{ asset('backend/plugins/overlayScrollbars/css/OverlayScrollbars.min.css')}}">
  <!-- Daterange picker -->
  <link rel="stylesheet" href="{{ asset('backend/plugins/daterangepicker/daterangepicker.css')}}">
  <!-- summernote -->
  <link rel="stylesheet" href="{{ asset('backend/plugins/summernote/summernote-bs4.min.css')}}">
  <!-- SweetAlert2 -->
  <link rel="stylesheet" href="{{ asset('backend/plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css')}}">
  <!-- Toastr -->
  <link rel="stylesheet" href="{{ asset('backend/plugins/toastr/toastr.min.css')}}">
    <!-- jQuery -->
    <script src="{{ asset('backend/plugins/jquery/jquery.min.js')}}"></script>
    
    <script src="{{ asset('backend/plugins/select2/js/select2.full.min.js')}}"></script>
  <!-- Theme style -->
  @stack('child-style')
  <style>
    .content-wrapper{
      background: #fff !important;
    }

    .btn-secondary{
      background-color: #7c035a !important;
      border-color: #7c035a !important;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">

<div class="wrapper">

  <!-- Preloader -->
  {{-- <div class="preloader flex-column justify-content-center align-items-center">
    @if(isset($businessSetiing) && $businessSetiing['meta_image'])
    <img class="animation__shake" src="{{ asset($businessSetiing['meta_image'])}}" alt="" height="60" width="60">
    @else
    <img class="animation__shake" src="{{ asset('backend/dist/img/AdminLTELogo.png')}}" alt="" height="60" width="60">
    @endif

  </div> --}}

  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>

    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
     
      <li class="nav-item dropdown text-right">
        <a class="nav-link" href="javascript:;" id="navbarDropdownProfile" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <img src="{{ asset('backend/dist/img/user2-160x160.jpg')}}" style="width: 15%;" class="img-circle elevation-2" alt="User Image"> 
          <p class=" d-md-inline pl-1"> {{(\Auth::user())?\Auth::user()->name:''}}</p>
        </a>
        <!-- Authentication Links -->
                @guest
                    @if (Route::has('login'))
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                        </li>
                    @endif

                    @if (Route::has('register'))
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                        </li>
                    @endif
                @else

                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownProfile">
                        {{-- <a class="dropdown-item" href="{{ route('backend.user.editprofile',Auth::user()->id)}}">{{ Auth::user()->name }} Profile</a>

                        <a class="dropdown-item" href="{{ route('backend.setting.edit')}}">Website Settings</a> --}}

                        {{-- <div class="dropdown-divider"></div> --}}
                        <a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault();
                                             document.getElementById('logout-form').submit();">Log out</a>
                    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                        @csrf
                    </form>
                </div>
                @endguest

      </li>

      <!-- Notifications Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="far fa-bell"></i>
        </a>

      </li>
     
    </ul>
  </nav>
  <!-- /.navbar -->
@php
$urlname = Route::current()->getName();
@endphp
  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-light-primary elevation-1">
    <!-- Brand Logo -->
    <a href="{{ url('/') }}" target="_blank" class="brand-link">

    @if(isset($businessSetiing) && $businessSetiing['meta_image'])
      {{-- <img src="{{ asset($businessSetiing['meta_image']) }}" width="100" alt=""> --}}
    <span class="brand-text font-weight-light">{{ config('app.name', 'Laravel') }}</span>
    @else
    
    <span class="brand-text font-weight-light">{{ config('app.name', 'Laravel') }}</span>
    @endif


    </a>

    <!-- Sidebar -->
    <div class="sidebar">

      <!-- SidebarSearch Form -->
      {{-- <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div> --}}

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          {{-- <li class="nav-item menu-open">
            <a href="{{ route('backend.home') }}" class="nav-link {{($urlname=='backend.home')?'active':''}} ">            
              <p>
                Dashboard
              </p>
            </a>
          </li> --}}
          {{-- <li class="nav-item menu-open">
            <a href="{{ route('backend.class.index') }}" class="nav-link {{($urlname=='backend.class.index')?'active':''}} ">            
              <p>
                Manage Class
              </p>
            </a>
          </li> --}}
          <li class="nav-item menu-open">
            <a href="{{ route('backend.transactions.index') }}"  class="nav-link {{ (Route::is('backend.transactions.*'))?'active':'' }}">            
              <p>
                Transactions
              </p>
            </a>
          </li> 
          <li class="nav-item menu-open">
            <a href="{{ route('backend.users.index') }}" class="nav-link {{ (Route::is('backend.users.*')) || (Route::is('backend.user.*'))?'active':'' }}">            
              <p>
                Users
              </p>
            </a>
          </li>

          <li class="nav-item menu-open">
            <a href="{{ route('backend.board.index') }}" class="nav-link {{(Route::is('backend.board.*') || Route::is('backend.class.*') )?'active':''}} ">            
              <p>
                Boards
              </p>
            </a>
          </li>

          <li class="nav-item menu-open">
            <a href="{{ route('backend.course.index') }}" class="nav-link {{(Route::is('backend.studentdashboard.*') || Route::is('backend.course.*'))?'active':''}}">
              <p>
                Manage Course
              </p>
            </a>
          </li>

          <li class="nav-item menu-open">
            <a href="{{ route('backend.subject.index') }}" class="nav-link  {{(Route::is('backend.subject.*') || Route::is('backend.subject_pdf.*'))?'active':''}}">
              <p>
                Subject Template
              </p>
            </a>
            
            {{-- <a href="{{ route('backend.subject.index') }}" class="nav-link {{($urlname=='backend.subject.index')?'active':''}} ">
            
              <p>
                Subject Template
              </p>

            </a> --}}
          </li>

          <li class="nav-item menu-open">

            <a href="{{ route('backend.chapter.index') }}" class="nav-link {{ (Str::startsWith(Route::currentRouteName(), 'backend.chapter')) ? 'active' : '' }}">
              <p>
                Chapter Template
              </p>
            </a>
            

            {{-- <a href="{{ route('backend.chapter.index') }}" class="nav-link {{($urlname=='backend.chapter.index')?'active':''}} ">
              <p>
                Chapter Template
              </p>
            </a> --}}
          </li> 
          
          <li class="nav-item menu-open">
            <a href="{{ route('backend.banner.index') }}" class="nav-link {{(Route::is('backend.banner.*')
            )?'active':''}} ">
              <p>
                Banner Template
              </p>
            </a>
          </li> 

          {{-- addtional.subject.addtional_subject --}}
          <li class="nav-item menu-open">

            <a href="{{ route('backend.addtional.index') }}" class="nav-link {{ Route::is('backend.addtional.*') ? 'active' : '' }}">
              <p>
                Additional Course Template
              </p>
            </a>
            {{-- <a href="{{ route('backend.addtional.index') }}" class="nav-link {{($urlname=='backend.addtional.index')?'active':''}} ">
              <p>
                Additional Course Template
              </p>
            </a> --}}
          </li>


          <li class="nav-item {{ (Route::is('backend.stream.*') || Route::is('backend.medium.*') || Route::is('backend.plantype.*') || Route::is('backend.subjectcategory.*')  || Route::is('backend.appurls.*'))  ? 'menu-open' : '' }}" style="background-color: rgba(0,0,0,.1); color: #212529;">
            <a href="#" class="nav-link {{ (Route::is('backend.stream.*') || Route::is('backend.medium.*') || Route::is('backend.plantype.*') || Route::is('backend.subjectcategory.*')  || Route::is('backend.appurls.*')) ? 'active' : '' }}" >
              <p>
                Site Setting
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="{{ route('backend.stream.index') }}" class="nav-link {{(Route::is('backend.stream.*')) ? 'active' : '' }}">
                  <i class="fas fa-stream"></i>
                  <p>Stream</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="{{ route('backend.medium.index') }}" class="nav-link {{(Route::is('backend.medium.*')) ? 'active' : '' }}">
                  <i class="fas fa-text-width"></i>
                  <p>Medium</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="{{ route('backend.plantype.index') }}" class="nav-link {{(Route::is('backend.plantype.*')) ? 'active' : '' }}">
                  <i class="far fa-list-alt"></i>
                  <p>Plan Type</p>
                </a>
              </li>

              <li class="nav-item">
                <a href="{{ route('backend.subjectcategory.index') }}" class="nav-link {{(Route::is('backend.subjectcategory.*')) ? 'active' : '' }}">
                  <i class="fas fa-book"></i>
                  <p>Subject Category</p>
                </a>
              </li>
                <li class="nav-item">
                  <a href="{{ route('backend.appurls.index') }}"
                    class="nav-link {{(Route::is('backend.appurls.*')) ? 'active' : '' }}">
                    <i class="fas fa-book"></i>
                    <p>App Urls</p>
                  </a>
                </li>
            </ul>


          </li> 



          {{-- <li class="nav-item menu-open">
            <a href="{{ route('backend.addtional.index') }}" class="nav-link {{($urlname=='backend.addtional.index')?'active':''}} ">
              <p>
                Addtional Course Template
              </p>
            </a>
          </li>  --}}

          
          <?php /* ?>
          @if(Auth::guard('web')->user()->can('manage documents index', 'web'))
          <li class="nav-item">
            <a href="{{ route('backend.documents.index') }}" class="nav-link {{($urlname=='backend.documents.index')?'active':''}}">
            
              <p>
                Manage documents
              </p>
            </a>
          </li>
          @endif
          @if(Auth::guard('web')->user()->can('view approve documents', 'web'))
          <li class="nav-item">
            <a href="{{ route('backend.docrequest.index') }}" class="nav-link {{($urlname=='backend.docrequest.index')?'active':''}}">
          
              <p>
                Approve requests
              </p>
            </a>
          </li>
          @endif
          @if(Auth::guard('web')->user()->can('manage users', 'web'))
          <li class="nav-item">
            <a href="{{ route('backend.user.index') }}" class="nav-link {{($urlname=='backend.user.index')?'active':''}}">
             
              <p>
                Manage users
                {{-- <span class="right badge badge-danger">New</span> --}}
              </p>
            </a>
          </li>
          @endif
          
          @if(Auth::guard('web')->user()->can('manage whitelist domains', 'web'))
          <li class="nav-item">
            <a href="{{ route('backend.whitelistdomains.index') }}" class="nav-link {{($urlname=='backend.whitelistdomains.index')?'active':''}}">
              <p>
                Whitelist domains
              </p>
            </a>
          </li>
          @endif

          @if(Auth::guard('web')->user()->can('manage products', 'web'))
          <li class="nav-item">
            <a href="{{ route('backend.product.index') }}" class="nav-link {{($urlname=='backend.product.index')?'active':''}}">
              <p>
                Manage products
              </p>
            </a>
          </li>
          @endif

          @if(Auth::guard('web')->user()->can('manage roles', 'web'))
          <li class="nav-item">
            <a href="{{ route('backend.role.index') }}" class="nav-link {{($urlname=='backend.role.index')?'active':''}}">
              <p>
                Manage roles
              </p>
            </a>
          </li>
          @endif
          @if(Auth::guard('web')->user()->hasPermissionTo('manage permission', 'web'))
          <!--<li class="nav-item">-->
          <!--  <a href="{{ route('backend.permission.index') }}" class="nav-link {{($urlname=='backend.permission.index')?'active':''}}">-->
          <!--    <p>-->
          <!--      Manage permission-->
          <!--    </p>-->
          <!--  </a>-->
          <!--</li>-->
          @endif

          {{-- <li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-chart-pie"></i>
              <p>
                Page Builder
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="{{route('backend.media.index')}}" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Media Group</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="{{route('backend.page.index')}}" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Pages</p>
                </a>
              </li>
              
              <li class="nav-item">
                <a href="{{route('backend.siteseo.index')}}" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>SEO Manager</p>
                </a>
              </li>

            </ul>
          </li> --}}

          <?php */ ?>

        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  {{-- dashboard content --}}
  @yield('content')
  {{-- dashboard content --}}

  <!-- /.content-wrapper -->
  <footer class="main-footer">
    <span class="text-left d-inline">
      <strong>Version 1.0 </strong>
    </span>
    <span class="text-right d-inline">
      <strong> | Copyright &copy; 2023 <a href="#">Nodia</a></strong>
    </span>
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->
<!-- Modal -->
<div class="modal fade" id="commanmodal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="commanmodalModalLongTitle"></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body"></div>
    </div>
  </div>
</div>


  <!-- jQuery UI 1.11.4 -->
  <script src="{{ asset('backend/plugins/jquery-ui/jquery-ui.min.js')}}"></script>
  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    $.widget.bridge('uibutton', $.ui.button)
  </script>
  <!-- Bootstrap 4 -->
  <script src="{{ asset('backend/plugins/bootstrap/js/bootstrap.bundle.min.js')}}"></script>

<!-- ChartJS -->
<script src="{{ asset('backend/plugins/chart.js/Chart.min.js')}}"></script>
<!-- Sparkline -->
<script src="{{ asset('backend/plugins/sparklines/sparkline.js')}}"></script>
<!-- JQVMap -->
<script src="{{ asset('backend/plugins/jqvmap/jquery.vmap.min.js')}}"></script>
<script src="{{ asset('backend/plugins/jqvmap/maps/jquery.vmap.usa.js')}}"></script>
<!-- jQuery Knob Chart -->
<script src="{{ asset('backend/plugins/jquery-knob/jquery.knob.min.js')}}"></script>
<!-- daterangepicker -->
<script src="{{ asset('backend/plugins/moment/moment.min.js')}}"></script>
<script src="{{ asset('backend/plugins/daterangepicker/daterangepicker.js')}}"></script>
<!-- Tempusdominus Bootstrap 4 -->
<script src="{{ asset('backend/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js')}}"></script>
<!-- Summernote -->
<script src="{{ asset('backend/plugins/summernote/summernote-bs4.min.js')}}"></script>
<!-- overlayScrollbars -->
<script src="{{ asset('backend/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js')}}"></script>
<!--  App -->
<script src="{{ asset('backend/dist/js/adminlte.js')}}"></script>
<!--  for demo purposes -->
<script src="{{ asset('backend/dist/js/demo.js')}}"></script>
<!--  dashboard demo (This is only for demo purposes) -->
<script src="{{ asset('backend/dist/js/pages/dashboard.js')}}"></script>

<script src="{{ asset('backend/plugins/sweetalert2/sweetalert2.min.js')}}"></script>
<script src="{{ asset('backend/plugins/toastr/toastr.min.js')}}"></script>
  <!--  for demo purposes -->
<script src="{{ asset('backend/dist/js/demo.js')}}"></script>

    @if (session('error'))
        <script>
        $(document).ready(function() {

          // var Toast = Swal.mixin({
          //   toast: true,
          //   position: 'top-end',
          //   showConfirmButton: false,
          //   timer: 3000
          // });
          Swal.fire({
            icon: 'error',
            title: '{{ session('error') }}'
          });
        });
        </script>
  @endif
  @if (session('success'))
  <script>
    $(document).ready(function() {

      Swal.fire({
        icon: 'success',
        title: '{{ session('success') }}'
      });
    });
    </script>

  @endif

  {{-- <script>
    $(function () {
      // Summernote
      $('#summernote').summernote()

      // CodeMirror
      CodeMirror.fromTextArea(document.getElementById("codeMirrorDemo"), {
        mode: "htmlmixed",
        theme: "monokai"
      });
    })
  </script> --}}
 

  @stack('child-scripts')
</body>
</html>
