<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Api\UserController;
use App\Http\Controllers\Api\PassportAuthController;
use App\Http\Controllers\Api\ApiController;


Route::post('/google_login',[UserController::class,'loginOrRegister']);
//comment by adi
// Route::get('/student/get_subject_data',[UserController::class,'get_subject_data']);

Route::get('onboarding',[ApiController::class,'onboarding']);

Route::post('student/insert_course_id',[ApiController::class,'insert_course_id']);

Route::post('redeem_refer_code',[ApiController::class,'redeem_refer_code']);

Route::get('student/get_dashboard_data',[ApiController::class,'student_dashboard_data']);
// Route::post('/user_login',[UserController::class,'user_login']);

Route::get('student/get_course_data',[ApiController::class,'getCourseId']);

Route::get('student/get_subject_data',[ApiController::class,'student_subject_data']);

Route::get('student/get_additional_subject_data',[ApiController::class,'student_additional_subject_data']);

Route::get('student/get_chapter_data',[ApiController::class,'get_chapter_data']);

Route::get('student/get_additional_chapter_data',[ApiController::class,'get_additional_chapter_data']);

Route::get('student/get_optional_subjects_additional_courses',[ApiController::class,'get_optional_subjects_additional_courses']);

Route::post('student/update_optional_subjects_additional_courses',[ApiController::class,'update_optional_subjects_additional_courses']);
Route::get('student/get_profile_data',[ApiController::class,'get_profile_data']);
Route::get('student/get_plan_details',[ApiController::class,'get_plan_details']);
Route::get('student/get_help_url',[ApiController::class,'get_help_url']);
Route::get('student/get_app_url',[UserController::class,'get_app_url']);
Route::get('student/get_referral_ids',[ApiController::class,'get_referral_ids']);
Route::post('student/update_last_active',[ApiController::class,'update_last_active']);
Route::post('student/generate_order_id',[ApiController::class,'generate_order_id']);
Route::post('student/razorpay_payment_success',[ApiController::class,'razorpay_payment_success']);

Route::post('register', [PassportAuthController::class, 'register']);
Route::post('login', [PassportAuthController::class, 'login']);
Route::delete('user/delete',[ApiController::class,'delete_user']);

Route::get('/city-list', [UserController::class, 'index']);
Route::get('/user', 'Api\UserController@index');
Route::get('/about', 'Api\UserController@about');

Route::middleware('auth:api')->group(function () {
    Route::get('get-user', [PassportAuthController::class, 'userInfo']);
    Route::post('logout', [PassportAuthController::class, 'logout']);    
    //Time tracking
    // Route::get('trackings',[TrackingController::class, 'index']);
     // Route::post('tracking', [TrackingController::class, 'store']);
    // Route::post('tracking/selfie', [TrackingController::class, 'captureselfie']);
    // Route::post('tracking/selfielist', [TrackingController::class, 'selfielist']);
});