    <?php

    use Illuminate\Support\Facades\Route;
    use Illuminate\Support\Facades\Auth;
    use Illuminate\Support\Facades\Artisan;
    /*
    |--------------------------------------------------------------------------
    | Web Routes
    |--------------------------------------------------------------------------
    |
    | Here is where you can register web routes for your application. These
    | routes are loaded by the RouteServiceProvider within a group which
    | contains the "web" middleware group. Now create something great!
    |
    */
    //Clear Cache facade value:
    Route::get('/clearcache', function () {
        Artisan::call('cache:clear');
        Artisan::call('optimize');
        Artisan::call('route:cache');
        Artisan::call('route:clear');
        Artisan::call('view:clear');
        Artisan::call('config:cache');
        return '<h1>Cache facade value cleared</h1>';
    });

    Route::get('/', function () {
        return view('auth/login');
    });

    //Route::get('/', 'Auth\LoginController@login_view')->name('login');

    Auth::routes();
    // 1859
    //backend route...
    Route::group(['namespace' => 'backend','as'=>'backend.','middleware' => ['admin']], function () {

        Route::group(['as'=>'users.'], function () {
            Route::get('users', 'UsersController@index')->name('index');
        });
        Route::get('transactions/index', 'TransactionsController@index')->name('transactions.index');
Route::get('transactions/search', 'TransactionsController@search')->name('transactions.search');
        // start classes module route
    Route::get('class/index', 'ClassesController@index')->name('class.index');
    
    Route::get('class/board-classes/{id}', 'ClassesController@boardclasses')->name('class.boardclasses');
    Route::get('class/create/{id}', 'ClassesController@create')->name('class.create');
    Route::post('class/store', 'ClassesController@store')->name('class.store');
    Route::get('class/edit/{id}', 'ClassesController@edit')->name('class.edit');
    Route::post('class/update/{id}', 'ClassesController@update')->name('class.update');
    Route::match(['get','post'], '/class/status/{id}/{status}', 'ClassesController@status')->name('class.status');
    Route::match(['get','post'], '/class/delete/{id}', 'ClassesController@delete')->name('class.delete');
    
    Route::get('class/order/{board_id}/{order}', 'ClassesController@class_order')->name('class.order');
    Route::get('class/order/id/{id}', 'ClassesController@class_Id')->name('class.id');
    // end classes module route
    
      // start appurls module route
    Route::get('appurls/index', 'AppUrlsController@index')->name('appurls.index');
    Route::get('appurls/create', 'AppUrlsController@create')->name('appurls.create');
    Route::post('appurls/store', 'AppUrlsController@store')->name('appurls.store');
    Route::get('appurls/edit/{id}', 'AppUrlsController@edit')->name('appurls.edit');
    Route::post('appurls/update/{id}', 'AppUrlsController@update')->name('appurls.update');
    Route::match(['get', 'post'], '/appurls/status/{id}/{status}', 'AppUrlsController@status')->name('appurls.status');
    Route::match(['get', 'post'], '/appurls/delete/{id}', 'AppUrlsController@delete')->name('appurls.delete');
    Route::get('/appurls/update-menu-display/{id}','AppUrlsController@updateMenuDisplay')->name('appurls.update.menudisplay');
    // end appurls module route

    Route::post('additional/subject/chapter/pdf/update', 'AdditionalCourseSubjectChapterPdfController@chapter_update')->name('additional.subject.chapter.pdf.pdf');

    // start board module route
    Route::get('board/index', 'BoardController@index')->name('board.index');
    Route::get('board/create', 'BoardController@create')->name('board.create');
    Route::post('board/store', 'BoardController@store')->name('board.store');
    Route::get('board/edit/{id}', 'BoardController@edit')->name('board.edit');
    Route::post('board/update/{id}', 'BoardController@update')->name('board.update');
    Route::match(['get','post'], '/board/status/{id}/{status}', 'BoardController@status')->name('board.status');
    Route::match(['get','post'], '/board/delete/{id}', 'BoardController@delete')->name('board.delete');
    Route::get('board/order/{id}', 'BoardController@board_order')->name('board.order');
    Route::get('board/id/order/{id}', 'BoardController@board_Id')->name('board.id');
    // end board module route


    // start Stream
    Route::get('stream/index', 'StreamController@index')->name('stream.index');
    Route::get('stream/create', 'StreamController@create')->name('stream.create');
    Route::post('stream/store', 'StreamController@store')->name('stream.store');
    Route::get('stream/edit/{id}', 'StreamController@edit')->name('stream.edit');
    Route::post('stream/update/{id}', 'StreamController@update')->name('stream.update');
    Route::match(['get','post'], '/stream/status/{id}/{status}', 'StreamController@status')->name('stream.status');
    Route::match(['get','post'], '/stream/delete/{id}', 'StreamController@delete')->name('stream.delete');
    // end Stream

    // start medium
    Route::get('medium/index', 'MediumController@index')->name('medium.index');
    Route::get('medium/create', 'MediumController@create')->name('medium.create');
    Route::post('medium/store', 'MediumController@store')->name('medium.store');
    Route::get('medium/edit/{id}', 'MediumController@edit')->name('medium.edit');
    Route::post('medium/update/{id}', 'MediumController@update')->name('medium.update');
    Route::match(['get','post'], '/medium/status/{id}/{status}', 'MediumController@status')->name('medium.status');
    Route::match(['get','post'], '/medium/delete/{id}', 'MediumController@delete')->name('medium.delete');
    // end medium

    // start plan tye
    Route::get('plantype/index', 'PlanTypeController@index')->name('plantype.index');
    Route::get('plantype/create', 'PlanTypeController@create')->name('plantype.create');
    Route::post('plantype/store', 'PlanTypeController@store')->name('plantype.store');
    Route::get('plantype/edit/{id}', 'PlanTypeController@edit')->name('plantype.edit');
    Route::post('plantype/update/{id}', 'PlanTypeController@update')->name('plantype.update');
    Route::match(['get','post'], '/plantype/status/{id}/{status}', 'PlanTypeController@status')->name('plantype.status');
    Route::match(['get','post'], '/plantype/delete/{id}', 'PlanTypeController@delete')->name('plantype.delete');
    // end plan type

    // start subjectcategory
    Route::get('subjectcategory/index', 'SubjectCategoryController@index')->name('subjectcategory.index');
    Route::get('subjectcategory/create', 'SubjectCategoryController@create')->name('subjectcategory.create');
    Route::post('subjectcategory/store', 'SubjectCategoryController@store')->name('subjectcategory.store');
    Route::get('subjectcategory/edit/{id}', 'SubjectCategoryController@edit')->name('subjectcategory.edit');
    Route::post('subjectcategory/update/{id}', 'SubjectCategoryController@update')->name('subjectcategory.update');
    Route::match(['get','post'], '/subjectcategory/status/{id}/{status}', 'SubjectCategoryController@status')->name('subjectcategory.status');
    Route::match(['get','post'], '/subjectcategory/delete/{id}', 'SubjectCategoryController@delete')->name('subjectcategory.delete');
    // end subjectcategory

    // start addtional template
    Route::get('addtional/index', 'AddtionalController@index')->name('addtional.index');
    Route::get('addtional/create', 'AddtionalController@create')->name('addtional.create');
    Route::post('addtional/store', 'AddtionalController@store')->name('addtional.store');
    Route::get('addtional/edit/{id}', 'AddtionalController@edit')->name('addtional.edit');
    Route::post('addtional/update/{id}', 'AddtionalController@update')->name('addtional.update');
    Route::match(['get','post'], '/addtional/status/{id}/{status}', 'AddtionalController@status')->name('addtional.status');
    Route::match(['get','post'], '/addtional/delete/{id}', 'AddtionalController@delete')->name('addtional.delete');
    Route::get('addtional/addtional/order/{id}', 'AddtionalController@addtional_order')->name('addtional.template.order');
    // end addtional template


    // start addtional Course Subject
    Route::get('addtional/subject/index','AdditionalCourseSubjectController@index')->name('addtional.subject.index');
    Route::get('addtional/subjects/{id}','AdditionalCourseSubjectController@addtional_subject')->name('addtional.subject.addtional_subject');

    Route::get('addtional/subject/create/{id}','AdditionalCourseSubjectController@create')->name('addtional.subject.create');
    Route::post('addtional/subject/store','AdditionalCourseSubjectController@store')->name('addtional.subject.store');
    Route::get('addtional/subject/edit/{id}','AdditionalCourseSubjectController@edit')->name('addtional.subject.edit');
    Route::post('addtional/subject/update/{id}','AdditionalCourseSubjectController@update')->name('addtional.subject.update');
    Route::match(['get','post'], '/addtional/subject/status/{id}/{status}', 'AdditionalCourseSubjectController@status')->name('addtional.subject.status');
    Route::match(['get','post'], '/addtional/subject/delete/{id}', 'AdditionalCourseSubjectController@delete')->name('addtional.subject.delete');
    Route::get('addtional/subjects/order/{id}', 'AdditionalCourseSubjectController@class_order')->name('addtional.subject.order');
    Route::get('addtional/subjects/orderr/{id}', 'AdditionalCourseSubjectController@subject_id')->name('addtional.subject.orderr');
    // end addtional Course Subject

    // start additional course 
    Route::get('studentdashboard/subject/additional/index/{id}','AdditionalCourseSubjectController@additional_subject')->name('studentdashboard.subject.additional.index');
    Route::get('studentdashboard/additional/subject/create/{id}','AdditionalCourseSubjectController@additional_course_create')->name('studentdashboard.additional.subject.create');
    Route::get('studentdashboard/addtional/subject/edit/{id}','AdditionalCourseSubjectController@additional_course_edit')->name('studentdashboard.addtional.subject.edit');
    // end additional course

    // start additional subject chapter
    Route::get('addtional/subject/index','AdditionalCourseSubjectChapterController@index')->name('addtional.subject.index');
    Route::get('addtional/subject/chapters/{id}','AdditionalCourseSubjectChapterController@subject_chapter')->name('addtional.subject.subject_chapter');

    Route::get('addtional/subject/chapter/create/{id}','AdditionalCourseSubjectChapterController@create')->name('addtional.subject.chapter.create');
    Route::post('addtional/subject/chapter/store','AdditionalCourseSubjectChapterController@store')->name('addtional.subject.chapter.store');
    Route::get('addtional/subject/chapter/edit/{id}','AdditionalCourseSubjectChapterController@edit')->name('addtional.subject.chapter.edit');
    Route::post('addtional/subject/chapter/update/{id}','AdditionalCourseSubjectChapterController@update')->name('addtional.subject.chapter.update');
    Route::match(['get','post'], '/addtional/subject/chapter/status/{id}/{status}', 'AdditionalCourseSubjectChapterController@status')->name('addtional.subject.chapter.status');
    Route::match(['get','post'], '/addtional/subject/chapter/delete/{id}', 'AdditionalCourseSubjectChapterController@delete')->name('addtional.subject.chapter.delete');
    Route::get('addtional/subject/chapters/order/{subjectid}/{id}', 'AdditionalCourseSubjectChapterController@chapter_order')->name('addtional.subject.chapter.order');
    Route::get('addtional/subject/chapters/orderr/{id}', 'AdditionalCourseSubjectChapterController@chapterorder_order')->name('addtional.subject.chapter.orderr');
    // end additional subject chap


    // start additional template seperator
    Route::get('addtional/subject/seperator/create/{id}','AdditionalCourseSubjectChapterController@seperator_create')->name('addtional.subject.seperator.create');
    Route::post('addtional/subject/seperator/store','AdditionalCourseSubjectChapterController@seperator_store')->name('addtional.subject.seperator.store');
    Route::get('addtional/subject/seperator/edit/{id}','AdditionalCourseSubjectChapterController@seperator_edit')->name('addtional.subject.seperator.edit');
    Route::post('addtional/subject/seperator/update/{id}','AdditionalCourseSubjectChapterController@seperator_update')->name('addtional.subject.seperator.update');
    Route::match(['get','post'], '/addtional/subject/seperator/status/{id}/{status}', 'AdditionalCourseSubjectChapterController@seperator_status')->name('addtional.subject.seperator.status');
    Route::match(['get','post'], '/addtional/subject/seperator/delete/{id}', 'AdditionalCourseSubjectChapterController@seperator_delete')->name('addtional.subject.seperator.delete');
    Route::get('addtional/subject/seperator/order/{subjectid}/{id}', 'AdditionalCourseSubjectChapterController@seperator_order')->name('addtional.subject.seperator.order');
    // end additional template seperator

    // start additional template banner
    Route::get('addtional/subject/banner/create/{id}/{type}','AdditionalCourseSubjectChapterController@banner_create')->name('addtional.subject.banner.create');
    Route::post('addtional/subject/banner/store','AdditionalCourseSubjectChapterController@banner_store')->name('addtional.subject.banner.store');
    Route::get('addtional/subject/banner/edit/{id}','AdditionalCourseSubjectChapterController@banner_edit')->name('addtional.subject.banner.edit');
    Route::post('addtional/subject/banner/update/{id}','AdditionalCourseSubjectChapterController@banner_update')->name('addtional.subject.banner.update');
    Route::match(['get','post'], '/addtional/subject/banner/status/{id}/{status}', 'AdditionalCourseSubjectChapterController@banner_status')->name('addtional.subject.banner.status');
    Route::match(['get','post'], '/addtional/subject/banner/delete/{id}', 'AdditionalCourseSubjectChapterController@banner_delete')->name('addtional.subject.banner.delete');
    Route::get('addtional/subject/banner/order/{subjectid}/{id}/{bannertype}', 'AdditionalCourseSubjectChapterController@banner_order')->name('addtional.subject.banner.order');
    // end additional template banner


    // student dashboard additional subject chapter start
    Route::get('studentdashboard/addtional/subject/index','AdditionalCourseSubjectChapterController@index')->name('studentdashboard.addtional.subject.index');

    Route::get('studentdashboard/addtional/subject/chapters/{id}','AdditionalCourseSubjectChapterController@additional_subject_chapter')->name('studentdashboard.addtional.subject.subject_chapter');
    Route::get('studentdashboard/addtional/subject/chapter/create/{id}','AdditionalCourseSubjectChapterController@chapter_create')->name('studentdashboard.addtional.subject.chapter.create');
    Route::post('studentdashboard/addtional/subject/chapter/store','AdditionalCourseSubjectChapterController@chapter_store')->name('studentdashboard.addtional.subject.chapter.store');
    Route::get('studentdashboard/addtional/subject/chapter/edit/{id}','AdditionalCourseSubjectChapterController@chapter_edit')->name('studentdashboard.addtional.subject.chapter.edit');
    Route::post('studentdashboard/addtional/subject/chapter/update/{id}','AdditionalCourseSubjectChapterController@chapter_update')->name('studentdashboard.addtional.subject.chapter.update');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/status/{id}/{status}', 'AdditionalCourseSubjectChapterController@chapter_status')->name('studentdashboard.addtional.subject.chapter.status');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/delete/{id}', 'AdditionalCourseSubjectChapterController@chapter_delete')->name('studentdashboard.addtional.subject.chapter.delete');
    Route::get('studentdashboard/addtional/subject/chapter/order/{subjectid}/{id}', 'AdditionalCourseSubjectChapterController@chaptersubject_order')->name('studentdashboard.addtional.subject.chapter.order');

    // student dashboard additional subject chapter end

    // student dashboard additional subject banner start
    Route::get('studentdashboard/addtional/subject/banner/create/{id}/{type}','AdditionalCourseSubjectChapterController@course_banner_create')->name('studentdashboard.addtional.subject.banner.create');
    Route::post('studentdashboard/addtional/subject/banner/store','AdditionalCourseSubjectChapterController@course_banner_store')->name('studentdashboard.addtional.subject.banner.store');
    Route::get('studentdashboard/addtional/subject/banner/edit/{id}','AdditionalCourseSubjectChapterController@course_banner_edit')->name('studentdashboard.addtional.subject.banner.edit');
    Route::post('studentdashboard/addtional/subject/banner/update/{id}','AdditionalCourseSubjectChapterController@course_banner_update')->name('studentdashboard.addtional.subject.banner.update');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/banner/status/{id}/{status}', 'AdditionalCourseSubjectChapterController@course_banner_status')->name('studentdashboard.addtional.subject.banner.status');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/banner/delete/{id}', 'AdditionalCourseSubjectChapterController@course_banner_delete')->name('studentdashboard.addtional.subject.banner.delete');
    Route::get('studentdashboard/addtional/subject/banner/order/{subjectid}/{id}/{bannertype}', 'AdditionalCourseSubjectChapterController@bannersubject_order')->name('studentdashboard.addtional.subject.banner.order');
    // student dashboard additional subject banner end

    // student dashboard additional subject banner  start
    Route::get('studentdashboard/addtional/subject/seperator/create/{id}','AdditionalCourseSubjectChapterController@course_seperator_create')->name('studentdashboard.addtional.subject.seperator.create');
    Route::post('studentdashboard/addtional/subject/seperator/store','AdditionalCourseSubjectChapterController@course_seperator_store')->name('studentdashboard.addtional.subject.seperator.store');
    Route::get('studentdashboard/addtional/subject/seperator/edit/{id}','AdditionalCourseSubjectChapterController@course_seperator_edit')->name('studentdashboard.addtional.subject.seperator.edit');
    Route::post('studentdashboard/addtional/subject/seperator/update/{id}','AdditionalCourseSubjectChapterController@course_seperator_update')->name('studentdashboard.addtional.subject.seperator.update');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/seperator/status/{id}/{status}', 'AdditionalCourseSubjectChapterController@course_seperator_status')->name('studentdashboard.addtional.subject.seperator.status');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/seperator/delete/{id}', 'AdditionalCourseSubjectChapterController@course_seperator_delete')->name('studentdashboard.addtional.subject.seperator.delete');
    Route::get('studentdashboard/addtional/subject/seperator/order/{subjectid}/{id}', 'AdditionalCourseSubjectChapterController@seperatorsubject_order')->name('studentdashboard.addtional.subject.seperator.order');

    // student dashboard additional subject banner  end

    // student dashboard additional subject chapter pdf start
    Route::get('studentdashboard/addtional/subject/chapter/pdfs/{id}','AdditionalCourseSubjectChapterPdfController@subject_chapter_pdfs')->name('studentdashboard.addtional.subject.pdf.subject_chapter');
    Route::get('studentdashboard/addtional/subject/chapter/pdf/create/{id}','AdditionalCourseSubjectChapterPdfController@pdf_create')->name('studentdashboard.addtional.subject.chapter.pdf.create');
    Route::post('studentdashboard/addtional/subject/chapter/pdf/store','AdditionalCourseSubjectChapterPdfController@pdf_store')->name('studentdashboard.addtional.subject.chapter.pdf.store');
    Route::get('studentdashboard/addtional/subject/chapter/pdf/edit/{id}','AdditionalCourseSubjectChapterPdfController@pdf_edit')->name('studentdashboard.addtional.subject.chapter.pdf.edit');
    Route::post('studentdashboard/addtional/subject/chapter/pdf/update/{id}','AdditionalCourseSubjectChapterPdfController@pdf_update')->name('studentdashboard.addtional.subject.chapter.pdf.update');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/pdf/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@pdf_status')->name('studentdashboard.addtional.subject.chapter.pdf.status');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/pdf/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@pdf_delete')->name('studentdashboard.addtional.subject.chapter.pdf.delete');
    Route::get('studentdashboard/addtional/subject/chapter/pdf/order/{chapterid}/{id}', 'AdditionalCourseSubjectChapterPdfController@learnpdf_order')->name('studentdashboard.addtional.subject.chapter.pdf.order');
    // student dashboard additional subject chapter pdf end


    // start student dashboard additional leanr banner
    Route::get('studentdashboard/addtional/subject/chapter/learn/banner/create/{id}/{type}','AdditionalCourseSubjectChapterPdfController@course_banner_create')->name('studentdashboard.addtional.subject.chapter.learn.banner.create');
    Route::post('studentdashboard/addtional/subject/chapter/learn/banner/store','AdditionalCourseSubjectChapterPdfController@course_banner_store')->name('studentdashboard.addtional.subject.chapter.learn.banner.store');
    Route::get('studentdashboard/addtional/subject/chapter/learn/banner/edit/{id}','AdditionalCourseSubjectChapterPdfController@course_banner_edit')->name('studentdashboard.addtional.subject.chapter.learn.banner.edit');
    Route::post('studentdashboard/addtional/subject/chapter/learn/banner/update/{id}','AdditionalCourseSubjectChapterPdfController@course_banner_update')->name('studentdashboard.addtional.subject.chapter.learn.banner.update');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/learn/banner/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@course_banner_status')->name('studentdashboard.addtional.subject.chapter.learn.banner.status');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/learn/banner/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@course_banner_delete')->name('studentdashboard.addtional.subject.chapter.learn.banner.delete');
    Route::get('studentdashboard/addtional/subject/chapter/learn/banner/order/{chapterid}/{id}/{bannertype}', 'AdditionalCourseSubjectChapterPdfController@learnbanner_order')->name('studentdashboard.addtional.subject.chapter.learn.banner.order');
    // end student dashboard additional leanr banner

    // start student dashboard additional leanr seperator
    Route::get('studentdashboard/addtional/subject/chapter/learn/seperator/create/{id}','AdditionalCourseSubjectChapterPdfController@course_seperator_create')->name('studentdashboard.addtional.subject.chapter.learn.seperator.create');
    Route::post('studentdashboard/addtional/subject/chapter/learn/seperator/store','AdditionalCourseSubjectChapterPdfController@course_seperator_store')->name('studentdashboard.addtional.subject.chapter.learn.seperator.store');
    Route::get('studentdashboard/addtional/subject/chapter/learn/seperator/edit/{id}','AdditionalCourseSubjectChapterPdfController@course_seperator_edit')->name('studentdashboard.addtional.subject.chapter.learn.seperator.edit');
    Route::post('studentdashboard/addtional/subject/chapter/learn/seperator/update/{id}','AdditionalCourseSubjectChapterPdfController@course_seperator_update')->name('studentdashboard.addtional.subject.chapter.learn.seperator.update');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/learn/seperator/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@course_seperator_status')->name('studentdashboard.addtional.subject.chapter.learn.seperator.status');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/learn/seperator/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@course_seperator_delete')->name('studentdashboard.addtional.subject.chapter.learn.seperator.delete');
    Route::get('studentdashboard/addtional/subject/chapter/learn/seperator/order/{chapterid}/{id}', 'AdditionalCourseSubjectChapterPdfController@learnseperator_order')->name('studentdashboard.addtional.subject.chapter.learn.seperator.order');

    // end student dashboard additional leanr seperator

    // start student dashboard additional practice item


    Route::get('studentdashboard/addtional/subject/chapter/practice/pdf/create/{id}','AdditionalCourseSubjectChapterPdfController@course_practice_create')->name('studentdashboard.addtional.subject.chapter.practice.pdf.create');
    Route::post('studentdashboard/addtional/subject/chapter/practice/pdf/store','AdditionalCourseSubjectChapterPdfController@course_practice_store')->name('studentdashboard.addtional.subject.chapter.practice.pdf.store');
    Route::get('studentdashboard/addtional/subject/chapter/practice/pdf/edit/{id}','AdditionalCourseSubjectChapterPdfController@course_practice_edit')->name('studentdashboard.addtional.subject.chapter.practice.pdf.edit');
    Route::post('studentdashboard/addtional/subject/chapter/practice/pdf/update/{id}','AdditionalCourseSubjectChapterPdfController@course_practice_update')->name('studentdashboard.addtional.subject.chapter.practice.pdf.update');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/practice/pdf/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@course_practice_status')->name('studentdashboard.addtional.subject.chapter.practice.pdf.status');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/practice/pdf/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@course_practice_delete')->name('studentdashboard.addtional.subject.chapter.practice.pdf.delete');
    Route::get('studentdashboard/addtional/subject/chapter/practice/pdf/order/{chapterid}/{id}', 'AdditionalCourseSubjectChapterPdfController@practicepdf_order')->name('studentdashboard.addtional.subject.chapter.practice.pdf.order');


    Route::get('studentdashboard/addtional/subject/chapter/practice/seperator/create/{id}','AdditionalCourseSubjectChapterPdfController@course_practice_seperator_create')->name('studentdashboard.addtional.subject.chapter.practice.seperator.create');
    Route::post('studentdashboard/addtional/subject/chapter/practice/seperator/store','AdditionalCourseSubjectChapterPdfController@course_practice_seperator_store')->name('studentdashboard.addtional.subject.chapter.practice.seperator.store');
    Route::get('studentdashboard/addtional/subject/chapter/practice/seperator/edit/{id}','AdditionalCourseSubjectChapterPdfController@course_practice_seperator_edit')->name('studentdashboard.addtional.subject.chapter.practice.seperator.edit');
    Route::post('studentdashboard/addtional/subject/chapter/practice/seperator/update/{id}','AdditionalCourseSubjectChapterPdfController@course_practice_seperator_update')->name('studentdashboard.addtional.subject.chapter.practice.seperator.update');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/practice/seperator/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@course_practice_seperator_status')->name('studentdashboard.addtional.subject.chapter.practice.seperator.status');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/practice/seperator/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@course_practice_seperator_delete')->name('studentdashboard.addtional.subject.chapter.practice.seperator.delete');
    Route::get('studentdashboard/addtional/subject/chapter/practice/seperator/order/{chapterid}/{id}', 'AdditionalCourseSubjectChapterPdfController@practice_seperator_order')->name('studentdashboard.addtional.subject.chapter.practice.seperator.order');


    Route::get('studentdashboard/addtional/subject/chapter/practice/banner/create/{id}/{type}','AdditionalCourseSubjectChapterPdfController@course_practice_banner_create')->name('studentdashboard.addtional.subject.chapter.practice.banner.create');
    Route::post('studentdashboard/addtional/subject/chapter/practice/banner/store','AdditionalCourseSubjectChapterPdfController@course_practice_banner_store')->name('studentdashboard.addtional.subject.chapter.practice.banner.store');
    Route::get('studentdashboard/addtional/subject/chapter/practice/banner/edit/{id}','AdditionalCourseSubjectChapterPdfController@course_practice_banner_edit')->name('studentdashboard.addtional.subject.chapter.practice.banner.edit');
    Route::post('studentdashboard/addtional/subject/chapter/practice/banner/update/{id}','AdditionalCourseSubjectChapterPdfController@course_practice_banner_update')->name('studentdashboard.addtional.subject.chapter.practice.banner.update');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/practice/banner/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@course_practice_banner_status')->name('studentdashboard.addtional.subject.chapter.practice.banner.status');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/practice/banner/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@course_practice_banner_delete')->name('studentdashboard.addtional.subject.chapter.practice.banner.delete');
    Route::get('studentdashboard/addtional/subject/chapter/practice/banner/order/{chapterid}/{id}', 'AdditionalCourseSubjectChapterPdfController@practice_banner_order')->name('studentdashboard.addtional.subject.chapter.practice.banner.order');


    // end student dashboard additional practice item 


    // start student dashboard additional Print Item
    Route::get('studentdashboard/addtional/subject/chapter/price/pdf/create/{id}','AdditionalCourseSubjectChapterPdfController@course_price_create')->name('studentdashboard.addtional.subject.chapter.price.pdf.create');
    Route::post('studentdashboard/addtional/subject/chapter/price/pdf/store','AdditionalCourseSubjectChapterPdfController@course_price_store')->name('studentdashboard.addtional.subject.chapter.price.pdf.store');
    Route::get('studentdashboard/addtional/subject/chapter/price/pdf/edit/{id}','AdditionalCourseSubjectChapterPdfController@course_price_edit')->name('studentdashboard.addtional.subject.chapter.price.pdf.edit');
    Route::post('studentdashboard/addtional/subject/chapter/price/pdf/update/{id}','AdditionalCourseSubjectChapterPdfController@course_price_update')->name('studentdashboard.addtional.subject.chapter.price.pdf.update');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/price/pdf/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@course_price_status')->name('studentdashboard.addtional.subject.chapter.price.pdf.status');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/price/pdf/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@course_price_delete')->name('studentdashboard.addtional.subject.chapter.price.pdf.delete');
    Route::get('studentdashboard/addtional/subject/chapter/price/pdf/order/{chapterid}/{id}', 'AdditionalCourseSubjectChapterPdfController@price_pdf_order')->name('studentdashboard.addtional.subject.chapter.price.pdf.order');


    Route::get('studentdashboard/addtional/subject/chapter/price/seperator/create/{id}','AdditionalCourseSubjectChapterPdfController@course_price_seperator_create')->name('studentdashboard.addtional.subject.chapter.price.seperator.create');
    Route::post('studentdashboard/addtional/subject/chapter/price/seperator/store','AdditionalCourseSubjectChapterPdfController@course_price_seperator_store')->name('studentdashboard.addtional.subject.chapter.price.seperator.store');
    Route::get('studentdashboard/addtional/subject/chapter/price/seperator/edit/{id}','AdditionalCourseSubjectChapterPdfController@course_price_seperator_edit')->name('studentdashboard.addtional.subject.chapter.price.seperator.edit');
    Route::post('studentdashboard/addtional/subject/chapter/price/seperator/update/{id}','AdditionalCourseSubjectChapterPdfController@course_price_seperator_update')->name('studentdashboard.addtional.subject.chapter.price.seperator.update');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/price/seperator/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@course_price_seperator_status')->name('studentdashboard.addtional.subject.chapter.price.seperator.status');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/price/seperator/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@course_price_seperator_delete')->name('studentdashboard.addtional.subject.chapter.price.seperator.delete');
    Route::get('studentdashboard/addtional/subject/chapter/price/seperator/order/{chapterid}/{id}', 'AdditionalCourseSubjectChapterPdfController@price_seperator_order')->name('studentdashboard.addtional.subject.chapter.price.seperator.order');



    Route::get('studentdashboard/addtional/subject/chapter/price/banner/create/{id}/{type}','AdditionalCourseSubjectChapterPdfController@course_price_banner_create')->name('studentdashboard.addtional.subject.chapter.price.banner.create');
    Route::post('studentdashboard/addtional/subject/chapter/price/banner/store','AdditionalCourseSubjectChapterPdfController@course_price_banner_store')->name('studentdashboard.addtional.subject.chapter.price.banner.store');
    Route::get('studentdashboard/addtional/subject/chapter/price/banner/edit/{id}','AdditionalCourseSubjectChapterPdfController@course_price_banner_edit')->name('studentdashboard.addtional.subject.chapter.price.banner.edit');
    Route::post('studentdashboard/addtional/subject/chapter/price/banner/update/{id}','AdditionalCourseSubjectChapterPdfController@course_price_banner_update')->name('studentdashboard.addtional.subject.chapter.price.banner.update');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/price/banner/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@course_price_banner_status')->name('studentdashboard.addtional.subject.chapter.price.banner.status');
    Route::match(['get','post'], '/studentdashboard/addtional/subject/chapter/price/banner/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@course_price_banner_delete')->name('studentdashboard.addtional.subject.chapter.price.banner.delete');
    Route::get('studentdashboard/addtional/subject/chapter/price/banner/order/{chapterid}/{id}/{bannertype}', 'AdditionalCourseSubjectChapterPdfController@price_banner_order')->name('studentdashboard.addtional.subject.chapter.price.banner.order');



    // start additional subect chapter pdf
    Route::get('addtional/subject/index','AdditionalCourseSubjectChapterPdfController@index')->name('addtional.subject.index');
    Route::get('addtional/subject/chapter/pdfs/{id}','AdditionalCourseSubjectChapterPdfController@subject_chapter_pdf')->name('addtional.subject.subject_chapter.pdfs');
    Route::get('addtional/subject/chapter/pdf/create/{id}','AdditionalCourseSubjectChapterPdfController@create')->name('addtional.subject.chapter.pdf.create');
    Route::post('addtional/subject/chapter/pdf/store','AdditionalCourseSubjectChapterPdfController@store')->name('addtional.subject.chapter.pdf.store');
    Route::get('addtional/subject/chapter/pdf/edit/{id}','AdditionalCourseSubjectChapterPdfController@edit')->name('addtional.subject.chapter.pdf.edit');
    Route::post('addtional/subject/chapter/pdf/update/{id}','AdditionalCourseSubjectChapterPdfController@update')->name('addtional.subject.chapter.pdf.update');
    Route::match(['get','post'], '/addtional/subject/chapter/pdf/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@status')->name('addtional.subject.chapter.pdf.status');
    Route::match(['get','post'], '/addtional/subject/chapter/pdf/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@delete')->name('addtional.subject.chapter.pdf.delete');
    Route::get('addtional/subject/chapter/learn/pdf/order/{chapterid}/{id}', 'AdditionalCourseSubjectChapterPdfController@learn_pdf_order')->name('addtional.subject.chapter.learn.pdf.order');
    // end additional subect chapter pdf

    // start additional template pdf 
    Route::get('addtional/subject/chapter/pdf/learseperator/create/{id}','AdditionalCourseSubjectChapterPdfController@seperator_create')->name('addtional.subject.chapter.pdf.learseperator.create');
    Route::post('addtional/subject/chapter/pdf/learseperator/store','AdditionalCourseSubjectChapterPdfController@seperator_store')->name('addtional.subject.chapter.pdf.learseperator.store');
    Route::get('addtional/subject/chapter/pdf/learseperator/edit/{id}','AdditionalCourseSubjectChapterPdfController@seperator_edit')->name('addtional.subject.chapter.pdf.learseperator.edit');
    Route::post('addtional/subject/chapter/pdf/learseperator/update/{id}','AdditionalCourseSubjectChapterPdfController@seperator_update')->name('addtional.subject.chapter.pdf.learseperator.update');
    Route::match(['get','post'], '/addtional/subject/chapter/pdf/learseperator/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@seperator_status')->name('addtional.subject.chapter.pdf.learseperator.status');
    Route::match(['get','post'], '/addtional/subject/chapter/pdf/learseperator/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@seperator_delete')->name('addtional.subject.chapter.pdf.learseperator.delete');
    Route::get('addtional/subject/chapter/learn/seperator/order/{chapterid}/{id}', 'AdditionalCourseSubjectChapterPdfController@learn_seperator_order')->name('addtional.subject.chapter.learn.seperator.order');


    // start aaditional pdf banner
    Route::get('addtional/subject/chapter/pdf/learnbanner/create/{id}/{type}','AdditionalCourseSubjectChapterPdfController@banner_create')->name('addtional.subject.chapter.pdf.learnbanner.create');
    Route::post('addtional/subject/chapter/pdf/learnbanner/store','AdditionalCourseSubjectChapterPdfController@banner_store')->name('addtional.subject.chapter.pdf.learnbanner.store');
    Route::get('addtional/subject/chapter/pdf/learnbanner/edit/{id}','AdditionalCourseSubjectChapterPdfController@banner_edit')->name('addtional.subject.chapter.pdf.learnbanner.edit');
    Route::post('addtional/subject/chapter/pdf/learnbanner/update/{id}','AdditionalCourseSubjectChapterPdfController@banner_update')->name('addtional.subject.chapter.pdf.learnbanner.update');
    Route::match(['get','post'], '/addtional/subject/chapter/pdf/learnbanner/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@banner_status')->name('addtional.subject.chapter.pdf.learnbanner.status');
    Route::match(['get','post'], '/addtional/subject/chapter/pdf/learnbanner/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@banner_delete')->name('addtional.subject.chapter.pdf.learnbanner.delete');
    Route::get('addtional/subject/chapter/learn/banner/order/{chapterid}/{id}/{bannertype}', 'AdditionalCourseSubjectChapterPdfController@learn_banner_order')->name('addtional.subject.chapter.learn.banner.order');

    // start additional practice pdf

    Route::get('addtional/subject/chapter/pdf/practicepdf/create/{id}','AdditionalCourseSubjectChapterPdfController@practice_create')->name('addtional.subject.chapter.pdf.practicepdf.create');
    Route::post('addtional/subject/chapter/pdf/practicepdf/store','AdditionalCourseSubjectChapterPdfController@practice_store')->name('addtional.subject.chapter.pdf.practicepdf.store');
    Route::get('addtional/subject/chapter/pdf/practicepdf/edit/{id}','AdditionalCourseSubjectChapterPdfController@practice_edit')->name('addtional.subject.chapter.pdf.practicepdf.edit');
    Route::post('addtional/subject/chapter/pdf/practicepdf/update/{id}','AdditionalCourseSubjectChapterPdfController@practice_update')->name('addtional.subject.chapter.pdf.practicepdf.update');
    Route::match(['get','post'], '/addtional/subject/chapter/pdf/practicepdf/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@practice_status')->name('addtional.subject.chapter.pdf.practicepdf.status');
    Route::match(['get','post'], '/addtional/subject/chapter/pdf/practicepdf/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@practice_delete')->name('addtional.subject.chapter.pdf.practicepdf.delete');
    Route::get('addtional/subject/chapter/practice/pdf/order/{chapterid}/{id}', 'AdditionalCourseSubjectChapterPdfController@practice_pdf_order')->name('addtional.subject.chapter.practice.pdf.order');

    // start additional pdf seperator

    Route::get('addtional/subject/chapter/pdf/practice/seperator/create/{id}','AdditionalCourseSubjectChapterPdfController@practice_seperator_create')->name('addtional.subject.chapter.pdf.practice.seperator.create');

    Route::post('addtional/subject/chapter/pdf/practice/seperator/store','AdditionalCourseSubjectChapterPdfController@practice_seperator_store')->name('addtional.subject.chapter.pdf.practice.seperator.store');

    Route::get('addtional/subject/chapter/pdf/practice/seperator/edit/{id}','AdditionalCourseSubjectChapterPdfController@practice_seperator_edit')->name('addtional.subject.chapter.pdf.practice.seperator.edit');

    Route::post('addtional/subject/chapter/pdf/practice/seperator/update/{id}','AdditionalCourseSubjectChapterPdfController@practice_seperator_update')->name('addtional.subject.chapter.pdf.practice.seperator.update');

    Route::match(['get','post'], '/addtional/subject/chapter/pdf/practice/seperator/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@practice_seperator_status')->name('addtional.subject.chapter.pdf.practice.seperator.status');

    Route::match(['get','post'], '/addtional/subject/chapter/pdf/practice/seperator/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@practice_seperator_delete')->name('addtional.subject.chapter.pdf.practice.seperator.delete');
    Route::get('addtional/subject/chapter/practice/seperator/order/{chapterid}/{id}', 'AdditionalCourseSubjectChapterPdfController@practice_seperator_orderr')->name('addtional.subject.chapter.practice.seperator.order');


    // start additional pdf banner

    Route::get('addtional/subject/chapter/pdf/practice/banner/create/{id}/{type}','AdditionalCourseSubjectChapterPdfController@practice_banner_create')->name('addtional.subject.chapter.pdf.practice.banner.create');

    Route::post('addtional/subject/chapter/pdf/practice/banner/store','AdditionalCourseSubjectChapterPdfController@practice_banner_store')->name('addtional.subject.chapter.pdf.practice.banner.store');

    Route::get('addtional/subject/chapter/pdf/practice/banner/edit/{id}','AdditionalCourseSubjectChapterPdfController@practice_banner_edit')->name('addtional.subject.chapter.pdf.practice.banner.edit');

    Route::post('addtional/subject/chapter/pdf/practice/banner/update/{id}','AdditionalCourseSubjectChapterPdfController@practice_banner_update')->name('addtional.subject.chapter.pdf.practice.banner.update');

    Route::match(['get','post'], '/addtional/subject/chapter/pdf/practice/banner/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@practice_banner_status')->name('addtional.subject.chapter.pdf.practice.banner.status');

    Route::match(['get','post'], '/addtional/subject/chapter/pdf/practice/banner/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@practice_banner_delete')->name('addtional.subject.chapter.pdf.practice.banner.delete');
    Route::get('addtional/subject/chapter/practice/banner/order/{chapterid}/{id}/{bannertype}', 'AdditionalCourseSubjectChapterPdfController@practice_banner_orderr')->name('addtional.subject.chapter.practice.banner.order');


    // start additional price pdf pdf



    Route::get('addtional/subject/chapter/pdf/price/create/{id}','AdditionalCourseSubjectChapterPdfController@price_create')->name('addtional.subject.chapter.pdf.price.create');

    Route::post('addtional/subject/chapter/pdf/price/store','AdditionalCourseSubjectChapterPdfController@price_store')->name('addtional.subject.chapter.pdf.price.store');

    Route::get('addtional/subject/chapter/pdf/price/edit/{id}',
    'AdditionalCourseSubjectChapterPdfController@price_edit')->name('addtional.subject.chapter.pdf.price.edit');

    Route::post('addtional/subject/chapter/pdf/price/update/{id}','AdditionalCourseSubjectChapterPdfController@price_update')->name('addtional.subject.chapter.pdf.price.update');

    Route::match(['get','post'], '/addtional/subject/chapter/pdf/price/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@price_status')->name('addtional.subject.chapter.pdf.price.status');

    Route::match(['get','post'], '/addtional/subject/chapter/pdf/price/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@price_delete')->name('addtional.subject.chapter.pdf.price.delete');
    Route::get('addtional/subject/chapter/pdf/price/pdf/order/{chapterid}/{id}', 'AdditionalCourseSubjectChapterPdfController@price_pdf_orderr')->name('addtional.subject.chapter.pdf.price.pdf.order');


    // start additional price seperator

    Route::get('addtional/subject/chapter/pdf/price/seperator/create/{id}','AdditionalCourseSubjectChapterPdfController@price_seperator_create')->name('addtional.subject.chapter.pdf.price.seperator.create');

    Route::post('addtional/subject/chapter/pdf/price/seperator/store','AdditionalCourseSubjectChapterPdfController@price_seperator_store')->name('addtional.subject.chapter.pdf.price.seperator.store');

    Route::get('addtional/subject/chapter/pdf/price/seperator/edit/{id}','AdditionalCourseSubjectChapterPdfController@price_seperator_edit')->name('addtional.subject.chapter.pdf.price.seperator.edit');

    Route::post('addtional/subject/chapter/pdf/price/seperator/update/{id}','AdditionalCourseSubjectChapterPdfController@price_seperator_update')->name('addtional.subject.chapter.pdf.price.seperator.update');

    Route::match(['get','post'], '/addtional/subject/chapter/pdf/price/seperator/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@price_seperator_status')->name('addtional.subject.chapter.pdf.price.seperator.status');

    Route::match(['get','post'], '/addtional/subject/chapter/pdf/price/seperator/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@price_seperator_delete')->name('addtional.subject.chapter.pdf.price.seperator.delete');
    Route::get('addtional/subject/chapter/pdf/price/pdf/order/{chapterid}/{id}', 'AdditionalCourseSubjectChapterPdfController@price_seperator_orderr')->name('addtional.subject.chapter.pdf.price.pdf.order');
    // start additional price banner


    Route::get('addtional/subject/chapter/pdf/price/banner/create/{id}/{type}','AdditionalCourseSubjectChapterPdfController@price_banner_create')->name('addtional.subject.chapter.pdf.price.banner.create');

    Route::post('addtional/subject/chapter/pdf/price/banner/store','AdditionalCourseSubjectChapterPdfController@price_banner_store')->name('addtional.subject.chapter.pdf.price.banner.store');

    Route::get('addtional/subject/chapter/pdf/price/banner/edit/{id}','AdditionalCourseSubjectChapterPdfController@price_banner_edit')->name('addtional.subject.chapter.pdf.price.banner.edit');

    Route::post('addtional/subject/chapter/pdf/price/banner/update/{id}','AdditionalCourseSubjectChapterPdfController@price_banner_update')->name('addtional.subject.chapter.pdf.price.banner.update');

    Route::match(['get','post'], '/addtional/subject/chapter/pdf/price/banner/status/{id}/{status}', 'AdditionalCourseSubjectChapterPdfController@price_banner_status')->name('addtional.subject.chapter.pdf.price.banner.status');

    Route::match(['get','post'], '/addtional/subject/chapter/pdf/price/banner/delete/{id}', 'AdditionalCourseSubjectChapterPdfController@price_banner_delete')->name('addtional.subject.chapter.pdf.price.banner.delete');
    Route::get('addtional/subject/chapter/pdf/price/pdf/banner/{chapterid}/{id}/{bannertype}', 'AdditionalCourseSubjectChapterPdfController@price_banner_orderr')->name('addtional.subject.chapter.pdf.price.banner.order');

    // start course module route ?
    Route::get('course/index', 'CourseController@index')->name('course.index');
    Route::get('course/create', 'CourseController@create')->name('course.create');
    Route::post('course/store', 'CourseController@store')->name('course.store');
    Route::get('course/edit/{id}', 'CourseController@edit')->name('course.edit');
    Route::post('course/update/{id}', 'CourseController@update')->name('course.update');
    Route::match(['get','post'], '/course/status/{id}/{status}', 'CourseController@status')->name('course.status');
    Route::match(['get','post'], '/course/delete/{id}', 'CourseController@delete')->name('course.delete');
    Route::get('course/getclass/{id}', 'CourseController@get_class')->name('course.getclass');
    Route::get('course/unique/{id}', 'CourseController@course_uniqueid')->name('course.uniqueid');
    // end course module route      

    //student dashboard module route start ?
    Route::get('course/student-dashboard/{id}', 'StudentDashboardController@index')->name('studentdashboard.index');
    //student dashboard module route end

    //subject template route start
    Route::get('subject-template/index', 'SubjectTemplateController@index')->name('subject.index');
    Route::get('subject-template/create', 'SubjectTemplateController@create')->name('subject.create');
    Route::post('subject-template/store', 'SubjectTemplateController@store')->name('subject.store');
    Route::get('subject-template/edit/{id}', 'SubjectTemplateController@edit')->name('subject.edit');
    Route::post('subject-template/update/{id}', 'SubjectTemplateController@update')->name('subject.update');
    Route::match(['get','post'], '/subject-template/status/{id}/{status}', 'SubjectTemplateController@status')->name('subject.status');
    Route::match(['get','post'], '/subject-template/delete/{id}', 'SubjectTemplateController@delete')->name('subject.delete');
    Route::get('subject-template/order/{id}', 'SubjectTemplateController@class_order')->name('subject.order');
    Route::get('subject-template/orderr/{id}', 'SubjectTemplateController@subject_id')->name('subject.orderr');
    //subject template route end


    Route::get('course/subject/chapters/index', 'ChapterController@index')->name('course.subject.chapter.index');
    Route::get('course/subject/chapters/subject-chapter/{id}', 'ChapterController@subjectchapter')->name('course.subject.chapter.subjecrchapter');
    Route::get('course/subject/chapters/create/{id}', 'ChapterController@create')->name('course.subject.chapter.create');
    Route::post('course/subject/chapters/store', 'ChapterController@store')->name('course.subject.chapter.store');
    Route::get('course/subject/chapters/edit/{id}', 'ChapterController@edit')->name('course.subject.chapter.edit');
    Route::post('course/subject/chapters/update/{id}', 'ChapterController@update')->name('course.subject.chapter.update');
    Route::match(['get','post'], '/course/subject/chapters/status/{id}/{status}', 'ChapterController@status')->name('course.subject.chapter.status');
    Route::match(['get','post'], '/course/subject/chapters/delete/{id}', 'ChapterController@delete')->name('course.subject.chapter.delete');
    Route::get('course/subject/chapter/order/{cid}/{id}', 'ChapterController@chapter_order')->name('course.subject.chapter.order');
    Route::get('course/subject/chapter/chapterOrder/{id}', 'ChapterController@chapterorder_order')->name('course.subject.chapterorder.order');


    Route::get('course/subject/chapter/seperator/create/{id}', 'ChapterController@seperator_create')->name('course.subject.chapters.seperator.create');
    Route::post('course/subject/chapter/seperator/store', 'ChapterController@seperator_store')->name('course.subject.chapters.seperator.store');
    Route::get('course/subject/chapter/seperator/edit/{id}', 'ChapterController@seperator_edit')->name('course.subject.chapters.seperator.edit');
    Route::post('course/subject/chapter/seperator/update/{id}', 'ChapterController@seperator_update')->name('course.subject.chapters.seperator.update');
    Route::match(['get','post'], '/course/subject/chapter/seperator/status/{id}/{status}', 'ChapterController@seperator_status')->name('course.subject.chapters.seperator.status');
    Route::match(['get','post'], '/course/subject/chapter/seperator/delete/{id}', 'ChapterController@seperator_delete')->name('course.subject.chapters.seperator.delete');
    Route::get('course/subject/chapter/seperator/order/{cId}/{id}', 'ChapterController@seperator_order')->name('course.subject.chapters.seperator.order');

    Route::get('course/subject/chapter/banner/create/{id}/{type}', 'ChapterController@banner_create')->name('course.subject.chapters.banner.create');
    Route::post('course/subject/chapter/banner/store', 'ChapterController@banner_store')->name('course.subject.chapters.banner.store');
    Route::get('course/subject/chapter/banner/edit/{id}', 'ChapterController@banner_edit')->name('course.subject.chapters.banner.edit');
    Route::post('course/subject/chapter/banner/update/{id}', 'ChapterController@banner_update')->name('course.subject.chapters.banner.update');
    Route::match(['get','post'], '/course/subject/chapter/banner/status/{id}/{status}', 'ChapterController@banner_status')->name('course.subject.chapters.banner.status');
    Route::match(['get','post'], '/course/subject/chapter/banner/delete/{id}', 'ChapterController@banner_delete')->name('course.subject.chapters.banner.delete');
    Route::get('course/subject/chapter/banner/order/{cId}/{id}/{bannertype}', 'ChapterController@banner_order')->name('course.subject.chapters.banner.order');


     // strt pdf 
     Route::get('course/subject/chapter/pdf/chapter-pdf/{id}', 'PdfController@chapter_pdfs')->name('course.subject.chapters.pdf.chapterpdf');
     Route::get('course/subject/chapter/pdf/create/{id}', 'PdfController@chapter_pdf_create')->name('course.subject.chapters.pdf.create');
     Route::get('course/subject/chapter/pdf/edit/{id}', 'PdfController@chapter_pdf_edit')->name('course.subject.chapters.pdf.edit');
     Route::get('course/subject/chapter/pdf/order/{chapterid}/{id}', 'PdfController@pdf_order')->name('course.subject.chapters.pdf.order');


    // End pdf

    Route::get('course/subject/chapter/pdf/seperator/create/{id}', 'PdfController@pdf_seperater_create')->name('course.subject.chapters.pdf.seperator.create');
    Route::post('course/subject/chapter/pdf/seperator/store', 'PdfController@pdf_seperator_store')->name('course.subject.chapters.pdf.seperator.store');
    Route::get('course/subject/chapter/pdf/seperator/edit/{id}', 'PdfController@pdf_seperator_edit')->name('course.subject.chapters.pdf.seperator.edit');
    Route::post('course/subject/chapter/pdf/seperator/update/{id}', 'PdfController@pdf_seperator_update')->name('course.subject.chapters.pdf.seperator.update');
    Route::match(['get','post'], '/course/subject/chapter/pdf/seperator/status/{id}/{status}', 'PdfController@pdf_seperator_status')->name('course.subject.chapters.pdf.seperator.status');
    Route::match(['get','post'], '/course/subject/chapter/pdf/seperator/delete/{id}', 'PdfController@pdf_seperator_delete')->name('course.subject.chapters.pdf.seperator.delete');
    Route::get('course/subject/chapter/pdf/seperator/order/{chapterid}/{id}','PdfController@pdfseperator_order')->name('course.subject.chapters.seperator.pdf.order');


    Route::get('course/subject/chapter/pdf/banner/create/{id}/{type}', 'PdfController@pdf_banner_create')->name('course.subject.chapters.pdf.banner.create');
    Route::post('course/subject/chapter/pdf/banner/store', 'PdfController@pdf_banner_store')->name('course.subject.chapters.pdf.banner.store');
    Route::get('course/subject/chapter/pdf/banner/edit/{id}', 'PdfController@pdf_banner_edit')->name('course.subject.chapters.pdf.banner.edit');
    Route::post('course/subject/chapter/pdf/banner/update/{id}', 'PdfController@pdf_banner_update')->name('course.subject.chapters.pdf.banner.update');
    Route::match(['get','post'], '/course/subject/chapter/pdf/banner/status/{id}/{status}', 'PdfController@pdf_banner_status')->name('course.subject.chapter.pdf.banner.status');
    Route::match(['get','post'], '/course/subject/chapter/pdf/banner/delete/{id}', 'PdfController@pdf_banner_delete')->name('course.subject.chapters.pdf.banner.delete');
    Route::get('course/subject/chapter/pdf/banner/order/{chapterid}/{id}/{bannertype}','PdfController@pdfbanner_order')->name('course.subject.chapters.banner.pdf.order');

    Route::get('course/subject/chapter/pdf/practice/pdf/create/{id}', 'PdfController@practice_create')->name('course.subject.chapters.pdf.practice.pdf.create');
    Route::post('course/subject/chapter/pdf/practice/pdf/store', 'PdfController@practice_store')->name('course.subject.chapters.pdf.practice.pdf.store');
    Route::get('course/subject/chapter/pdf/practice/pdf/edit/{id}', 'PdfController@practice_edit')->name('course.subject.chapters.pdf.practice.pdf.edit');
    Route::post('course/subject/chapter/pdf/practice/pdf/update/{id}', 'PdfController@practice_update')->name('course.subject.chapters.pdf.practice.pdf.update');
    Route::match(['get','post'], '/course/subject/chapter/pdf/practice/pdf/status/{id}/{status}', 'PdfController@practice_status')->name('course.subject.chapters.pdf.practice.pdf.status');
    Route::match(['get','post'], '/course/subject/chapter/pdf/practice/pdf/delete/{id}', 'PdfController@practice_delete')->name('course.subject.chapters.pdf.practice.pdf.delete');
    Route::get('course/subject/chapter/pdf/practice/pdf/order/{chapterid}/{id}','PdfController@pdfpractice_order')->name('course.subject.chapters.pdf.practice.pdf.order');



    Route::get('course/subject/chapter/pdf/practice/seperater/create/{id}', 'PdfController@practice_seperator_create')->name('course.subject.chapters.pdf.practice.seperater.create');
    Route::post('course/subject/chapter/pdf/practice/seperater/store', 'PdfController@practice_seperator_store')->name('course.subject.chapters.pdf.practice.seperater.store');
    Route::get('course/subject/chapter/pdf/practice/seperater/edit/{id}', 'PdfController@practice_seperator_edit')->name('course.subject.chapters.pdf.practice.seperater.edit');
    Route::post('course/subject/chapter/pdf/practice/seperater/update/{id}', 'PdfController@practice_seperator_update')->name('course.subject.chapters.pdf.practice.seperater.update');
    Route::match(['get','post'], '/course/subject/chapter/pdf/practice/seperater/status/{id}/{status}', 'PdfController@practice_seperator_status')->name('course.subject.chapters.pdf.practice.seperater.status');
    Route::match(['get','post'], '/course/subject/chapter/pdf/practice/seperater/delete/{id}', 'PdfController@practice_seperator_delete')->name('course.subject.chapters.pdf.practice.seperater.delete');
    Route::get('course/subject/chapter/pdf/practice/seperater/order/{chapterid}/{id}','PdfController@seperatorpractice_order')->name('course.subject.chapters.pdf.practice.seperater.order');



    Route::get('course/subject/chapter/pdf/practice/banner/create/{id}/{type}', 'PdfController@practice_banner_create')->name('course.subject.chapters.pdf.practice.banner.create');
    Route::post('course/subject/chapter/pdf/practice/banner/store', 'PdfController@practice_banner_store')->name('course.subject.chapters.pdf.practice.banner.store');
    Route::get('course/subject/chapter/pdf/practice/banner/edit/{id}', 'PdfController@practice_banner_edit')->name('course.subject.chapters.pdf.practice.banner.edit');
    Route::post('course/subject/chapter/pdf/practice/banner/update/{id}', 'PdfController@practice_banner_update')->name('course.subject.chapters.pdf.practice.banner.update');
    Route::match(['get','post'], '/course/subject/chapter/pdf/practice/banner/status/{id}/{status}', 'PdfController@practice_banner_status')->name('course.subject.chapters.pdf.practice.banner.status');
    Route::match(['get','post'], '/course/subject/chapter/pdf/practice/banner/delete/{id}', 'PdfController@practice_banner_delete')->name('course.subject.chapters.pdf.practice.banner.delete');
    Route::get('course/subject/chapter/pdf/practice/banner/order/{chapterid}/{id}/{bannertype}','PdfController@bannerpractice_order')->name('course.subject.chapters.pdf.practice.banner.order');



    Route::get('course/subject/chapter/pdf/price/pdf/create/{id}', 'PdfController@price_create')->name('course.subject.chapters.pdf.price.pdf.create');
    Route::post('course/subject/chapter/pdf/price/pdf/store', 'PdfController@price_store')->name('course.subject.chapters.pdf.price.pdf.store');
    Route::get('course/subject/chapter/pdf/price/pdf/edit/{id}', 'PdfController@price_edit')->name('course.subject.chapters.pdf.price.pdf.edit');
    Route::post('course/subject/chapter/pdf/price/pdf/update/{id}', 'PdfController@price_update')->name('course.subject.chapters.pdf.price.pdf.update');
    Route::match(['get','post'], '/course/subject/chapter/pdf/price/pdf/status/{id}/{status}', 'PdfController@price_status')->name('course.subject.chapters.pdf.price.pdf.status');
    Route::match(['get','post'], '/course/subject/chapter/pdf/price/pdf/delete/{id}', 'PdfController@price_delete')->name('course.subject.chapters.pdf.price.pdf.delete');
    Route::get('course/subject/chapter/pdf/price/pdf/order/{chapterid}/{id}','PdfController@pdfprice_order')->name('course.subject.chapters.pdf.price.pdf.order');


    Route::get('course/subject/chapter/pdf/price/seperater/create/{id}', 'PdfController@price_seperator_create')->name('course.subject.chapters.pdf.price.seperater.create');
    Route::post('course/subject/chapter/pdf/price/seperater/store', 'PdfController@price_seperator_store')->name('course.subject.chapters.pdf.price.seperater.store');
    Route::get('course/subject/chapter/pdf/price/seperater/edit/{id}', 'PdfController@price_seperator_edit')->name('course.subject.chapters.pdf.price.seperater.edit');
    Route::post('course/subject/chapter/pdf/price/seperater/update/{id}', 'PdfController@price_seperator_update')->name('course.subject.chapters.pdf.price.seperater.update');
    Route::match(['get','post'], '/course/subject/chapter/pdf/price/seperater/status/{id}/{status}', 'PdfController@price_seperator_status')->name('course.subject.chapters.pdf.price.seperater.status');
    Route::match(['get','post'], '/course/subject/chapter/pdf/price/seperater/delete/{id}', 'PdfController@price_seperator_delete')->name('course.subject.chapters.pdf.price.seperater.delete');
    Route::get('course/subject/chapter/pdf/price/seperater/order/{chapterid}/{id}','PdfController@seperatorprice_order')->name('course.subject.chapters.pdf.price.seperater.order');

    Route::get('course/subject/chapter/pdf/price/banner/create/{id}/{type}', 'PdfController@price_banner_create')->name('course.subject.chapters.pdf.price.banner.create');
    Route::post('course/subject/chapter/pdf/price/banner/store', 'PdfController@price_banner_store')->name('course.subject.chapters.pdf.price.banner.store');
    Route::get('course/subject/chapter/pdf/price/banner/edit/{id}', 'PdfController@price_banner_edit')->name('course.subject.chapters.pdf.price.banner.edit');
    Route::post('course/subject/chapter/pdf/price/banner/update/{id}', 'PdfController@price_banner_update')->name('course.subject.chapters.pdf.price.banner.update');
    Route::match(['get','post'], '/course/subject/chapter/pdf/price/banner/status/{id}/{status}', 'PdfController@price_banner_status')->name('course.subject.chapters.pdf.price.banner.status');
    Route::match(['get','post'], '/course/subject/chapter/pdf/price/banner/delete/{id}', 'PdfController@price_banner_delete')->name('course.subject.chapters.pdf.price.banner.delete');
    Route::get('course/subject/chapter/pdf/price/banner/order/{chapterid}/{id}/{bannertype}','PdfController@bannerprice_order')->name('course.subject.chapters.pdf.price.banner.order');

    Route::post('course/subjectpdf/store', 'PdfController@chapter_update')->name('course.subject.store');

    // chpter template start
    Route::get('chapter-template/index', 'ChapterTemplateController@index')->name('chapter.index');
    Route::get('chapter-template/create', 'ChapterTemplateController@create')->name('chapter.create');
    Route::post('chapter-template/store', 'ChapterTemplateController@store')->name('chapter.store');
    Route::get('chapter-template/edit/{id}', 'ChapterTemplateController@edit')->name('chapter.edit');
    Route::post('chapter-template/update/{id}', 'ChapterTemplateController@update')->name('chapter.update');
    Route::match(['get','post'], '/chapter-template/status/{id}/{status}', 'ChapterTemplateController@status')->name('chapter.status');
    Route::match(['get','post'], '/chapter-template/delete/{id}', 'ChapterTemplateController@delete')->name('chapter.delete');
    Route::get('chapter-template/order/{id}', 'ChapterTemplateController@chapter_order')->name('chapter.order');
    Route::get('chapter-template/chapterOrder/{id}', 'ChapterTemplateController@chapterorder_order')->name('chapterorder.order');

    Route::get('chapter-template/seperator/create/{id}', 'ChapterTemplateController@seperator_create')->name('chapters.seperator.create');
    Route::post('chapter-template/seperator/store', 'ChapterTemplateController@seperator_store')->name('chapters.seperator.store');
    Route::get('chapter-template/seperator/edit/{id}', 'ChapterTemplateController@seperator_edit')->name('chapters.seperator.edit');
    Route::post('chapter-template/seperator/update/{id}', 'ChapterTemplateController@seperator_update')->name('chapters.seperator.update');
    Route::match(['get','post'], '/chapter-template/seperator/status/{id}/{status}', 'ChapterTemplateController@seperator_status')->name('chapters.seperator.status');
    Route::match(['get','post'], '/chapter-template/seperator/delete/{id}', 'ChapterTemplateController@seperator_delete')->name('chapters.seperator.delete');

    Route::get('chapter-template/banner/create/{id}', 'ChapterTemplateController@banner_create')->name('chapters.banner.create');
    Route::post('chapter-template/banner/store', 'ChapterTemplateController@banner_store')->name('chapters.banner.store');
    Route::get('chapter-template/banner/edit/{id}', 'ChapterTemplateController@banner_edit')->name('chapters.banner.edit');
    Route::post('chapter-template/banner/update/{id}', 'ChapterTemplateController@banner_update')->name('chapters.banner.update');
    Route::match(['get','post'], '/chapter-template/banner/status/{id}/{status}', 'ChapterTemplateController@banner_status')->name('chapters.banner.status');
    Route::match(['get','post'], '/chapter-template/banner/delete/{id}', 'ChapterTemplateController@banner_delete')->name('chapters.banner.delete');


     // chapter template end

     //chapter template pdf start
    //  Route::get('chapter-template/pdf/index/{id}', 'PdfController@chapter_template_pdf')->name('chaptertemplate.pdf.chapterpdf');
    //  Route::get('chapter-template/pdf/create/{id}', 'PdfController@chapter_template_pdf_create')->name('chaptertemplate.pdf.create');
    //  Route::get('chapter-template/pdf/edit/{id}', 'PdfController@chapter_template_pdf_edit')->name('chaptertemplate.pdf.edit');
     //chapter template pdf end

     // strt pdf    
     Route::get('pdf/index', 'PdfController@index')->name('pdf.index');
     Route::get('pdf/chapter-pdf/{id}', 'PdfController@chapterpdf')->name('pdf.chapterpdf');
     Route::get('pdf/create/{id}', 'PdfController@create')->name('pdf.create');
     Route::post('pdf/store', 'PdfController@store')->name('pdf.store');
     Route::get('pdf/edit/{id}', 'PdfController@edit')->name('pdf.edit');
     Route::post('pdf/update/{id}', 'PdfController@update')->name('pdf.update');
     Route::match(['get','post'], '/pdf/status/{id}/{status}', 'PdfController@status')->name('pdf.status');
     Route::match(['get','post'], '/pdf/delete/{id}', 'PdfController@delete')->name('pdf.delete');
    // End pdf     





    // start banner tamplate 
    Route::get('banners/index', 'BannerTemplateController@index')->name('banner.index');
    Route::get('banners/create', 'BannerTemplateController@create')->name('banner.create');
    Route::post('banners/store', 'BannerTemplateController@store')->name('banner.store');
    Route::get('banners/edit/{id}', 'BannerTemplateController@edit')->name('banner.edit');
    Route::post('banners/update/{id}', 'BannerTemplateController@update')->name('banner.update');
    Route::match(['get','post'], '/banners/status/{id}/{status}', 'BannerTemplateController@status')->name('banner.status');
    Route::match(['get','post'], '/banner/delete/{id}', 'BannerTemplateController@delete')->name('banner.delete');
    Route::get('banners/banners/order/{id}', 'BannerTemplateController@banner_order')->name('banner.order');
    // end banner tamplate


    //student dashboard module route start
    Route::get('course/student-dashboard/{id}', 'StudentDashboardController@index')->name('studentdashboard.index');

    Route::get('student-dashboard/banners/create/{id}', 'StudentDashboardController@top_banner_create')->name('studentdashboard.topbanner.create');
    Route::post('student-dashboard/banners/store', 'StudentDashboardController@top_banner_store')->name('studentdashboard.topbanner.store');
    Route::get('student-dashboard/banners/edit/{id}', 'StudentDashboardController@top_banner_edit')->name('studentdashboard.topbanner.edit');
    Route::post('student-dashboard/banners/update/{id}', 'StudentDashboardController@top_banner_update')->name('studentdashboard.topbanner.update');
    Route::match(['get','post'], '/student-dashboard/banners/status/{id}/{status}', 'StudentDashboardController@top_banner_status')->name('studentdashboard.topbanner.status');
    Route::match(['get','post'], '/student-dashboard/banners/delete/{id}', 'StudentDashboardController@top_banner_delete')->name('studentdashboard.topbanner.delete');
    Route::get('studentdashboard/top/banner/order/{courseid}/{id}', 'StudentDashboardController@banner_order')->name('studentdashboard.top.banner.order');



    Route::get('student-dashboard/bottom/create/{id}', 'StudentDashboardController@bottom_banner_create')->name('studentdashboard.bottombanner.create');
    Route::get('student-dashboard/bottom/edit/{id}', 'StudentDashboardController@bottom_banner_edit')->name('studentdashboard.bottom.edit');
    Route::get('studentdashboard/bottom/banner/order/{courseid}/{id}', 'StudentDashboardController@bottom_banner_order')->name('studentdashboard.bottom.banner.order');

    Route::get('student-dashboard/subject/create/{id}', 'StudentDashboardController@subject_create')->name('studentdashboard.subject.create');
    Route::post('student-dashboard/subject/store', 'StudentDashboardController@subject_store')->name('studentdashboard.subject.store');
    Route::get('student-dashboard/subject/edit/{id}', 'StudentDashboardController@subject_edit')->name('studentdashboard.subject.edit');
    Route::post('student-dashboard/subject/update/{id}', 'StudentDashboardController@subject_update')->name('studentdashboard.subject.update');
    Route::match(['get','post'], '/student-dashboard/subject/status/{id}/{status}', 'StudentDashboardController@subject_status')->name('studentdashboard.subject.status');
    Route::match(['get','post'], '/student-dashboard/subject/delete/{id}', 'StudentDashboardController@subject_delete')->name('studentdashboard.subject.delete');
    Route::get('student-dashboard/subject/order/{id}/{order}', 'StudentDashboardController@subject_order')->name('studentdashboard.subject.order');

    Route::get('student-dashboard/plans/create/{id}', 'StudentDashboardController@plan_create')->name('studentdashboard.plans.create');
    Route::post('student-dashboard/plans/store', 'StudentDashboardController@plan_store')->name('studentdashboard.plans.store');
    Route::get('student-dashboard/plans/edit/{id}', 'StudentDashboardController@plan_edit')->name('studentdashboard.plans.edit');
    Route::post('student-dashboard/plans/update/{id}', 'StudentDashboardController@plan_update')->name('studentdashboard.plans.update');
    Route::match(['get','post'], '/student-dashboard/plans/status/{id}/{status}', 'StudentDashboardController@plan_status')->name('studentdashboard.plans.status');
    Route::match(['get','post'], '/student-dashboard/plans/delete/{id}', 'StudentDashboardController@plan_delete')->name('studentdashboard.plans.delete');

    Route::get('student-dashboard/plans/order/{id}', 'StudentDashboardController@addtional_order')->name('addtional.order');

    // additional course start

    Route::get('student-dashboard/additional/create/{id}', 'StudentDashboardController@additional_create')->name('studentdashboard.additional.create');
    Route::post('student-dashboard/additional/store', 'StudentDashboardController@additional_store')->name('studentdashboard.additional.store');
    Route::get('student-dashboard/additional/edit/{id}', 'StudentDashboardController@additional_edit')->name('studentdashboard.additional.edit');
    Route::post('student-dashboard/additional/update/{id}', 'StudentDashboardController@additional_update')->name('studentdashboard.additional.update');
    Route::match(['get','post'], '/student-dashboard/additional/status/{id}/{status}', 'StudentDashboardController@additional_status')->name('studentdashboard.additional.status');
    Route::match(['get','post'], '/student-dashboard/additional/delete/{id}', 'StudentDashboardController@additional_delete')->name('studentdashboard.additional.delete');
    Route::get('student-dashboard/additional/order/{id}', 'StudentDashboardController@additional_order')->name('additional.course.order');
    // additional course end

    // referrer start
    Route::post('student-dashboard/referrer/store', 'StudentDashboardController@referrer_store')->name('studentdashboard.referrer.store');
    Route::get('student-dashboard/referrer/edit/{id}', 'StudentDashboardController@referrer_edit')->name('studentdashboard.referrer.edit');
    Route::post('student-dashboard/referrer/update/{id}', 'StudentDashboardController@referrer_update')->name('studentdashboard.referrer.update');
    // referrer end

    // start referee
    Route::post('student-dashboard/referee/store', 'StudentDashboardController@referee_store')->name('studentdashboard.referee.store');
    // end referee

    Route::get('chapter/subject_chapter/{id}', 'ChapterTemplateController@subjecttemplate')->name('chapter.subject_chapter');
    Route::get('chapter-template/seperator/create/{id}', 'ChapterTemplateController@seperator_create')->name('chapter-template.seperator.create');
    Route::post('chapter-template/seperator/store', 'ChapterTemplateController@seperator_store')->name('chapter-template.seperator.store');
    Route::get('chapter-template/seperator/edit/{id}', 'ChapterTemplateController@seperator_edit')->name('chapter-template.seperator.edit');
    Route::post('chapter-template/seperator/update/{id}', 'ChapterTemplateController@seperator_update')->name('chapter-template.seperator.update');
    Route::match(['get','post'], '/chapter-template/seperator/status/{id}/{status}', 'ChapterTemplateController@seperator_status')->name('chapter-template.seperator.status');
    Route::match(['get','post'], '/chapter-template/seperator/delete/{id}', 'ChapterTemplateController@seperator_delete')->name('chapter-template.seperator.delete');
    
    // start helpurl
    Route::post('student-dashboard/freeHelpUrl/store', 'StudentDashboardController@free_help_url_store')->name('studentdashboard.freeHelpUrl.store');
    Route::post('student-dashboard/paidHelpUrl/store', 'StudentDashboardController@paid_help_url_store')->name('studentdashboard.paidHelpUrl.store');
    // end helpurl
    
    // start course referral guide link
    Route::post('student-dashboard/courseReferralLink/store', 'StudentDashboardController@course_referral_link_store')->name('studentdashboard.courseReferralLink.store');
    // end course referral guide link

    //student dashboard module route end
    
    Route::get('roles/index', 'RoleController@index')->name('role.index');
    Route::get('roles/show', 'RoleController@show')->name('role.show');
    Route::get('roles/create', 'RoleController@create')->name('role.create');
    Route::POST('roles/store', 'RoleController@store')->name('role.store');
    Route::get('roles/edit/{role}', 'RoleController@edit')->name('role.edit');
    Route::PATCH('roles/update/{role}', 'RoleController@update')->name('role.update');

    // Roles and Permissions
    Route::get('roles-and-permissions', 'PermissionController@index')->name('permission.index');
    Route::get('roles-and-permissions/create', 'PermissionController@create')->name('permission.create');
    Route::post('roles-and-permissions/store', 'PermissionController@store')->name('permission.store');

    Route::get('roles-and-permissions/{permission}/edit', 'PermissionController@edit')->name('permission.edit');
    Route::patch('roles-and-permissions/{permission}', 'PermissionController@update')->name('permission.update');
    
    Route::post('/user/plan/update', 'UsersController@updateplan')->name('user.plan.update');
    
    Route::get('/admin/home', 'HomeController@adminHome')->name('home');
    Route::get('/user/index', 'UsersController@index')->name('user.index');
    Route::match(['get','post'], '/user/create', 'UsersController@create')->name('user.create');
    Route::match(['get','post'], '/user/edit/{id}', 'UsersController@edit')->name('user.edit');
    Route::match(['get','post'], '/user/status/{id}/{status}', 'UsersController@status')->name('user.status');
    Route::match(['get','post'], '/user/delete/{id}', 'UsersController@delete')->name('user.delete');
    Route::match(['get','post'], '/user/deletewallet/{id}', 'UsersController@deletewallet')->name('user.deletewallet');
    Route::match(['get','post'], '/user/editprofile/{id}', 'UsersController@editprofile')->name('user.editprofile');
    Route::get('/user/search', 'UsersController@search')->name('user.search');
    Route::get('/user/{userid}/info', 'UsersController@info')->name('user.info');
    






    // start subject template chapter

    // Route::get('subject/chapters/index', 'ChapterController@index')->name('subject.chapter.index');
    Route::get('subject/chapters/index/{id}', 'SubjectTemplateChapterController@subject_chapter')->name('subject.chapter.index');
    Route::get('subject/chapters/create/{id}', 'SubjectTemplateChapterController@create')->name('subject.chapter.create');
    Route::post('subject/chapters/store', 'SubjectTemplateChapterController@store')->name('subject.chapter.store');
    Route::get('subject/chapters/edit/{id}', 'SubjectTemplateChapterController@edit')->name('subject.chapter.edit');
    Route::post('subject/chapters/update/{id}', 'SubjectTemplateChapterController@update')->name('subject.chapter.update');
    Route::match(['get','post'], '/subject/chapters/status/{id}/{status}', 'SubjectTemplateChapterController@status')->name('subject.chapter.status');
    Route::match(['get','post'], '/subject/chapters/delete/{id}', 'SubjectTemplateChapterController@delete')->name('subject.chapter.delete');
    Route::get('subject/chapter/order/{subjectid}/{id}', 'SubjectTemplateChapterController@subject_chapter_order')->name('subject.chapter.order');
    Route::get('subject/chapter/chapterOrder/{id}', 'SubjectTemplateChapterController@subjectchapter_order')->name('subject.chapterorder.order');


    // end subject template chapter

    // start subject template chapter pdf


    // Route::get('subject/chapter/pdf/{id}','SubjectTemplateChapterPdfController@chapter_pdf')->name('subject.subject_chapter.pdf.index');

    // strt pdf 
    Route::get('subject/chapter/pdf/chapter-pdf/{id}', 'SubjectTemplateChapterPdfController@chapter_pdf')->name('subject.chapters.pdf.chapterpdf');
    //Route::get('subject/chapter/pdf/create/{id}', 'SubjectTemplateChapterPdfController@chapter_pdf_create')->name('subject.chapters.pdf.create');
    //Route::get('subject/chapter/pdf/edit/{id}', 'SubjectTemplateChapterPdfController@chapter_pdf_edit')->name('sbject.chapters.pdf.edit');
    // End pdf



    Route::get('subject/chapter/pdf/seperator/create/{id}', 'SubjectTemplateChapterPdfController@pdf_seperater_create')->name('subject.chapters.pdf.seperator.create');
    Route::post('subject/chapter/pdf/seperator/store', 'SubjectTemplateChapterPdfController@pdf_seperator_store')->name('subject.chapters.pdf.seperator.store');
    Route::get('subject/chapter/pdf/seperator/edit/{id}', 'SubjectTemplateChapterPdfController@pdf_seperator_edit')->name('subject.chapters.pdf.seperator.edit');
    Route::post('subject/chapter/pdf/seperator/update/{id}', 'SubjectTemplateChapterPdfController@pdf_seperator_update')->name('subject.chapters.pdf.seperator.update');
    Route::match(['get','post'], '/subject/chapter/pdf/seperator/status/{id}/{status}', 'SubjectTemplateChapterPdfController@pdf_seperator_status')->name('subject.chapters.pdf.seperator.status');
    Route::match(['get','post'], '/subject/chapter/pdf/seperator/delete/{id}', 'SubjectTemplateChapterPdfController@pdf_seperator_delete')->name('subject.chapters.pdf.seperator.delete');
    Route::get('subject/chapter/pdf/seperator/order/{chapterid}/{id}', 'SubjectTemplateChapterPdfController@learn_seperator_order')->name('subject.chapter.pdf.seperator.order');


    Route::get('subject/chapter/pdf/banner/create/{id}/{type}', 'SubjectTemplateChapterPdfController@pdf_banner_create')->name('subject.chapters.pdf.banner.create');
    Route::post('subject/chapter/pdf/banner/store', 'SubjectTemplateChapterPdfController@pdf_banner_store')->name('subject.chapters.pdf.banner.store');
    Route::get('subject/chapter/pdf/banner/edit/{id}', 'SubjectTemplateChapterPdfController@pdf_banner_edit')->name('subject.chapters.pdf.banner.edit');
    Route::post('subject/chapter/pdf/banner/update/{id}', 'SubjectTemplateChapterPdfController@pdf_banner_update')->name('subject.chapters.pdf.banner.update');
    Route::match(['get','post'], '/subject/chapter/pdf/banner/status/{id}/{status}', 'SubjectTemplateChapterPdfController@pdf_banner_status')->name('subject.chapter.pdf.banner.status');
    Route::match(['get','post'], '/subject/chapter/pdf/banner/delete/{id}', 'SubjectTemplateChapterPdfController@pdf_banner_delete')->name('subject.chapters.pdf.banner.delete');
    Route::get('subject/chapter/pdf/banner/order/{chapterid}/{id}/{bannertype}', 'SubjectTemplateChapterPdfController@learn_banner_order')->name('subject.chapter.pdf.banner.order');


    Route::get('chapter-template/pdf/index/{id}', 'SubjectTemplateChapterPdfController@chapter_template_pdf')->name('chaptertemplate.pdf.chapterpdf');
    //Route::get('chapter-template/pdf/create/{id}', 'SubjectTemplateChapterPdfController@chapter_template_pdf_create')->name('chaptertemplate.pdf.create');
    Route::get('chapter-template/pdf/edit/{id}', 'SubjectTemplateChapterPdfController@chapter_template_pdf_edit')->name('chaptertemplate.pdf.edit');
    //chapter template pdf end


    // strt pdf    
    //  Route::get('subject-template/chapter/pdf/index', 'SubjectTemplateChapterPdfController@index')->name('pdf.index');
    Route::get('subject-template/chapter/pdf/chapter-pdf/{id}', 'SubjectTemplateChapterPdfController@chapterpdf')->name('subject.template.pdf.chapterpdf');
    Route::get('subject-template/chapter/pdf/create/{id}', 'SubjectTemplateChapterPdfController@chapter_pdf_create')->name('subject_pdf.create');
    Route::post('subject-template/chapter/pdf/store', 'SubjectTemplateChapterPdfController@store')->name('subject_pdf.store');
    Route::get('subject-template/chapter/pdf/edit/{id}', 'SubjectTemplateChapterPdfController@chapter_pdf_edit')->name('subject_pdf.edit');
    Route::post('subject-template/chapter/pdf/update/{id}', 'SubjectTemplateChapterPdfController@update')->name('subject_pdf.update');
    Route::match(['get','post'], '/subject-template/chapter/pdf/status/{id}/{status}', 'SubjectTemplateChapterPdfController@status')->name('subject_pdf.pdf.status');
    Route::match(['get','post'], '/subject-template/chapter/pdf/delete/{id}', 'SubjectTemplateChapterPdfController@delete')->name('subject_pdf.pdf.delete');
    Route::get('subject-template/chapter/pdf/Order/{chapterid}/{id}','SubjectTemplateChapterPdfController@learn_pdf_order')->name('subject.template.chapter.pdf.order');

    // End pdf     








    Route::get('subject/chapter/pdf/practice/pdf/create/{id}', 'SubjectTemplateChapterPdfController@practice_create')->name('subject.chapters.pdf.practice.pdf.create');
    Route::post('subject/chapter/pdf/practice/pdf/store', 'SubjectTemplateChapterPdfController@practice_store')->name('subject.chapters.pdf.practice.pdf.store');
    Route::get('/subject/chapter/pdf/practice/pdf/edit/{id}', 'SubjectTemplateChapterPdfController@practice_edit')->name('subject.chapters.pdf.practice.pdf.edit');
    Route::post('subject/chapter/pdf/practice/pdf/update/{id}', 'SubjectTemplateChapterPdfController@practice_update')->name('subject.chapters.pdf.practice.pdf.update');
    Route::match(['get','post'], '/subject/chapter/pdf/practice/pdf/status/{id}/{status}', 'SubjectTemplateChapterPdfController@practice_status')->name('subject.chapters.pdf.practice.pdf.status');
    Route::match(['get','post'], '/subject/chapter/pdf/practice/pdf/delete/{id}', 'SubjectTemplateChapterPdfController@practice_delete')->name('subject.chapters.pdf.practice.pdf.delete');
    Route::get('subject/chapter/pdf/practice/pdf/Order/{chapterid}/{id}','SubjectTemplateChapterPdfController@practice_pdf_order')->name('subject.chapter.pdf.practice.pdf.order');


    Route::get('subject/chapter/pdf/practice/seperater/create/{id}', 'SubjectTemplateChapterPdfController@practice_seperator_create')->name('subject.chapters.pdf.practice.seperater.create');
    Route::post('subject/chapter/pdf/practice/seperater/store', 'SubjectTemplateChapterPdfController@practice_seperator_store')->name('subject.chapters.pdf.practice.seperater.store');
    Route::get('subject/chapter/pdf/practice/seperater/edit/{id}', 'SubjectTemplateChapterPdfController@practice_seperator_edit')->name('subject.chapters.pdf.practice.seperater.edit');
    Route::post('subject/chapter/pdf/practice/seperater/update/{id}', 'SubjectTemplateChapterPdfController@practice_seperator_update')->name('subject.chapters.pdf.practice.seperater.update');
    Route::match(['get','post'], '/subject/chapter/pdf/practice/seperater/status/{id}/{status}', 'SubjectTemplateChapterPdfController@practice_seperator_status')->name('subject.chapters.pdf.practice.seperater.status');
    Route::match(['get','post'], '/subject/chapter/pdf/practice/seperater/delete/{id}', 'SubjectTemplateChapterPdfController@practice_seperator_delete')->name('subject.chapters.pdf.practice.seperater.delete');
    Route::get('subject/chapter/pdf/practice/seperater/Order/{chapterid}/{id}','SubjectTemplateChapterPdfController@practice_seperator_order')->name('subject.chapter.pdf.practice.seperater.order');



    Route::get('subject/chapter/pdf/practice/banner/create/{id}/{type}', 'SubjectTemplateChapterPdfController@practice_banner_create')->name('subject.chapters.pdf.practice.banner.create');
    Route::post('subject/chapter/pdf/practice/banner/store', 'SubjectTemplateChapterPdfController@practice_banner_store')->name('subject.chapters.pdf.practice.banner.store');
    Route::get('subject/chapter/pdf/practice/banner/edit/{id}', 'SubjectTemplateChapterPdfController@practice_banner_edit')->name('subject.chapters.pdf.practice.banner.edit');
    Route::post('subject/chapter/pdf/practice/banner/update/{id}', 'SubjectTemplateChapterPdfController@practice_banner_update')->name('subject.chapters.pdf.practice.banner.update');
    Route::match(['get','post'], '/subject/chapter/pdf/practice/banner/status/{id}/{status}', 'SubjectTemplateChapterPdfController@practice_banner_status')->name('subject.chapters.pdf.practice.banner.status');
    Route::match(['get','post'], '/subject/chapter/pdf/practice/banner/delete/{id}', 'SubjectTemplateChapterPdfController@practice_banner_delete')->name('subject.chapters.pdf.practice.banner.delete');
    Route::get('subject/chapter/pdf/practice/banner/Order/{chapterid}/{id}/{bannertype}','SubjectTemplateChapterPdfController@practice_banner_order')->name('subject.chapter.pdf.practice.banner.order');



    Route::get('subject/chapter/pdf/price/pdf/create/{id}', 'SubjectTemplateChapterPdfController@price_create')->name('subject.chapters.pdf.price.pdf.create');
    Route::post('subject/chapter/pdf/price/pdf/store', 'SubjectTemplateChapterPdfController@price_store')->name('subject.chapters.pdf.price.pdf.store');
    Route::get('subject/chapter/pdf/price/pdf/edit/{id}', 'SubjectTemplateChapterPdfController@price_edit')->name('subject.chapters.pdf.price.pdf.edit');
    Route::post('subject/chapter/pdf/price/pdf/update/{id}', 'SubjectTemplateChapterPdfController@price_update')->name('subject.chapters.pdf.price.pdf.update');
    Route::match(['get','post'], '/subject/chapter/pdf/price/pdf/status/{id}/{status}', 'SubjectTemplateChapterPdfController@price_status')->name('subject.chapters.pdf.price.pdf.status');
    Route::match(['get','post'], '/subject/chapter/pdf/price/pdf/delete/{id}', 'SubjectTemplateChapterPdfController@price_delete')->name('subject.chapters.pdf.price.pdf.delete');
    Route::get('subject/chapter/pdf/price/pdf/Order/{chapterid}/{id}','SubjectTemplateChapterPdfController@price_pdf_order')->name('subject.chapter.pdf.price.pdf.order');


    Route::get('subject/chapter/pdf/price/seperater/create/{id}', 'SubjectTemplateChapterPdfController@price_seperator_create')->name('subject.chapters.pdf.price.seperater.create');
    Route::post('subject/chapter/pdf/price/seperater/store', 'SubjectTemplateChapterPdfController@price_seperator_store')->name('subject.chapters.pdf.price.seperater.store');
    Route::get('subject/chapter/pdf/price/seperater/edit/{id}', 'SubjectTemplateChapterPdfController@price_seperator_edit')->name('subject.chapters.pdf.price.seperater.edit');
    Route::post('subject/chapter/pdf/price/seperater/update/{id}', 'SubjectTemplateChapterPdfController@price_seperator_update')->name('subject.chapters.pdf.price.seperater.update');
    Route::match(['get','post'], '/subject/chapter/pdf/price/seperater/status/{id}/{status}', 'SubjectTemplateChapterPdfController@price_seperator_status')->name('subject.chapters.pdf.price.seperater.status');
    Route::match(['get','post'], '/subject/chapter/pdf/price/seperater/delete/{id}', 'SubjectTemplateChapterPdfController@price_seperator_delete')->name('subject.chapters.pdf.price.seperater.delete');
    Route::get('subject/chapter/pdf/price/seperater/Order/{chapterid}/{id}','SubjectTemplateChapterPdfController@price_seperator_order')->name('subject.chapter.pdf.price.seperater.order');


    Route::get('subject/chapter/pdf/price/banner/create/{id}/{type}', 'SubjectTemplateChapterPdfController@price_banner_create')->name('subject.chapters.pdf.price.banner.create');
    Route::post('subject/chapter/pdf/price/banner/store', 'SubjectTemplateChapterPdfController@price_banner_store')->name('subject.chapters.pdf.price.banner.store');
    Route::get('subject/chapter/pdf/price/banner/edit/{id}', 'SubjectTemplateChapterPdfController@price_banner_edit')->name('subject.chapters.pdf.price.banner.edit');
    Route::post('subject/chapter/pdf/price/banner/update/{id}', 'SubjectTemplateChapterPdfController@price_banner_update')->name('subject.chapters.pdf.price.banner.update');
    Route::match(['get','post'], '/subject/chapter/pdf/price/banner/status/{id}/{status}', 'SubjectTemplateChapterPdfController@price_banner_status')->name('subject.chapters.pdf.price.banner.status');
    Route::match(['get','post'], '/subject/chapter/pdf/price/banner/delete/{id}', 'SubjectTemplateChapterPdfController@price_banner_delete')->name('subject.chapters.pdf.price.banner.delete');
    Route::get('subject/chapter/pdf/price/banner/Order/{chapterid}/{id}/{bannertype}','SubjectTemplateChapterPdfController@price_banner_order')->name('subject.chapter.pdf.price.banner.order');  
    
    // Route::post('subjectpdf/store', 'SubjectTemplateChapterPdfController@chapter_update')->name('subject.store');





    // Route::get('subject/chapter/pdf/create/{id}','SubjectTemplateChapterPdfController@create')->name('subject.chapter.pdf.create');
    // Route::post('subject/chapter/pdf/store','SubjectTemplateChapterPdfController@store')->name('subject.chapter.pdf.store');
    // Route::get('subject/chapter/pdf/edit/{id}','SubjectTemplateChapterPdfController@edit')->name('subject.chapter.pdf.edit');
    // Route::post('subject/chapter/pdf/update/{id}','SubjectTemplateChapterPdfController@update')->name('subject.chapter.pdf.update');
    // Route::match(['get','post'], '/subject/chapter/pdf/status/{id}/{status}', 'SubjectTemplateChapterPdfController@status')->name('subject.chapter.pdf.status');
    // Route::match(['get','post'], '/subject/chapter/pdf/delete/{id}', 'SubjectTemplateChapterPdfController@delete')->name('subject.chapter.pdf.delete');
    // Route::get('subject/chapter/pdfOrder/{id}', 'SubjectTemplateChapterPdfController@pdf_order')->name('subject.pdforder.order');

    // end subject template chapter pdf

    // Route::get('chaptertemplate/chapter/pdf/{id}','ChapterTemplatePdfController@chapter_template_pdf')->name('chaptertemplate.pdf.index');



    // strt pdf 
    Route::get('chaptertemplate/pdf/chapter-pdf/{id}', 'ChapterTemplatePdfController@chapter_template_pdf')->name('chaptertemplate.pdf.index');             
    Route::get('chaptertemplate/pdf/create/{id}', 'ChapterTemplatePdfController@chapter_pdf_create')->name('chaptertemplate.pdf.create');

    Route::post('chapter-template/pdf/store', 'ChapterTemplatePdfController@store')->name('chapter_pdf.store');
    Route::get('chaptertemplate/pdf/edit/{id}', 'ChapterTemplatePdfController@edit')->name('chapter_template.pdf.edit');
    Route::post('chaptertemplate/pdf/update/{id}', 'ChapterTemplatePdfController@update')->name('chapter_template.pdf.update');
    Route::get('chaptertemplate/pdf/learn/pdf/Order/{chapterid}/{id}','ChapterTemplatePdfController@learnpdf_order')->name('chaptertemplate.pdf.learn.pdf.order'); 


    // End pdf
    Route::get('chaptertemplate/pdf/seperator/create/{id}', 'ChapterTemplatePdfController@pdf_seperater_create')->name('chaptertemplate.pdf.seperator.create');
    Route::post('chaptertemplate/pdf/seperator/store', 'ChapterTemplatePdfController@pdf_seperator_store')->name('chaptertemplate.pdf.seperator.store');
    Route::get('chaptertemplate/pdf/seperator/edit/{id}', 'ChapterTemplatePdfController@pdf_seperator_edit')->name('chaptertemplate.pdf.seperator.edit');
    Route::post('chaptertemplate/pdf/seperator/update/{id}', 'ChapterTemplatePdfController@pdf_seperator_update')->name('chaptertemplate.pdf.seperator.update');
    Route::match(['get','post'], '/chaptertemplate/pdf/seperator/status/{id}/{status}', 'ChapterTemplatePdfController@pdf_seperator_status')->name('chaptertemplate.pdf.seperator.status');
    Route::match(['get','post'], '/chaptertemplate/pdf/seperator/delete/{id}', 'ChapterTemplatePdfController@pdf_seperator_delete')->name('chaptertemplate.pdf.seperator.delete');
    Route::get('chaptertemplate/pdf/learn/seperator/Order/{chapterid}/{id}','ChapterTemplatePdfController@learn_seperator_order')->name('chaptertemplate.pdf.learn.seperator.order');

    

    Route::get('chaptertemplate/pdf/banner/create/{id}/{type}', 'ChapterTemplatePdfController@pdf_banner_create')->name('chaptertemplate.pdf.banner.create');
    Route::post('chaptertemplate/pdf/banner/store', 'ChapterTemplatePdfController@pdf_banner_store')->name('chaptertemplate.pdf.banner.store');
    Route::get('chaptertemplate/pdf/banner/edit/{id}', 'ChapterTemplatePdfController@pdf_banner_edit')->name('chaptertemplate.pdf.banner.edit');
    Route::post('chaptertemplate/pdf/banner/update/{id}', 'ChapterTemplatePdfController@pdf_banner_update')->name('chaptertemplate.pdf.banner.update');
    Route::match(['get','post'], '/chaptertemplate/pdf/banner/status/{id}/{status}', 'ChapterTemplatePdfController@pdf_banner_status')->name('chaptertemplate.pdf.banner.status');
    Route::match(['get','post'], '/chaptertemplate/pdf/banner/delete/{id}', 'ChapterTemplatePdfController@pdf_banner_delete')->name('chaptertemplate.pdf.banner.delete');
    Route::get('chaptertemplate/pdf/learn/banner/Order/{chapterid}/{id}/{bannertype}','ChapterTemplatePdfController@learn_banner_order')->name('chaptertemplate.pdf.learn.banner.order'); 





        //  Route::get('chaptertemplate/pdf/index/{id}', 'ChapterTemplatePdfController@chapter_template_pdf')->name('chaptertemplate.pdf.chapterpdf');
        //  Route::get('chaptertemplate/pdf/create/{id}', 'ChapterTemplatePdfController@create')->name('chaptertemplate.pdf.create');
        //  Route::get('chaptertemplate/pdf/edit/{id}', 'ChapterTemplatePdfController@edit')->name('chaptertemplate.pdf.edit');
        //  //chapter template pdf end


    // strt pdf    
    //  Route::get('chapter-template/pdf/index', 'ChapterTemplatePdfController@index')->name('pdf.index');
    //  Route::get('chapter-template/pdf/chapter-pdf/{id}', 'ChapterTemplatePdfController@chapterpdf')->name('pdf.chapterpdf');
    //  Route::get('chapter-template/pdf/create/{id}', 'ChapterTemplatePdfController@create')->name('pdf.create');
    //  Route::post('chapter-template/pdf/store', 'ChapterTemplatePdfController@store')->name('chapter_pdf.store');
    //  Route::get('chapter-template/pdf/edit/{id}', 'ChapterTemplatePdfController@edit')->name('pdf.edit');
    //  Route::post('chapter-template/pdf/update/{id}', 'ChapterTemplatePdfController@update')->name('pdf.update');
    //  Route::match(['get','post'], '/chapter-template/pdf/status/{id}/{status}', 'ChapterTemplatePdfController@status')->name('pdf.status');
    //  Route::match(['get','post'], '/chapter-template/pdf/delete/{id}', 'ChapterTemplatePdfController@delete')->name('pdf.delete');
    // End pdf     


    Route::get('chaptertemplate/pdf/practice/pdf/create/{id}', 'ChapterTemplatePdfController@practice_create')->name('chaptertemplate.pdf.practice.pdf.create');
    Route::post('chaptertemplate/pdf/practice/pdf/store', 'ChapterTemplatePdfController@practice_store')->name('chaptertemplate.pdf.practice.pdf.store');
    Route::get('/chaptertemplate/pdf/practice/pdf/edit/{id}', 'ChapterTemplatePdfController@practice_edit')->name('chaptertemplate.pdf.practice.pdf.edit');
    Route::post('chaptertemplate/pdf/practice/pdf/update/{id}', 'ChapterTemplatePdfController@practice_update')->name('chaptertemplate.pdf.practice.pdf.update');
    Route::match(['get','post'], '/chaptertemplate/pdf/practice/pdf/status/{id}/{status}', 'ChapterTemplatePdfController@practice_status')->name('chaptertemplate.pdf.practice.pdf.status');
    Route::match(['get','post'], '/chaptertemplate/pdf/practice/pdf/delete/{id}', 'ChapterTemplatePdfController@practice_delete')->name('chaptertemplate.pdf.practice.pdf.delete');
    Route::get('chaptertemplate/pdf/practice/pdf/Order/{chapterid}/{id}','ChapterTemplatePdfController@practice_pdf_order')->name('chaptertemplate.pdf.practice.pdf.order'); 


    Route::get('chaptertemplate/pdf/practice/seperater/create/{id}', 'ChapterTemplatePdfController@practice_seperator_create')->name('chaptertemplate.pdf.practice.seperater.create');
    Route::post('chaptertemplate/pdf/practice/seperater/store', 'ChapterTemplatePdfController@practice_seperator_store')->name('chaptertemplate.pdf.practice.seperater.store');
    Route::get('chaptertemplate/pdf/practice/seperater/edit/{id}', 'ChapterTemplatePdfController@practice_seperator_edit')->name('chaptertemplate.pdf.practice.seperater.edit');
    Route::post('chaptertemplate/pdf/practice/seperater/update/{id}', 'ChapterTemplatePdfController@practice_seperator_update')->name('chaptertemplate.pdf.practice.seperater.update');
    Route::match(['get','post'], '/chaptertemplate/pdf/practice/seperater/status/{id}/{status}', 'ChapterTemplatePdfController@practice_seperator_status')->name('chaptertemplate.pdf.practice.seperater.status');
    Route::match(['get','post'], '/chaptertemplate/pdf/practice/seperater/delete/{id}', 'ChapterTemplatePdfController@practice_seperator_delete')->name('chaptertemplate.pdf.practice.seperater.delete');
    Route::get('chaptertemplate/pdf/practice/seperater/Order/{chapterid}/{id}','ChapterTemplatePdfController@practice_seperater_order')->name('chaptertemplate.pdf.practice.seperater.order'); 


    Route::get('chaptertemplate/pdf/practice/banner/create/{id}/{type}', 'ChapterTemplatePdfController@practice_banner_create')->name('chaptertemplate.pdf.practice.banner.create');
    Route::post('chaptertemplate/pdf/practice/banner/store', 'ChapterTemplatePdfController@practice_banner_store')->name('chaptertemplate.pdf.practice.banner.store');
    Route::get('chaptertemplate/pdf/practice/banner/edit/{id}', 'ChapterTemplatePdfController@practice_banner_edit')->name('chaptertemplate.pdf.practice.banner.edit');
    Route::post('chaptertemplate/pdf/practice/banner/update/{id}', 'ChapterTemplatePdfController@practice_banner_update')->name('chaptertemplate.pdf.practice.banner.update');
    Route::match(['get','post'], '/chaptertemplate/pdf/practice/banner/status/{id}/{status}', 'ChapterTemplatePdfController@practice_banner_status')->name('chaptertemplate.pdf.practice.banner.status');
    Route::match(['get','post'], '/chaptertemplate/pdf/practice/banner/delete/{id}', 'ChapterTemplatePdfController@practice_banner_delete')->name('chaptertemplate.pdf.practice.banner.delete');
    Route::get('chaptertemplate/pdf/practice/banner/Order/{chapterid}/{id}/{bannertype}','ChapterTemplatePdfController@practice_banner_order')->name('chaptertemplate.pdf.practice.banner.order'); 


    Route::get('chaptertemplate/pdf/price/pdf/create/{id}', 'ChapterTemplatePdfController@price_create')->name('chaptertemplate.pdf.price.pdf.create');
    Route::post('chaptertemplate/pdf/price/pdf/store', 'ChapterTemplatePdfController@price_store')->name('chaptertemplate.pdf.price.pdf.store');
    Route::get('chaptertemplate/pdf/price/pdf/edit/{id}', 'ChapterTemplatePdfController@price_edit')->name('chaptertemplate.pdf.price.pdf.edit');
    Route::post('chaptertemplate/pdf/price/pdf/update/{id}', 'ChapterTemplatePdfController@price_update')->name('chaptertemplate.pdf.price.pdf.update');
    Route::match(['get','post'], '/chaptertemplate/pdf/price/pdf/status/{id}/{status}', 'ChapterTemplatePdfController@price_status')->name('chaptertemplate.pdf.price.pdf.status');
    Route::match(['get','post'], '/chaptertemplate/pdf/price/pdf/delete/{id}', 'ChapterTemplatePdfController@price_delete')->name('chaptertemplate.pdf.price.pdf.delete');
    Route::get('chaptertemplate/pdf/price/pdf/Order/{chapterid}/{id}','ChapterTemplatePdfController@price_pdf_order')->name('chaptertemplate.pdf.price.pdf.order'); 


    Route::get('chaptertemplate/pdf/price/seperater/create/{id}', 'ChapterTemplatePdfController@price_seperator_create')->name('chaptertemplate.pdf.price.seperater.create');
    Route::post('chaptertemplate/pdf/price/seperater/store', 'ChapterTemplatePdfController@price_seperator_store')->name('chaptertemplate.pdf.price.seperater.store');
    Route::get('chaptertemplate/pdf/price/seperater/edit/{id}', 'ChapterTemplatePdfController@price_seperator_edit')->name('chaptertemplate.pdf.price.seperater.edit');
    Route::post('chaptertemplate/pdf/price/seperater/update/{id}', 'ChapterTemplatePdfController@price_seperator_update')->name('chaptertemplate.pdf.price.seperater.update');
    Route::match(['get','post'], '/chaptertemplate/pdf/price/seperater/status/{id}/{status}', 'ChapterTemplatePdfController@price_seperator_status')->name('chaptertemplate.pdf.price.seperater.status');
    Route::match(['get','post'], '/chaptertemplate/pdf/price/seperater/delete/{id}', 'ChapterTemplatePdfController@price_seperator_delete')->name('chaptertemplate.pdf.price.seperater.delete');
    Route::get('chaptertemplate/pdf/price/seperater/Order/{chapterid}/{id}','ChapterTemplatePdfController@price_seperater_order')->name('chaptertemplate.pdf.price.seperater.order'); 


    Route::get('chaptertemplate/pdf/price/banner/create/{id}/{type}', 'ChapterTemplatePdfController@price_banner_create')->name('chaptertemplate.pdf.price.banner.create');
    Route::post('chaptertemplate/pdf/price/banner/store', 'ChapterTemplatePdfController@price_banner_store')->name('chaptertemplate.pdf.price.banner.store');
    Route::get('chaptertemplate/pdf/price/banner/edit/{id}', 'ChapterTemplatePdfController@price_banner_edit')->name('chaptertemplate.pdf.price.banner.edit');
    Route::post('chaptertemplate/pdf/price/banner/update/{id}', 'ChapterTemplatePdfController@price_banner_update')->name('chaptertemplate.pdf.price.banner.update');
    Route::match(['get','post'], '/chaptertemplate/pdf/price/banner/status/{id}/{status}', 'ChapterTemplatePdfController@price_banner_status')->name('chaptertemplate.pdf.price.banner.status');
    Route::match(['get','post'], '/chaptertemplate/pdf/price/banner/delete/{id}', 'ChapterTemplatePdfController@price_banner_delete')->name('chaptertemplate.pdf.price.banner.delete');
    Route::get('chaptertemplate/pdf/price/banner/Order/{chapterid}/{id}/{bannertype}','ChapterTemplatePdfController@price_banner_order')->name('chaptertemplate.pdf.price.banner.order'); 


    Route::post('chaptertemplate/chapter-update', 'ChapterTemplatePdfController@chapter_update')->name('chaptertemplate.chapter_update');


    // Route::get('chaptertemplate/chapter/pdf/create/{id}','ChapterTemplatePdfController@create')->name('chaptertemplate.chapter.pdf.create');
    // Route::post('chaptertemplate/chapter/pdf/store','ChapterTemplatePdfController@store')->name('chaptertemplate.chapter.pdf.store');
    // Route::get('chaptertemplate/chapter/pdf/edit/{id}','ChapterTemplatePdfController@edit')->name('chaptertemplate.chapter.pdf.edit');
    // Route::post('chaptertemplate/chapter/pdf/update/{id}','ChapterTemplatePdfController@update')->name('chaptertemplate.chapter.pdf.update');
    // Route::match(['get','post'], '/chaptertemplate/chapter/pdf/status/{id}/{status}', 'ChapterTemplatePdfController@status')->name('chaptertemplate.chapter.pdf.status');
    // Route::match(['get','post'], '/chaptertemplate/chapter/pdf/delete/{id}', 'ChapterTemplatePdfController@delete')->name('chaptertemplate.chapter.pdf.delete');
    // Route::get('subject/chapter/pdfOrder/{id}', 'ChapterTemplatePdfController@chaptertemplate_order')->name('chaptertemplate.pdforder.order');



    // Route::get('subject/chapter/index/{id}', 'SubjectTemplateController@subject_banner')->name('subject.chapter.index');
    Route::get('subject/banner/create/{id}/{type}', 'SubjectTemplateController@template_create')->name('subject.banner.create');
    Route::post('subject/banner/store', 'SubjectTemplateController@template_store')->name('subject.banner.store');
    Route::get('subject/banner/edit/{id}', 'SubjectTemplateController@banner_edit')->name('subject.banner.edit');
    Route::post('subject/banner/update/{id}', 'SubjectTemplateController@template_update')->name('subject.banner.update');
    Route::match(['get','post'], '/subject/banner/status/{id}/{status}', 'SubjectTemplateController@banner_status')->name('subject.banner.status');
    Route::match(['get','post'], '/subject/banner/delete/{id}', 'SubjectTemplateController@banner_delete')->name('subject.banner.delete');
    Route::get('subject/banner/Order/{subject_id}/{id}/{bannertype}', 'SubjectTemplateController@subjectbanner_order')->name('subject.banner.order');


    Route::get('subject/seperator/create/{id}', 'SubjectTemplateController@template_seperator_create')->name('subject.seperator.create');
    Route::post('subject/seperator/store', 'SubjectTemplateController@template_seperator_store')->name('subject.seperator.store');
    Route::get('subject/seperator/edit/{id}', 'SubjectTemplateController@template_seperator_edit')->name('subject.seperator.edit');
    Route::post('subject/seperator/update/{id}', 'SubjectTemplateController@template_seperator_update')->name('subject.seperator.update');
    Route::match(['get','post'], '/subject/seperator/status/{id}/{status}', 'SubjectTemplateController@template_seperator_status')->name('subject.seperator.status');
    Route::match(['get','post'], '/subject/seperator/delete/{id}', 'SubjectTemplateController@template_seperator_delete')->name('subject.seperator.delete');
     Route::get('subject/seperator/Order/{subjectid}/{id}', 'SubjectTemplateController@subjectchapter_order')->name('subject.seperator.order');




    // Route::post('subject/pdf/store', 'SubjectTemplateChapterPdfController@chapter_update')->name('subject.pdf.store');
    // Route::post('subjectpdf/store', 'ChapterTemplatePdfController@chapter_update')->name('subject.store');
    });

//userend Route
    Route::group(['namespace' => 'userend','as'=>'userend.','middleware' => 'is_user'], function () {
        Route::get('/user/home', 'HomeController@userHome')->name('home');
        Route::get('/users/index', 'UsersController@index')->name('users.index');
        Route::match(['get','post'], '/users/edit/{id}', 'UsersController@edit')->name('users.edit');
        Route::get('/billorder/index', 'BillOrdersController@index')->name('billorder.index');
    });

    Route::get('/{document_type}/{product_name}', 'HomeController@documentdetail')->name('documentdetail');


