<?php
$businessSetiing = \App\helpers::businessetting();
?>

<!DOCTYPE html>
<html lang="en">
<head>
  <?php if(isset($businessSetiing) && $businessSetiing['meta_title']): ?>
    <title><?php echo e(($businessSetiing['meta_title'])? $businessSetiing['meta_title']:$businessSetiing['site_name']); ?></title>
  <?php else: ?>
    <title><?php echo e(config('app.name', 'Laravel')); ?></title>
  <?php endif; ?>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
  <?php if(isset($businessSetiing) && $businessSetiing['meta_keyword']): ?>
    <meta name="keywords" content="<?php echo e($businessSetiing['meta_keyword']); ?>" />
    <meta name="description" content="<?php echo e($businessSetiing['meta_description']); ?>" />

    <meta property="og:image" content="<?php echo e(asset($businessSetiing['meta_image'])); ?>" />
    <meta property="og:image:secure_url" content="<?php echo e(asset($businessSetiing['meta_image'])); ?>" />


    <meta property="og:image:width" content="1200" />
    <meta property="og:image:height" content="630" />
    <!--  Non-Essential, But Required for Analytics -->
<?php else: ?>
    <meta name="keywords" content="testing" />

    <meta name="description" content="Lorem ipsum dolor sit amet consectetur adipisicing elit. Non voluptate molestiae vel alias, dolor ad omnis atque repellendus error veritatis et laudantium consequatur a saepe eius facere sunt? Est, magnam." />
    <meta property="og:image" content="<?php echo e(asset('logo.png')); ?>" />
    <meta property="og:image:secure_url" content="<?php echo e(asset('logo.png')); ?>" />
<?php endif; ?>


<?php if(isset($businessSetiing) && $businessSetiing['favicon']): ?>
    <link rel="icon" href="<?php echo e(asset($businessSetiing['favicon'])); ?>" type="image/x-icon">
<?php else: ?>
    <link rel="icon" href="<?php echo e(asset('favicon/')); ?>favicon.ico" type="image/x-icon">
<?php endif; ?>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">  
    <link rel="stylesheet" href="<?php echo e(asset('css/all.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/style.css')); ?>">
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

    <!-- SweetAlert2 -->
  <link rel="stylesheet" href="<?php echo e(asset('backend/plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css')); ?>">
  <!-- Toastr -->
  <link rel="stylesheet" href="<?php echo e(asset('backend/plugins/toastr/toastr.min.css')); ?>">
    <!-- jQuery -->
    <script src="<?php echo e(asset('backend/plugins/jquery/jquery.min.js')); ?>"></script>

    <?php echo $__env->yieldPushContent('child-style'); ?>
</head>
<body>
  <header>
    <div class="container">
        <div class="row">
            <div class="col-md-6 col-sm-6 text-left">
                <div class="logo">
                  <a href="<?php echo e(url('/')); ?>">
                    <?php if(isset($businessSetiing) && $businessSetiing['logo_header']): ?>
                    <img src="<?php echo e(asset($businessSetiing['logo_header'])); ?>" style="width: 150px" alt="" class="img-fluid">
                    <?php else: ?>
                    <img src="<?php echo e(asset('logo.png')); ?>" style="width: 80%" alt="" class="img-fluid">
                    <?php endif; ?>
                </a>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 text-right header-right">
                <div class="social-media">
                    <ul class="social-icons">
                        <li class=""><a href="https://www.securemeters.com">Back to Secure </a></li>
                    
                    </ul>
                </div>
            </div>
        </div>
    </div>
</header>
    <?php echo $__env->yieldContent('content'); ?>

    <footer>
      <div class="copyright-footer">
          <div class=" container">
              <div class="row">
                  <div class="col-sm-6 col-md-6">
                      <p class="text-left">
                          Copyright &#169; <?php echo date("Y"); ?> Secure Meters Ltd. All rights reserved.
                      </p>
                  </div>
                  <div class="col-sm-6 col-md-6">
                      <p class="text-right ">
                      <ul class="Social_ul float-right">
                            <li><small>Follow us on &nbsp; &nbsp;</small></li>
                            <li><a style="color:#7a7a7a;" href="https://www.facebook.com/pages/category/Company/Secure-Meters-Limited-213627155328118/" target="_blank" rel="noopener"><i class="fab fa-facebook-f"></i></a>&nbsp; &nbsp;</li>
                            <li><a style="color:#7a7a7a;" href="https://www.linkedin.com/company/secure-meters-limited/?originalSubdomain=in" target="_blank" rel="noopener"><i class="fab fa-linkedin-in"></i></a>&nbsp;&nbsp;</li>
                            
                            <li><a style="color:#7a7a7a;" href="https://www.instagram.com/securemeters/" target="_blank" rel="noopener"><i class="fab fa-instagram"></i></a>&nbsp;&nbsp;</li>
                            <li><a style="color:#7a7a7a;" href="https://www.youtube.com/channel/UCU238IFrPA5RtikDodGoNJQ" target="_blank" rel="noopener"><i class="fab fa-youtube"></i></a>&nbsp;&nbsp;</li>
                            <li><a style="color:#7a7a7a;" href="https://www.glassdoor.co.in/Reviews/Secure-Meters-Reviews-E397627.htm" target="_blank" rel="noopener"><i class="icon-glassdoor"></i></a>&nbsp;&nbsp;</li>
                        </ul>
                    </p>    
                    
                  </div>
              </div>
          </div>
      </div>
  </footer>
  
</body>


  <!-- Bootstrap 4 -->
<script src="<?php echo e(asset('backend/plugins/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>

<script src="<?php echo e(asset('backend/plugins/sweetalert2/sweetalert2.min.js')); ?>"></script>
<script src="<?php echo e(asset('backend/plugins/toastr/toastr.min.js')); ?>"></script>

    <?php if(session('error')): ?>
        <script>
        $(document).ready(function() {

          Swal.fire({
            icon: 'error',
            title: '<?php echo e(session('error')); ?>'
          });
        });
        </script>
  <?php endif; ?>
  <?php if(session('success')): ?>
  <script>
    $(document).ready(function() {

      Swal.fire({
        icon: 'success',
        title: '<?php echo e(session('success')); ?>'
      });
    });
    </script>

  <?php endif; ?>


<?php echo $__env->yieldPushContent('child-scripts'); ?>
</html>
<?php /**PATH /home/nodiaco/public_html/prime_nodia_app/resources/views/layouts/app.blade.php ENDPATH**/ ?>