<?php $__env->startSection('content'); ?>
<style>
    .gallery img{
        width: 10%;
    }
    .access_grp_label{
      border: 1px solid #bbb;
      padding: 12px 20px;
      display: inline-block;
      width: 100%;
      float: left;
    }
</style>
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Edit Course</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="<?php echo e(route('backend.course.index')); ?>">Course Page</a></li>
            <li class="breadcrumb-item active">Edit Course</li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>
  
<div class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-10">
              <div class="card">
                <div class="card-header card-header-primary">
                  <h4 class="card-title">Course</h4>
                </div>
                <div class="card-body">
                  <div class="row">
                      <div class="col-sm-12">
                        <form action="<?php echo e(route('backend.course.update', ['id' => $id->id])); ?>" method="POST" enctype="multipart/form-data">
                          <?php echo csrf_field(); ?>
                          <div class="row">
                            <div class="col-sm-6">
                              <div class="form-group">
                                <label>Course ID</label>
                                <input type="text" name="C_ID" id="course_id" onchange="uniqueId()" class="form-control" placeholder="Enter Course ID" value="<?php echo e($id->C_ID); ?>">
                                <p style="color: red; display: none;" id="note_text">This Course ID already exist!</p>
                              </div>
                            </div>
                            <div class="col-sm-6">
                              <div class="form-group">
                                <label>Board</label>
                                <select name="board_id" id="board_id" class="form-control" required>
                                  <option value="">Select Board</option>
                                  <?php $__currentLoopData = $boards; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($value->board_id); ?>" <?php echo e(($id->board_id == $value->board_id)?'selected':''); ?>><?php echo e($value->board_name); ?></option>
                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                              </div>
                            </div>
                          </div>
                          <div class="row">                            
                            <div class="col-sm-6">
                              <!-- text input -->
                              <div class="form-group">
                                <label>Class</label>                                
                                <select name="class_id" id="class_id" class="form-control" required>
                                  <option value="">Select Class</option>
                                  <?php $__currentLoopData = $classes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($value->class_id); ?>" <?php echo e(($id->class_id == $value->class_id)?'selected':''); ?>><?php echo e($value->class_name); ?></option>
                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                              </div>
                            </div>     
                            <div class="col-sm-6">
                              <!-- text input -->                              
                              <div class="form-group">
                                <label>Stream</label>
                                <select name="stream" id="stream" class="form-control">
                                  <option value="">Select Stream</option>
                                  <?php $__currentLoopData = $strems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                  <option value="<?php echo e($value->id); ?>" <?php echo e(($id->stream == $value->id)?'selected':''); ?>><?php echo e($value->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                              </div>
                            </div>                         
                          </div>

                          <div class="row">                            
                            <div class="col-sm-6">
                              <div class="form-group">
                                <label>Medium</label>
                                <select name="medium" id="medium" class="form-control">
                                  <option value="">Select Medium</option>
                                  <?php $__currentLoopData = $mediums; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                  <option value="<?php echo e($value->id); ?>" <?php echo e(($id->medium == $value->id)?'selected':''); ?>><?php echo e($value->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                              </div>
                            </div>                                                      
                          </div>
                          
                          <button type="submit" class="btn btn-secondary">Submit</button>
                        </form>
                      </div>
                      <div class="col-sm-5">

                      </div>
                  </div>                    
                </div>
              </div>
            </div>

            

          </div>
        </div>
      </div>
</div>

<script>
  $('#board_id').on('change', function () {
    var boardId = $(this).val();
    var url = "<?php echo e(route('backend.course.getclass',['id'=>':bordId'])); ?>".replace(':bordId', boardId);
    $.ajaxSetup({
      headers: {
          'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      }
    });

    $.ajax({
      url: url,
      type: "GET",
      success: function(response) {
        console.log(response);
        $('#class_id').empty();
        $('#class_id').append($("<option></option>").val("").html("Select Class"));
        $.each(response,function(key, val){
          $('#class_id').append('<option value="'+val.id+'">'+val.class_name+'</option>');
        });
      }
    });
  });

  
  function uniqueId(){
    var courseId = $("#course_id").val();
    var url = "<?php echo e(route('backend.course.uniqueid',['id'=>':courseId'])); ?>".replace(':courseId', courseId);
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
    $.ajax({
        url: url,
        type: "GET",
        success: function(response) {
            console.log(response);
            if(response > 0){
                $("#course_id").val('');
                $("#note_text").css("display", "block");
            }else{
                $("#note_text").css("display", "none");
            }
        }
    });
  }


  </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.backend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/1423901.cloudwaysapps.com/vbztnwzqrb/public_html/resources/views/backend/course/edit.blade.php ENDPATH**/ ?>