<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/welcome', 'HomeController@welcome')->name('welcome');
Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::group(['namespace' => 'backend','as'=>'backend.','middleware' => 'is_admin'],function (){
    Route::get('/admin/home', 'HomeController@adminHome')->name('home');
    Route::get('/user/index', 'user\UsersController@index')->name('user.index');
    Route::match(['get','post'],'/user/create', 'user\UsersController@create')->name('user.create');
    Route::match(['get','post'],'/user/edit/{id}', 'user\UsersController@edit')->name('user.edit');
});
